/*!
* Dynamsoft JavaScript Library
* @product Dynamsoft Image IO WASM Worker JS
* @website http://www.dynamsoft.com
* @copyright Copyright 2024, Dynamsoft Corporation
* @author Dynamsoft
* @version 2.1.0 (2024-11-19T09:35:43.607Z)
* @fileoverview Dynamsoft JavaScript Library for Image IO WASM Worker
* 
*/


var ImageIOModule = (() => {
  var _scriptDir = typeof document !== 'undefined' && document.currentScript ? document.currentScript.src : undefined;
  if (typeof __filename !== 'undefined') _scriptDir = _scriptDir || __filename;
  return (
function(ImageIOModule = {})  {

var Module=typeof ImageIOModule!="undefined"?ImageIOModule:{};var readyPromiseResolve,readyPromiseReject;Module["ready"]=new Promise(function(resolve,reject){readyPromiseResolve=resolve;readyPromiseReject=reject});var moduleOverrides=Object.assign({},Module);var arguments_=[];var thisProgram="./this.program";var quit_=(status,toThrow)=>{throw toThrow};var ENVIRONMENT_IS_WEB=typeof window=="object";var ENVIRONMENT_IS_WORKER=typeof importScripts=="function";var ENVIRONMENT_IS_NODE=typeof process=="object"&&typeof process.versions=="object"&&typeof process.versions.node=="string";var scriptDirectory="";function locateFile(path){if(Module["locateFile"]){return Module["locateFile"](path,scriptDirectory)}return scriptDirectory+path}var read_,readAsync,readBinary,setWindowTitle;if(ENVIRONMENT_IS_NODE){var fs=require("fs");var nodePath=require("path");if(ENVIRONMENT_IS_WORKER){scriptDirectory=nodePath.dirname(scriptDirectory)+"/"}else{scriptDirectory=__dirname+"/"}read_=(filename,binary)=>{filename=isFileURI(filename)?new URL(filename):nodePath.normalize(filename);return fs.readFileSync(filename,binary?undefined:"utf8")};readBinary=filename=>{var ret=read_(filename,true);if(!ret.buffer){ret=new Uint8Array(ret)}return ret};readAsync=(filename,onload,onerror)=>{filename=isFileURI(filename)?new URL(filename):nodePath.normalize(filename);fs.readFile(filename,function(err,data){if(err)onerror(err);else onload(data.buffer)})};if(process.argv.length>1){thisProgram=process.argv[1].replace(/\\/g,"/")}arguments_=process.argv.slice(2);quit_=(status,toThrow)=>{process.exitCode=status;throw toThrow};Module["inspect"]=function(){return"[Emscripten Module object]"}}else if(ENVIRONMENT_IS_WEB||ENVIRONMENT_IS_WORKER){if(ENVIRONMENT_IS_WORKER){scriptDirectory=self.location.href}else if(typeof document!="undefined"&&document.currentScript){scriptDirectory=document.currentScript.src}if(_scriptDir){scriptDirectory=_scriptDir}if(scriptDirectory.indexOf("blob:")!==0){scriptDirectory=scriptDirectory.substr(0,scriptDirectory.replace(/[?#].*/,"").lastIndexOf("/")+1)}else{scriptDirectory=""}{read_=url=>{var xhr=new XMLHttpRequest;xhr.open("GET",url,false);xhr.send(null);return xhr.responseText};if(ENVIRONMENT_IS_WORKER){readBinary=url=>{var xhr=new XMLHttpRequest;xhr.open("GET",url,false);xhr.responseType="arraybuffer";xhr.send(null);return new Uint8Array(xhr.response)}}readAsync=(url,onload,onerror)=>{var xhr=new XMLHttpRequest;xhr.open("GET",url,true);xhr.responseType="arraybuffer";xhr.onload=()=>{if(xhr.status==200||xhr.status==0&&xhr.response){onload(xhr.response);return}onerror()};xhr.onerror=onerror;xhr.send(null)}}setWindowTitle=title=>document.title=title}else{}var out=Module["print"]||console.log.bind(console);var err=Module["printErr"]||console.warn.bind(console);Object.assign(Module,moduleOverrides);moduleOverrides=null;if(Module["arguments"])arguments_=Module["arguments"];if(Module["thisProgram"])thisProgram=Module["thisProgram"];if(Module["quit"])quit_=Module["quit"];var dynamicLibraries=Module["dynamicLibraries"]||[];var wasmBinary;if(Module["wasmBinary"])wasmBinary=Module["wasmBinary"];var noExitRuntime=Module["noExitRuntime"]||true;if(typeof WebAssembly!="object"){abort("no native wasm support detected")}var wasmMemory;var ABORT=false;var EXITSTATUS;function assert(condition,text){if(!condition){abort(text)}}var UTF8Decoder=typeof TextDecoder!="undefined"?new TextDecoder("utf8"):undefined;function UTF8ArrayToString(heapOrArray,idx,maxBytesToRead){var endIdx=idx+maxBytesToRead;var endPtr=idx;while(heapOrArray[endPtr]&&!(endPtr>=endIdx))++endPtr;if(endPtr-idx>16&&heapOrArray.buffer&&UTF8Decoder){return UTF8Decoder.decode(heapOrArray.subarray(idx,endPtr))}var str="";while(idx<endPtr){var u0=heapOrArray[idx++];if(!(u0&128)){str+=String.fromCharCode(u0);continue}var u1=heapOrArray[idx++]&63;if((u0&224)==192){str+=String.fromCharCode((u0&31)<<6|u1);continue}var u2=heapOrArray[idx++]&63;if((u0&240)==224){u0=(u0&15)<<12|u1<<6|u2}else{u0=(u0&7)<<18|u1<<12|u2<<6|heapOrArray[idx++]&63}if(u0<65536){str+=String.fromCharCode(u0)}else{var ch=u0-65536;str+=String.fromCharCode(55296|ch>>10,56320|ch&1023)}}return str}function UTF8ToString(ptr,maxBytesToRead){return ptr?UTF8ArrayToString(HEAPU8,ptr,maxBytesToRead):""}function stringToUTF8Array(str,heap,outIdx,maxBytesToWrite){if(!(maxBytesToWrite>0))return 0;var startIdx=outIdx;var endIdx=outIdx+maxBytesToWrite-1;for(var i=0;i<str.length;++i){var u=str.charCodeAt(i);if(u>=55296&&u<=57343){var u1=str.charCodeAt(++i);u=65536+((u&1023)<<10)|u1&1023}if(u<=127){if(outIdx>=endIdx)break;heap[outIdx++]=u}else if(u<=2047){if(outIdx+1>=endIdx)break;heap[outIdx++]=192|u>>6;heap[outIdx++]=128|u&63}else if(u<=65535){if(outIdx+2>=endIdx)break;heap[outIdx++]=224|u>>12;heap[outIdx++]=128|u>>6&63;heap[outIdx++]=128|u&63}else{if(outIdx+3>=endIdx)break;heap[outIdx++]=240|u>>18;heap[outIdx++]=128|u>>12&63;heap[outIdx++]=128|u>>6&63;heap[outIdx++]=128|u&63}}heap[outIdx]=0;return outIdx-startIdx}function stringToUTF8(str,outPtr,maxBytesToWrite){return stringToUTF8Array(str,HEAPU8,outPtr,maxBytesToWrite)}function lengthBytesUTF8(str){var len=0;for(var i=0;i<str.length;++i){var c=str.charCodeAt(i);if(c<=127){len++}else if(c<=2047){len+=2}else if(c>=55296&&c<=57343){len+=4;++i}else{len+=3}}return len}var HEAP8,HEAPU8,HEAP16,HEAPU16,HEAP32,HEAPU32,HEAPF32,HEAPF64;function updateMemoryViews(){var b=wasmMemory.buffer;Module["HEAP8"]=HEAP8=new Int8Array(b);Module["HEAP16"]=HEAP16=new Int16Array(b);Module["HEAP32"]=HEAP32=new Int32Array(b);Module["HEAPU8"]=HEAPU8=new Uint8Array(b);Module["HEAPU16"]=HEAPU16=new Uint16Array(b);Module["HEAPU32"]=HEAPU32=new Uint32Array(b);Module["HEAPF32"]=HEAPF32=new Float32Array(b);Module["HEAPF64"]=HEAPF64=new Float64Array(b)}var INITIAL_MEMORY=Module["INITIAL_MEMORY"]||16777216;assert(INITIAL_MEMORY>=262144,"INITIAL_MEMORY should be larger than STACK_SIZE, was "+INITIAL_MEMORY+"! (STACK_SIZE="+262144+")");if(Module["wasmMemory"]){wasmMemory=Module["wasmMemory"]}else{wasmMemory=new WebAssembly.Memory({"initial":INITIAL_MEMORY/65536,"maximum":2147483648/65536})}updateMemoryViews();INITIAL_MEMORY=wasmMemory.buffer.byteLength;var wasmTable=new WebAssembly.Table({"initial":681,"element":"anyfunc"});var __ATPRERUN__=[];var __ATINIT__=[];var __ATMAIN__=[];var __ATPOSTRUN__=[];var __RELOC_FUNCS__=[];var runtimeInitialized=false;var runtimeKeepaliveCounter=0;function keepRuntimeAlive(){return noExitRuntime||runtimeKeepaliveCounter>0}function preRun(){if(Module["preRun"]){if(typeof Module["preRun"]=="function")Module["preRun"]=[Module["preRun"]];while(Module["preRun"].length){addOnPreRun(Module["preRun"].shift())}}callRuntimeCallbacks(__ATPRERUN__)}function initRuntime(){runtimeInitialized=true;callRuntimeCallbacks(__RELOC_FUNCS__);if(!Module["noFSInit"]&&!FS.init.initialized)FS.init();FS.ignorePermissions=false;TTY.init();callRuntimeCallbacks(__ATINIT__)}function preMain(){callRuntimeCallbacks(__ATMAIN__)}function postRun(){if(Module["postRun"]){if(typeof Module["postRun"]=="function")Module["postRun"]=[Module["postRun"]];while(Module["postRun"].length){addOnPostRun(Module["postRun"].shift())}}callRuntimeCallbacks(__ATPOSTRUN__)}function addOnPreRun(cb){__ATPRERUN__.unshift(cb)}function addOnInit(cb){__ATINIT__.unshift(cb)}function addOnPostRun(cb){__ATPOSTRUN__.unshift(cb)}var runDependencies=0;var runDependencyWatcher=null;var dependenciesFulfilled=null;function getUniqueRunDependency(id){return id}function addRunDependency(id){runDependencies++;if(Module["monitorRunDependencies"]){Module["monitorRunDependencies"](runDependencies)}}function removeRunDependency(id){runDependencies--;if(Module["monitorRunDependencies"]){Module["monitorRunDependencies"](runDependencies)}if(runDependencies==0){if(runDependencyWatcher!==null){clearInterval(runDependencyWatcher);runDependencyWatcher=null}if(dependenciesFulfilled){var callback=dependenciesFulfilled;dependenciesFulfilled=null;callback()}}}function abort(what){if(Module["onAbort"]){Module["onAbort"](what)}what="Aborted("+what+")";err(what);ABORT=true;EXITSTATUS=1;what+=". Build with -sASSERTIONS for more info.";var e=new WebAssembly.RuntimeError(what);readyPromiseReject(e);throw e}var dataURIPrefix="data:application/octet-stream;base64,";function isDataURI(filename){return filename.startsWith(dataURIPrefix)}function isFileURI(filename){return filename.startsWith("file://")}var wasmBinaryFile;wasmBinaryFile="ddv-imageio.wasm";if(!isDataURI(wasmBinaryFile)){wasmBinaryFile=locateFile(wasmBinaryFile)}function getBinary(file){try{if(file==wasmBinaryFile&&wasmBinary){return new Uint8Array(wasmBinary)}if(readBinary){return readBinary(file)}throw"both async and sync fetching of the wasm failed"}catch(err){abort(err)}}function getBinaryPromise(binaryFile){if(!wasmBinary&&(ENVIRONMENT_IS_WEB||ENVIRONMENT_IS_WORKER)){if(typeof fetch=="function"&&!isFileURI(binaryFile)){return fetch(binaryFile,{credentials:"same-origin"}).then(function(response){if(!response["ok"]){throw"failed to load wasm binary file at '"+binaryFile+"'"}return response["arrayBuffer"]()}).catch(function(){return getBinary(binaryFile)})}else{if(readAsync){return new Promise(function(resolve,reject){readAsync(binaryFile,function(response){resolve(new Uint8Array(response))},reject)})}}}return Promise.resolve().then(function(){return getBinary(binaryFile)})}function instantiateArrayBuffer(binaryFile,imports,receiver){return getBinaryPromise(binaryFile).then(function(binary){return WebAssembly.instantiate(binary,imports)}).then(function(instance){return instance}).then(receiver,function(reason){err("failed to asynchronously prepare wasm: "+reason);abort(reason)})}function instantiateAsync(binary,binaryFile,imports,callback){if(!binary&&typeof WebAssembly.instantiateStreaming=="function"&&!isDataURI(binaryFile)&&!isFileURI(binaryFile)&&!ENVIRONMENT_IS_NODE&&typeof fetch=="function"){return fetch(binaryFile,{credentials:"same-origin"}).then(function(response){var result=WebAssembly.instantiateStreaming(response,imports);return result.then(callback,function(reason){err("wasm streaming compile failed: "+reason);err("falling back to ArrayBuffer instantiation");return instantiateArrayBuffer(binaryFile,imports,callback)})})}else{return instantiateArrayBuffer(binaryFile,imports,callback)}}function createWasm(){var info={"env":wasmImports,"wasi_snapshot_preview1":wasmImports,"GOT.mem":new Proxy(wasmImports,GOTHandler),"GOT.func":new Proxy(wasmImports,GOTHandler)};function receiveInstance(instance,module){var exports=instance.exports;exports=relocateExports(exports,1024);var metadata=getDylinkMetadata(module);mergeLibSymbols(exports,"main");Module["asm"]=exports;addOnInit(Module["asm"]["__wasm_call_ctors"]);__RELOC_FUNCS__.push(Module["asm"]["__wasm_apply_data_relocs"]);removeRunDependency("wasm-instantiate");return exports}addRunDependency("wasm-instantiate");function receiveInstantiationResult(result){receiveInstance(result["instance"],result["module"])}if(Module["instantiateWasm"]){try{return Module["instantiateWasm"](info,receiveInstance)}catch(e){err("Module.instantiateWasm callback failed with error: "+e);readyPromiseReject(e)}}instantiateAsync(wasmBinary,wasmBinaryFile,info,receiveInstantiationResult).catch(readyPromiseReject);return{}}var tempDouble;var tempI64;var ASM_CONSTS={};function ExitStatus(status){this.name="ExitStatus";this.message="Program terminated with exit("+status+")";this.status=status}Module["ExitStatus"]=ExitStatus;var GOT={};Module["GOT"]=GOT;var currentModuleWeakSymbols=new Set([]);Module["currentModuleWeakSymbols"]=currentModuleWeakSymbols;var GOTHandler={get:function(obj,symName){var rtn=GOT[symName];if(!rtn){rtn=GOT[symName]=new WebAssembly.Global({"value":"i32","mutable":true})}if(!currentModuleWeakSymbols.has(symName)){rtn.required=true}return rtn}};Module["GOTHandler"]=GOTHandler;function callRuntimeCallbacks(callbacks){while(callbacks.length>0){callbacks.shift()(Module)}}Module["callRuntimeCallbacks"]=callRuntimeCallbacks;function getDylinkMetadata(binary){var offset=0;var end=0;function getU8(){return binary[offset++]}function getLEB(){var ret=0;var mul=1;while(1){var byte=binary[offset++];ret+=(byte&127)*mul;mul*=128;if(!(byte&128))break}return ret}function getString(){var len=getLEB();offset+=len;return UTF8ArrayToString(binary,offset-len,len)}function failIf(condition,message){if(condition)throw new Error(message)}var name="dylink.0";if(binary instanceof WebAssembly.Module){var dylinkSection=WebAssembly.Module.customSections(binary,name);if(dylinkSection.length===0){name="dylink";dylinkSection=WebAssembly.Module.customSections(binary,name)}failIf(dylinkSection.length===0,"need dylink section");binary=new Uint8Array(dylinkSection[0]);end=binary.length}else{var int32View=new Uint32Array(new Uint8Array(binary.subarray(0,24)).buffer);var magicNumberFound=int32View[0]==1836278016;failIf(!magicNumberFound,"need to see wasm magic number");failIf(binary[8]!==0,"need the dylink section to be first");offset=9;var section_size=getLEB();end=offset+section_size;name=getString()}var customSection={neededDynlibs:[],tlsExports:new Set,weakImports:new Set};if(name=="dylink"){customSection.memorySize=getLEB();customSection.memoryAlign=getLEB();customSection.tableSize=getLEB();customSection.tableAlign=getLEB();var neededDynlibsCount=getLEB();for(var i=0;i<neededDynlibsCount;++i){var libname=getString();customSection.neededDynlibs.push(libname)}}else{failIf(name!=="dylink.0");var WASM_DYLINK_MEM_INFO=1;var WASM_DYLINK_NEEDED=2;var WASM_DYLINK_EXPORT_INFO=3;var WASM_DYLINK_IMPORT_INFO=4;var WASM_SYMBOL_TLS=256;var WASM_SYMBOL_BINDING_MASK=3;var WASM_SYMBOL_BINDING_WEAK=1;while(offset<end){var subsectionType=getU8();var subsectionSize=getLEB();if(subsectionType===WASM_DYLINK_MEM_INFO){customSection.memorySize=getLEB();customSection.memoryAlign=getLEB();customSection.tableSize=getLEB();customSection.tableAlign=getLEB()}else if(subsectionType===WASM_DYLINK_NEEDED){var neededDynlibsCount=getLEB();for(var i=0;i<neededDynlibsCount;++i){libname=getString();customSection.neededDynlibs.push(libname)}}else if(subsectionType===WASM_DYLINK_EXPORT_INFO){var count=getLEB();while(count--){var symname=getString();var flags=getLEB();if(flags&WASM_SYMBOL_TLS){customSection.tlsExports.add(symname)}}}else if(subsectionType===WASM_DYLINK_IMPORT_INFO){var count=getLEB();while(count--){var modname=getString();var symname=getString();var flags=getLEB();if((flags&WASM_SYMBOL_BINDING_MASK)==WASM_SYMBOL_BINDING_WEAK){customSection.weakImports.add(symname)}}}else{offset+=subsectionSize}}}return customSection}Module["getDylinkMetadata"]=getDylinkMetadata;function getValue(ptr,type="i8"){if(type.endsWith("*"))type="*";switch(type){case"i1":return HEAP8[ptr>>0];case"i8":return HEAP8[ptr>>0];case"i16":return HEAP16[ptr>>1];case"i32":return HEAP32[ptr>>2];case"i64":return HEAP32[ptr>>2];case"float":return HEAPF32[ptr>>2];case"double":return HEAPF64[ptr>>3];case"*":return HEAPU32[ptr>>2];default:abort("invalid type for getValue: "+type)}}Module["getValue"]=getValue;function newDSO(name,handle,syms){var dso={refcount:Infinity,name:name,exports:syms,global:true};LDSO.loadedLibsByName[name]=dso;if(handle!=undefined){LDSO.loadedLibsByHandle[handle]=dso}return dso}Module["newDSO"]=newDSO;var LDSO={loadedLibsByName:{},loadedLibsByHandle:{},init:()=>newDSO("__main__",0,wasmImports)};Module["LDSO"]=LDSO;var ___heap_base=337824;Module["___heap_base"]=___heap_base;function zeroMemory(address,size){HEAPU8.fill(0,address,address+size);return address}Module["zeroMemory"]=zeroMemory;function getMemory(size){if(runtimeInitialized){return zeroMemory(_malloc(size),size)}var ret=___heap_base;var end=ret+size+15&-16;___heap_base=end;GOT["__heap_base"].value=end;return ret}Module["getMemory"]=getMemory;function isInternalSym(symName){return["__cpp_exception","__c_longjmp","__wasm_apply_data_relocs","__dso_handle","__tls_size","__tls_align","__set_stack_limits","_emscripten_tls_init","__wasm_init_tls","__wasm_call_ctors","__start_em_asm","__stop_em_asm"].includes(symName)}Module["isInternalSym"]=isInternalSym;function uleb128Encode(n,target){if(n<128){target.push(n)}else{target.push(n%128|128,n>>7)}}Module["uleb128Encode"]=uleb128Encode;function sigToWasmTypes(sig){var typeNames={"i":"i32","j":"i32","f":"f32","d":"f64","p":"i32"};var type={parameters:[],results:sig[0]=="v"?[]:[typeNames[sig[0]]]};for(var i=1;i<sig.length;++i){type.parameters.push(typeNames[sig[i]]);if(sig[i]==="j"){type.parameters.push("i32")}}return type}Module["sigToWasmTypes"]=sigToWasmTypes;function generateFuncType(sig,target){var sigRet=sig.slice(0,1);var sigParam=sig.slice(1);var typeCodes={"i":127,"p":127,"j":126,"f":125,"d":124};target.push(96);uleb128Encode(sigParam.length,target);for(var i=0;i<sigParam.length;++i){target.push(typeCodes[sigParam[i]])}if(sigRet=="v"){target.push(0)}else{target.push(1,typeCodes[sigRet])}}Module["generateFuncType"]=generateFuncType;function convertJsFunctionToWasm(func,sig){if(typeof WebAssembly.Function=="function"){return new WebAssembly.Function(sigToWasmTypes(sig),func)}var typeSectionBody=[1];generateFuncType(sig,typeSectionBody);var bytes=[0,97,115,109,1,0,0,0,1];uleb128Encode(typeSectionBody.length,bytes);bytes.push.apply(bytes,typeSectionBody);bytes.push(2,7,1,1,101,1,102,0,0,7,5,1,1,102,0,0);var module=new WebAssembly.Module(new Uint8Array(bytes));var instance=new WebAssembly.Instance(module,{"e":{"f":func}});var wrappedFunc=instance.exports["f"];return wrappedFunc}Module["convertJsFunctionToWasm"]=convertJsFunctionToWasm;var wasmTableMirror=[];Module["wasmTableMirror"]=wasmTableMirror;function getWasmTableEntry(funcPtr){var func=wasmTableMirror[funcPtr];if(!func){if(funcPtr>=wasmTableMirror.length)wasmTableMirror.length=funcPtr+1;wasmTableMirror[funcPtr]=func=wasmTable.get(funcPtr)}return func}Module["getWasmTableEntry"]=getWasmTableEntry;function updateTableMap(offset,count){if(functionsInTableMap){for(var i=offset;i<offset+count;i++){var item=getWasmTableEntry(i);if(item){functionsInTableMap.set(item,i)}}}}Module["updateTableMap"]=updateTableMap;var functionsInTableMap=undefined;Module["functionsInTableMap"]=functionsInTableMap;function getFunctionAddress(func){if(!functionsInTableMap){functionsInTableMap=new WeakMap;updateTableMap(0,wasmTable.length)}return functionsInTableMap.get(func)||0}Module["getFunctionAddress"]=getFunctionAddress;var freeTableIndexes=[];Module["freeTableIndexes"]=freeTableIndexes;function getEmptyTableSlot(){if(freeTableIndexes.length){return freeTableIndexes.pop()}try{wasmTable.grow(1)}catch(err){if(!(err instanceof RangeError)){throw err}throw"Unable to grow wasm table. Set ALLOW_TABLE_GROWTH."}return wasmTable.length-1}Module["getEmptyTableSlot"]=getEmptyTableSlot;function setWasmTableEntry(idx,func){wasmTable.set(idx,func);wasmTableMirror[idx]=wasmTable.get(idx)}Module["setWasmTableEntry"]=setWasmTableEntry;function addFunction(func,sig){var rtn=getFunctionAddress(func);if(rtn){return rtn}var ret=getEmptyTableSlot();try{setWasmTableEntry(ret,func)}catch(err){if(!(err instanceof TypeError)){throw err}var wrapped=convertJsFunctionToWasm(func,sig);setWasmTableEntry(ret,wrapped)}functionsInTableMap.set(func,ret);return ret}Module["addFunction"]=addFunction;function updateGOT(exports,replace){for(var symName in exports){if(isInternalSym(symName)){continue}var value=exports[symName];if(symName.startsWith("orig$")){symName=symName.split("$")[1];replace=true}if(!GOT[symName]){GOT[symName]=new WebAssembly.Global({"value":"i32","mutable":true})}if(replace||GOT[symName].value==0){if(typeof value=="function"){GOT[symName].value=addFunction(value)}else if(typeof value=="number"){GOT[symName].value=value}else{err("unhandled export type for `"+symName+"`: "+typeof value)}}}}Module["updateGOT"]=updateGOT;function relocateExports(exports,memoryBase,replace){var relocated={};for(var e in exports){var value=exports[e];if(typeof value=="object"){value=value.value}if(typeof value=="number"){value+=memoryBase}relocated[e]=value}updateGOT(relocated,replace);return relocated}Module["relocateExports"]=relocateExports;function isSymbolDefined(symName){var existing=wasmImports[symName];if(!existing||existing.stub){return false}return true}Module["isSymbolDefined"]=isSymbolDefined;function resolveGlobalSymbol(symName,direct=false){var sym;if(direct&&"orig$"+symName in wasmImports){symName="orig$"+symName}if(isSymbolDefined(symName)){sym=wasmImports[symName]}else if(symName.startsWith("invoke_")){sym=wasmImports[symName]=createInvokeFunction(symName.split("_")[1])}return{sym:sym,name:symName}}Module["resolveGlobalSymbol"]=resolveGlobalSymbol;function alignMemory(size,alignment){return Math.ceil(size/alignment)*alignment}Module["alignMemory"]=alignMemory;function dynCallLegacy(sig,ptr,args){var f=Module["dynCall_"+sig];return args&&args.length?f.apply(null,[ptr].concat(args)):f.call(null,ptr)}Module["dynCallLegacy"]=dynCallLegacy;function dynCall(sig,ptr,args){if(sig.includes("j")){return dynCallLegacy(sig,ptr,args)}var rtn=getWasmTableEntry(ptr).apply(null,args);return rtn}Module["dynCall"]=dynCall;function createInvokeFunction(sig){return function(){var sp=stackSave();try{return dynCall(sig,arguments[0],Array.prototype.slice.call(arguments,1))}catch(e){stackRestore(sp);if(e!==e+0)throw e;_setThrew(1,0)}}}Module["createInvokeFunction"]=createInvokeFunction;function loadWebAssemblyModule(binary,flags,localScope,handle){var metadata=getDylinkMetadata(binary);currentModuleWeakSymbols=metadata.weakImports;function loadModule(){var firstLoad=!handle||!HEAP8[handle+8>>0];if(firstLoad){var memAlign=Math.pow(2,metadata.memoryAlign);memAlign=Math.max(memAlign,16);var memoryBase=metadata.memorySize?alignMemory(getMemory(metadata.memorySize+memAlign),memAlign):0;var tableBase=metadata.tableSize?wasmTable.length:0;if(handle){HEAP8[handle+8>>0]=1;HEAPU32[handle+12>>2]=memoryBase;HEAP32[handle+16>>2]=metadata.memorySize;HEAPU32[handle+20>>2]=tableBase;HEAP32[handle+24>>2]=metadata.tableSize}}else{memoryBase=HEAPU32[handle+12>>2];tableBase=HEAPU32[handle+20>>2]}var tableGrowthNeeded=tableBase+metadata.tableSize-wasmTable.length;if(tableGrowthNeeded>0){wasmTable.grow(tableGrowthNeeded)}var moduleExports;function resolveSymbol(sym){var resolved=resolveGlobalSymbol(sym).sym;if(!resolved&&localScope){resolved=localScope[sym]}if(!resolved){resolved=moduleExports[sym]}return resolved}var proxyHandler={"get":function(stubs,prop){switch(prop){case"__memory_base":return memoryBase;case"__table_base":return tableBase}if(prop in wasmImports&&!wasmImports[prop].stub){return wasmImports[prop]}if(!(prop in stubs)){var resolved;stubs[prop]=function(){if(!resolved)resolved=resolveSymbol(prop);return resolved.apply(null,arguments)}}return stubs[prop]}};var proxy=new Proxy({},proxyHandler);var info={"GOT.mem":new Proxy({},GOTHandler),"GOT.func":new Proxy({},GOTHandler),"env":proxy,wasi_snapshot_preview1:proxy};function postInstantiation(instance){updateTableMap(tableBase,metadata.tableSize);moduleExports=relocateExports(instance.exports,memoryBase);if(!flags.allowUndefined){reportUndefinedSymbols()}function addEmAsm(addr,body){var args=[];var arity=0;for(;arity<16;arity++){if(body.indexOf("$"+arity)!=-1){args.push("$"+arity)}else{break}}args=args.join(",");var func="("+args+" ) => { "+body+"};";ASM_CONSTS[start]=eval(func)}if("__start_em_asm"in moduleExports){var start=moduleExports["__start_em_asm"];var stop=moduleExports["__stop_em_asm"];while(start<stop){var jsString=UTF8ToString(start);addEmAsm(start,jsString);start=HEAPU8.indexOf(0,start)+1}}var applyRelocs=moduleExports["__wasm_apply_data_relocs"];if(applyRelocs){if(runtimeInitialized){applyRelocs()}else{__RELOC_FUNCS__.push(applyRelocs)}}var init=moduleExports["__wasm_call_ctors"];if(init){if(runtimeInitialized){init()}else{__ATINIT__.push(init)}}return moduleExports}if (flags.loadAsync) {if (flags.wasmModule && flags.wasmModule instanceof WebAssembly.Module) {if (flags.log) flags.log("instantiate with wasm module.");var instance = new WebAssembly.Instance(flags.wasmModule, info);return Promise.resolve(postInstantiation(instance))} else {return WebAssembly.instantiate(binary, info).then(function (result) {flags.wasmModule = result.module;return postInstantiation(result.instance)})}}var module=binary instanceof WebAssembly.Module?binary:new WebAssembly.Module(binary);var instance=new WebAssembly.Instance(module,info);return postInstantiation(instance)}if(flags.loadAsync){return metadata.neededDynlibs.reduce(function(chain,dynNeeded){return chain.then(function(){return loadDynamicLibrary(dynNeeded,flags)})},Promise.resolve()).then(function(){return loadModule()})}metadata.neededDynlibs.forEach(function(dynNeeded){loadDynamicLibrary(dynNeeded,flags,localScope)});return loadModule()}Module["loadWebAssemblyModule"]=loadWebAssemblyModule;function mergeLibSymbols(exports,libName){for(var sym in exports){if(!exports.hasOwnProperty(sym)){continue}const setImport=target=>{if(!isSymbolDefined(target)){wasmImports[target]=exports[sym]}};setImport(sym);const main_alias="__main_argc_argv";if(sym=="main"){setImport(main_alias)}if(sym==main_alias){setImport("main")}if(sym.startsWith("dynCall_")&&!Module.hasOwnProperty(sym)){Module[sym]=exports[sym]}}}Module["mergeLibSymbols"]=mergeLibSymbols;function loadDynamicLibrary(libName,flags={global:true,nodelete:true},localScope,handle){var dso=LDSO.loadedLibsByName[libName];if(dso){if(flags.global&&!dso.global){dso.global=true;if(dso.exports!=="loading"){mergeLibSymbols(dso.exports,libName)}}if(flags.nodelete&&dso.refcount!==Infinity){dso.refcount=Infinity}dso.refcount++;if(handle){LDSO.loadedLibsByHandle[handle]=dso}return flags.loadAsync?Promise.resolve(true):true}dso=newDSO(libName,handle,"loading");dso.refcount=flags.nodelete?Infinity:1;dso.global=flags.global;function loadLibData(){if(flags.fs&&flags.fs.findObject(libName)){var libData=flags.fs.readFile(libName,{encoding:"binary"});if(!(libData instanceof Uint8Array)){libData=new Uint8Array(libData)}return flags.loadAsync?Promise.resolve(libData):libData}var libFile=locateFile(libName);if(flags.loadAsync){return new Promise(function(resolve,reject){readAsync(libFile,data=>resolve(new Uint8Array(data)),reject)})}if(!readBinary){throw new Error(libFile+": file not found, and synchronous loading of external files is not available")}return readBinary(libFile)}function getExports(){if(typeof preloadedWasm!="undefined"&&preloadedWasm[libName]){var libModule=preloadedWasm[libName];return flags.loadAsync?Promise.resolve(libModule):libModule}if(flags.loadAsync){return loadLibData().then(libData=>loadWebAssemblyModule(libData,flags,localScope,handle))}return loadWebAssemblyModule(loadLibData(),flags,localScope,handle)}function moduleLoaded(exports){if(dso.global){mergeLibSymbols(exports,libName)}else if(localScope){Object.assign(localScope,exports)}dso.exports=exports}if(flags.loadAsync){return getExports().then(exports=>{moduleLoaded(exports);return true})}moduleLoaded(getExports());return true}Module["loadDynamicLibrary"]=loadDynamicLibrary;function reportUndefinedSymbols(){for(var symName in GOT){if(GOT[symName].value==0){var value=resolveGlobalSymbol(symName,true).sym;if(!value&&!GOT[symName].required){continue}if(typeof value=="function"){GOT[symName].value=addFunction(value,value.sig)}else if(typeof value=="number"){GOT[symName].value=value}else{throw new Error("bad export type for `"+symName+"`: "+typeof value)}}}}Module["reportUndefinedSymbols"]=reportUndefinedSymbols;function loadDylibs(){if(!dynamicLibraries.length){reportUndefinedSymbols();return}addRunDependency("loadDylibs");dynamicLibraries.reduce(function(chain,lib){return chain.then(function(){return loadDynamicLibrary(lib,{loadAsync:true,global:true,nodelete:true,allowUndefined:true})})},Promise.resolve()).then(function(){reportUndefinedSymbols();removeRunDependency("loadDylibs")})}Module["loadDylibs"]=loadDylibs;function setValue(ptr,value,type="i8"){if(type.endsWith("*"))type="*";switch(type){case"i1":HEAP8[ptr>>0]=value;break;case"i8":HEAP8[ptr>>0]=value;break;case"i16":HEAP16[ptr>>1]=value;break;case"i32":HEAP32[ptr>>2]=value;break;case"i64":tempI64=[value>>>0,(tempDouble=value,+Math.abs(tempDouble)>=1?tempDouble>0?(Math.min(+Math.floor(tempDouble/4294967296),4294967295)|0)>>>0:~~+Math.ceil((tempDouble-+(~~tempDouble>>>0))/4294967296)>>>0:0)],HEAP32[ptr>>2]=tempI64[0],HEAP32[ptr+4>>2]=tempI64[1];break;case"float":HEAPF32[ptr>>2]=value;break;case"double":HEAPF64[ptr>>3]=value;break;case"*":HEAPU32[ptr>>2]=value;break;default:abort("invalid type for setValue: "+type)}}Module["setValue"]=setValue;function _AES_cbc_encrypt(){return wasmImports["AES_cbc_encrypt"].apply(null,arguments)}_AES_cbc_encrypt.stub=true;function _AES_decrypt(){return wasmImports["AES_decrypt"].apply(null,arguments)}_AES_decrypt.stub=true;function _AES_encrypt(){return wasmImports["AES_encrypt"].apply(null,arguments)}_AES_encrypt.stub=true;function _ASN1_ANY_it(){return wasmImports["ASN1_ANY_it"].apply(null,arguments)}_ASN1_ANY_it.stub=true;function _ASN1_OCTET_STRING_it(){return wasmImports["ASN1_OCTET_STRING_it"].apply(null,arguments)}_ASN1_OCTET_STRING_it.stub=true;function _CAST_S_table0(){return wasmImports["CAST_S_table0"].apply(null,arguments)}_CAST_S_table0.stub=true;function _CAST_S_table1(){return wasmImports["CAST_S_table1"].apply(null,arguments)}_CAST_S_table1.stub=true;function _CAST_S_table2(){return wasmImports["CAST_S_table2"].apply(null,arguments)}_CAST_S_table2.stub=true;function _CAST_S_table3(){return wasmImports["CAST_S_table3"].apply(null,arguments)}_CAST_S_table3.stub=true;function _CAST_S_table4(){return wasmImports["CAST_S_table4"].apply(null,arguments)}_CAST_S_table4.stub=true;function _CAST_S_table5(){return wasmImports["CAST_S_table5"].apply(null,arguments)}_CAST_S_table5.stub=true;function _CAST_S_table6(){return wasmImports["CAST_S_table6"].apply(null,arguments)}_CAST_S_table6.stub=true;function _CAST_S_table7(){return wasmImports["CAST_S_table7"].apply(null,arguments)}_CAST_S_table7.stub=true;function _CRYPTO_free(){return wasmImports["CRYPTO_free"].apply(null,arguments)}_CRYPTO_free.stub=true;function _CRYPTO_malloc(){return wasmImports["CRYPTO_malloc"].apply(null,arguments)}_CRYPTO_malloc.stub=true;function _CRYPTO_realloc(){return wasmImports["CRYPTO_realloc"].apply(null,arguments)}_CRYPTO_realloc.stub=true;function _Camellia_cbc_encrypt(){return wasmImports["Camellia_cbc_encrypt"].apply(null,arguments)}_Camellia_cbc_encrypt.stub=true;function _Camellia_decrypt(){return wasmImports["Camellia_decrypt"].apply(null,arguments)}_Camellia_decrypt.stub=true;function _Camellia_encrypt(){return wasmImports["Camellia_encrypt"].apply(null,arguments)}_Camellia_encrypt.stub=true;function _DES_SPtrans(){return wasmImports["DES_SPtrans"].apply(null,arguments)}_DES_SPtrans.stub=true;function _DIBChangeBitDepth(){return wasmImports["DIBChangeBitDepth"].apply(null,arguments)}_DIBChangeBitDepth.stub=true;function _DIB_32To24(){return wasmImports["DIB_32To24"].apply(null,arguments)}_DIB_32To24.stub=true;function _DIBtoRGBA(){return wasmImports["DIBtoRGBA"].apply(null,arguments)}_DIBtoRGBA.stub=true;function _DestroyDynamImageProc(){return wasmImports["DestroyDynamImageProc"].apply(null,arguments)}_DestroyDynamImageProc.stub=true;function _DestroyPdfReader(){return wasmImports["DestroyPdfReader"].apply(null,arguments)}_DestroyPdfReader.stub=true;function _DynamImageProcAutoBrightnessAndContrast(){return wasmImports["DynamImageProcAutoBrightnessAndContrast"].apply(null,arguments)}_DynamImageProcAutoBrightnessAndContrast.stub=true;function _DynamImageProcBackToOriginal(){return wasmImports["DynamImageProcBackToOriginal"].apply(null,arguments)}_DynamImageProcBackToOriginal.stub=true;function _DynamImageProcChangeBrightnessAndContrast(){return wasmImports["DynamImageProcChangeBrightnessAndContrast"].apply(null,arguments)}_DynamImageProcChangeBrightnessAndContrast.stub=true;function _DynamImageProcColorFilter(){return wasmImports["DynamImageProcColorFilter"].apply(null,arguments)}_DynamImageProcColorFilter.stub=true;function _DynamImageProcConvert(){return wasmImports["DynamImageProcConvert"].apply(null,arguments)}_DynamImageProcConvert.stub=true;function _DynamImageProcConvertToBW(){return wasmImports["DynamImageProcConvertToBW"].apply(null,arguments)}_DynamImageProcConvertToBW.stub=true;function _DynamImageProcConvertToGrayScale(){return wasmImports["DynamImageProcConvertToGrayScale"].apply(null,arguments)}_DynamImageProcConvertToGrayScale.stub=true;function _DynamImageProcCrop(){return wasmImports["DynamImageProcCrop"].apply(null,arguments)}_DynamImageProcCrop.stub=true;function _DynamImageProcDocumentDetect(){return wasmImports["DynamImageProcDocumentDetect"].apply(null,arguments)}_DynamImageProcDocumentDetect.stub=true;function _DynamImageProcDrawQuadrangle(){return wasmImports["DynamImageProcDrawQuadrangle"].apply(null,arguments)}_DynamImageProcDrawQuadrangle.stub=true;function _DynamImageProcEqualize(){return wasmImports["DynamImageProcEqualize"].apply(null,arguments)}_DynamImageProcEqualize.stub=true;function _DynamImageProcErase(){return wasmImports["DynamImageProcErase"].apply(null,arguments)}_DynamImageProcErase.stub=true;function _DynamImageProcGetBlurryScore(){return wasmImports["DynamImageProcGetBlurryScore"].apply(null,arguments)}_DynamImageProcGetBlurryScore.stub=true;function _DynamImageProcGetBrightnessScore(){return wasmImports["DynamImageProcGetBrightnessScore"].apply(null,arguments)}_DynamImageProcGetBrightnessScore.stub=true;function _DynamImageProcGetDataPointer(){return wasmImports["DynamImageProcGetDataPointer"].apply(null,arguments)}_DynamImageProcGetDataPointer.stub=true;function _DynamImageProcGetErrorString(){return wasmImports["DynamImageProcGetErrorString"].apply(null,arguments)}_DynamImageProcGetErrorString.stub=true;function _DynamImageProcGetHeight(){return wasmImports["DynamImageProcGetHeight"].apply(null,arguments)}_DynamImageProcGetHeight.stub=true;function _DynamImageProcGetSkewAngle(){return wasmImports["DynamImageProcGetSkewAngle"].apply(null,arguments)}_DynamImageProcGetSkewAngle.stub=true;function _DynamImageProcGetWidth(){return wasmImports["DynamImageProcGetWidth"].apply(null,arguments)}_DynamImageProcGetWidth.stub=true;function _DynamImageProcInvert(){return wasmImports["DynamImageProcInvert"].apply(null,arguments)}_DynamImageProcInvert.stub=true;function _DynamImageProcNormalize(){return wasmImports["DynamImageProcNormalize"].apply(null,arguments)}_DynamImageProcNormalize.stub=true;function _DynamImageProcPerspective(){return wasmImports["DynamImageProcPerspective"].apply(null,arguments)}_DynamImageProcPerspective.stub=true;function _DynamImageProcResize(){return wasmImports["DynamImageProcResize"].apply(null,arguments)}_DynamImageProcResize.stub=true;function _DynamImageProcRotateEX(){return wasmImports["DynamImageProcRotateEX"].apply(null,arguments)}_DynamImageProcRotateEX.stub=true;function _DynamImageProcRotateFlipType(){return wasmImports["DynamImageProcRotateFlipType"].apply(null,arguments)}_DynamImageProcRotateFlipType.stub=true;function _DynamImageProcSave(){return wasmImports["DynamImageProcSave"].apply(null,arguments)}_DynamImageProcSave.stub=true;function _DynamImageProcSetDPI(){return wasmImports["DynamImageProcSetDPI"].apply(null,arguments)}_DynamImageProcSetDPI.stub=true;function _DynamImageProcSetDebugMode(){return wasmImports["DynamImageProcSetDebugMode"].apply(null,arguments)}_DynamImageProcSetDebugMode.stub=true;function _DynamImageProcSetImageHeight(){return wasmImports["DynamImageProcSetImageHeight"].apply(null,arguments)}_DynamImageProcSetImageHeight.stub=true;function _DynamImageProcSetImageWidth(){return wasmImports["DynamImageProcSetImageWidth"].apply(null,arguments)}_DynamImageProcSetImageWidth.stub=true;function _DynamImageProcShadowRemovel(){return wasmImports["DynamImageProcShadowRemovel"].apply(null,arguments)}_DynamImageProcShadowRemovel.stub=true;function _EVP_CIPHER_get_asn1_iv(){return wasmImports["EVP_CIPHER_get_asn1_iv"].apply(null,arguments)}_EVP_CIPHER_get_asn1_iv.stub=true;function _EVP_CIPHER_set_asn1_iv(){return wasmImports["EVP_CIPHER_set_asn1_iv"].apply(null,arguments)}_EVP_CIPHER_set_asn1_iv.stub=true;function _EVP_PKEY_meth_free(){return wasmImports["EVP_PKEY_meth_free"].apply(null,arguments)}_EVP_PKEY_meth_free.stub=true;function _GetDIBMetaData(){return wasmImports["GetDIBMetaData"].apply(null,arguments)}_GetDIBMetaData.stub=true;function _GetDynamImageProcWasmVersion(){return wasmImports["GetDynamImageProcWasmVersion"].apply(null,arguments)}_GetDynamImageProcWasmVersion.stub=true;function _GetDynamicImageCoreWasmVersion(){return wasmImports["GetDynamicImageCoreWasmVersion"].apply(null,arguments)}_GetDynamicImageCoreWasmVersion.stub=true;function _GetImageMetaData(){return wasmImports["GetImageMetaData"].apply(null,arguments)}_GetImageMetaData.stub=true;function _GetJPEGExifData(){return wasmImports["GetJPEGExifData"].apply(null,arguments)}_GetJPEGExifData.stub=true;function _GetJPEGMetaData(){return wasmImports["GetJPEGMetaData"].apply(null,arguments)}_GetJPEGMetaData.stub=true;function _INT32_it(){return wasmImports["INT32_it"].apply(null,arguments)}_INT32_it.stub=true;function _IfJPEGHaveExifInfo(){return wasmImports["IfJPEGHaveExifInfo"].apply(null,arguments)}_IfJPEGHaveExifInfo.stub=true;function _InitDynamImageProc(){return wasmImports["InitDynamImageProc"].apply(null,arguments)}_InitDynamImageProc.stub=true;function _InitPdfReader(){return wasmImports["InitPdfReader"].apply(null,arguments)}_InitPdfReader.stub=true;function _OPENSSL_LH_strhash(){return wasmImports["OPENSSL_LH_strhash"].apply(null,arguments)}_OPENSSL_LH_strhash.stub=true;function _OPENSSL_cleanup(){return wasmImports["OPENSSL_cleanup"].apply(null,arguments)}_OPENSSL_cleanup.stub=true;function _PdfReaderCreateDocument(){return wasmImports["PdfReaderCreateDocument"].apply(null,arguments)}_PdfReaderCreateDocument.stub=true;function _PdfReaderGetAttachmentCount(){return wasmImports["PdfReaderGetAttachmentCount"].apply(null,arguments)}_PdfReaderGetAttachmentCount.stub=true;function _PdfReaderGetFontInfo(){return wasmImports["PdfReaderGetFontInfo"].apply(null,arguments)}_PdfReaderGetFontInfo.stub=true;function _PdfReaderGetPageAnnot(){return wasmImports["PdfReaderGetPageAnnot"].apply(null,arguments)}_PdfReaderGetPageAnnot.stub=true;function _PdfReaderGetPageAnnotCount(){return wasmImports["PdfReaderGetPageAnnotCount"].apply(null,arguments)}_PdfReaderGetPageAnnotCount.stub=true;function _PdfReaderGetPageCharInfos(){return wasmImports["PdfReaderGetPageCharInfos"].apply(null,arguments)}_PdfReaderGetPageCharInfos.stub=true;function _PdfReaderGetPageContentType(){return wasmImports["PdfReaderGetPageContentType"].apply(null,arguments)}_PdfReaderGetPageContentType.stub=true;function _PdfReaderGetPageCount(){return wasmImports["PdfReaderGetPageCount"].apply(null,arguments)}_PdfReaderGetPageCount.stub=true;function _PdfReaderGetPageInfo(){return wasmImports["PdfReaderGetPageInfo"].apply(null,arguments)}_PdfReaderGetPageInfo.stub=true;function _PdfReaderGetPageRotation(){return wasmImports["PdfReaderGetPageRotation"].apply(null,arguments)}_PdfReaderGetPageRotation.stub=true;function _PdfReaderGetPagesRenderImageInfo(){return wasmImports["PdfReaderGetPagesRenderImageInfo"].apply(null,arguments)}_PdfReaderGetPagesRenderImageInfo.stub=true;function _PdfReaderGetPdfInfo(){return wasmImports["PdfReaderGetPdfInfo"].apply(null,arguments)}_PdfReaderGetPdfInfo.stub=true;function _PdfReaderGetPdfVersion(){return wasmImports["PdfReaderGetPdfVersion"].apply(null,arguments)}_PdfReaderGetPdfVersion.stub=true;function _PdfReaderGetPermission(){return wasmImports["PdfReaderGetPermission"].apply(null,arguments)}_PdfReaderGetPermission.stub=true;function _PdfReaderIfFontsExist(){return wasmImports["PdfReaderIfFontsExist"].apply(null,arguments)}_PdfReaderIfFontsExist.stub=true;function _PdfReaderInsertBlankPdfPage(){return wasmImports["PdfReaderInsertBlankPdfPage"].apply(null,arguments)}_PdfReaderInsertBlankPdfPage.stub=true;function _PdfReaderLoadFont(){return wasmImports["PdfReaderLoadFont"].apply(null,arguments)}_PdfReaderLoadFont.stub=true;function _PdfReaderLoadFontFiles(){return wasmImports["PdfReaderLoadFontFiles"].apply(null,arguments)}_PdfReaderLoadFontFiles.stub=true;function _PdfReaderLoadPdfDocument(){return wasmImports["PdfReaderLoadPdfDocument"].apply(null,arguments)}_PdfReaderLoadPdfDocument.stub=true;function _PdfReaderMergePdfPage(){return wasmImports["PdfReaderMergePdfPage"].apply(null,arguments)}_PdfReaderMergePdfPage.stub=true;function _PdfReaderPageAddAnnot(){return wasmImports["PdfReaderPageAddAnnot"].apply(null,arguments)}_PdfReaderPageAddAnnot.stub=true;function _PdfReaderPageAddImage(){return wasmImports["PdfReaderPageAddImage"].apply(null,arguments)}_PdfReaderPageAddImage.stub=true;function _PdfReaderPageAddPath(){return wasmImports["PdfReaderPageAddPath"].apply(null,arguments)}_PdfReaderPageAddPath.stub=true;function _PdfReaderPageAddText(){return wasmImports["PdfReaderPageAddText"].apply(null,arguments)}_PdfReaderPageAddText.stub=true;function _PdfReaderPageClearObjects(){return wasmImports["PdfReaderPageClearObjects"].apply(null,arguments)}_PdfReaderPageClearObjects.stub=true;function _PdfReaderPageDeleteAnnot(){return wasmImports["PdfReaderPageDeleteAnnot"].apply(null,arguments)}_PdfReaderPageDeleteAnnot.stub=true;function _PdfReaderPageDeleteAnnotByNames(){return wasmImports["PdfReaderPageDeleteAnnotByNames"].apply(null,arguments)}_PdfReaderPageDeleteAnnotByNames.stub=true;function _PdfReaderPageDeleteAnnotByTypes(){return wasmImports["PdfReaderPageDeleteAnnotByTypes"].apply(null,arguments)}_PdfReaderPageDeleteAnnotByTypes.stub=true;function _PdfReaderPageFlatten(){return wasmImports["PdfReaderPageFlatten"].apply(null,arguments)}_PdfReaderPageFlatten.stub=true;function _PdfReaderPageFlattenAnnot(){return wasmImports["PdfReaderPageFlattenAnnot"].apply(null,arguments)}_PdfReaderPageFlattenAnnot.stub=true;function _PdfReaderPageGetCropBox(){return wasmImports["PdfReaderPageGetCropBox"].apply(null,arguments)}_PdfReaderPageGetCropBox.stub=true;function _PdfReaderPageGetMediaBox(){return wasmImports["PdfReaderPageGetMediaBox"].apply(null,arguments)}_PdfReaderPageGetMediaBox.stub=true;function _PdfReaderPageNeedRender(){return wasmImports["PdfReaderPageNeedRender"].apply(null,arguments)}_PdfReaderPageNeedRender.stub=true;function _PdfReaderPageSetAnnot(){return wasmImports["PdfReaderPageSetAnnot"].apply(null,arguments)}_PdfReaderPageSetAnnot.stub=true;function _PdfReaderPageSetCropBox(){return wasmImports["PdfReaderPageSetCropBox"].apply(null,arguments)}_PdfReaderPageSetCropBox.stub=true;function _PdfReaderPageSetMediaBox(){return wasmImports["PdfReaderPageSetMediaBox"].apply(null,arguments)}_PdfReaderPageSetMediaBox.stub=true;function _PdfReaderPageSetRotation(){return wasmImports["PdfReaderPageSetRotation"].apply(null,arguments)}_PdfReaderPageSetRotation.stub=true;function _PdfReaderReadPdfPageImageInfo(){return wasmImports["PdfReaderReadPdfPageImageInfo"].apply(null,arguments)}_PdfReaderReadPdfPageImageInfo.stub=true;function _PdfReaderReadPdfPageToImageEx(){return wasmImports["PdfReaderReadPdfPageToImageEx"].apply(null,arguments)}_PdfReaderReadPdfPageToImageEx.stub=true;function _PdfReaderSearchText(){return wasmImports["PdfReaderSearchText"].apply(null,arguments)}_PdfReaderSearchText.stub=true;function _PdfReaderSetPdfInfo(){return wasmImports["PdfReaderSetPdfInfo"].apply(null,arguments)}_PdfReaderSetPdfInfo.stub=true;function _PdfReaderSetRenderAnnotations(){return wasmImports["PdfReaderSetRenderAnnotations"].apply(null,arguments)}_PdfReaderSetRenderAnnotations.stub=true;function _PdfReaderSetRenderGrayscale(){return wasmImports["PdfReaderSetRenderGrayscale"].apply(null,arguments)}_PdfReaderSetRenderGrayscale.stub=true;function _PdfReaderSetRenderLimitImageSize(){return wasmImports["PdfReaderSetRenderLimitImageSize"].apply(null,arguments)}_PdfReaderSetRenderLimitImageSize.stub=true;function _PdfReaderUnloadDocument(){return wasmImports["PdfReaderUnloadDocument"].apply(null,arguments)}_PdfReaderUnloadDocument.stub=true;function _PdfReaderUnloadPdfPage(){return wasmImports["PdfReaderUnloadPdfPage"].apply(null,arguments)}_PdfReaderUnloadPdfPage.stub=true;function _PdfReaderWriteEncryptedPdf(){return wasmImports["PdfReaderWriteEncryptedPdf"].apply(null,arguments)}_PdfReaderWriteEncryptedPdf.stub=true;function _PdfReaderWritePdf(){return wasmImports["PdfReaderWritePdf"].apply(null,arguments)}_PdfReaderWritePdf.stub=true;function _RGBAtoDIB(){return wasmImports["RGBAtoDIB"].apply(null,arguments)}_RGBAtoDIB.stub=true;function _RotateJPEGByExif(){return wasmImports["RotateJPEGByExif"].apply(null,arguments)}_RotateJPEGByExif.stub=true;function _SEED_decrypt(){return wasmImports["SEED_decrypt"].apply(null,arguments)}_SEED_decrypt.stub=true;function _SEED_encrypt(){return wasmImports["SEED_encrypt"].apply(null,arguments)}_SEED_encrypt.stub=true;function _SM4_decrypt(){return wasmImports["SM4_decrypt"].apply(null,arguments)}_SM4_decrypt.stub=true;function _SM4_encrypt(){return wasmImports["SM4_encrypt"].apply(null,arguments)}_SM4_encrypt.stub=true;function _SaveDIBToJbig2(){return wasmImports["SaveDIBToJbig2"].apply(null,arguments)}_SaveDIBToJbig2.stub=true;function _SaveDIBToJpegEx(){return wasmImports["SaveDIBToJpegEx"].apply(null,arguments)}_SaveDIBToJpegEx.stub=true;function _SaveDIBtoJP2(){return wasmImports["SaveDIBtoJP2"].apply(null,arguments)}_SaveDIBtoJP2.stub=true;function _SaveDIBtoJPEG(){return wasmImports["SaveDIBtoJPEG"].apply(null,arguments)}_SaveDIBtoJPEG.stub=true;function _SaveDIBtoOnePageTiff(){return wasmImports["SaveDIBtoOnePageTiff"].apply(null,arguments)}_SaveDIBtoOnePageTiff.stub=true;function _SaveDIBtoPNG(){return wasmImports["SaveDIBtoPNG"].apply(null,arguments)}_SaveDIBtoPNG.stub=true;function _SaveRGBA_BGRAtoJPEG(){return wasmImports["SaveRGBA_BGRAtoJPEG"].apply(null,arguments)}_SaveRGBA_BGRAtoJPEG.stub=true;function _SaveRGBA_BGRAtoPNG(){return wasmImports["SaveRGBA_BGRAtoPNG"].apply(null,arguments)}_SaveRGBA_BGRAtoPNG.stub=true;function _TIFFFaxBlackCodes(){return wasmImports["TIFFFaxBlackCodes"].apply(null,arguments)}_TIFFFaxBlackCodes.stub=true;function _TIFFFaxBlackTable(){return wasmImports["TIFFFaxBlackTable"].apply(null,arguments)}_TIFFFaxBlackTable.stub=true;function _TIFFFaxMainTable(){return wasmImports["TIFFFaxMainTable"].apply(null,arguments)}_TIFFFaxMainTable.stub=true;function _TIFFFaxWhiteCodes(){return wasmImports["TIFFFaxWhiteCodes"].apply(null,arguments)}_TIFFFaxWhiteCodes.stub=true;function _TIFFFaxWhiteTable(){return wasmImports["TIFFFaxWhiteTable"].apply(null,arguments)}_TIFFFaxWhiteTable.stub=true;function _TIFFInitCCITTFax3(){return wasmImports["TIFFInitCCITTFax3"].apply(null,arguments)}_TIFFInitCCITTFax3.stub=true;function _TIFFInitCCITTFax4(){return wasmImports["TIFFInitCCITTFax4"].apply(null,arguments)}_TIFFInitCCITTFax4.stub=true;function _TIFFInitCCITTRLE(){return wasmImports["TIFFInitCCITTRLE"].apply(null,arguments)}_TIFFInitCCITTRLE.stub=true;function _TIFFInitCCITTRLEW(){return wasmImports["TIFFInitCCITTRLEW"].apply(null,arguments)}_TIFFInitCCITTRLEW.stub=true;function _TIFFInitDumpMode(){return wasmImports["TIFFInitDumpMode"].apply(null,arguments)}_TIFFInitDumpMode.stub=true;function _TIFFInitJPEG(){return wasmImports["TIFFInitJPEG"].apply(null,arguments)}_TIFFInitJPEG.stub=true;function _TIFFInitLZW(){return wasmImports["TIFFInitLZW"].apply(null,arguments)}_TIFFInitLZW.stub=true;function _TIFFInitNeXT(){return wasmImports["TIFFInitNeXT"].apply(null,arguments)}_TIFFInitNeXT.stub=true;function _TIFFInitOJPEG(){return wasmImports["TIFFInitOJPEG"].apply(null,arguments)}_TIFFInitOJPEG.stub=true;function _TIFFInitPackBits(){return wasmImports["TIFFInitPackBits"].apply(null,arguments)}_TIFFInitPackBits.stub=true;function _TIFFInitPixarLog(){return wasmImports["TIFFInitPixarLog"].apply(null,arguments)}_TIFFInitPixarLog.stub=true;function _TIFFInitSGILog(){return wasmImports["TIFFInitSGILog"].apply(null,arguments)}_TIFFInitSGILog.stub=true;function _TIFFInitThunderScan(){return wasmImports["TIFFInitThunderScan"].apply(null,arguments)}_TIFFInitThunderScan.stub=true;function _TIFFInitZIP(){return wasmImports["TIFFInitZIP"].apply(null,arguments)}_TIFFInitZIP.stub=true;function _X509V3_conf_free(){return wasmImports["X509V3_conf_free"].apply(null,arguments)}_X509V3_conf_free.stub=true;function __TIFFBuiltinCODECS(){return wasmImports["_TIFFBuiltinCODECS"].apply(null,arguments)}__TIFFBuiltinCODECS.stub=true;function __TIFFDefaultStripSize(){return wasmImports["_TIFFDefaultStripSize"].apply(null,arguments)}__TIFFDefaultStripSize.stub=true;function __TIFFDefaultTileSize(){return wasmImports["_TIFFDefaultTileSize"].apply(null,arguments)}__TIFFDefaultTileSize.stub=true;function __TIFFFax3fillruns(){return wasmImports["_TIFFFax3fillruns"].apply(null,arguments)}__TIFFFax3fillruns.stub=true;function __TIFFNoPostDecode(){return wasmImports["_TIFFNoPostDecode"].apply(null,arguments)}__TIFFNoPostDecode.stub=true;function __TIFFNoPreCode(){return wasmImports["_TIFFNoPreCode"].apply(null,arguments)}__TIFFNoPreCode.stub=true;function __TIFFNoRowDecode(){return wasmImports["_TIFFNoRowDecode"].apply(null,arguments)}__TIFFNoRowDecode.stub=true;function __TIFFNoRowEncode(){return wasmImports["_TIFFNoRowEncode"].apply(null,arguments)}__TIFFNoRowEncode.stub=true;function __TIFFNoSeek(){return wasmImports["_TIFFNoSeek"].apply(null,arguments)}__TIFFNoSeek.stub=true;function __TIFFNoStripDecode(){return wasmImports["_TIFFNoStripDecode"].apply(null,arguments)}__TIFFNoStripDecode.stub=true;function __TIFFNoStripEncode(){return wasmImports["_TIFFNoStripEncode"].apply(null,arguments)}__TIFFNoStripEncode.stub=true;function __TIFFNoTileDecode(){return wasmImports["_TIFFNoTileDecode"].apply(null,arguments)}__TIFFNoTileDecode.stub=true;function __TIFFNoTileEncode(){return wasmImports["_TIFFNoTileEncode"].apply(null,arguments)}__TIFFNoTileEncode.stub=true;function __TIFFSwab16BitData(){return wasmImports["_TIFFSwab16BitData"].apply(null,arguments)}__TIFFSwab16BitData.stub=true;function __TIFFSwab24BitData(){return wasmImports["_TIFFSwab24BitData"].apply(null,arguments)}__TIFFSwab24BitData.stub=true;function __TIFFSwab32BitData(){return wasmImports["_TIFFSwab32BitData"].apply(null,arguments)}__TIFFSwab32BitData.stub=true;function __TIFFSwab64BitData(){return wasmImports["_TIFFSwab64BitData"].apply(null,arguments)}__TIFFSwab64BitData.stub=true;function __TIFFerrorHandler(){return wasmImports["_TIFFerrorHandler"].apply(null,arguments)}__TIFFerrorHandler.stub=true;function __TIFFerrorHandlerExt(){return wasmImports["_TIFFerrorHandlerExt"].apply(null,arguments)}__TIFFerrorHandlerExt.stub=true;function __TIFFwarningHandler(){return wasmImports["_TIFFwarningHandler"].apply(null,arguments)}__TIFFwarningHandler.stub=true;function __TIFFwarningHandlerExt(){return wasmImports["_TIFFwarningHandlerExt"].apply(null,arguments)}__TIFFwarningHandlerExt.stub=true;function __ZN10CPDF_Array9AppendNewI9CPDF_NameJRA10_KcEEENSt3__29enable_ifIXsr16CanInternStringsIT_EE5valueEN5fxcrt9RetainPtrIS7_EEE4typeEDpOT0_(){return wasmImports["_ZN10CPDF_Array9AppendNewI9CPDF_NameJRA10_KcEEENSt3__29enable_ifIXsr16CanInternStringsIT_EE5valueEN5fxcrt9RetainPtrIS7_EEE4typeEDpOT0_"].apply(null,arguments)}__ZN10CPDF_Array9AppendNewI9CPDF_NameJRA10_KcEEENSt3__29enable_ifIXsr16CanInternStringsIT_EE5valueEN5fxcrt9RetainPtrIS7_EEE4typeEDpOT0_.stub=true;function __ZN10CPDF_Array9AppendNewI9CPDF_NameJRA11_KcEEENSt3__29enable_ifIXsr16CanInternStringsIT_EE5valueEN5fxcrt9RetainPtrIS7_EEE4typeEDpOT0_(){return wasmImports["_ZN10CPDF_Array9AppendNewI9CPDF_NameJRA11_KcEEENSt3__29enable_ifIXsr16CanInternStringsIT_EE5valueEN5fxcrt9RetainPtrIS7_EEE4typeEDpOT0_"].apply(null,arguments)}__ZN10CPDF_Array9AppendNewI9CPDF_NameJRA11_KcEEENSt3__29enable_ifIXsr16CanInternStringsIT_EE5valueEN5fxcrt9RetainPtrIS7_EEE4typeEDpOT0_.stub=true;function __ZN10CPDF_Array9AppendNewIS_JEEENSt3__29enable_ifIXsr16CanInternStringsIT_EE5valueEN5fxcrt9RetainPtrIS3_EEE4typeEDpOT0_(){return wasmImports["_ZN10CPDF_Array9AppendNewIS_JEEENSt3__29enable_ifIXsr16CanInternStringsIT_EE5valueEN5fxcrt9RetainPtrIS3_EEE4typeEDpOT0_"].apply(null,arguments)}__ZN10CPDF_Array9AppendNewIS_JEEENSt3__29enable_ifIXsr16CanInternStringsIT_EE5valueEN5fxcrt9RetainPtrIS3_EEE4typeEDpOT0_.stub=true;function __ZN11MyStringBufD0Ev(){return wasmImports["_ZN11MyStringBufD0Ev"].apply(null,arguments)}__ZN11MyStringBufD0Ev.stub=true;function __ZN15CPDF_Dictionary9SetNewForI10CPDF_ArrayJEEENSt3__29enable_ifIXsr16CanInternStringsIT_EE5valueEN5fxcrt9RetainPtrIS4_EEE4typeERKNS5_10ByteStringEDpOT0_(){return wasmImports["_ZN15CPDF_Dictionary9SetNewForI10CPDF_ArrayJEEENSt3__29enable_ifIXsr16CanInternStringsIT_EE5valueEN5fxcrt9RetainPtrIS4_EEE4typeERKNS5_10ByteStringEDpOT0_"].apply(null,arguments)}__ZN15CPDF_Dictionary9SetNewForI10CPDF_ArrayJEEENSt3__29enable_ifIXsr16CanInternStringsIT_EE5valueEN5fxcrt9RetainPtrIS4_EEE4typeERKNS5_10ByteStringEDpOT0_.stub=true;function __ZN15CPDF_Dictionary9SetNewForI11CPDF_NumberJfEEENSt3__29enable_ifIXntsr16CanInternStringsIT_EE5valueEN5fxcrt9RetainPtrIS4_EEE4typeERKNS5_10ByteStringEDpOT0_(){return wasmImports["_ZN15CPDF_Dictionary9SetNewForI11CPDF_NumberJfEEENSt3__29enable_ifIXntsr16CanInternStringsIT_EE5valueEN5fxcrt9RetainPtrIS4_EEE4typeERKNS5_10ByteStringEDpOT0_"].apply(null,arguments)}__ZN15CPDF_Dictionary9SetNewForI11CPDF_NumberJfEEENSt3__29enable_ifIXntsr16CanInternStringsIT_EE5valueEN5fxcrt9RetainPtrIS4_EEE4typeERKNS5_10ByteStringEDpOT0_.stub=true;function __ZN16STDStreamsReaderIdE4ReadERKNSt3__212basic_stringIcNS1_11char_traitsIcEENS1_9allocatorIcEEEERd(){return wasmImports["_ZN16STDStreamsReaderIdE4ReadERKNSt3__212basic_stringIcNS1_11char_traitsIcEENS1_9allocatorIcEEEERd"].apply(null,arguments)}__ZN16STDStreamsReaderIdE4ReadERKNSt3__212basic_stringIcNS1_11char_traitsIcEENS1_9allocatorIcEEEERd.stub=true;function __ZN16STDStreamsReaderIiE4ReadERKNSt3__212basic_stringIcNS1_11char_traitsIcEENS1_9allocatorIcEEEERi(){return wasmImports["_ZN16STDStreamsReaderIiE4ReadERKNSt3__212basic_stringIcNS1_11char_traitsIcEENS1_9allocatorIcEEEERi"].apply(null,arguments)}__ZN16STDStreamsReaderIiE4ReadERKNSt3__212basic_stringIcNS1_11char_traitsIcEENS1_9allocatorIcEEEERi.stub=true;function __ZN16STDStreamsReaderIlE4ReadERKNSt3__212basic_stringIcNS1_11char_traitsIcEENS1_9allocatorIcEEEERl(){return wasmImports["_ZN16STDStreamsReaderIlE4ReadERKNSt3__212basic_stringIcNS1_11char_traitsIcEENS1_9allocatorIcEEEERl"].apply(null,arguments)}__ZN16STDStreamsReaderIlE4ReadERKNSt3__212basic_stringIcNS1_11char_traitsIcEENS1_9allocatorIcEEEERl.stub=true;function __ZN17CFFANSIFontWriterD0Ev(){return wasmImports["_ZN17CFFANSIFontWriterD0Ev"].apply(null,arguments)}__ZN17CFFANSIFontWriterD0Ev.stub=true;function __ZN17CFFANSIFontWriterD2Ev(){return wasmImports["_ZN17CFFANSIFontWriterD2Ev"].apply(null,arguments)}__ZN17CFFANSIFontWriterD2Ev.stub=true;function __ZN25WrittenFontRepresentation26GetGlyphIDsAsOrderedVectorEv(){return wasmImports["_ZN25WrittenFontRepresentation26GetGlyphIDsAsOrderedVectorEv"].apply(null,arguments)}__ZN25WrittenFontRepresentation26GetGlyphIDsAsOrderedVectorEv.stub=true;function __ZN37Type1InterpreterImplementationAdapter10Type1HstemERKNSt3__24listIlNS0_9allocatorIlEEEE(){return wasmImports["_ZN37Type1InterpreterImplementationAdapter10Type1HstemERKNSt3__24listIlNS0_9allocatorIlEEEE"].apply(null,arguments)}__ZN37Type1InterpreterImplementationAdapter10Type1HstemERKNSt3__24listIlNS0_9allocatorIlEEEE.stub=true;function __ZN37Type1InterpreterImplementationAdapter10Type1VstemERKNSt3__24listIlNS0_9allocatorIlEEEE(){return wasmImports["_ZN37Type1InterpreterImplementationAdapter10Type1VstemERKNSt3__24listIlNS0_9allocatorIlEEEE"].apply(null,arguments)}__ZN37Type1InterpreterImplementationAdapter10Type1VstemERKNSt3__24listIlNS0_9allocatorIlEEEE.stub=true;function __ZN37Type1InterpreterImplementationAdapter11Type1HStem3ERKNSt3__24listIlNS0_9allocatorIlEEEE(){return wasmImports["_ZN37Type1InterpreterImplementationAdapter11Type1HStem3ERKNSt3__24listIlNS0_9allocatorIlEEEE"].apply(null,arguments)}__ZN37Type1InterpreterImplementationAdapter11Type1HStem3ERKNSt3__24listIlNS0_9allocatorIlEEEE.stub=true;function __ZN37Type1InterpreterImplementationAdapter11Type1ReturnERKNSt3__24listIlNS0_9allocatorIlEEEE(){return wasmImports["_ZN37Type1InterpreterImplementationAdapter11Type1ReturnERKNSt3__24listIlNS0_9allocatorIlEEEE"].apply(null,arguments)}__ZN37Type1InterpreterImplementationAdapter11Type1ReturnERKNSt3__24listIlNS0_9allocatorIlEEEE.stub=true;function __ZN37Type1InterpreterImplementationAdapter11Type1VStem3ERKNSt3__24listIlNS0_9allocatorIlEEEE(){return wasmImports["_ZN37Type1InterpreterImplementationAdapter11Type1VStem3ERKNSt3__24listIlNS0_9allocatorIlEEEE"].apply(null,arguments)}__ZN37Type1InterpreterImplementationAdapter11Type1VStem3ERKNSt3__24listIlNS0_9allocatorIlEEEE.stub=true;function __ZN37Type1InterpreterImplementationAdapter12Type1EndcharERKNSt3__24listIlNS0_9allocatorIlEEEE(){return wasmImports["_ZN37Type1InterpreterImplementationAdapter12Type1EndcharERKNSt3__24listIlNS0_9allocatorIlEEEE"].apply(null,arguments)}__ZN37Type1InterpreterImplementationAdapter12Type1EndcharERKNSt3__24listIlNS0_9allocatorIlEEEE.stub=true;function __ZN37Type1InterpreterImplementationAdapter12Type1HLinetoERKNSt3__24listIlNS0_9allocatorIlEEEE(){return wasmImports["_ZN37Type1InterpreterImplementationAdapter12Type1HLinetoERKNSt3__24listIlNS0_9allocatorIlEEEE"].apply(null,arguments)}__ZN37Type1InterpreterImplementationAdapter12Type1HLinetoERKNSt3__24listIlNS0_9allocatorIlEEEE.stub=true;function __ZN37Type1InterpreterImplementationAdapter12Type1HMovetoERKNSt3__24listIlNS0_9allocatorIlEEEE(){return wasmImports["_ZN37Type1InterpreterImplementationAdapter12Type1HMovetoERKNSt3__24listIlNS0_9allocatorIlEEEE"].apply(null,arguments)}__ZN37Type1InterpreterImplementationAdapter12Type1HMovetoERKNSt3__24listIlNS0_9allocatorIlEEEE.stub=true;function __ZN37Type1InterpreterImplementationAdapter12Type1RLinetoERKNSt3__24listIlNS0_9allocatorIlEEEE(){return wasmImports["_ZN37Type1InterpreterImplementationAdapter12Type1RLinetoERKNSt3__24listIlNS0_9allocatorIlEEEE"].apply(null,arguments)}__ZN37Type1InterpreterImplementationAdapter12Type1RLinetoERKNSt3__24listIlNS0_9allocatorIlEEEE.stub=true;function __ZN37Type1InterpreterImplementationAdapter12Type1RMovetoERKNSt3__24listIlNS0_9allocatorIlEEEE(){return wasmImports["_ZN37Type1InterpreterImplementationAdapter12Type1RMovetoERKNSt3__24listIlNS0_9allocatorIlEEEE"].apply(null,arguments)}__ZN37Type1InterpreterImplementationAdapter12Type1RMovetoERKNSt3__24listIlNS0_9allocatorIlEEEE.stub=true;function __ZN37Type1InterpreterImplementationAdapter12Type1VLinetoERKNSt3__24listIlNS0_9allocatorIlEEEE(){return wasmImports["_ZN37Type1InterpreterImplementationAdapter12Type1VLinetoERKNSt3__24listIlNS0_9allocatorIlEEEE"].apply(null,arguments)}__ZN37Type1InterpreterImplementationAdapter12Type1VLinetoERKNSt3__24listIlNS0_9allocatorIlEEEE.stub=true;function __ZN37Type1InterpreterImplementationAdapter12Type1VMovetoERKNSt3__24listIlNS0_9allocatorIlEEEE(){return wasmImports["_ZN37Type1InterpreterImplementationAdapter12Type1VMovetoERKNSt3__24listIlNS0_9allocatorIlEEEE"].apply(null,arguments)}__ZN37Type1InterpreterImplementationAdapter12Type1VMovetoERKNSt3__24listIlNS0_9allocatorIlEEEE.stub=true;function __ZN37Type1InterpreterImplementationAdapter13CallOtherSubrERKNSt3__24listIlNS0_9allocatorIlEEEERS4_(){return wasmImports["_ZN37Type1InterpreterImplementationAdapter13CallOtherSubrERKNSt3__24listIlNS0_9allocatorIlEEEERS4_"].apply(null,arguments)}__ZN37Type1InterpreterImplementationAdapter13CallOtherSubrERKNSt3__24listIlNS0_9allocatorIlEEEERS4_.stub=true;function __ZN37Type1InterpreterImplementationAdapter14Type1ClosePathERKNSt3__24listIlNS0_9allocatorIlEEEE(){return wasmImports["_ZN37Type1InterpreterImplementationAdapter14Type1ClosePathERKNSt3__24listIlNS0_9allocatorIlEEEE"].apply(null,arguments)}__ZN37Type1InterpreterImplementationAdapter14Type1ClosePathERKNSt3__24listIlNS0_9allocatorIlEEEE.stub=true;function __ZN37Type1InterpreterImplementationAdapter14Type1HVCurvetoERKNSt3__24listIlNS0_9allocatorIlEEEE(){return wasmImports["_ZN37Type1InterpreterImplementationAdapter14Type1HVCurvetoERKNSt3__24listIlNS0_9allocatorIlEEEE"].apply(null,arguments)}__ZN37Type1InterpreterImplementationAdapter14Type1HVCurvetoERKNSt3__24listIlNS0_9allocatorIlEEEE.stub=true;function __ZN37Type1InterpreterImplementationAdapter14Type1RRCurvetoERKNSt3__24listIlNS0_9allocatorIlEEEE(){return wasmImports["_ZN37Type1InterpreterImplementationAdapter14Type1RRCurvetoERKNSt3__24listIlNS0_9allocatorIlEEEE"].apply(null,arguments)}__ZN37Type1InterpreterImplementationAdapter14Type1RRCurvetoERKNSt3__24listIlNS0_9allocatorIlEEEE.stub=true;function __ZN37Type1InterpreterImplementationAdapter14Type1VHCurvetoERKNSt3__24listIlNS0_9allocatorIlEEEE(){return wasmImports["_ZN37Type1InterpreterImplementationAdapter14Type1VHCurvetoERKNSt3__24listIlNS0_9allocatorIlEEEE"].apply(null,arguments)}__ZN37Type1InterpreterImplementationAdapter14Type1VHCurvetoERKNSt3__24listIlNS0_9allocatorIlEEEE.stub=true;function __ZN37Type1InterpreterImplementationAdapter15Type1DotSectionERKNSt3__24listIlNS0_9allocatorIlEEEE(){return wasmImports["_ZN37Type1InterpreterImplementationAdapter15Type1DotSectionERKNSt3__24listIlNS0_9allocatorIlEEEE"].apply(null,arguments)}__ZN37Type1InterpreterImplementationAdapter15Type1DotSectionERKNSt3__24listIlNS0_9allocatorIlEEEE.stub=true;function __ZN37Type1InterpreterImplementationAdapter20Type1InterpretNumberEl(){return wasmImports["_ZN37Type1InterpreterImplementationAdapter20Type1InterpretNumberEl"].apply(null,arguments)}__ZN37Type1InterpreterImplementationAdapter20Type1InterpretNumberEl.stub=true;function __ZN37Type1InterpreterImplementationAdapter20Type1SetCurrentPointERKNSt3__24listIlNS0_9allocatorIlEEEE(){return wasmImports["_ZN37Type1InterpreterImplementationAdapter20Type1SetCurrentPointERKNSt3__24listIlNS0_9allocatorIlEEEE"].apply(null,arguments)}__ZN37Type1InterpreterImplementationAdapter20Type1SetCurrentPointERKNSt3__24listIlNS0_9allocatorIlEEEE.stub=true;function __ZN37Type1InterpreterImplementationAdapter8Type1DivERKNSt3__24listIlNS0_9allocatorIlEEEE(){return wasmImports["_ZN37Type1InterpreterImplementationAdapter8Type1DivERKNSt3__24listIlNS0_9allocatorIlEEEE"].apply(null,arguments)}__ZN37Type1InterpreterImplementationAdapter8Type1DivERKNSt3__24listIlNS0_9allocatorIlEEEE.stub=true;function __ZN37Type1InterpreterImplementationAdapter8Type1PopERKNSt3__24listIlNS0_9allocatorIlEEEES6_(){return wasmImports["_ZN37Type1InterpreterImplementationAdapter8Type1PopERKNSt3__24listIlNS0_9allocatorIlEEEES6_"].apply(null,arguments)}__ZN37Type1InterpreterImplementationAdapter8Type1PopERKNSt3__24listIlNS0_9allocatorIlEEEES6_.stub=true;function __ZN37Type1InterpreterImplementationAdapter8Type1SbwERKNSt3__24listIlNS0_9allocatorIlEEEE(){return wasmImports["_ZN37Type1InterpreterImplementationAdapter8Type1SbwERKNSt3__24listIlNS0_9allocatorIlEEEE"].apply(null,arguments)}__ZN37Type1InterpreterImplementationAdapter8Type1SbwERKNSt3__24listIlNS0_9allocatorIlEEEE.stub=true;function __ZN37Type1InterpreterImplementationAdapter9Type1HsbwERKNSt3__24listIlNS0_9allocatorIlEEEE(){return wasmImports["_ZN37Type1InterpreterImplementationAdapter9Type1HsbwERKNSt3__24listIlNS0_9allocatorIlEEEE"].apply(null,arguments)}__ZN37Type1InterpreterImplementationAdapter9Type1HsbwERKNSt3__24listIlNS0_9allocatorIlEEEE.stub=true;function __ZN37Type2InterpreterImplementationAdapter10Type2Flex1ERKNSt3__24listI17CharStringOperandNS0_9allocatorIS2_EEEE(){return wasmImports["_ZN37Type2InterpreterImplementationAdapter10Type2Flex1ERKNSt3__24listI17CharStringOperandNS0_9allocatorIS2_EEEE"].apply(null,arguments)}__ZN37Type2InterpreterImplementationAdapter10Type2Flex1ERKNSt3__24listI17CharStringOperandNS0_9allocatorIS2_EEEE.stub=true;function __ZN37Type2InterpreterImplementationAdapter10Type2HflexERKNSt3__24listI17CharStringOperandNS0_9allocatorIS2_EEEE(){return wasmImports["_ZN37Type2InterpreterImplementationAdapter10Type2HflexERKNSt3__24listI17CharStringOperandNS0_9allocatorIS2_EEEE"].apply(null,arguments)}__ZN37Type2InterpreterImplementationAdapter10Type2HflexERKNSt3__24listI17CharStringOperandNS0_9allocatorIS2_EEEE.stub=true;function __ZN37Type2InterpreterImplementationAdapter10Type2HstemERKNSt3__24listI17CharStringOperandNS0_9allocatorIS2_EEEE(){return wasmImports["_ZN37Type2InterpreterImplementationAdapter10Type2HstemERKNSt3__24listI17CharStringOperandNS0_9allocatorIS2_EEEE"].apply(null,arguments)}__ZN37Type2InterpreterImplementationAdapter10Type2HstemERKNSt3__24listI17CharStringOperandNS0_9allocatorIS2_EEEE.stub=true;function __ZN37Type2InterpreterImplementationAdapter10Type2IndexERKNSt3__24listI17CharStringOperandNS0_9allocatorIS2_EEEE(){return wasmImports["_ZN37Type2InterpreterImplementationAdapter10Type2IndexERKNSt3__24listI17CharStringOperandNS0_9allocatorIS2_EEEE"].apply(null,arguments)}__ZN37Type2InterpreterImplementationAdapter10Type2IndexERKNSt3__24listI17CharStringOperandNS0_9allocatorIS2_EEEE.stub=true;function __ZN37Type2InterpreterImplementationAdapter10Type2VstemERKNSt3__24listI17CharStringOperandNS0_9allocatorIS2_EEEE(){return wasmImports["_ZN37Type2InterpreterImplementationAdapter10Type2VstemERKNSt3__24listI17CharStringOperandNS0_9allocatorIS2_EEEE"].apply(null,arguments)}__ZN37Type2InterpreterImplementationAdapter10Type2VstemERKNSt3__24listI17CharStringOperandNS0_9allocatorIS2_EEEE.stub=true;function __ZN37Type2InterpreterImplementationAdapter11Type2Hflex1ERKNSt3__24listI17CharStringOperandNS0_9allocatorIS2_EEEE(){return wasmImports["_ZN37Type2InterpreterImplementationAdapter11Type2Hflex1ERKNSt3__24listI17CharStringOperandNS0_9allocatorIS2_EEEE"].apply(null,arguments)}__ZN37Type2InterpreterImplementationAdapter11Type2Hflex1ERKNSt3__24listI17CharStringOperandNS0_9allocatorIS2_EEEE.stub=true;function __ZN37Type2InterpreterImplementationAdapter11Type2IfelseERKNSt3__24listI17CharStringOperandNS0_9allocatorIS2_EEEE(){return wasmImports["_ZN37Type2InterpreterImplementationAdapter11Type2IfelseERKNSt3__24listI17CharStringOperandNS0_9allocatorIS2_EEEE"].apply(null,arguments)}__ZN37Type2InterpreterImplementationAdapter11Type2IfelseERKNSt3__24listI17CharStringOperandNS0_9allocatorIS2_EEEE.stub=true;function __ZN37Type2InterpreterImplementationAdapter11Type2RandomERKNSt3__24listI17CharStringOperandNS0_9allocatorIS2_EEEE(){return wasmImports["_ZN37Type2InterpreterImplementationAdapter11Type2RandomERKNSt3__24listI17CharStringOperandNS0_9allocatorIS2_EEEE"].apply(null,arguments)}__ZN37Type2InterpreterImplementationAdapter11Type2RandomERKNSt3__24listI17CharStringOperandNS0_9allocatorIS2_EEEE.stub=true;function __ZN37Type2InterpreterImplementationAdapter11Type2ReturnERKNSt3__24listI17CharStringOperandNS0_9allocatorIS2_EEEE(){return wasmImports["_ZN37Type2InterpreterImplementationAdapter11Type2ReturnERKNSt3__24listI17CharStringOperandNS0_9allocatorIS2_EEEE"].apply(null,arguments)}__ZN37Type2InterpreterImplementationAdapter11Type2ReturnERKNSt3__24listI17CharStringOperandNS0_9allocatorIS2_EEEE.stub=true;function __ZN37Type2InterpreterImplementationAdapter12Type2HlinetoERKNSt3__24listI17CharStringOperandNS0_9allocatorIS2_EEEE(){return wasmImports["_ZN37Type2InterpreterImplementationAdapter12Type2HlinetoERKNSt3__24listI17CharStringOperandNS0_9allocatorIS2_EEEE"].apply(null,arguments)}__ZN37Type2InterpreterImplementationAdapter12Type2HlinetoERKNSt3__24listI17CharStringOperandNS0_9allocatorIS2_EEEE.stub=true;function __ZN37Type2InterpreterImplementationAdapter12Type2HmovetoERKNSt3__24listI17CharStringOperandNS0_9allocatorIS2_EEEE(){return wasmImports["_ZN37Type2InterpreterImplementationAdapter12Type2HmovetoERKNSt3__24listI17CharStringOperandNS0_9allocatorIS2_EEEE"].apply(null,arguments)}__ZN37Type2InterpreterImplementationAdapter12Type2HmovetoERKNSt3__24listI17CharStringOperandNS0_9allocatorIS2_EEEE.stub=true;function __ZN37Type2InterpreterImplementationAdapter12Type2HstemhmERKNSt3__24listI17CharStringOperandNS0_9allocatorIS2_EEEE(){return wasmImports["_ZN37Type2InterpreterImplementationAdapter12Type2HstemhmERKNSt3__24listI17CharStringOperandNS0_9allocatorIS2_EEEE"].apply(null,arguments)}__ZN37Type2InterpreterImplementationAdapter12Type2HstemhmERKNSt3__24listI17CharStringOperandNS0_9allocatorIS2_EEEE.stub=true;function __ZN37Type2InterpreterImplementationAdapter12Type2RlinetoERKNSt3__24listI17CharStringOperandNS0_9allocatorIS2_EEEE(){return wasmImports["_ZN37Type2InterpreterImplementationAdapter12Type2RlinetoERKNSt3__24listI17CharStringOperandNS0_9allocatorIS2_EEEE"].apply(null,arguments)}__ZN37Type2InterpreterImplementationAdapter12Type2RlinetoERKNSt3__24listI17CharStringOperandNS0_9allocatorIS2_EEEE.stub=true;function __ZN37Type2InterpreterImplementationAdapter12Type2RmovetoERKNSt3__24listI17CharStringOperandNS0_9allocatorIS2_EEEE(){return wasmImports["_ZN37Type2InterpreterImplementationAdapter12Type2RmovetoERKNSt3__24listI17CharStringOperandNS0_9allocatorIS2_EEEE"].apply(null,arguments)}__ZN37Type2InterpreterImplementationAdapter12Type2RmovetoERKNSt3__24listI17CharStringOperandNS0_9allocatorIS2_EEEE.stub=true;function __ZN37Type2InterpreterImplementationAdapter12Type2VlinetoERKNSt3__24listI17CharStringOperandNS0_9allocatorIS2_EEEE(){return wasmImports["_ZN37Type2InterpreterImplementationAdapter12Type2VlinetoERKNSt3__24listI17CharStringOperandNS0_9allocatorIS2_EEEE"].apply(null,arguments)}__ZN37Type2InterpreterImplementationAdapter12Type2VlinetoERKNSt3__24listI17CharStringOperandNS0_9allocatorIS2_EEEE.stub=true;function __ZN37Type2InterpreterImplementationAdapter12Type2VmovetoERKNSt3__24listI17CharStringOperandNS0_9allocatorIS2_EEEE(){return wasmImports["_ZN37Type2InterpreterImplementationAdapter12Type2VmovetoERKNSt3__24listI17CharStringOperandNS0_9allocatorIS2_EEEE"].apply(null,arguments)}__ZN37Type2InterpreterImplementationAdapter12Type2VmovetoERKNSt3__24listI17CharStringOperandNS0_9allocatorIS2_EEEE.stub=true;function __ZN37Type2InterpreterImplementationAdapter12Type2VstemhmERKNSt3__24listI17CharStringOperandNS0_9allocatorIS2_EEEE(){return wasmImports["_ZN37Type2InterpreterImplementationAdapter12Type2VstemhmERKNSt3__24listI17CharStringOperandNS0_9allocatorIS2_EEEE"].apply(null,arguments)}__ZN37Type2InterpreterImplementationAdapter12Type2VstemhmERKNSt3__24listI17CharStringOperandNS0_9allocatorIS2_EEEE.stub=true;function __ZN37Type2InterpreterImplementationAdapter13Type2CntrmaskERKNSt3__24listI17CharStringOperandNS0_9allocatorIS2_EEEEPhx(){return wasmImports["_ZN37Type2InterpreterImplementationAdapter13Type2CntrmaskERKNSt3__24listI17CharStringOperandNS0_9allocatorIS2_EEEEPhx"].apply(null,arguments)}__ZN37Type2InterpreterImplementationAdapter13Type2CntrmaskERKNSt3__24listI17CharStringOperandNS0_9allocatorIS2_EEEEPhx.stub=true;function __ZN37Type2InterpreterImplementationAdapter13Type2HintmaskERKNSt3__24listI17CharStringOperandNS0_9allocatorIS2_EEEEPhx(){return wasmImports["_ZN37Type2InterpreterImplementationAdapter13Type2HintmaskERKNSt3__24listI17CharStringOperandNS0_9allocatorIS2_EEEEPhx"].apply(null,arguments)}__ZN37Type2InterpreterImplementationAdapter13Type2HintmaskERKNSt3__24listI17CharStringOperandNS0_9allocatorIS2_EEEEPhx.stub=true;function __ZN37Type2InterpreterImplementationAdapter14Type2HhcurvetoERKNSt3__24listI17CharStringOperandNS0_9allocatorIS2_EEEE(){return wasmImports["_ZN37Type2InterpreterImplementationAdapter14Type2HhcurvetoERKNSt3__24listI17CharStringOperandNS0_9allocatorIS2_EEEE"].apply(null,arguments)}__ZN37Type2InterpreterImplementationAdapter14Type2HhcurvetoERKNSt3__24listI17CharStringOperandNS0_9allocatorIS2_EEEE.stub=true;function __ZN37Type2InterpreterImplementationAdapter14Type2HvcurvetoERKNSt3__24listI17CharStringOperandNS0_9allocatorIS2_EEEE(){return wasmImports["_ZN37Type2InterpreterImplementationAdapter14Type2HvcurvetoERKNSt3__24listI17CharStringOperandNS0_9allocatorIS2_EEEE"].apply(null,arguments)}__ZN37Type2InterpreterImplementationAdapter14Type2HvcurvetoERKNSt3__24listI17CharStringOperandNS0_9allocatorIS2_EEEE.stub=true;function __ZN37Type2InterpreterImplementationAdapter14Type2RRCurvetoERKNSt3__24listI17CharStringOperandNS0_9allocatorIS2_EEEE(){return wasmImports["_ZN37Type2InterpreterImplementationAdapter14Type2RRCurvetoERKNSt3__24listI17CharStringOperandNS0_9allocatorIS2_EEEE"].apply(null,arguments)}__ZN37Type2InterpreterImplementationAdapter14Type2RRCurvetoERKNSt3__24listI17CharStringOperandNS0_9allocatorIS2_EEEE.stub=true;function __ZN37Type2InterpreterImplementationAdapter14Type2VhcurvetoERKNSt3__24listI17CharStringOperandNS0_9allocatorIS2_EEEE(){return wasmImports["_ZN37Type2InterpreterImplementationAdapter14Type2VhcurvetoERKNSt3__24listI17CharStringOperandNS0_9allocatorIS2_EEEE"].apply(null,arguments)}__ZN37Type2InterpreterImplementationAdapter14Type2VhcurvetoERKNSt3__24listI17CharStringOperandNS0_9allocatorIS2_EEEE.stub=true;function __ZN37Type2InterpreterImplementationAdapter14Type2VvcurvetoERKNSt3__24listI17CharStringOperandNS0_9allocatorIS2_EEEE(){return wasmImports["_ZN37Type2InterpreterImplementationAdapter14Type2VvcurvetoERKNSt3__24listI17CharStringOperandNS0_9allocatorIS2_EEEE"].apply(null,arguments)}__ZN37Type2InterpreterImplementationAdapter14Type2VvcurvetoERKNSt3__24listI17CharStringOperandNS0_9allocatorIS2_EEEE.stub=true;function __ZN37Type2InterpreterImplementationAdapter15Type2RcurvelineERKNSt3__24listI17CharStringOperandNS0_9allocatorIS2_EEEE(){return wasmImports["_ZN37Type2InterpreterImplementationAdapter15Type2RcurvelineERKNSt3__24listI17CharStringOperandNS0_9allocatorIS2_EEEE"].apply(null,arguments)}__ZN37Type2InterpreterImplementationAdapter15Type2RcurvelineERKNSt3__24listI17CharStringOperandNS0_9allocatorIS2_EEEE.stub=true;function __ZN37Type2InterpreterImplementationAdapter15Type2RlinecurveERKNSt3__24listI17CharStringOperandNS0_9allocatorIS2_EEEE(){return wasmImports["_ZN37Type2InterpreterImplementationAdapter15Type2RlinecurveERKNSt3__24listI17CharStringOperandNS0_9allocatorIS2_EEEE"].apply(null,arguments)}__ZN37Type2InterpreterImplementationAdapter15Type2RlinecurveERKNSt3__24listI17CharStringOperandNS0_9allocatorIS2_EEEE.stub=true;function __ZN37Type2InterpreterImplementationAdapter20Type2InterpretNumberERK17CharStringOperand(){return wasmImports["_ZN37Type2InterpreterImplementationAdapter20Type2InterpretNumberERK17CharStringOperand"].apply(null,arguments)}__ZN37Type2InterpreterImplementationAdapter20Type2InterpretNumberERK17CharStringOperand.stub=true;function __ZN37Type2InterpreterImplementationAdapter7Type2EqERKNSt3__24listI17CharStringOperandNS0_9allocatorIS2_EEEE(){return wasmImports["_ZN37Type2InterpreterImplementationAdapter7Type2EqERKNSt3__24listI17CharStringOperandNS0_9allocatorIS2_EEEE"].apply(null,arguments)}__ZN37Type2InterpreterImplementationAdapter7Type2EqERKNSt3__24listI17CharStringOperandNS0_9allocatorIS2_EEEE.stub=true;function __ZN37Type2InterpreterImplementationAdapter7Type2OrERKNSt3__24listI17CharStringOperandNS0_9allocatorIS2_EEEE(){return wasmImports["_ZN37Type2InterpreterImplementationAdapter7Type2OrERKNSt3__24listI17CharStringOperandNS0_9allocatorIS2_EEEE"].apply(null,arguments)}__ZN37Type2InterpreterImplementationAdapter7Type2OrERKNSt3__24listI17CharStringOperandNS0_9allocatorIS2_EEEE.stub=true;function __ZN37Type2InterpreterImplementationAdapter8Type2AbsERKNSt3__24listI17CharStringOperandNS0_9allocatorIS2_EEEE(){return wasmImports["_ZN37Type2InterpreterImplementationAdapter8Type2AbsERKNSt3__24listI17CharStringOperandNS0_9allocatorIS2_EEEE"].apply(null,arguments)}__ZN37Type2InterpreterImplementationAdapter8Type2AbsERKNSt3__24listI17CharStringOperandNS0_9allocatorIS2_EEEE.stub=true;function __ZN37Type2InterpreterImplementationAdapter8Type2AddERKNSt3__24listI17CharStringOperandNS0_9allocatorIS2_EEEE(){return wasmImports["_ZN37Type2InterpreterImplementationAdapter8Type2AddERKNSt3__24listI17CharStringOperandNS0_9allocatorIS2_EEEE"].apply(null,arguments)}__ZN37Type2InterpreterImplementationAdapter8Type2AddERKNSt3__24listI17CharStringOperandNS0_9allocatorIS2_EEEE.stub=true;function __ZN37Type2InterpreterImplementationAdapter8Type2AndERKNSt3__24listI17CharStringOperandNS0_9allocatorIS2_EEEE(){return wasmImports["_ZN37Type2InterpreterImplementationAdapter8Type2AndERKNSt3__24listI17CharStringOperandNS0_9allocatorIS2_EEEE"].apply(null,arguments)}__ZN37Type2InterpreterImplementationAdapter8Type2AndERKNSt3__24listI17CharStringOperandNS0_9allocatorIS2_EEEE.stub=true;function __ZN37Type2InterpreterImplementationAdapter8Type2DivERKNSt3__24listI17CharStringOperandNS0_9allocatorIS2_EEEE(){return wasmImports["_ZN37Type2InterpreterImplementationAdapter8Type2DivERKNSt3__24listI17CharStringOperandNS0_9allocatorIS2_EEEE"].apply(null,arguments)}__ZN37Type2InterpreterImplementationAdapter8Type2DivERKNSt3__24listI17CharStringOperandNS0_9allocatorIS2_EEEE.stub=true;function __ZN37Type2InterpreterImplementationAdapter8Type2DupERKNSt3__24listI17CharStringOperandNS0_9allocatorIS2_EEEE(){return wasmImports["_ZN37Type2InterpreterImplementationAdapter8Type2DupERKNSt3__24listI17CharStringOperandNS0_9allocatorIS2_EEEE"].apply(null,arguments)}__ZN37Type2InterpreterImplementationAdapter8Type2DupERKNSt3__24listI17CharStringOperandNS0_9allocatorIS2_EEEE.stub=true;function __ZN37Type2InterpreterImplementationAdapter8Type2GetERKNSt3__24listI17CharStringOperandNS0_9allocatorIS2_EEEE(){return wasmImports["_ZN37Type2InterpreterImplementationAdapter8Type2GetERKNSt3__24listI17CharStringOperandNS0_9allocatorIS2_EEEE"].apply(null,arguments)}__ZN37Type2InterpreterImplementationAdapter8Type2GetERKNSt3__24listI17CharStringOperandNS0_9allocatorIS2_EEEE.stub=true;function __ZN37Type2InterpreterImplementationAdapter8Type2MulERKNSt3__24listI17CharStringOperandNS0_9allocatorIS2_EEEE(){return wasmImports["_ZN37Type2InterpreterImplementationAdapter8Type2MulERKNSt3__24listI17CharStringOperandNS0_9allocatorIS2_EEEE"].apply(null,arguments)}__ZN37Type2InterpreterImplementationAdapter8Type2MulERKNSt3__24listI17CharStringOperandNS0_9allocatorIS2_EEEE.stub=true;function __ZN37Type2InterpreterImplementationAdapter8Type2NegERKNSt3__24listI17CharStringOperandNS0_9allocatorIS2_EEEE(){return wasmImports["_ZN37Type2InterpreterImplementationAdapter8Type2NegERKNSt3__24listI17CharStringOperandNS0_9allocatorIS2_EEEE"].apply(null,arguments)}__ZN37Type2InterpreterImplementationAdapter8Type2NegERKNSt3__24listI17CharStringOperandNS0_9allocatorIS2_EEEE.stub=true;function __ZN37Type2InterpreterImplementationAdapter8Type2NotERKNSt3__24listI17CharStringOperandNS0_9allocatorIS2_EEEE(){return wasmImports["_ZN37Type2InterpreterImplementationAdapter8Type2NotERKNSt3__24listI17CharStringOperandNS0_9allocatorIS2_EEEE"].apply(null,arguments)}__ZN37Type2InterpreterImplementationAdapter8Type2NotERKNSt3__24listI17CharStringOperandNS0_9allocatorIS2_EEEE.stub=true;function __ZN37Type2InterpreterImplementationAdapter8Type2PutERKNSt3__24listI17CharStringOperandNS0_9allocatorIS2_EEEE(){return wasmImports["_ZN37Type2InterpreterImplementationAdapter8Type2PutERKNSt3__24listI17CharStringOperandNS0_9allocatorIS2_EEEE"].apply(null,arguments)}__ZN37Type2InterpreterImplementationAdapter8Type2PutERKNSt3__24listI17CharStringOperandNS0_9allocatorIS2_EEEE.stub=true;function __ZN37Type2InterpreterImplementationAdapter8Type2SubERKNSt3__24listI17CharStringOperandNS0_9allocatorIS2_EEEE(){return wasmImports["_ZN37Type2InterpreterImplementationAdapter8Type2SubERKNSt3__24listI17CharStringOperandNS0_9allocatorIS2_EEEE"].apply(null,arguments)}__ZN37Type2InterpreterImplementationAdapter8Type2SubERKNSt3__24listI17CharStringOperandNS0_9allocatorIS2_EEEE.stub=true;function __ZN37Type2InterpreterImplementationAdapter9Type2DropERKNSt3__24listI17CharStringOperandNS0_9allocatorIS2_EEEE(){return wasmImports["_ZN37Type2InterpreterImplementationAdapter9Type2DropERKNSt3__24listI17CharStringOperandNS0_9allocatorIS2_EEEE"].apply(null,arguments)}__ZN37Type2InterpreterImplementationAdapter9Type2DropERKNSt3__24listI17CharStringOperandNS0_9allocatorIS2_EEEE.stub=true;function __ZN37Type2InterpreterImplementationAdapter9Type2ExchERKNSt3__24listI17CharStringOperandNS0_9allocatorIS2_EEEE(){return wasmImports["_ZN37Type2InterpreterImplementationAdapter9Type2ExchERKNSt3__24listI17CharStringOperandNS0_9allocatorIS2_EEEE"].apply(null,arguments)}__ZN37Type2InterpreterImplementationAdapter9Type2ExchERKNSt3__24listI17CharStringOperandNS0_9allocatorIS2_EEEE.stub=true;function __ZN37Type2InterpreterImplementationAdapter9Type2FlexERKNSt3__24listI17CharStringOperandNS0_9allocatorIS2_EEEE(){return wasmImports["_ZN37Type2InterpreterImplementationAdapter9Type2FlexERKNSt3__24listI17CharStringOperandNS0_9allocatorIS2_EEEE"].apply(null,arguments)}__ZN37Type2InterpreterImplementationAdapter9Type2FlexERKNSt3__24listI17CharStringOperandNS0_9allocatorIS2_EEEE.stub=true;function __ZN37Type2InterpreterImplementationAdapter9Type2RollERKNSt3__24listI17CharStringOperandNS0_9allocatorIS2_EEEE(){return wasmImports["_ZN37Type2InterpreterImplementationAdapter9Type2RollERKNSt3__24listI17CharStringOperandNS0_9allocatorIS2_EEEE"].apply(null,arguments)}__ZN37Type2InterpreterImplementationAdapter9Type2RollERKNSt3__24listI17CharStringOperandNS0_9allocatorIS2_EEEE.stub=true;function __ZN37Type2InterpreterImplementationAdapter9Type2SqrtERKNSt3__24listI17CharStringOperandNS0_9allocatorIS2_EEEE(){return wasmImports["_ZN37Type2InterpreterImplementationAdapter9Type2SqrtERKNSt3__24listI17CharStringOperandNS0_9allocatorIS2_EEEE"].apply(null,arguments)}__ZN37Type2InterpreterImplementationAdapter9Type2SqrtERKNSt3__24listI17CharStringOperandNS0_9allocatorIS2_EEEE.stub=true;function __ZN6pdfium10MakeRetainI10CPDF_ArrayJEEEN5fxcrt9RetainPtrIT_EEDpOT0_(){return wasmImports["_ZN6pdfium10MakeRetainI10CPDF_ArrayJEEEN5fxcrt9RetainPtrIT_EEDpOT0_"].apply(null,arguments)}__ZN6pdfium10MakeRetainI10CPDF_ArrayJEEEN5fxcrt9RetainPtrIT_EEDpOT0_.stub=true;function __ZN6pdfium10MakeRetainI11CPDF_NumberJiEEEN5fxcrt9RetainPtrIT_EEDpOT0_(){return wasmImports["_ZN6pdfium10MakeRetainI11CPDF_NumberJiEEEN5fxcrt9RetainPtrIT_EEDpOT0_"].apply(null,arguments)}__ZN6pdfium10MakeRetainI11CPDF_NumberJiEEEN5fxcrt9RetainPtrIT_EEDpOT0_.stub=true;function __ZN6pdfium10MakeRetainI11CPDF_StringJRN5fxcrt7WeakPtrINS2_18StringPoolTemplateINS2_10ByteStringEEENSt3__214default_deleteIS6_EEEENS2_18StringViewTemplateIwEEEEENS2_9RetainPtrIT_EEDpOT0_(){return wasmImports["_ZN6pdfium10MakeRetainI11CPDF_StringJRN5fxcrt7WeakPtrINS2_18StringPoolTemplateINS2_10ByteStringEEENSt3__214default_deleteIS6_EEEENS2_18StringViewTemplateIwEEEEENS2_9RetainPtrIT_EEDpOT0_"].apply(null,arguments)}__ZN6pdfium10MakeRetainI11CPDF_StringJRN5fxcrt7WeakPtrINS2_18StringPoolTemplateINS2_10ByteStringEEENSt3__214default_deleteIS6_EEEENS2_18StringViewTemplateIwEEEEENS2_9RetainPtrIT_EEDpOT0_.stub=true;function __ZN6pdfium10MakeRetainI11CPDF_StringJRN5fxcrt7WeakPtrINS2_18StringPoolTemplateINS2_10ByteStringEEENSt3__214default_deleteIS6_EEEEPKcbEEENS2_9RetainPtrIT_EEDpOT0_(){return wasmImports["_ZN6pdfium10MakeRetainI11CPDF_StringJRN5fxcrt7WeakPtrINS2_18StringPoolTemplateINS2_10ByteStringEEENSt3__214default_deleteIS6_EEEEPKcbEEENS2_9RetainPtrIT_EEDpOT0_"].apply(null,arguments)}__ZN6pdfium10MakeRetainI11CPDF_StringJRN5fxcrt7WeakPtrINS2_18StringPoolTemplateINS2_10ByteStringEEENSt3__214default_deleteIS6_EEEEPKcbEEENS2_9RetainPtrIT_EEDpOT0_.stub=true;function __ZN6pdfium10MakeRetainI11CPDF_StringJRN5fxcrt7WeakPtrINS2_18StringPoolTemplateINS2_10ByteStringEEENSt3__214default_deleteIS6_EEEERPKcbEEENS2_9RetainPtrIT_EEDpOT0_(){return wasmImports["_ZN6pdfium10MakeRetainI11CPDF_StringJRN5fxcrt7WeakPtrINS2_18StringPoolTemplateINS2_10ByteStringEEENSt3__214default_deleteIS6_EEEERPKcbEEENS2_9RetainPtrIT_EEDpOT0_"].apply(null,arguments)}__ZN6pdfium10MakeRetainI11CPDF_StringJRN5fxcrt7WeakPtrINS2_18StringPoolTemplateINS2_10ByteStringEEENSt3__214default_deleteIS6_EEEERPKcbEEENS2_9RetainPtrIT_EEDpOT0_.stub=true;function __ZN6pdfium10MakeRetainI11CPDF_StringJRN5fxcrt7WeakPtrINS2_18StringPoolTemplateINS2_10ByteStringEEENSt3__214default_deleteIS6_EEEERS5_bEEENS2_9RetainPtrIT_EEDpOT0_(){return wasmImports["_ZN6pdfium10MakeRetainI11CPDF_StringJRN5fxcrt7WeakPtrINS2_18StringPoolTemplateINS2_10ByteStringEEENSt3__214default_deleteIS6_EEEERS5_bEEENS2_9RetainPtrIT_EEDpOT0_"].apply(null,arguments)}__ZN6pdfium10MakeRetainI11CPDF_StringJRN5fxcrt7WeakPtrINS2_18StringPoolTemplateINS2_10ByteStringEEENSt3__214default_deleteIS6_EEEERS5_bEEENS2_9RetainPtrIT_EEDpOT0_.stub=true;function __ZN6pdfium10MakeRetainI14CPDF_StreamAccJN5fxcrt9RetainPtrIK11CPDF_StreamEEEEENS3_IT_EEDpOT0_(){return wasmImports["_ZN6pdfium10MakeRetainI14CPDF_StreamAccJN5fxcrt9RetainPtrIK11CPDF_StreamEEEEENS3_IT_EEDpOT0_"].apply(null,arguments)}__ZN6pdfium10MakeRetainI14CPDF_StreamAccJN5fxcrt9RetainPtrIK11CPDF_StreamEEEEENS3_IT_EEDpOT0_.stub=true;function __ZN6pdfium10MakeRetainI9CPDF_CMapJRNS_4spanIKhEEEEEN5fxcrt9RetainPtrIT_EEDpOT0_(){return wasmImports["_ZN6pdfium10MakeRetainI9CPDF_CMapJRNS_4spanIKhEEEEEN5fxcrt9RetainPtrIT_EEDpOT0_"].apply(null,arguments)}__ZN6pdfium10MakeRetainI9CPDF_CMapJRNS_4spanIKhEEEEEN5fxcrt9RetainPtrIT_EEDpOT0_.stub=true;function __ZN6pdfium10MakeRetainI9CPDF_NameJN5fxcrt7WeakPtrINS2_18StringPoolTemplateINS2_10ByteStringEEENSt3__214default_deleteIS6_EEEEPKcEEENS2_9RetainPtrIT_EEDpOT0_(){return wasmImports["_ZN6pdfium10MakeRetainI9CPDF_NameJN5fxcrt7WeakPtrINS2_18StringPoolTemplateINS2_10ByteStringEEENSt3__214default_deleteIS6_EEEEPKcEEENS2_9RetainPtrIT_EEDpOT0_"].apply(null,arguments)}__ZN6pdfium10MakeRetainI9CPDF_NameJN5fxcrt7WeakPtrINS2_18StringPoolTemplateINS2_10ByteStringEEENSt3__214default_deleteIS6_EEEEPKcEEENS2_9RetainPtrIT_EEDpOT0_.stub=true;function __ZN6pdfium10MakeRetainI9CPDF_NameJN5fxcrt7WeakPtrINS2_18StringPoolTemplateINS2_10ByteStringEEENSt3__214default_deleteIS6_EEEERA10_KcEEENS2_9RetainPtrIT_EEDpOT0_(){return wasmImports["_ZN6pdfium10MakeRetainI9CPDF_NameJN5fxcrt7WeakPtrINS2_18StringPoolTemplateINS2_10ByteStringEEENSt3__214default_deleteIS6_EEEERA10_KcEEENS2_9RetainPtrIT_EEDpOT0_"].apply(null,arguments)}__ZN6pdfium10MakeRetainI9CPDF_NameJN5fxcrt7WeakPtrINS2_18StringPoolTemplateINS2_10ByteStringEEENSt3__214default_deleteIS6_EEEERA10_KcEEENS2_9RetainPtrIT_EEDpOT0_.stub=true;function __ZN6pdfium10MakeRetainI9CPDF_NameJN5fxcrt7WeakPtrINS2_18StringPoolTemplateINS2_10ByteStringEEENSt3__214default_deleteIS6_EEEERA5_KcEEENS2_9RetainPtrIT_EEDpOT0_(){return wasmImports["_ZN6pdfium10MakeRetainI9CPDF_NameJN5fxcrt7WeakPtrINS2_18StringPoolTemplateINS2_10ByteStringEEENSt3__214default_deleteIS6_EEEERA5_KcEEENS2_9RetainPtrIT_EEDpOT0_"].apply(null,arguments)}__ZN6pdfium10MakeRetainI9CPDF_NameJN5fxcrt7WeakPtrINS2_18StringPoolTemplateINS2_10ByteStringEEENSt3__214default_deleteIS6_EEEERA5_KcEEENS2_9RetainPtrIT_EEDpOT0_.stub=true;function __ZN6pdfium10MakeRetainI9CPDF_NameJN5fxcrt7WeakPtrINS2_18StringPoolTemplateINS2_10ByteStringEEENSt3__214default_deleteIS6_EEEERA8_KcEEENS2_9RetainPtrIT_EEDpOT0_(){return wasmImports["_ZN6pdfium10MakeRetainI9CPDF_NameJN5fxcrt7WeakPtrINS2_18StringPoolTemplateINS2_10ByteStringEEENSt3__214default_deleteIS6_EEEERA8_KcEEENS2_9RetainPtrIT_EEDpOT0_"].apply(null,arguments)}__ZN6pdfium10MakeRetainI9CPDF_NameJN5fxcrt7WeakPtrINS2_18StringPoolTemplateINS2_10ByteStringEEENSt3__214default_deleteIS6_EEEERA8_KcEEENS2_9RetainPtrIT_EEDpOT0_.stub=true;function __ZN6pdfium10MakeRetainI9CPDF_NameJN5fxcrt7WeakPtrINS2_18StringPoolTemplateINS2_10ByteStringEEENSt3__214default_deleteIS6_EEEERS5_EEENS2_9RetainPtrIT_EEDpOT0_(){return wasmImports["_ZN6pdfium10MakeRetainI9CPDF_NameJN5fxcrt7WeakPtrINS2_18StringPoolTemplateINS2_10ByteStringEEENSt3__214default_deleteIS6_EEEERS5_EEENS2_9RetainPtrIT_EEDpOT0_"].apply(null,arguments)}__ZN6pdfium10MakeRetainI9CPDF_NameJN5fxcrt7WeakPtrINS2_18StringPoolTemplateINS2_10ByteStringEEENSt3__214default_deleteIS6_EEEERS5_EEENS2_9RetainPtrIT_EEDpOT0_.stub=true;function __ZN6pdfium10MakeRetainI9CPDF_NameJN5fxcrt7WeakPtrINS2_18StringPoolTemplateINS2_10ByteStringEEENSt3__214default_deleteIS6_EEEES5_EEENS2_9RetainPtrIT_EEDpOT0_(){return wasmImports["_ZN6pdfium10MakeRetainI9CPDF_NameJN5fxcrt7WeakPtrINS2_18StringPoolTemplateINS2_10ByteStringEEENSt3__214default_deleteIS6_EEEES5_EEENS2_9RetainPtrIT_EEDpOT0_"].apply(null,arguments)}__ZN6pdfium10MakeRetainI9CPDF_NameJN5fxcrt7WeakPtrINS2_18StringPoolTemplateINS2_10ByteStringEEENSt3__214default_deleteIS6_EEEES5_EEENS2_9RetainPtrIT_EEDpOT0_.stub=true;function __ZN6pdfium10MakeRetainI9CPDF_NameJRN5fxcrt7WeakPtrINS2_18StringPoolTemplateINS2_10ByteStringEEENSt3__214default_deleteIS6_EEEEPKcEEENS2_9RetainPtrIT_EEDpOT0_(){return wasmImports["_ZN6pdfium10MakeRetainI9CPDF_NameJRN5fxcrt7WeakPtrINS2_18StringPoolTemplateINS2_10ByteStringEEENSt3__214default_deleteIS6_EEEEPKcEEENS2_9RetainPtrIT_EEDpOT0_"].apply(null,arguments)}__ZN6pdfium10MakeRetainI9CPDF_NameJRN5fxcrt7WeakPtrINS2_18StringPoolTemplateINS2_10ByteStringEEENSt3__214default_deleteIS6_EEEEPKcEEENS2_9RetainPtrIT_EEDpOT0_.stub=true;function __ZN6pdfium10MakeRetainI9CPDF_NameJRN5fxcrt7WeakPtrINS2_18StringPoolTemplateINS2_10ByteStringEEENSt3__214default_deleteIS6_EEEERA10_KcEEENS2_9RetainPtrIT_EEDpOT0_(){return wasmImports["_ZN6pdfium10MakeRetainI9CPDF_NameJRN5fxcrt7WeakPtrINS2_18StringPoolTemplateINS2_10ByteStringEEENSt3__214default_deleteIS6_EEEERA10_KcEEENS2_9RetainPtrIT_EEDpOT0_"].apply(null,arguments)}__ZN6pdfium10MakeRetainI9CPDF_NameJRN5fxcrt7WeakPtrINS2_18StringPoolTemplateINS2_10ByteStringEEENSt3__214default_deleteIS6_EEEERA10_KcEEENS2_9RetainPtrIT_EEDpOT0_.stub=true;function __ZN6pdfium10MakeRetainI9CPDF_NameJRN5fxcrt7WeakPtrINS2_18StringPoolTemplateINS2_10ByteStringEEENSt3__214default_deleteIS6_EEEERA11_KcEEENS2_9RetainPtrIT_EEDpOT0_(){return wasmImports["_ZN6pdfium10MakeRetainI9CPDF_NameJRN5fxcrt7WeakPtrINS2_18StringPoolTemplateINS2_10ByteStringEEENSt3__214default_deleteIS6_EEEERA11_KcEEENS2_9RetainPtrIT_EEDpOT0_"].apply(null,arguments)}__ZN6pdfium10MakeRetainI9CPDF_NameJRN5fxcrt7WeakPtrINS2_18StringPoolTemplateINS2_10ByteStringEEENSt3__214default_deleteIS6_EEEERA11_KcEEENS2_9RetainPtrIT_EEDpOT0_.stub=true;function __ZN6pdfium10MakeRetainI9CPDF_NameJRN5fxcrt7WeakPtrINS2_18StringPoolTemplateINS2_10ByteStringEEENSt3__214default_deleteIS6_EEEERA12_KcEEENS2_9RetainPtrIT_EEDpOT0_(){return wasmImports["_ZN6pdfium10MakeRetainI9CPDF_NameJRN5fxcrt7WeakPtrINS2_18StringPoolTemplateINS2_10ByteStringEEENSt3__214default_deleteIS6_EEEERA12_KcEEENS2_9RetainPtrIT_EEDpOT0_"].apply(null,arguments)}__ZN6pdfium10MakeRetainI9CPDF_NameJRN5fxcrt7WeakPtrINS2_18StringPoolTemplateINS2_10ByteStringEEENSt3__214default_deleteIS6_EEEERA12_KcEEENS2_9RetainPtrIT_EEDpOT0_.stub=true;function __ZN6pdfium10MakeRetainI9CPDF_NameJRN5fxcrt7WeakPtrINS2_18StringPoolTemplateINS2_10ByteStringEEENSt3__214default_deleteIS6_EEEERA13_KcEEENS2_9RetainPtrIT_EEDpOT0_(){return wasmImports["_ZN6pdfium10MakeRetainI9CPDF_NameJRN5fxcrt7WeakPtrINS2_18StringPoolTemplateINS2_10ByteStringEEENSt3__214default_deleteIS6_EEEERA13_KcEEENS2_9RetainPtrIT_EEDpOT0_"].apply(null,arguments)}__ZN6pdfium10MakeRetainI9CPDF_NameJRN5fxcrt7WeakPtrINS2_18StringPoolTemplateINS2_10ByteStringEEENSt3__214default_deleteIS6_EEEERA13_KcEEENS2_9RetainPtrIT_EEDpOT0_.stub=true;function __ZN6pdfium10MakeRetainI9CPDF_NameJRN5fxcrt7WeakPtrINS2_18StringPoolTemplateINS2_10ByteStringEEENSt3__214default_deleteIS6_EEEERA15_KcEEENS2_9RetainPtrIT_EEDpOT0_(){return wasmImports["_ZN6pdfium10MakeRetainI9CPDF_NameJRN5fxcrt7WeakPtrINS2_18StringPoolTemplateINS2_10ByteStringEEENSt3__214default_deleteIS6_EEEERA15_KcEEENS2_9RetainPtrIT_EEDpOT0_"].apply(null,arguments)}__ZN6pdfium10MakeRetainI9CPDF_NameJRN5fxcrt7WeakPtrINS2_18StringPoolTemplateINS2_10ByteStringEEENSt3__214default_deleteIS6_EEEERA15_KcEEENS2_9RetainPtrIT_EEDpOT0_.stub=true;function __ZN6pdfium10MakeRetainI9CPDF_NameJRN5fxcrt7WeakPtrINS2_18StringPoolTemplateINS2_10ByteStringEEENSt3__214default_deleteIS6_EEEERA16_KcEEENS2_9RetainPtrIT_EEDpOT0_(){return wasmImports["_ZN6pdfium10MakeRetainI9CPDF_NameJRN5fxcrt7WeakPtrINS2_18StringPoolTemplateINS2_10ByteStringEEENSt3__214default_deleteIS6_EEEERA16_KcEEENS2_9RetainPtrIT_EEDpOT0_"].apply(null,arguments)}__ZN6pdfium10MakeRetainI9CPDF_NameJRN5fxcrt7WeakPtrINS2_18StringPoolTemplateINS2_10ByteStringEEENSt3__214default_deleteIS6_EEEERA16_KcEEENS2_9RetainPtrIT_EEDpOT0_.stub=true;function __ZN6pdfium10MakeRetainI9CPDF_NameJRN5fxcrt7WeakPtrINS2_18StringPoolTemplateINS2_10ByteStringEEENSt3__214default_deleteIS6_EEEERA4_KcEEENS2_9RetainPtrIT_EEDpOT0_(){return wasmImports["_ZN6pdfium10MakeRetainI9CPDF_NameJRN5fxcrt7WeakPtrINS2_18StringPoolTemplateINS2_10ByteStringEEENSt3__214default_deleteIS6_EEEERA4_KcEEENS2_9RetainPtrIT_EEDpOT0_"].apply(null,arguments)}__ZN6pdfium10MakeRetainI9CPDF_NameJRN5fxcrt7WeakPtrINS2_18StringPoolTemplateINS2_10ByteStringEEENSt3__214default_deleteIS6_EEEERA4_KcEEENS2_9RetainPtrIT_EEDpOT0_.stub=true;function __ZN6pdfium10MakeRetainI9CPDF_NameJRN5fxcrt7WeakPtrINS2_18StringPoolTemplateINS2_10ByteStringEEENSt3__214default_deleteIS6_EEEERA5_KcEEENS2_9RetainPtrIT_EEDpOT0_(){return wasmImports["_ZN6pdfium10MakeRetainI9CPDF_NameJRN5fxcrt7WeakPtrINS2_18StringPoolTemplateINS2_10ByteStringEEENSt3__214default_deleteIS6_EEEERA5_KcEEENS2_9RetainPtrIT_EEDpOT0_"].apply(null,arguments)}__ZN6pdfium10MakeRetainI9CPDF_NameJRN5fxcrt7WeakPtrINS2_18StringPoolTemplateINS2_10ByteStringEEENSt3__214default_deleteIS6_EEEERA5_KcEEENS2_9RetainPtrIT_EEDpOT0_.stub=true;function __ZN6pdfium10MakeRetainI9CPDF_NameJRN5fxcrt7WeakPtrINS2_18StringPoolTemplateINS2_10ByteStringEEENSt3__214default_deleteIS6_EEEERA6_KcEEENS2_9RetainPtrIT_EEDpOT0_(){return wasmImports["_ZN6pdfium10MakeRetainI9CPDF_NameJRN5fxcrt7WeakPtrINS2_18StringPoolTemplateINS2_10ByteStringEEENSt3__214default_deleteIS6_EEEERA6_KcEEENS2_9RetainPtrIT_EEDpOT0_"].apply(null,arguments)}__ZN6pdfium10MakeRetainI9CPDF_NameJRN5fxcrt7WeakPtrINS2_18StringPoolTemplateINS2_10ByteStringEEENSt3__214default_deleteIS6_EEEERA6_KcEEENS2_9RetainPtrIT_EEDpOT0_.stub=true;function __ZN6pdfium10MakeRetainI9CPDF_NameJRN5fxcrt7WeakPtrINS2_18StringPoolTemplateINS2_10ByteStringEEENSt3__214default_deleteIS6_EEEERA7_KcEEENS2_9RetainPtrIT_EEDpOT0_(){return wasmImports["_ZN6pdfium10MakeRetainI9CPDF_NameJRN5fxcrt7WeakPtrINS2_18StringPoolTemplateINS2_10ByteStringEEENSt3__214default_deleteIS6_EEEERA7_KcEEENS2_9RetainPtrIT_EEDpOT0_"].apply(null,arguments)}__ZN6pdfium10MakeRetainI9CPDF_NameJRN5fxcrt7WeakPtrINS2_18StringPoolTemplateINS2_10ByteStringEEENSt3__214default_deleteIS6_EEEERA7_KcEEENS2_9RetainPtrIT_EEDpOT0_.stub=true;function __ZN6pdfium10MakeRetainI9CPDF_NameJRN5fxcrt7WeakPtrINS2_18StringPoolTemplateINS2_10ByteStringEEENSt3__214default_deleteIS6_EEEERA8_KcEEENS2_9RetainPtrIT_EEDpOT0_(){return wasmImports["_ZN6pdfium10MakeRetainI9CPDF_NameJRN5fxcrt7WeakPtrINS2_18StringPoolTemplateINS2_10ByteStringEEENSt3__214default_deleteIS6_EEEERA8_KcEEENS2_9RetainPtrIT_EEDpOT0_"].apply(null,arguments)}__ZN6pdfium10MakeRetainI9CPDF_NameJRN5fxcrt7WeakPtrINS2_18StringPoolTemplateINS2_10ByteStringEEENSt3__214default_deleteIS6_EEEERA8_KcEEENS2_9RetainPtrIT_EEDpOT0_.stub=true;function __ZN6pdfium10MakeRetainI9CPDF_NameJRN5fxcrt7WeakPtrINS2_18StringPoolTemplateINS2_10ByteStringEEENSt3__214default_deleteIS6_EEEERA9_KcEEENS2_9RetainPtrIT_EEDpOT0_(){return wasmImports["_ZN6pdfium10MakeRetainI9CPDF_NameJRN5fxcrt7WeakPtrINS2_18StringPoolTemplateINS2_10ByteStringEEENSt3__214default_deleteIS6_EEEERA9_KcEEENS2_9RetainPtrIT_EEDpOT0_"].apply(null,arguments)}__ZN6pdfium10MakeRetainI9CPDF_NameJRN5fxcrt7WeakPtrINS2_18StringPoolTemplateINS2_10ByteStringEEENSt3__214default_deleteIS6_EEEERA9_KcEEENS2_9RetainPtrIT_EEDpOT0_.stub=true;function __ZN6pdfium10MakeRetainI9CPDF_NameJRN5fxcrt7WeakPtrINS2_18StringPoolTemplateINS2_10ByteStringEEENSt3__214default_deleteIS6_EEEERKS5_EEENS2_9RetainPtrIT_EEDpOT0_(){return wasmImports["_ZN6pdfium10MakeRetainI9CPDF_NameJRN5fxcrt7WeakPtrINS2_18StringPoolTemplateINS2_10ByteStringEEENSt3__214default_deleteIS6_EEEERKS5_EEENS2_9RetainPtrIT_EEDpOT0_"].apply(null,arguments)}__ZN6pdfium10MakeRetainI9CPDF_NameJRN5fxcrt7WeakPtrINS2_18StringPoolTemplateINS2_10ByteStringEEENSt3__214default_deleteIS6_EEEERKS5_EEENS2_9RetainPtrIT_EEDpOT0_.stub=true;function __ZN6pdfium10MakeRetainI9CPDF_NameJRN5fxcrt7WeakPtrINS2_18StringPoolTemplateINS2_10ByteStringEEENSt3__214default_deleteIS6_EEEERPKcEEENS2_9RetainPtrIT_EEDpOT0_(){return wasmImports["_ZN6pdfium10MakeRetainI9CPDF_NameJRN5fxcrt7WeakPtrINS2_18StringPoolTemplateINS2_10ByteStringEEENSt3__214default_deleteIS6_EEEERPKcEEENS2_9RetainPtrIT_EEDpOT0_"].apply(null,arguments)}__ZN6pdfium10MakeRetainI9CPDF_NameJRN5fxcrt7WeakPtrINS2_18StringPoolTemplateINS2_10ByteStringEEENSt3__214default_deleteIS6_EEEERPKcEEENS2_9RetainPtrIT_EEDpOT0_.stub=true;function __ZN6pdfium10MakeRetainI9CPDF_NameJRN5fxcrt7WeakPtrINS2_18StringPoolTemplateINS2_10ByteStringEEENSt3__214default_deleteIS6_EEEERS5_EEENS2_9RetainPtrIT_EEDpOT0_(){return wasmImports["_ZN6pdfium10MakeRetainI9CPDF_NameJRN5fxcrt7WeakPtrINS2_18StringPoolTemplateINS2_10ByteStringEEENSt3__214default_deleteIS6_EEEERS5_EEENS2_9RetainPtrIT_EEDpOT0_"].apply(null,arguments)}__ZN6pdfium10MakeRetainI9CPDF_NameJRN5fxcrt7WeakPtrINS2_18StringPoolTemplateINS2_10ByteStringEEENSt3__214default_deleteIS6_EEEERS5_EEENS2_9RetainPtrIT_EEDpOT0_.stub=true;function __ZN6pdfium10MakeRetainI9CPDF_NameJRN5fxcrt7WeakPtrINS2_18StringPoolTemplateINS2_10ByteStringEEENSt3__214default_deleteIS6_EEEES5_EEENS2_9RetainPtrIT_EEDpOT0_(){return wasmImports["_ZN6pdfium10MakeRetainI9CPDF_NameJRN5fxcrt7WeakPtrINS2_18StringPoolTemplateINS2_10ByteStringEEENSt3__214default_deleteIS6_EEEES5_EEENS2_9RetainPtrIT_EEDpOT0_"].apply(null,arguments)}__ZN6pdfium10MakeRetainI9CPDF_NameJRN5fxcrt7WeakPtrINS2_18StringPoolTemplateINS2_10ByteStringEEENSt3__214default_deleteIS6_EEEES5_EEENS2_9RetainPtrIT_EEDpOT0_.stub=true;function __ZNSt3__211__introsortINS_17_ClassicAlgPolicyERNS_6__lessINS_12basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEEES8_EEPS8_EEvT1_SC_T0_NS_15iterator_traitsISC_E15difference_typeE(){return wasmImports["_ZNSt3__211__introsortINS_17_ClassicAlgPolicyERNS_6__lessINS_12basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEEES8_EEPS8_EEvT1_SC_T0_NS_15iterator_traitsISC_E15difference_typeE"].apply(null,arguments)}__ZNSt3__211__introsortINS_17_ClassicAlgPolicyERNS_6__lessINS_12basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEEES8_EEPS8_EEvT1_SC_T0_NS_15iterator_traitsISC_E15difference_typeE.stub=true;function __ZNSt3__211__introsortINS_17_ClassicAlgPolicyERPFbPK4StemS4_EPS4_EEvT1_S9_T0_NS_15iterator_traitsIS9_E15difference_typeE(){return wasmImports["_ZNSt3__211__introsortINS_17_ClassicAlgPolicyERPFbPK4StemS4_EPS4_EEvT1_S9_T0_NS_15iterator_traitsIS9_E15difference_typeE"].apply(null,arguments)}__ZNSt3__211__introsortINS_17_ClassicAlgPolicyERPFbPK4StemS4_EPS4_EEvT1_S9_T0_NS_15iterator_traitsIS9_E15difference_typeE.stub=true;function __ZNSt3__211__introsortINS_17_ClassicAlgPolicyERPFbRKNS_4pairIj17GlyphEncodingInfoEES6_EPS4_EEvT1_SB_T0_NS_15iterator_traitsISB_E15difference_typeE(){return wasmImports["_ZNSt3__211__introsortINS_17_ClassicAlgPolicyERPFbRKNS_4pairIj17GlyphEncodingInfoEES6_EPS4_EEvT1_SB_T0_NS_15iterator_traitsISB_E15difference_typeE"].apply(null,arguments)}__ZNSt3__211__introsortINS_17_ClassicAlgPolicyERPFbRKNS_4pairIj17GlyphEncodingInfoEES6_EPS4_EEvT1_SB_T0_NS_15iterator_traitsISB_E15difference_typeE.stub=true;function __ZNSt3__211__sift_downINS_17_ClassicAlgPolicyERNS_6__lessINS_12basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEEES8_EEPS8_EEvT1_OT0_NS_15iterator_traitsISC_E15difference_typeESC_(){return wasmImports["_ZNSt3__211__sift_downINS_17_ClassicAlgPolicyERNS_6__lessINS_12basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEEES8_EEPS8_EEvT1_OT0_NS_15iterator_traitsISC_E15difference_typeESC_"].apply(null,arguments)}__ZNSt3__211__sift_downINS_17_ClassicAlgPolicyERNS_6__lessINS_12basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEEES8_EEPS8_EEvT1_OT0_NS_15iterator_traitsISC_E15difference_typeESC_.stub=true;function __ZNSt3__211__sift_downINS_17_ClassicAlgPolicyERPFbRKNS_4pairIj17GlyphEncodingInfoEES6_EPS4_EEvT1_OT0_NS_15iterator_traitsISB_E15difference_typeESB_(){return wasmImports["_ZNSt3__211__sift_downINS_17_ClassicAlgPolicyERPFbRKNS_4pairIj17GlyphEncodingInfoEES6_EPS4_EEvT1_OT0_NS_15iterator_traitsISB_E15difference_typeESB_"].apply(null,arguments)}__ZNSt3__211__sift_downINS_17_ClassicAlgPolicyERPFbRKNS_4pairIj17GlyphEncodingInfoEES6_EPS4_EEvT1_OT0_NS_15iterator_traitsISB_E15difference_typeESB_.stub=true;function __ZNSt3__212basic_stringIcNS_11char_traitsIcEE25FxPartitionAllocAllocatorIcXadL_ZN6pdfium8internal16StringAllocOrDieEmmEEEE6appendEmc(){return wasmImports["_ZNSt3__212basic_stringIcNS_11char_traitsIcEE25FxPartitionAllocAllocatorIcXadL_ZN6pdfium8internal16StringAllocOrDieEmmEEEE6appendEmc"].apply(null,arguments)}__ZNSt3__212basic_stringIcNS_11char_traitsIcEE25FxPartitionAllocAllocatorIcXadL_ZN6pdfium8internal16StringAllocOrDieEmmEEEE6appendEmc.stub=true;function __ZNSt3__212basic_stringIcNS_11char_traitsIcEE25FxPartitionAllocAllocatorIcXadL_ZN6pdfium8internal16StringAllocOrDieEmmEEEE9push_backEc(){return wasmImports["_ZNSt3__212basic_stringIcNS_11char_traitsIcEE25FxPartitionAllocAllocatorIcXadL_ZN6pdfium8internal16StringAllocOrDieEmmEEEE9push_backEc"].apply(null,arguments)}__ZNSt3__212basic_stringIcNS_11char_traitsIcEE25FxPartitionAllocAllocatorIcXadL_ZN6pdfium8internal16StringAllocOrDieEmmEEEE9push_backEc.stub=true;function __ZNSt3__215basic_stringbufIcNS_11char_traitsIcEE25FxPartitionAllocAllocatorIcXadL_ZN6pdfium8internal16StringAllocOrDieEmmEEEE7seekoffExNS_8ios_base7seekdirEj(){return wasmImports["_ZNSt3__215basic_stringbufIcNS_11char_traitsIcEE25FxPartitionAllocAllocatorIcXadL_ZN6pdfium8internal16StringAllocOrDieEmmEEEE7seekoffExNS_8ios_base7seekdirEj"].apply(null,arguments)}__ZNSt3__215basic_stringbufIcNS_11char_traitsIcEE25FxPartitionAllocAllocatorIcXadL_ZN6pdfium8internal16StringAllocOrDieEmmEEEE7seekoffExNS_8ios_base7seekdirEj.stub=true;function __ZNSt3__215basic_stringbufIcNS_11char_traitsIcEE25FxPartitionAllocAllocatorIcXadL_ZN6pdfium8internal16StringAllocOrDieEmmEEEE8overflowEi(){return wasmImports["_ZNSt3__215basic_stringbufIcNS_11char_traitsIcEE25FxPartitionAllocAllocatorIcXadL_ZN6pdfium8internal16StringAllocOrDieEmmEEEE8overflowEi"].apply(null,arguments)}__ZNSt3__215basic_stringbufIcNS_11char_traitsIcEE25FxPartitionAllocAllocatorIcXadL_ZN6pdfium8internal16StringAllocOrDieEmmEEEE8overflowEi.stub=true;function __ZNSt3__215basic_stringbufIcNS_11char_traitsIcEE25FxPartitionAllocAllocatorIcXadL_ZN6pdfium8internal16StringAllocOrDieEmmEEEE9pbackfailEi(){return wasmImports["_ZNSt3__215basic_stringbufIcNS_11char_traitsIcEE25FxPartitionAllocAllocatorIcXadL_ZN6pdfium8internal16StringAllocOrDieEmmEEEE9pbackfailEi"].apply(null,arguments)}__ZNSt3__215basic_stringbufIcNS_11char_traitsIcEE25FxPartitionAllocAllocatorIcXadL_ZN6pdfium8internal16StringAllocOrDieEmmEEEE9pbackfailEi.stub=true;function __ZNSt3__215basic_stringbufIcNS_11char_traitsIcEE25FxPartitionAllocAllocatorIcXadL_ZN6pdfium8internal16StringAllocOrDieEmmEEEE9underflowEv(){return wasmImports["_ZNSt3__215basic_stringbufIcNS_11char_traitsIcEE25FxPartitionAllocAllocatorIcXadL_ZN6pdfium8internal16StringAllocOrDieEmmEEEE9underflowEv"].apply(null,arguments)}__ZNSt3__215basic_stringbufIcNS_11char_traitsIcEE25FxPartitionAllocAllocatorIcXadL_ZN6pdfium8internal16StringAllocOrDieEmmEEEE9underflowEv.stub=true;function __ZNSt3__215basic_stringbufIcNS_11char_traitsIcEE25FxPartitionAllocAllocatorIcXadL_ZN6pdfium8internal16StringAllocOrDieEmmEEEED0Ev(){return wasmImports["_ZNSt3__215basic_stringbufIcNS_11char_traitsIcEE25FxPartitionAllocAllocatorIcXadL_ZN6pdfium8internal16StringAllocOrDieEmmEEEED0Ev"].apply(null,arguments)}__ZNSt3__215basic_stringbufIcNS_11char_traitsIcEE25FxPartitionAllocAllocatorIcXadL_ZN6pdfium8internal16StringAllocOrDieEmmEEEED0Ev.stub=true;function __ZNSt3__215basic_stringbufIcNS_11char_traitsIcEE25FxPartitionAllocAllocatorIcXadL_ZN6pdfium8internal16StringAllocOrDieEmmEEEED2Ev(){return wasmImports["_ZNSt3__215basic_stringbufIcNS_11char_traitsIcEE25FxPartitionAllocAllocatorIcXadL_ZN6pdfium8internal16StringAllocOrDieEmmEEEED2Ev"].apply(null,arguments)}__ZNSt3__215basic_stringbufIcNS_11char_traitsIcEE25FxPartitionAllocAllocatorIcXadL_ZN6pdfium8internal16StringAllocOrDieEmmEEEED2Ev.stub=true;function __ZNSt3__218__insertion_sort_3INS_17_ClassicAlgPolicyERNS_6__lessINS_12basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEEES8_EEPS8_EEvT1_SC_T0_(){return wasmImports["_ZNSt3__218__insertion_sort_3INS_17_ClassicAlgPolicyERNS_6__lessINS_12basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEEES8_EEPS8_EEvT1_SC_T0_"].apply(null,arguments)}__ZNSt3__218__insertion_sort_3INS_17_ClassicAlgPolicyERNS_6__lessINS_12basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEEES8_EEPS8_EEvT1_SC_T0_.stub=true;function __ZNSt3__218__insertion_sort_3INS_17_ClassicAlgPolicyERPFbPK4StemS4_EPS4_EEvT1_S9_T0_(){return wasmImports["_ZNSt3__218__insertion_sort_3INS_17_ClassicAlgPolicyERPFbPK4StemS4_EPS4_EEvT1_S9_T0_"].apply(null,arguments)}__ZNSt3__218__insertion_sort_3INS_17_ClassicAlgPolicyERPFbPK4StemS4_EPS4_EEvT1_S9_T0_.stub=true;function __ZNSt3__218__insertion_sort_3INS_17_ClassicAlgPolicyERPFbRKNS_4pairIj17GlyphEncodingInfoEES6_EPS4_EEvT1_SB_T0_(){return wasmImports["_ZNSt3__218__insertion_sort_3INS_17_ClassicAlgPolicyERPFbRKNS_4pairIj17GlyphEncodingInfoEES6_EPS4_EEvT1_SB_T0_"].apply(null,arguments)}__ZNSt3__218__insertion_sort_3INS_17_ClassicAlgPolicyERPFbRKNS_4pairIj17GlyphEncodingInfoEES6_EPS4_EEvT1_SB_T0_.stub=true;function __ZNSt3__219__partial_sort_implINS_17_ClassicAlgPolicyERPFbPK4StemS4_EPS4_S8_EET1_S9_S9_T2_OT0_(){return wasmImports["_ZNSt3__219__partial_sort_implINS_17_ClassicAlgPolicyERPFbPK4StemS4_EPS4_S8_EET1_S9_S9_T2_OT0_"].apply(null,arguments)}__ZNSt3__219__partial_sort_implINS_17_ClassicAlgPolicyERPFbPK4StemS4_EPS4_S8_EET1_S9_S9_T2_OT0_.stub=true;function __ZNSt3__219basic_ostringstreamIcNS_11char_traitsIcEE25FxPartitionAllocAllocatorIcXadL_ZN6pdfium8internal16StringAllocOrDieEmmEEEED0Ev(){return wasmImports["_ZNSt3__219basic_ostringstreamIcNS_11char_traitsIcEE25FxPartitionAllocAllocatorIcXadL_ZN6pdfium8internal16StringAllocOrDieEmmEEEED0Ev"].apply(null,arguments)}__ZNSt3__219basic_ostringstreamIcNS_11char_traitsIcEE25FxPartitionAllocAllocatorIcXadL_ZN6pdfium8internal16StringAllocOrDieEmmEEEED0Ev.stub=true;function __ZNSt3__219basic_ostringstreamIcNS_11char_traitsIcEE25FxPartitionAllocAllocatorIcXadL_ZN6pdfium8internal16StringAllocOrDieEmmEEEED1Ev(){return wasmImports["_ZNSt3__219basic_ostringstreamIcNS_11char_traitsIcEE25FxPartitionAllocAllocatorIcXadL_ZN6pdfium8internal16StringAllocOrDieEmmEEEED1Ev"].apply(null,arguments)}__ZNSt3__219basic_ostringstreamIcNS_11char_traitsIcEE25FxPartitionAllocAllocatorIcXadL_ZN6pdfium8internal16StringAllocOrDieEmmEEEED1Ev.stub=true;function __ZNSt3__227__insertion_sort_incompleteIRNS_6__lessINS_12basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEEES7_EEPS7_EEbT0_SB_T_(){return wasmImports["_ZNSt3__227__insertion_sort_incompleteIRNS_6__lessINS_12basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEEES7_EEPS7_EEbT0_SB_T_"].apply(null,arguments)}__ZNSt3__227__insertion_sort_incompleteIRNS_6__lessINS_12basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEEES7_EEPS7_EEbT0_SB_T_.stub=true;function __ZNSt3__227__insertion_sort_incompleteIRPFbPK4StemS3_EPS3_EEbT0_S8_T_(){return wasmImports["_ZNSt3__227__insertion_sort_incompleteIRPFbPK4StemS3_EPS3_EEbT0_S8_T_"].apply(null,arguments)}__ZNSt3__227__insertion_sort_incompleteIRPFbPK4StemS3_EPS3_EEbT0_S8_T_.stub=true;function __ZNSt3__227__insertion_sort_incompleteIRPFbRKNS_4pairIj17GlyphEncodingInfoEES5_EPS3_EEbT0_SA_T_(){return wasmImports["_ZNSt3__227__insertion_sort_incompleteIRPFbRKNS_4pairIj17GlyphEncodingInfoEES5_EPS3_EEbT0_SA_T_"].apply(null,arguments)}__ZNSt3__227__insertion_sort_incompleteIRPFbRKNS_4pairIj17GlyphEncodingInfoEES5_EPS3_EEbT0_SA_T_.stub=true;function __ZNSt3__23mapIjxNS_4lessIjEENS_9allocatorINS_4pairIKjxEEEEEixERS5_(){return wasmImports["_ZNSt3__23mapIjxNS_4lessIjEENS_9allocatorINS_4pairIKjxEEEEEixERS5_"].apply(null,arguments)}__ZNSt3__23mapIjxNS_4lessIjEENS_9allocatorINS_4pairIKjxEEEEEixERS5_.stub=true;function __ZNSt3__23mapItmNS_4lessItEENS_9allocatorINS_4pairIKtmEEEEE6insertB6v15007INS4_ItmEEvEENS4_INS_14__map_iteratorINS_15__tree_iteratorINS_12__value_typeItmEEPNS_11__tree_nodeISE_PvEElEEEEbEEOT_(){return wasmImports["_ZNSt3__23mapItmNS_4lessItEENS_9allocatorINS_4pairIKtmEEEEE6insertB6v15007INS4_ItmEEvEENS4_INS_14__map_iteratorINS_15__tree_iteratorINS_12__value_typeItmEEPNS_11__tree_nodeISE_PvEElEEEEbEEOT_"].apply(null,arguments)}__ZNSt3__23mapItmNS_4lessItEENS_9allocatorINS_4pairIKtmEEEEE6insertB6v15007INS4_ItmEEvEENS4_INS_14__map_iteratorINS_15__tree_iteratorINS_12__value_typeItmEEPNS_11__tree_nodeISE_PvEElEEEEbEEOT_.stub=true;function __ZNSt3__24listINS0_ItNS_9allocatorItEEEENS1_IS3_EEE6assignINS_21__list_const_iteratorIS3_PvEEEEvT_SA_PNS_9enable_ifIXsr25__is_cpp17_input_iteratorISA_EE5valueEvE4typeE(){return wasmImports["_ZNSt3__24listINS0_ItNS_9allocatorItEEEENS1_IS3_EEE6assignINS_21__list_const_iteratorIS3_PvEEEEvT_SA_PNS_9enable_ifIXsr25__is_cpp17_input_iteratorISA_EE5valueEvE4typeE"].apply(null,arguments)}__ZNSt3__24listINS0_ItNS_9allocatorItEEEENS1_IS3_EEE6assignINS_21__list_const_iteratorIS3_PvEEEEvT_SA_PNS_9enable_ifIXsr25__is_cpp17_input_iteratorISA_EE5valueEvE4typeE.stub=true;function __ZNSt3__24listINS0_ItNS_9allocatorItEEEENS1_IS3_EEE6insertINS_21__list_const_iteratorIS3_PvEEEENS_15__list_iteratorIS3_S8_EES9_T_SC_PNS_9enable_ifIXsr25__is_cpp17_input_iteratorISC_EE5valueEvE4typeE(){return wasmImports["_ZNSt3__24listINS0_ItNS_9allocatorItEEEENS1_IS3_EEE6insertINS_21__list_const_iteratorIS3_PvEEEENS_15__list_iteratorIS3_S8_EES9_T_SC_PNS_9enable_ifIXsr25__is_cpp17_input_iteratorISC_EE5valueEvE4typeE"].apply(null,arguments)}__ZNSt3__24listINS0_ItNS_9allocatorItEEEENS1_IS3_EEE6insertINS_21__list_const_iteratorIS3_PvEEEENS_15__list_iteratorIS3_S8_EES9_T_SC_PNS_9enable_ifIXsr25__is_cpp17_input_iteratorISC_EE5valueEvE4typeE.stub=true;function __ZNSt3__24listIlNS_9allocatorIlEEE6assignINS_21__list_const_iteratorIlPvEEEEvT_S8_PNS_9enable_ifIXsr25__is_cpp17_input_iteratorIS8_EE5valueEvE4typeE(){return wasmImports["_ZNSt3__24listIlNS_9allocatorIlEEE6assignINS_21__list_const_iteratorIlPvEEEEvT_S8_PNS_9enable_ifIXsr25__is_cpp17_input_iteratorIS8_EE5valueEvE4typeE"].apply(null,arguments)}__ZNSt3__24listIlNS_9allocatorIlEEE6assignINS_21__list_const_iteratorIlPvEEEEvT_S8_PNS_9enable_ifIXsr25__is_cpp17_input_iteratorIS8_EE5valueEvE4typeE.stub=true;function __ZNSt3__24listItNS_9allocatorItEEE6assignINS_21__list_const_iteratorItPvEEEEvT_S8_PNS_9enable_ifIXsr25__is_cpp17_input_iteratorIS8_EE5valueEvE4typeE(){return wasmImports["_ZNSt3__24listItNS_9allocatorItEEE6assignINS_21__list_const_iteratorItPvEEEEvT_S8_PNS_9enable_ifIXsr25__is_cpp17_input_iteratorIS8_EE5valueEvE4typeE"].apply(null,arguments)}__ZNSt3__24listItNS_9allocatorItEEE6assignINS_21__list_const_iteratorItPvEEEEvT_S8_PNS_9enable_ifIXsr25__is_cpp17_input_iteratorIS8_EE5valueEvE4typeE.stub=true;function __ZNSt3__26__treeIN5fxcrt9RetainPtrIK15CPDF_DictionaryEENS_4lessIS5_EENS_9allocatorIS5_EEE7destroyEPNS_11__tree_nodeIS5_PvEE(){return wasmImports["_ZNSt3__26__treeIN5fxcrt9RetainPtrIK15CPDF_DictionaryEENS_4lessIS5_EENS_9allocatorIS5_EEE7destroyEPNS_11__tree_nodeIS5_PvEE"].apply(null,arguments)}__ZNSt3__26__treeIN5fxcrt9RetainPtrIK15CPDF_DictionaryEENS_4lessIS5_EENS_9allocatorIS5_EEE7destroyEPNS_11__tree_nodeIS5_PvEE.stub=true;function __ZNSt3__26__treeINS_12__value_typeI4StemmEENS_19__map_value_compareIS2_S3_8StemLessLb1EEENS_9allocatorIS3_EEE7destroyEPNS_11__tree_nodeIS3_PvEE(){return wasmImports["_ZNSt3__26__treeINS_12__value_typeI4StemmEENS_19__map_value_compareIS2_S3_8StemLessLb1EEENS_9allocatorIS3_EEE7destroyEPNS_11__tree_nodeIS3_PvEE"].apply(null,arguments)}__ZNSt3__26__treeINS_12__value_typeI4StemmEENS_19__map_value_compareIS2_S3_8StemLessLb1EEENS_9allocatorIS3_EEE7destroyEPNS_11__tree_nodeIS3_PvEE.stub=true;function __ZNSt3__26__treeINS_12__value_typeINS_12basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEEE15Type1CharStringEENS_19__map_value_compareIS7_S9_NS_4lessIS7_EELb1EEENS5_IS9_EEE12__find_equalIS7_EERPNS_16__tree_node_baseIPvEERPNS_15__tree_end_nodeISK_EERKT_(){return wasmImports["_ZNSt3__26__treeINS_12__value_typeINS_12basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEEE15Type1CharStringEENS_19__map_value_compareIS7_S9_NS_4lessIS7_EELb1EEENS5_IS9_EEE12__find_equalIS7_EERPNS_16__tree_node_baseIPvEERPNS_15__tree_end_nodeISK_EERKT_"].apply(null,arguments)}__ZNSt3__26__treeINS_12__value_typeINS_12basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEEE15Type1CharStringEENS_19__map_value_compareIS7_S9_NS_4lessIS7_EELb1EEENS5_IS9_EEE12__find_equalIS7_EERPNS_16__tree_node_baseIPvEERPNS_15__tree_end_nodeISK_EERKT_.stub=true;function __ZNSt3__26__treeINS_12__value_typeINS_12basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEEE15Type1CharStringEENS_19__map_value_compareIS7_S9_NS_4lessIS7_EELb1EEENS5_IS9_EEE25__emplace_unique_key_argsIS7_JNS_4pairIKS7_S8_EEEEENSH_INS_15__tree_iteratorIS9_PNS_11__tree_nodeIS9_PvEElEEbEERKT_DpOT0_(){return wasmImports["_ZNSt3__26__treeINS_12__value_typeINS_12basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEEE15Type1CharStringEENS_19__map_value_compareIS7_S9_NS_4lessIS7_EELb1EEENS5_IS9_EEE25__emplace_unique_key_argsIS7_JNS_4pairIKS7_S8_EEEEENSH_INS_15__tree_iteratorIS9_PNS_11__tree_nodeIS9_PvEElEEbEERKT_DpOT0_"].apply(null,arguments)}__ZNSt3__26__treeINS_12__value_typeINS_12basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEEE15Type1CharStringEENS_19__map_value_compareIS7_S9_NS_4lessIS7_EELb1EEENS5_IS9_EEE25__emplace_unique_key_argsIS7_JNS_4pairIKS7_S8_EEEEENSH_INS_15__tree_iteratorIS9_PNS_11__tree_nodeIS9_PvEElEEbEERKT_DpOT0_.stub=true;function __ZNSt3__26__treeINS_12__value_typeINS_12basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEEE15Type1CharStringEENS_19__map_value_compareIS7_S9_NS_4lessIS7_EELb1EEENS5_IS9_EEE4findIS7_EENS_15__tree_iteratorIS9_PNS_11__tree_nodeIS9_PvEElEERKT_(){return wasmImports["_ZNSt3__26__treeINS_12__value_typeINS_12basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEEE15Type1CharStringEENS_19__map_value_compareIS7_S9_NS_4lessIS7_EELb1EEENS5_IS9_EEE4findIS7_EENS_15__tree_iteratorIS9_PNS_11__tree_nodeIS9_PvEElEERKT_"].apply(null,arguments)}__ZNSt3__26__treeINS_12__value_typeINS_12basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEEE15Type1CharStringEENS_19__map_value_compareIS7_S9_NS_4lessIS7_EELb1EEENS5_IS9_EEE4findIS7_EENS_15__tree_iteratorIS9_PNS_11__tree_nodeIS9_PvEElEERKT_.stub=true;function __ZNSt3__26__treeINS_12__value_typeINS_12basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEEE15Type1CharStringEENS_19__map_value_compareIS7_S9_NS_4lessIS7_EELb1EEENS5_IS9_EEE7destroyEPNS_11__tree_nodeIS9_PvEE(){return wasmImports["_ZNSt3__26__treeINS_12__value_typeINS_12basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEEE15Type1CharStringEENS_19__map_value_compareIS7_S9_NS_4lessIS7_EELb1EEENS5_IS9_EEE7destroyEPNS_11__tree_nodeIS9_PvEE"].apply(null,arguments)}__ZNSt3__26__treeINS_12__value_typeINS_12basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEEE15Type1CharStringEENS_19__map_value_compareIS7_S9_NS_4lessIS7_EELb1EEENS5_IS9_EEE7destroyEPNS_11__tree_nodeIS9_PvEE.stub=true;function __ZNSt3__26__treeINS_12__value_typeINS_12basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEEEP13fpdf_font_t__EENS_19__map_value_compareIS7_SA_NS_4lessIS7_EELb1EEENS5_ISA_EEE12__find_equalIS7_EERPNS_16__tree_node_baseIPvEERPNS_15__tree_end_nodeISL_EERKT_(){return wasmImports["_ZNSt3__26__treeINS_12__value_typeINS_12basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEEEP13fpdf_font_t__EENS_19__map_value_compareIS7_SA_NS_4lessIS7_EELb1EEENS5_ISA_EEE12__find_equalIS7_EERPNS_16__tree_node_baseIPvEERPNS_15__tree_end_nodeISL_EERKT_"].apply(null,arguments)}__ZNSt3__26__treeINS_12__value_typeINS_12basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEEEP13fpdf_font_t__EENS_19__map_value_compareIS7_SA_NS_4lessIS7_EELb1EEENS5_ISA_EEE12__find_equalIS7_EERPNS_16__tree_node_baseIPvEERPNS_15__tree_end_nodeISL_EERKT_.stub=true;function __ZNSt3__26__treeINS_12__value_typeINS_12basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEEEP13fpdf_font_t__EENS_19__map_value_compareIS7_SA_NS_4lessIS7_EELb1EEENS5_ISA_EEE25__emplace_unique_key_argsIS7_JNS_4pairIKS7_S9_EEEEENSI_INS_15__tree_iteratorISA_PNS_11__tree_nodeISA_PvEElEEbEERKT_DpOT0_(){return wasmImports["_ZNSt3__26__treeINS_12__value_typeINS_12basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEEEP13fpdf_font_t__EENS_19__map_value_compareIS7_SA_NS_4lessIS7_EELb1EEENS5_ISA_EEE25__emplace_unique_key_argsIS7_JNS_4pairIKS7_S9_EEEEENSI_INS_15__tree_iteratorISA_PNS_11__tree_nodeISA_PvEElEEbEERKT_DpOT0_"].apply(null,arguments)}__ZNSt3__26__treeINS_12__value_typeINS_12basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEEEP13fpdf_font_t__EENS_19__map_value_compareIS7_SA_NS_4lessIS7_EELb1EEENS5_ISA_EEE25__emplace_unique_key_argsIS7_JNS_4pairIKS7_S9_EEEEENSI_INS_15__tree_iteratorISA_PNS_11__tree_nodeISA_PvEElEEbEERKT_DpOT0_.stub=true;function __ZNSt3__26__treeINS_12__value_typeINS_12basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEEEP13fpdf_font_t__EENS_19__map_value_compareIS7_SA_NS_4lessIS7_EELb1EEENS5_ISA_EEE4findIS7_EENS_15__tree_iteratorISA_PNS_11__tree_nodeISA_PvEElEERKT_(){return wasmImports["_ZNSt3__26__treeINS_12__value_typeINS_12basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEEEP13fpdf_font_t__EENS_19__map_value_compareIS7_SA_NS_4lessIS7_EELb1EEENS5_ISA_EEE4findIS7_EENS_15__tree_iteratorISA_PNS_11__tree_nodeISA_PvEElEERKT_"].apply(null,arguments)}__ZNSt3__26__treeINS_12__value_typeINS_12basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEEEP13fpdf_font_t__EENS_19__map_value_compareIS7_SA_NS_4lessIS7_EELb1EEENS5_ISA_EEE4findIS7_EENS_15__tree_iteratorISA_PNS_11__tree_nodeISA_PvEElEERKT_.stub=true;function __ZNSt3__26__treeINS_12__value_typeINS_12basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEEEP13fpdf_font_t__EENS_19__map_value_compareIS7_SA_NS_4lessIS7_EELb1EEENS5_ISA_EEE7destroyEPNS_11__tree_nodeISA_PvEE(){return wasmImports["_ZNSt3__26__treeINS_12__value_typeINS_12basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEEEP13fpdf_font_t__EENS_19__map_value_compareIS7_SA_NS_4lessIS7_EELb1EEENS5_ISA_EEE7destroyEPNS_11__tree_nodeISA_PvEE"].apply(null,arguments)}__ZNSt3__26__treeINS_12__value_typeINS_12basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEEEP13fpdf_font_t__EENS_19__map_value_compareIS7_SA_NS_4lessIS7_EELb1EEENS5_ISA_EEE7destroyEPNS_11__tree_nodeISA_PvEE.stub=true;function __ZNSt3__26__treeINS_12__value_typeINS_12basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEEEP8PdfWFontEENS_19__map_value_compareIS7_SA_NS_4lessIS7_EELb1EEENS5_ISA_EEE12__find_equalIS7_EERPNS_16__tree_node_baseIPvEERPNS_15__tree_end_nodeISL_EERKT_(){return wasmImports["_ZNSt3__26__treeINS_12__value_typeINS_12basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEEEP8PdfWFontEENS_19__map_value_compareIS7_SA_NS_4lessIS7_EELb1EEENS5_ISA_EEE12__find_equalIS7_EERPNS_16__tree_node_baseIPvEERPNS_15__tree_end_nodeISL_EERKT_"].apply(null,arguments)}__ZNSt3__26__treeINS_12__value_typeINS_12basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEEEP8PdfWFontEENS_19__map_value_compareIS7_SA_NS_4lessIS7_EELb1EEENS5_ISA_EEE12__find_equalIS7_EERPNS_16__tree_node_baseIPvEERPNS_15__tree_end_nodeISL_EERKT_.stub=true;function __ZNSt3__26__treeINS_12__value_typeINS_12basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEEEP8PdfWFontEENS_19__map_value_compareIS7_SA_NS_4lessIS7_EELb1EEENS5_ISA_EEE25__emplace_unique_key_argsIS7_JNS_4pairIKS7_S9_EEEEENSI_INS_15__tree_iteratorISA_PNS_11__tree_nodeISA_PvEElEEbEERKT_DpOT0_(){return wasmImports["_ZNSt3__26__treeINS_12__value_typeINS_12basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEEEP8PdfWFontEENS_19__map_value_compareIS7_SA_NS_4lessIS7_EELb1EEENS5_ISA_EEE25__emplace_unique_key_argsIS7_JNS_4pairIKS7_S9_EEEEENSI_INS_15__tree_iteratorISA_PNS_11__tree_nodeISA_PvEElEEbEERKT_DpOT0_"].apply(null,arguments)}__ZNSt3__26__treeINS_12__value_typeINS_12basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEEEP8PdfWFontEENS_19__map_value_compareIS7_SA_NS_4lessIS7_EELb1EEENS5_ISA_EEE25__emplace_unique_key_argsIS7_JNS_4pairIKS7_S9_EEEEENSI_INS_15__tree_iteratorISA_PNS_11__tree_nodeISA_PvEElEEbEERKT_DpOT0_.stub=true;function __ZNSt3__26__treeINS_12__value_typeINS_12basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEEEP8PdfWFontEENS_19__map_value_compareIS7_SA_NS_4lessIS7_EELb1EEENS5_ISA_EEE4findIS7_EENS_15__tree_iteratorISA_PNS_11__tree_nodeISA_PvEElEERKT_(){return wasmImports["_ZNSt3__26__treeINS_12__value_typeINS_12basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEEEP8PdfWFontEENS_19__map_value_compareIS7_SA_NS_4lessIS7_EELb1EEENS5_ISA_EEE4findIS7_EENS_15__tree_iteratorISA_PNS_11__tree_nodeISA_PvEElEERKT_"].apply(null,arguments)}__ZNSt3__26__treeINS_12__value_typeINS_12basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEEEP8PdfWFontEENS_19__map_value_compareIS7_SA_NS_4lessIS7_EELb1EEENS5_ISA_EEE4findIS7_EENS_15__tree_iteratorISA_PNS_11__tree_nodeISA_PvEElEERKT_.stub=true;function __ZNSt3__26__treeINS_12__value_typeINS_12basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEEEP8PdfWFontEENS_19__map_value_compareIS7_SA_NS_4lessIS7_EELb1EEENS5_ISA_EEE7destroyEPNS_11__tree_nodeISA_PvEE(){return wasmImports["_ZNSt3__26__treeINS_12__value_typeINS_12basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEEEP8PdfWFontEENS_19__map_value_compareIS7_SA_NS_4lessIS7_EELb1EEENS5_ISA_EEE7destroyEPNS_11__tree_nodeISA_PvEE"].apply(null,arguments)}__ZNSt3__26__treeINS_12__value_typeINS_12basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEEEP8PdfWFontEENS_19__map_value_compareIS7_SA_NS_4lessIS7_EELb1EEENS5_ISA_EEE7destroyEPNS_11__tree_nodeISA_PvEE.stub=true;function __ZNSt3__26__treeINS_12__value_typeINS_12basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEEEhEENS_19__map_value_compareIS7_S8_NS_4lessIS7_EELb1EEENS5_IS8_EEE12__find_equalIS7_EERPNS_16__tree_node_baseIPvEERPNS_15__tree_end_nodeISJ_EERKT_(){return wasmImports["_ZNSt3__26__treeINS_12__value_typeINS_12basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEEEhEENS_19__map_value_compareIS7_S8_NS_4lessIS7_EELb1EEENS5_IS8_EEE12__find_equalIS7_EERPNS_16__tree_node_baseIPvEERPNS_15__tree_end_nodeISJ_EERKT_"].apply(null,arguments)}__ZNSt3__26__treeINS_12__value_typeINS_12basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEEEhEENS_19__map_value_compareIS7_S8_NS_4lessIS7_EELb1EEENS5_IS8_EEE12__find_equalIS7_EERPNS_16__tree_node_baseIPvEERPNS_15__tree_end_nodeISJ_EERKT_.stub=true;function __ZNSt3__26__treeINS_12__value_typeINS_12basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEEEhEENS_19__map_value_compareIS7_S8_NS_4lessIS7_EELb1EEENS5_IS8_EEE25__emplace_unique_key_argsIS7_JNS_4pairIKS7_hEEEEENSG_INS_15__tree_iteratorIS8_PNS_11__tree_nodeIS8_PvEElEEbEERKT_DpOT0_(){return wasmImports["_ZNSt3__26__treeINS_12__value_typeINS_12basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEEEhEENS_19__map_value_compareIS7_S8_NS_4lessIS7_EELb1EEENS5_IS8_EEE25__emplace_unique_key_argsIS7_JNS_4pairIKS7_hEEEEENSG_INS_15__tree_iteratorIS8_PNS_11__tree_nodeIS8_PvEElEEbEERKT_DpOT0_"].apply(null,arguments)}__ZNSt3__26__treeINS_12__value_typeINS_12basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEEEhEENS_19__map_value_compareIS7_S8_NS_4lessIS7_EELb1EEENS5_IS8_EEE25__emplace_unique_key_argsIS7_JNS_4pairIKS7_hEEEEENSG_INS_15__tree_iteratorIS8_PNS_11__tree_nodeIS8_PvEElEEbEERKT_DpOT0_.stub=true;function __ZNSt3__26__treeINS_12__value_typeINS_12basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEEEhEENS_19__map_value_compareIS7_S8_NS_4lessIS7_EELb1EEENS5_IS8_EEE4findIS7_EENS_15__tree_iteratorIS8_PNS_11__tree_nodeIS8_PvEElEERKT_(){return wasmImports["_ZNSt3__26__treeINS_12__value_typeINS_12basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEEEhEENS_19__map_value_compareIS7_S8_NS_4lessIS7_EELb1EEENS5_IS8_EEE4findIS7_EENS_15__tree_iteratorIS8_PNS_11__tree_nodeIS8_PvEElEERKT_"].apply(null,arguments)}__ZNSt3__26__treeINS_12__value_typeINS_12basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEEEhEENS_19__map_value_compareIS7_S8_NS_4lessIS7_EELb1EEENS5_IS8_EEE4findIS7_EENS_15__tree_iteratorIS8_PNS_11__tree_nodeIS8_PvEElEERKT_.stub=true;function __ZNSt3__26__treeINS_12__value_typeINS_12basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEEEhEENS_19__map_value_compareIS7_S8_NS_4lessIS7_EELb1EEENS5_IS8_EEE7destroyEPNS_11__tree_nodeIS8_PvEE(){return wasmImports["_ZNSt3__26__treeINS_12__value_typeINS_12basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEEEhEENS_19__map_value_compareIS7_S8_NS_4lessIS7_EELb1EEENS5_IS8_EEE7destroyEPNS_11__tree_nodeIS8_PvEE"].apply(null,arguments)}__ZNSt3__26__treeINS_12__value_typeINS_12basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEEEhEENS_19__map_value_compareIS7_S8_NS_4lessIS7_EELb1EEENS5_IS8_EEE7destroyEPNS_11__tree_nodeIS8_PvEE.stub=true;function __ZNSt3__26__treeINS_12__value_typeINS_12basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEEEtEENS_19__map_value_compareIS7_S8_NS_4lessIS7_EELb1EEENS5_IS8_EEE12__find_equalIS7_EERPNS_16__tree_node_baseIPvEERPNS_15__tree_end_nodeISJ_EERKT_(){return wasmImports["_ZNSt3__26__treeINS_12__value_typeINS_12basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEEEtEENS_19__map_value_compareIS7_S8_NS_4lessIS7_EELb1EEENS5_IS8_EEE12__find_equalIS7_EERPNS_16__tree_node_baseIPvEERPNS_15__tree_end_nodeISJ_EERKT_"].apply(null,arguments)}__ZNSt3__26__treeINS_12__value_typeINS_12basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEEEtEENS_19__map_value_compareIS7_S8_NS_4lessIS7_EELb1EEENS5_IS8_EEE12__find_equalIS7_EERPNS_16__tree_node_baseIPvEERPNS_15__tree_end_nodeISJ_EERKT_.stub=true;function __ZNSt3__26__treeINS_12__value_typeINS_12basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEEEtEENS_19__map_value_compareIS7_S8_NS_4lessIS7_EELb1EEENS5_IS8_EEE25__emplace_unique_key_argsIS7_JNS_4pairIKS7_tEEEEENSG_INS_15__tree_iteratorIS8_PNS_11__tree_nodeIS8_PvEElEEbEERKT_DpOT0_(){return wasmImports["_ZNSt3__26__treeINS_12__value_typeINS_12basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEEEtEENS_19__map_value_compareIS7_S8_NS_4lessIS7_EELb1EEENS5_IS8_EEE25__emplace_unique_key_argsIS7_JNS_4pairIKS7_tEEEEENSG_INS_15__tree_iteratorIS8_PNS_11__tree_nodeIS8_PvEElEEbEERKT_DpOT0_"].apply(null,arguments)}__ZNSt3__26__treeINS_12__value_typeINS_12basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEEEtEENS_19__map_value_compareIS7_S8_NS_4lessIS7_EELb1EEENS5_IS8_EEE25__emplace_unique_key_argsIS7_JNS_4pairIKS7_tEEEEENSG_INS_15__tree_iteratorIS8_PNS_11__tree_nodeIS8_PvEElEEbEERKT_DpOT0_.stub=true;function __ZNSt3__26__treeINS_12__value_typeINS_12basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEEEtEENS_19__map_value_compareIS7_S8_NS_4lessIS7_EELb1EEENS5_IS8_EEE4findIS7_EENS_15__tree_iteratorIS8_PNS_11__tree_nodeIS8_PvEElEERKT_(){return wasmImports["_ZNSt3__26__treeINS_12__value_typeINS_12basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEEEtEENS_19__map_value_compareIS7_S8_NS_4lessIS7_EELb1EEENS5_IS8_EEE4findIS7_EENS_15__tree_iteratorIS8_PNS_11__tree_nodeIS8_PvEElEERKT_"].apply(null,arguments)}__ZNSt3__26__treeINS_12__value_typeINS_12basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEEEtEENS_19__map_value_compareIS7_S8_NS_4lessIS7_EELb1EEENS5_IS8_EEE4findIS7_EENS_15__tree_iteratorIS8_PNS_11__tree_nodeIS8_PvEElEERKT_.stub=true;function __ZNSt3__26__treeINS_12__value_typeINS_12basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEEEtEENS_19__map_value_compareIS7_S8_NS_4lessIS7_EELb1EEENS5_IS8_EEE7destroyEPNS_11__tree_nodeIS8_PvEE(){return wasmImports["_ZNSt3__26__treeINS_12__value_typeINS_12basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEEEtEENS_19__map_value_compareIS7_S8_NS_4lessIS7_EELb1EEENS5_IS8_EEE7destroyEPNS_11__tree_nodeIS8_PvEE"].apply(null,arguments)}__ZNSt3__26__treeINS_12__value_typeINS_12basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEEEtEENS_19__map_value_compareIS7_S8_NS_4lessIS7_EELb1EEENS5_IS8_EEE7destroyEPNS_11__tree_nodeIS8_PvEE.stub=true;function __ZNSt3__26__treeINS_12__value_typeIP11FT_FaceRec_NS_4listIP13FT_StreamRec_NS_9allocatorIS6_EEEEEENS_19__map_value_compareIS3_SA_NS_4lessIS3_EELb1EEENS7_ISA_EEE25__emplace_unique_key_argsIS3_JNS_4pairIKS3_S9_EEEEENSI_INS_15__tree_iteratorISA_PNS_11__tree_nodeISA_PvEElEEbEERKT_DpOT0_(){return wasmImports["_ZNSt3__26__treeINS_12__value_typeIP11FT_FaceRec_NS_4listIP13FT_StreamRec_NS_9allocatorIS6_EEEEEENS_19__map_value_compareIS3_SA_NS_4lessIS3_EELb1EEENS7_ISA_EEE25__emplace_unique_key_argsIS3_JNS_4pairIKS3_S9_EEEEENSI_INS_15__tree_iteratorISA_PNS_11__tree_nodeISA_PvEElEEbEERKT_DpOT0_"].apply(null,arguments)}__ZNSt3__26__treeINS_12__value_typeIP11FT_FaceRec_NS_4listIP13FT_StreamRec_NS_9allocatorIS6_EEEEEENS_19__map_value_compareIS3_SA_NS_4lessIS3_EELb1EEENS7_ISA_EEE25__emplace_unique_key_argsIS3_JNS_4pairIKS3_S9_EEEEENSI_INS_15__tree_iteratorISA_PNS_11__tree_nodeISA_PvEElEEbEERKT_DpOT0_.stub=true;function __ZNSt3__26__treeINS_12__value_typeIP12FontDictInfoNS_4pairIxxEEEENS_19__map_value_compareIS3_S6_NS_4lessIS3_EELb1EEENS_9allocatorIS6_EEE7destroyEPNS_11__tree_nodeIS6_PvEE(){return wasmImports["_ZNSt3__26__treeINS_12__value_typeIP12FontDictInfoNS_4pairIxxEEEENS_19__map_value_compareIS3_S6_NS_4lessIS3_EELb1EEENS_9allocatorIS6_EEE7destroyEPNS_11__tree_nodeIS6_PvEE"].apply(null,arguments)}__ZNSt3__26__treeINS_12__value_typeIP12FontDictInfoNS_4pairIxxEEEENS_19__map_value_compareIS3_S6_NS_4lessIS3_EELb1EEENS_9allocatorIS6_EEE7destroyEPNS_11__tree_nodeIS6_PvEE.stub=true;function __ZNSt3__26__treeINS_12__value_typeIP12FontDictInfohEENS_19__map_value_compareIS3_S4_NS_4lessIS3_EELb1EEENS_9allocatorIS4_EEE7destroyEPNS_11__tree_nodeIS4_PvEE(){return wasmImports["_ZNSt3__26__treeINS_12__value_typeIP12FontDictInfohEENS_19__map_value_compareIS3_S4_NS_4lessIS3_EELb1EEENS_9allocatorIS4_EEE7destroyEPNS_11__tree_nodeIS4_PvEE"].apply(null,arguments)}__ZNSt3__26__treeINS_12__value_typeIP12FontDictInfohEENS_19__map_value_compareIS3_S4_NS_4lessIS3_EELb1EEENS_9allocatorIS4_EEE7destroyEPNS_11__tree_nodeIS4_PvEE.stub=true;function __ZNSt3__26__treeINS_12__value_typeIPKctEENS_19__map_value_compareIS3_S4_10StringLessLb1EEENS_9allocatorIS4_EEE25__emplace_unique_key_argsIS3_JNS_4pairIKS3_tEEEEENSC_INS_15__tree_iteratorIS4_PNS_11__tree_nodeIS4_PvEElEEbEERKT_DpOT0_(){return wasmImports["_ZNSt3__26__treeINS_12__value_typeIPKctEENS_19__map_value_compareIS3_S4_10StringLessLb1EEENS_9allocatorIS4_EEE25__emplace_unique_key_argsIS3_JNS_4pairIKS3_tEEEEENSC_INS_15__tree_iteratorIS4_PNS_11__tree_nodeIS4_PvEElEEbEERKT_DpOT0_"].apply(null,arguments)}__ZNSt3__26__treeINS_12__value_typeIPKctEENS_19__map_value_compareIS3_S4_10StringLessLb1EEENS_9allocatorIS4_EEE25__emplace_unique_key_argsIS3_JNS_4pairIKS3_tEEEEENSC_INS_15__tree_iteratorIS4_PNS_11__tree_nodeIS4_PvEElEEbEERKT_DpOT0_.stub=true;function __ZNSt3__26__treeINS_12__value_typeIPKctEENS_19__map_value_compareIS3_S4_10StringLessLb1EEENS_9allocatorIS4_EEE7destroyEPNS_11__tree_nodeIS4_PvEE(){return wasmImports["_ZNSt3__26__treeINS_12__value_typeIPKctEENS_19__map_value_compareIS3_S4_10StringLessLb1EEENS_9allocatorIS4_EEE7destroyEPNS_11__tree_nodeIS4_PvEE"].apply(null,arguments)}__ZNSt3__26__treeINS_12__value_typeIPKctEENS_19__map_value_compareIS3_S4_10StringLessLb1EEENS_9allocatorIS4_EEE7destroyEPNS_11__tree_nodeIS4_PvEE.stub=true;function __ZNSt3__26__treeINS_12__value_typeIiP12ExifIFDEntryEENS_19__map_value_compareIiS4_NS_4lessIiEELb1EEENS_9allocatorIS4_EEE7destroyEPNS_11__tree_nodeIS4_PvEE(){return wasmImports["_ZNSt3__26__treeINS_12__value_typeIiP12ExifIFDEntryEENS_19__map_value_compareIiS4_NS_4lessIiEELb1EEENS_9allocatorIS4_EEE7destroyEPNS_11__tree_nodeIS4_PvEE"].apply(null,arguments)}__ZNSt3__26__treeINS_12__value_typeIiP12ExifIFDEntryEENS_19__map_value_compareIiS4_NS_4lessIiEELb1EEENS_9allocatorIS4_EEE7destroyEPNS_11__tree_nodeIS4_PvEE.stub=true;function __ZNSt3__26__treeINS_12__value_typeIiP13fpdf_page_t__EENS_19__map_value_compareIiS4_NS_4lessIiEELb1EEENS_9allocatorIS4_EEE7destroyEPNS_11__tree_nodeIS4_PvEE(){return wasmImports["_ZNSt3__26__treeINS_12__value_typeIiP13fpdf_page_t__EENS_19__map_value_compareIiS4_NS_4lessIiEELb1EEENS_9allocatorIS4_EEE7destroyEPNS_11__tree_nodeIS4_PvEE"].apply(null,arguments)}__ZNSt3__26__treeINS_12__value_typeIiP13fpdf_page_t__EENS_19__map_value_compareIiS4_NS_4lessIiEELb1EEENS_9allocatorIS4_EEE7destroyEPNS_11__tree_nodeIS4_PvEE.stub=true;function __ZNSt3__26__treeINS_12__value_typeIiP19fpdf_annotation_t__EENS_19__map_value_compareIiS4_NS_4lessIiEELb1EEENS_9allocatorIS4_EEE7destroyEPNS_11__tree_nodeIS4_PvEE(){return wasmImports["_ZNSt3__26__treeINS_12__value_typeIiP19fpdf_annotation_t__EENS_19__map_value_compareIiS4_NS_4lessIiEELb1EEENS_9allocatorIS4_EEE7destroyEPNS_11__tree_nodeIS4_PvEE"].apply(null,arguments)}__ZNSt3__26__treeINS_12__value_typeIiP19fpdf_annotation_t__EENS_19__map_value_compareIiS4_NS_4lessIiEELb1EEENS_9allocatorIS4_EEE7destroyEPNS_11__tree_nodeIS4_PvEE.stub=true;function __ZNSt3__26__treeINS_12__value_typeIj17GlyphEncodingInfoEENS_19__map_value_compareIjS3_NS_4lessIjEELb1EEENS_9allocatorIS3_EEE7destroyEPNS_11__tree_nodeIS3_PvEE(){return wasmImports["_ZNSt3__26__treeINS_12__value_typeIj17GlyphEncodingInfoEENS_19__map_value_compareIjS3_NS_4lessIjEELb1EEENS_9allocatorIS3_EEE7destroyEPNS_11__tree_nodeIS3_PvEE"].apply(null,arguments)}__ZNSt3__26__treeINS_12__value_typeIj17GlyphEncodingInfoEENS_19__map_value_compareIjS3_NS_4lessIjEELb1EEENS_9allocatorIS3_EEE7destroyEPNS_11__tree_nodeIS3_PvEE.stub=true;function __ZNSt3__26__treeINS_12__value_typeIjxEENS_19__map_value_compareIjS2_NS_4lessIjEELb1EEENS_9allocatorIS2_EEE7destroyEPNS_11__tree_nodeIS2_PvEE(){return wasmImports["_ZNSt3__26__treeINS_12__value_typeIjxEENS_19__map_value_compareIjS2_NS_4lessIjEELb1EEENS_9allocatorIS2_EEE7destroyEPNS_11__tree_nodeIS2_PvEE"].apply(null,arguments)}__ZNSt3__26__treeINS_12__value_typeIjxEENS_19__map_value_compareIjS2_NS_4lessIjEELb1EEENS_9allocatorIS2_EEE7destroyEPNS_11__tree_nodeIS2_PvEE.stub=true;function __ZNSt3__26__treeINS_12__value_typeIm10TableEntryEENS_19__map_value_compareImS3_NS_4lessImEELb1EEENS_9allocatorIS3_EEE7destroyEPNS_11__tree_nodeIS3_PvEE(){return wasmImports["_ZNSt3__26__treeINS_12__value_typeIm10TableEntryEENS_19__map_value_compareImS3_NS_4lessImEELb1EEENS_9allocatorIS3_EEE7destroyEPNS_11__tree_nodeIS3_PvEE"].apply(null,arguments)}__ZNSt3__26__treeINS_12__value_typeIm10TableEntryEENS_19__map_value_compareImS3_NS_4lessImEELb1EEENS_9allocatorIS3_EEE7destroyEPNS_11__tree_nodeIS3_PvEE.stub=true;function __ZNSt3__26__treeINS_12__value_typeItNS_4listI11DictOperandNS_9allocatorIS3_EEEEEENS_19__map_value_compareItS7_NS_4lessItEELb1EEENS4_IS7_EEE25__emplace_unique_key_argsItJNS_4pairIKtS6_EEEEENSF_INS_15__tree_iteratorIS7_PNS_11__tree_nodeIS7_PvEElEEbEERKT_DpOT0_(){return wasmImports["_ZNSt3__26__treeINS_12__value_typeItNS_4listI11DictOperandNS_9allocatorIS3_EEEEEENS_19__map_value_compareItS7_NS_4lessItEELb1EEENS4_IS7_EEE25__emplace_unique_key_argsItJNS_4pairIKtS6_EEEEENSF_INS_15__tree_iteratorIS7_PNS_11__tree_nodeIS7_PvEElEEbEERKT_DpOT0_"].apply(null,arguments)}__ZNSt3__26__treeINS_12__value_typeItNS_4listI11DictOperandNS_9allocatorIS3_EEEEEENS_19__map_value_compareItS7_NS_4lessItEELb1EEENS4_IS7_EEE25__emplace_unique_key_argsItJNS_4pairIKtS6_EEEEENSF_INS_15__tree_iteratorIS7_PNS_11__tree_nodeIS7_PvEElEEbEERKT_DpOT0_.stub=true;function __ZNSt3__26__treeINS_12__value_typeItNS_4listI11DictOperandNS_9allocatorIS3_EEEEEENS_19__map_value_compareItS7_NS_4lessItEELb1EEENS4_IS7_EEE7destroyEPNS_11__tree_nodeIS7_PvEE(){return wasmImports["_ZNSt3__26__treeINS_12__value_typeItNS_4listI11DictOperandNS_9allocatorIS3_EEEEEENS_19__map_value_compareItS7_NS_4lessItEELb1EEENS4_IS7_EEE7destroyEPNS_11__tree_nodeIS7_PvEE"].apply(null,arguments)}__ZNSt3__26__treeINS_12__value_typeItNS_4listI11DictOperandNS_9allocatorIS3_EEEEEENS_19__map_value_compareItS7_NS_4lessItEELb1EEENS4_IS7_EEE7destroyEPNS_11__tree_nodeIS7_PvEE.stub=true;function __ZNSt3__26__treeINS_12__value_typeItNS_4listIhNS_9allocatorIhEEEEEENS_19__map_value_compareItS6_NS_4lessItEELb1EEENS3_IS6_EEE25__emplace_unique_key_argsItJNS_4pairIKtS5_EEEEENSE_INS_15__tree_iteratorIS6_PNS_11__tree_nodeIS6_PvEElEEbEERKT_DpOT0_(){return wasmImports["_ZNSt3__26__treeINS_12__value_typeItNS_4listIhNS_9allocatorIhEEEEEENS_19__map_value_compareItS6_NS_4lessItEELb1EEENS3_IS6_EEE25__emplace_unique_key_argsItJNS_4pairIKtS5_EEEEENSE_INS_15__tree_iteratorIS6_PNS_11__tree_nodeIS6_PvEElEEbEERKT_DpOT0_"].apply(null,arguments)}__ZNSt3__26__treeINS_12__value_typeItNS_4listIhNS_9allocatorIhEEEEEENS_19__map_value_compareItS6_NS_4lessItEELb1EEENS3_IS6_EEE25__emplace_unique_key_argsItJNS_4pairIKtS5_EEEEENSE_INS_15__tree_iteratorIS6_PNS_11__tree_nodeIS6_PvEElEEbEERKT_DpOT0_.stub=true;function __ZNSt3__26__treeINS_12__value_typeItNS_4listIhNS_9allocatorIhEEEEEENS_19__map_value_compareItS6_NS_4lessItEELb1EEENS3_IS6_EEE7destroyEPNS_11__tree_nodeIS6_PvEE(){return wasmImports["_ZNSt3__26__treeINS_12__value_typeItNS_4listIhNS_9allocatorIhEEEEEENS_19__map_value_compareItS6_NS_4lessItEELb1EEENS3_IS6_EEE7destroyEPNS_11__tree_nodeIS6_PvEE"].apply(null,arguments)}__ZNSt3__26__treeINS_12__value_typeItNS_4listIhNS_9allocatorIhEEEEEENS_19__map_value_compareItS6_NS_4lessItEELb1EEENS3_IS6_EEE7destroyEPNS_11__tree_nodeIS6_PvEE.stub=true;function __ZNSt3__26__treeINS_12__value_typeItP10GlyphEntryEENS_19__map_value_compareItS4_NS_4lessItEELb1EEENS_9allocatorIS4_EEE7destroyEPNS_11__tree_nodeIS4_PvEE(){return wasmImports["_ZNSt3__26__treeINS_12__value_typeItP10GlyphEntryEENS_19__map_value_compareItS4_NS_4lessItEELb1EEENS_9allocatorIS4_EEE7destroyEPNS_11__tree_nodeIS4_PvEE"].apply(null,arguments)}__ZNSt3__26__treeINS_12__value_typeItP10GlyphEntryEENS_19__map_value_compareItS4_NS_4lessItEELb1EEENS_9allocatorIS4_EEE7destroyEPNS_11__tree_nodeIS4_PvEE.stub=true;function __ZNSt3__26__treeINS_12__value_typeItP12IndexElementEENS_19__map_value_compareItS4_NS_4lessItEELb1EEENS_9allocatorIS4_EEE7destroyEPNS_11__tree_nodeIS4_PvEE(){return wasmImports["_ZNSt3__26__treeINS_12__value_typeItP12IndexElementEENS_19__map_value_compareItS4_NS_4lessItEELb1EEENS_9allocatorIS4_EEE7destroyEPNS_11__tree_nodeIS4_PvEE"].apply(null,arguments)}__ZNSt3__26__treeINS_12__value_typeItP12IndexElementEENS_19__map_value_compareItS4_NS_4lessItEELb1EEENS_9allocatorIS4_EEE7destroyEPNS_11__tree_nodeIS4_PvEE.stub=true;function __ZNSt3__26__treeINS_12__value_typeItmEENS_19__map_value_compareItS2_NS_4lessItEELb1EEENS_9allocatorIS2_EEE7destroyEPNS_11__tree_nodeIS2_PvEE(){return wasmImports["_ZNSt3__26__treeINS_12__value_typeItmEENS_19__map_value_compareItS2_NS_4lessItEELb1EEENS_9allocatorIS2_EEE7destroyEPNS_11__tree_nodeIS2_PvEE"].apply(null,arguments)}__ZNSt3__26__treeINS_12__value_typeItmEENS_19__map_value_compareItS2_NS_4lessItEELb1EEENS_9allocatorIS2_EEE7destroyEPNS_11__tree_nodeIS2_PvEE.stub=true;function __ZNSt3__26__treeINS_12__value_typeIxP11CharSetInfoEENS_19__map_value_compareIxS4_NS_4lessIxEELb1EEENS_9allocatorIS4_EEE7destroyEPNS_11__tree_nodeIS4_PvEE(){return wasmImports["_ZNSt3__26__treeINS_12__value_typeIxP11CharSetInfoEENS_19__map_value_compareIxS4_NS_4lessIxEELb1EEENS_9allocatorIS4_EEE7destroyEPNS_11__tree_nodeIS4_PvEE"].apply(null,arguments)}__ZNSt3__26__treeINS_12__value_typeIxP11CharSetInfoEENS_19__map_value_compareIxS4_NS_4lessIxEELb1EEENS_9allocatorIS4_EEE7destroyEPNS_11__tree_nodeIS4_PvEE.stub=true;function __ZNSt3__26__treeINS_12__value_typeIxP11CharStringsEENS_19__map_value_compareIxS4_NS_4lessIxEELb1EEENS_9allocatorIS4_EEE7destroyEPNS_11__tree_nodeIS4_PvEE(){return wasmImports["_ZNSt3__26__treeINS_12__value_typeIxP11CharStringsEENS_19__map_value_compareIxS4_NS_4lessIxEELb1EEENS_9allocatorIS4_EEE7destroyEPNS_11__tree_nodeIS4_PvEE"].apply(null,arguments)}__ZNSt3__26__treeINS_12__value_typeIxP11CharStringsEENS_19__map_value_compareIxS4_NS_4lessIxEELb1EEENS_9allocatorIS4_EEE7destroyEPNS_11__tree_nodeIS4_PvEE.stub=true;function __ZNSt3__26__treeINS_12__value_typeIxP13EncodingsInfoEENS_19__map_value_compareIxS4_NS_4lessIxEELb1EEENS_9allocatorIS4_EEE7destroyEPNS_11__tree_nodeIS4_PvEE(){return wasmImports["_ZNSt3__26__treeINS_12__value_typeIxP13EncodingsInfoEENS_19__map_value_compareIxS4_NS_4lessIxEELb1EEENS_9allocatorIS4_EEE7destroyEPNS_11__tree_nodeIS4_PvEE"].apply(null,arguments)}__ZNSt3__26__treeINS_12__value_typeIxP13EncodingsInfoEENS_19__map_value_compareIxS4_NS_4lessIxEELb1EEENS_9allocatorIS4_EEE7destroyEPNS_11__tree_nodeIS4_PvEE.stub=true;function __ZNSt3__26__treeINS_12basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEEENS_4lessIS6_EENS4_IS6_EEE12__find_equalIS6_EERPNS_16__tree_node_baseIPvEERPNS_15__tree_end_nodeISF_EERKT_(){return wasmImports["_ZNSt3__26__treeINS_12basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEEENS_4lessIS6_EENS4_IS6_EEE12__find_equalIS6_EERPNS_16__tree_node_baseIPvEERPNS_15__tree_end_nodeISF_EERKT_"].apply(null,arguments)}__ZNSt3__26__treeINS_12basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEEENS_4lessIS6_EENS4_IS6_EEE12__find_equalIS6_EERPNS_16__tree_node_baseIPvEERPNS_15__tree_end_nodeISF_EERKT_.stub=true;function __ZNSt3__26__treeINS_12basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEEENS_4lessIS6_EENS4_IS6_EEE4findIS6_EENS_15__tree_iteratorIS6_PNS_11__tree_nodeIS6_PvEElEERKT_(){return wasmImports["_ZNSt3__26__treeINS_12basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEEENS_4lessIS6_EENS4_IS6_EEE4findIS6_EENS_15__tree_iteratorIS6_PNS_11__tree_nodeIS6_PvEElEERKT_"].apply(null,arguments)}__ZNSt3__26__treeINS_12basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEEENS_4lessIS6_EENS4_IS6_EEE4findIS6_EENS_15__tree_iteratorIS6_PNS_11__tree_nodeIS6_PvEElEERKT_.stub=true;function __ZNSt3__26__treeINS_12basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEEENS_4lessIS6_EENS4_IS6_EEE7destroyEPNS_11__tree_nodeIS6_PvEE(){return wasmImports["_ZNSt3__26__treeINS_12basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEEENS_4lessIS6_EENS4_IS6_EEE7destroyEPNS_11__tree_nodeIS6_PvEE"].apply(null,arguments)}__ZNSt3__26__treeINS_12basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEEENS_4lessIS6_EENS4_IS6_EEE7destroyEPNS_11__tree_nodeIS6_PvEE.stub=true;function __ZNSt3__26__treeIP12FontDictInfoNS_4lessIS2_EENS_9allocatorIS2_EEE7destroyEPNS_11__tree_nodeIS2_PvEE(){return wasmImports["_ZNSt3__26__treeIP12FontDictInfoNS_4lessIS2_EENS_9allocatorIS2_EEE7destroyEPNS_11__tree_nodeIS2_PvEE"].apply(null,arguments)}__ZNSt3__26__treeIP12FontDictInfoNS_4lessIS2_EENS_9allocatorIS2_EEE7destroyEPNS_11__tree_nodeIS2_PvEE.stub=true;function __ZNSt3__26__treeIhNS_4lessIhEENS_9allocatorIhEEE7destroyEPNS_11__tree_nodeIhPvEE(){return wasmImports["_ZNSt3__26__treeIhNS_4lessIhEENS_9allocatorIhEEE7destroyEPNS_11__tree_nodeIhPvEE"].apply(null,arguments)}__ZNSt3__26__treeIhNS_4lessIhEENS_9allocatorIhEEE7destroyEPNS_11__tree_nodeIhPvEE.stub=true;function __ZNSt3__26__treeIiNS_4lessIiEENS_9allocatorIiEEE7destroyEPNS_11__tree_nodeIiPvEE(){return wasmImports["_ZNSt3__26__treeIiNS_4lessIiEENS_9allocatorIiEEE7destroyEPNS_11__tree_nodeIiPvEE"].apply(null,arguments)}__ZNSt3__26__treeIiNS_4lessIiEENS_9allocatorIiEEE7destroyEPNS_11__tree_nodeIiPvEE.stub=true;function __ZNSt3__26__treeIjNS_4lessIjEENS_9allocatorIjEEE7destroyEPNS_11__tree_nodeIjPvEE(){return wasmImports["_ZNSt3__26__treeIjNS_4lessIjEENS_9allocatorIjEEE7destroyEPNS_11__tree_nodeIjPvEE"].apply(null,arguments)}__ZNSt3__26__treeIjNS_4lessIjEENS_9allocatorIjEEE7destroyEPNS_11__tree_nodeIjPvEE.stub=true;function __ZNSt3__26__treeImNS_4lessImEENS_9allocatorImEEE7destroyEPNS_11__tree_nodeImPvEE(){return wasmImports["_ZNSt3__26__treeImNS_4lessImEENS_9allocatorImEEE7destroyEPNS_11__tree_nodeImPvEE"].apply(null,arguments)}__ZNSt3__26__treeImNS_4lessImEENS_9allocatorImEEE7destroyEPNS_11__tree_nodeImPvEE.stub=true;function __ZNSt3__26__treeItNS_4lessItEENS_9allocatorItEEE7destroyEPNS_11__tree_nodeItPvEE(){return wasmImports["_ZNSt3__26__treeItNS_4lessItEENS_9allocatorItEEE7destroyEPNS_11__tree_nodeItPvEE"].apply(null,arguments)}__ZNSt3__26__treeItNS_4lessItEENS_9allocatorItEEE7destroyEPNS_11__tree_nodeItPvEE.stub=true;function __ZNSt3__26vectorI12PdfWFontInfoNS_9allocatorIS1_EEE21__push_back_slow_pathIRKS1_EEvOT_(){return wasmImports["_ZNSt3__26vectorI12PdfWFontInfoNS_9allocatorIS1_EEE21__push_back_slow_pathIRKS1_EEvOT_"].apply(null,arguments)}__ZNSt3__26vectorI12PdfWFontInfoNS_9allocatorIS1_EEE21__push_back_slow_pathIRKS1_EEvOT_.stub=true;function __ZNSt3__26vectorINS_4pairIj17GlyphEncodingInfoEENS_9allocatorIS3_EEE21__push_back_slow_pathIS3_EEvOT_(){return wasmImports["_ZNSt3__26vectorINS_4pairIj17GlyphEncodingInfoEENS_9allocatorIS3_EEE21__push_back_slow_pathIS3_EEvOT_"].apply(null,arguments)}__ZNSt3__26vectorINS_4pairIj17GlyphEncodingInfoEENS_9allocatorIS3_EEE21__push_back_slow_pathIS3_EEvOT_.stub=true;function __ZNSt3__26vectorINS_4pairIj17GlyphEncodingInfoEENS_9allocatorIS3_EEEC2ERKS6_(){return wasmImports["_ZNSt3__26vectorINS_4pairIj17GlyphEncodingInfoEENS_9allocatorIS3_EEEC2ERKS6_"].apply(null,arguments)}__ZNSt3__26vectorINS_4pairIj17GlyphEncodingInfoEENS_9allocatorIS3_EEEC2ERKS6_.stub=true;function __ZNSt3__26vectorIjNS_9allocatorIjEEE6insertENS_11__wrap_iterIPKjEEOj(){return wasmImports["_ZNSt3__26vectorIjNS_9allocatorIjEEE6insertENS_11__wrap_iterIPKjEEOj"].apply(null,arguments)}__ZNSt3__26vectorIjNS_9allocatorIjEEE6insertENS_11__wrap_iterIPKjEEOj.stub=true;function __ZNSt3__26vectorIjNS_9allocatorIjEEE6insertENS_11__wrap_iterIPKjEERS5_(){return wasmImports["_ZNSt3__26vectorIjNS_9allocatorIjEEE6insertENS_11__wrap_iterIPKjEERS5_"].apply(null,arguments)}__ZNSt3__26vectorIjNS_9allocatorIjEEE6insertENS_11__wrap_iterIPKjEERS5_.stub=true;function __ZNSt3__26vectorImNS_9allocatorImEEE6assignIPmEENS_9enable_ifIXaasr27__is_cpp17_forward_iteratorIT_EE5valuesr16is_constructibleImNS_15iterator_traitsIS7_E9referenceEEE5valueEvE4typeES7_S7_(){return wasmImports["_ZNSt3__26vectorImNS_9allocatorImEEE6assignIPmEENS_9enable_ifIXaasr27__is_cpp17_forward_iteratorIT_EE5valuesr16is_constructibleImNS_15iterator_traitsIS7_E9referenceEEE5valueEvE4typeES7_S7_"].apply(null,arguments)}__ZNSt3__26vectorImNS_9allocatorImEEE6assignIPmEENS_9enable_ifIXaasr27__is_cpp17_forward_iteratorIT_EE5valuesr16is_constructibleImNS_15iterator_traitsIS7_E9referenceEEE5valueEvE4typeES7_S7_.stub=true;function __ZNSt3__27__sort3INS_17_ClassicAlgPolicyERNS_6__lessINS_12basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEEES8_EEPS8_EEjT1_SC_SC_T0_(){return wasmImports["_ZNSt3__27__sort3INS_17_ClassicAlgPolicyERNS_6__lessINS_12basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEEES8_EEPS8_EEjT1_SC_SC_T0_"].apply(null,arguments)}__ZNSt3__27__sort3INS_17_ClassicAlgPolicyERNS_6__lessINS_12basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEEES8_EEPS8_EEjT1_SC_SC_T0_.stub=true;function __ZNSt3__27__sort3INS_17_ClassicAlgPolicyERPFbRKNS_4pairIj17GlyphEncodingInfoEES6_EPS4_EEjT1_SB_SB_T0_(){return wasmImports["_ZNSt3__27__sort3INS_17_ClassicAlgPolicyERPFbRKNS_4pairIj17GlyphEncodingInfoEES6_EPS4_EEjT1_SB_SB_T0_"].apply(null,arguments)}__ZNSt3__27__sort3INS_17_ClassicAlgPolicyERPFbRKNS_4pairIj17GlyphEncodingInfoEES6_EPS4_EEjT1_SB_SB_T0_.stub=true;function __ZNSt3__27__sort4INS_17_ClassicAlgPolicyERNS_6__lessINS_12basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEEES8_EEPS8_EEjT1_SC_SC_SC_T0_(){return wasmImports["_ZNSt3__27__sort4INS_17_ClassicAlgPolicyERNS_6__lessINS_12basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEEES8_EEPS8_EEjT1_SC_SC_SC_T0_"].apply(null,arguments)}__ZNSt3__27__sort4INS_17_ClassicAlgPolicyERNS_6__lessINS_12basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEEES8_EEPS8_EEjT1_SC_SC_SC_T0_.stub=true;function __ZNSt3__27__sort4INS_17_ClassicAlgPolicyERPFbPK4StemS4_EPS4_EEjT1_S9_S9_S9_T0_(){return wasmImports["_ZNSt3__27__sort4INS_17_ClassicAlgPolicyERPFbPK4StemS4_EPS4_EEjT1_S9_S9_S9_T0_"].apply(null,arguments)}__ZNSt3__27__sort4INS_17_ClassicAlgPolicyERPFbPK4StemS4_EPS4_EEjT1_S9_S9_S9_T0_.stub=true;function __ZNSt3__27__sort4INS_17_ClassicAlgPolicyERPFbRKNS_4pairIj17GlyphEncodingInfoEES6_EPS4_EEjT1_SB_SB_SB_T0_(){return wasmImports["_ZNSt3__27__sort4INS_17_ClassicAlgPolicyERPFbRKNS_4pairIj17GlyphEncodingInfoEES6_EPS4_EEjT1_SB_SB_SB_T0_"].apply(null,arguments)}__ZNSt3__27__sort4INS_17_ClassicAlgPolicyERPFbRKNS_4pairIj17GlyphEncodingInfoEES6_EPS4_EEjT1_SB_SB_SB_T0_.stub=true;function __ZTv0_n12_NSt3__219basic_ostringstreamIcNS_11char_traitsIcEE25FxPartitionAllocAllocatorIcXadL_ZN6pdfium8internal16StringAllocOrDieEmmEEEED0Ev(){return wasmImports["_ZTv0_n12_NSt3__219basic_ostringstreamIcNS_11char_traitsIcEE25FxPartitionAllocAllocatorIcXadL_ZN6pdfium8internal16StringAllocOrDieEmmEEEED0Ev"].apply(null,arguments)}__ZTv0_n12_NSt3__219basic_ostringstreamIcNS_11char_traitsIcEE25FxPartitionAllocAllocatorIcXadL_ZN6pdfium8internal16StringAllocOrDieEmmEEEED0Ev.stub=true;function __ZTv0_n12_NSt3__219basic_ostringstreamIcNS_11char_traitsIcEE25FxPartitionAllocAllocatorIcXadL_ZN6pdfium8internal16StringAllocOrDieEmmEEEED1Ev(){return wasmImports["_ZTv0_n12_NSt3__219basic_ostringstreamIcNS_11char_traitsIcEE25FxPartitionAllocAllocatorIcXadL_ZN6pdfium8internal16StringAllocOrDieEmmEEEED1Ev"].apply(null,arguments)}__ZTv0_n12_NSt3__219basic_ostringstreamIcNS_11char_traitsIcEE25FxPartitionAllocAllocatorIcXadL_ZN6pdfium8internal16StringAllocOrDieEmmEEEED1Ev.stub=true;function ___assert_fail(condition,filename,line,func){abort("Assertion failed: "+UTF8ToString(condition)+", at: "+[filename?UTF8ToString(filename):"unknown filename",line,func?UTF8ToString(func):"unknown function"])}Module["___assert_fail"]=___assert_fail;___assert_fail.sig="vppip";function ExceptionInfo(excPtr){this.excPtr=excPtr;this.ptr=excPtr-24;this.set_type=function(type){HEAPU32[this.ptr+4>>2]=type};this.get_type=function(){return HEAPU32[this.ptr+4>>2]};this.set_destructor=function(destructor){HEAPU32[this.ptr+8>>2]=destructor};this.get_destructor=function(){return HEAPU32[this.ptr+8>>2]};this.set_refcount=function(refcount){HEAP32[this.ptr>>2]=refcount};this.set_caught=function(caught){caught=caught?1:0;HEAP8[this.ptr+12>>0]=caught};this.get_caught=function(){return HEAP8[this.ptr+12>>0]!=0};this.set_rethrown=function(rethrown){rethrown=rethrown?1:0;HEAP8[this.ptr+13>>0]=rethrown};this.get_rethrown=function(){return HEAP8[this.ptr+13>>0]!=0};this.init=function(type,destructor){this.set_adjusted_ptr(0);this.set_type(type);this.set_destructor(destructor);this.set_refcount(0);this.set_caught(false);this.set_rethrown(false)};this.add_ref=function(){var value=HEAP32[this.ptr>>2];HEAP32[this.ptr>>2]=value+1};this.release_ref=function(){var prev=HEAP32[this.ptr>>2];HEAP32[this.ptr>>2]=prev-1;return prev===1};this.set_adjusted_ptr=function(adjustedPtr){HEAPU32[this.ptr+16>>2]=adjustedPtr};this.get_adjusted_ptr=function(){return HEAPU32[this.ptr+16>>2]};this.get_exception_ptr=function(){var isPointer=___cxa_is_pointer_type(this.get_type());if(isPointer){return HEAPU32[this.excPtr>>2]}var adjusted=this.get_adjusted_ptr();if(adjusted!==0)return adjusted;return this.excPtr}}Module["ExceptionInfo"]=ExceptionInfo;var exceptionLast=0;Module["exceptionLast"]=exceptionLast;var uncaughtExceptionCount=0;Module["uncaughtExceptionCount"]=uncaughtExceptionCount;function ___cxa_throw(ptr,type,destructor){var info=new ExceptionInfo(ptr);info.init(type,destructor);exceptionLast=ptr;uncaughtExceptionCount++;throw ptr}Module["___cxa_throw"]=___cxa_throw;___cxa_throw.sig="vppp";var ___memory_base=new WebAssembly.Global({"value":"i32","mutable":false},1024);Module["___memory_base"]=___memory_base;var ___stack_pointer=new WebAssembly.Global({"value":"i32","mutable":true},337824);Module["___stack_pointer"]=___stack_pointer;function setErrNo(value){HEAP32[___errno_location()>>2]=value;return value}Module["setErrNo"]=setErrNo;var PATH={isAbs:path=>path.charAt(0)==="/",splitPath:filename=>{var splitPathRe=/^(\/?|)([\s\S]*?)((?:\.{1,2}|[^\/]+?|)(\.[^.\/]*|))(?:[\/]*)$/;return splitPathRe.exec(filename).slice(1)},normalizeArray:(parts,allowAboveRoot)=>{var up=0;for(var i=parts.length-1;i>=0;i--){var last=parts[i];if(last==="."){parts.splice(i,1)}else if(last===".."){parts.splice(i,1);up++}else if(up){parts.splice(i,1);up--}}if(allowAboveRoot){for(;up;up--){parts.unshift("..")}}return parts},normalize:path=>{var isAbsolute=PATH.isAbs(path),trailingSlash=path.substr(-1)==="/";path=PATH.normalizeArray(path.split("/").filter(p=>!!p),!isAbsolute).join("/");if(!path&&!isAbsolute){path="."}if(path&&trailingSlash){path+="/"}return(isAbsolute?"/":"")+path},dirname:path=>{var result=PATH.splitPath(path),root=result[0],dir=result[1];if(!root&&!dir){return"."}if(dir){dir=dir.substr(0,dir.length-1)}return root+dir},basename:path=>{if(path==="/")return"/";path=PATH.normalize(path);path=path.replace(/\/$/,"");var lastSlash=path.lastIndexOf("/");if(lastSlash===-1)return path;return path.substr(lastSlash+1)},join:function(){var paths=Array.prototype.slice.call(arguments);return PATH.normalize(paths.join("/"))},join2:(l,r)=>{return PATH.normalize(l+"/"+r)}};Module["PATH"]=PATH;function getRandomDevice(){if(typeof crypto=="object"&&typeof crypto["getRandomValues"]=="function"){var randomBuffer=new Uint8Array(1);return()=>{crypto.getRandomValues(randomBuffer);return randomBuffer[0]}}else if(ENVIRONMENT_IS_NODE){try{var crypto_module=require("crypto");return()=>crypto_module["randomBytes"](1)[0]}catch(e){}}return()=>abort("randomDevice")}Module["getRandomDevice"]=getRandomDevice;var PATH_FS={resolve:function(){var resolvedPath="",resolvedAbsolute=false;for(var i=arguments.length-1;i>=-1&&!resolvedAbsolute;i--){var path=i>=0?arguments[i]:FS.cwd();if(typeof path!="string"){throw new TypeError("Arguments to path.resolve must be strings")}else if(!path){return""}resolvedPath=path+"/"+resolvedPath;resolvedAbsolute=PATH.isAbs(path)}resolvedPath=PATH.normalizeArray(resolvedPath.split("/").filter(p=>!!p),!resolvedAbsolute).join("/");return(resolvedAbsolute?"/":"")+resolvedPath||"."},relative:(from,to)=>{from=PATH_FS.resolve(from).substr(1);to=PATH_FS.resolve(to).substr(1);function trim(arr){var start=0;for(;start<arr.length;start++){if(arr[start]!=="")break}var end=arr.length-1;for(;end>=0;end--){if(arr[end]!=="")break}if(start>end)return[];return arr.slice(start,end-start+1)}var fromParts=trim(from.split("/"));var toParts=trim(to.split("/"));var length=Math.min(fromParts.length,toParts.length);var samePartsLength=length;for(var i=0;i<length;i++){if(fromParts[i]!==toParts[i]){samePartsLength=i;break}}var outputParts=[];for(var i=samePartsLength;i<fromParts.length;i++){outputParts.push("..")}outputParts=outputParts.concat(toParts.slice(samePartsLength));return outputParts.join("/")}};Module["PATH_FS"]=PATH_FS;function intArrayFromString(stringy,dontAddNull,length){var len=length>0?length:lengthBytesUTF8(stringy)+1;var u8array=new Array(len);var numBytesWritten=stringToUTF8Array(stringy,u8array,0,u8array.length);if(dontAddNull)u8array.length=numBytesWritten;return u8array}Module["intArrayFromString"]=intArrayFromString;var TTY={ttys:[],init:function(){},shutdown:function(){},register:function(dev,ops){TTY.ttys[dev]={input:[],output:[],ops:ops};FS.registerDevice(dev,TTY.stream_ops)},stream_ops:{open:function(stream){var tty=TTY.ttys[stream.node.rdev];if(!tty){throw new FS.ErrnoError(43)}stream.tty=tty;stream.seekable=false},close:function(stream){stream.tty.ops.fsync(stream.tty)},fsync:function(stream){stream.tty.ops.fsync(stream.tty)},read:function(stream,buffer,offset,length,pos){if(!stream.tty||!stream.tty.ops.get_char){throw new FS.ErrnoError(60)}var bytesRead=0;for(var i=0;i<length;i++){var result;try{result=stream.tty.ops.get_char(stream.tty)}catch(e){throw new FS.ErrnoError(29)}if(result===undefined&&bytesRead===0){throw new FS.ErrnoError(6)}if(result===null||result===undefined)break;bytesRead++;buffer[offset+i]=result}if(bytesRead){stream.node.timestamp=Date.now()}return bytesRead},write:function(stream,buffer,offset,length,pos){if(!stream.tty||!stream.tty.ops.put_char){throw new FS.ErrnoError(60)}try{for(var i=0;i<length;i++){stream.tty.ops.put_char(stream.tty,buffer[offset+i])}}catch(e){throw new FS.ErrnoError(29)}if(length){stream.node.timestamp=Date.now()}return i}},default_tty_ops:{get_char:function(tty){if(!tty.input.length){var result=null;if(ENVIRONMENT_IS_NODE){var BUFSIZE=256;var buf=Buffer.alloc(BUFSIZE);var bytesRead=0;try{bytesRead=fs.readSync(process.stdin.fd,buf,0,BUFSIZE,-1)}catch(e){if(e.toString().includes("EOF"))bytesRead=0;else throw e}if(bytesRead>0){result=buf.slice(0,bytesRead).toString("utf-8")}else{result=null}}else if(typeof window!="undefined"&&typeof window.prompt=="function"){result=window.prompt("Input: ");if(result!==null){result+="\n"}}else if(typeof readline=="function"){result=readline();if(result!==null){result+="\n"}}if(!result){return null}tty.input=intArrayFromString(result,true)}return tty.input.shift()},put_char:function(tty,val){if(val===null||val===10){out(UTF8ArrayToString(tty.output,0));tty.output=[]}else{if(val!=0)tty.output.push(val)}},fsync:function(tty){if(tty.output&&tty.output.length>0){out(UTF8ArrayToString(tty.output,0));tty.output=[]}}},default_tty1_ops:{put_char:function(tty,val){if(val===null||val===10){err(UTF8ArrayToString(tty.output,0));tty.output=[]}else{if(val!=0)tty.output.push(val)}},fsync:function(tty){if(tty.output&&tty.output.length>0){err(UTF8ArrayToString(tty.output,0));tty.output=[]}}}};Module["TTY"]=TTY;function mmapAlloc(size){size=alignMemory(size,65536);var ptr=_emscripten_builtin_memalign(65536,size);if(!ptr)return 0;return zeroMemory(ptr,size)}Module["mmapAlloc"]=mmapAlloc;var MEMFS={ops_table:null,mount:function(mount){return MEMFS.createNode(null,"/",16384|511,0)},createNode:function(parent,name,mode,dev){if(FS.isBlkdev(mode)||FS.isFIFO(mode)){throw new FS.ErrnoError(63)}if(!MEMFS.ops_table){MEMFS.ops_table={dir:{node:{getattr:MEMFS.node_ops.getattr,setattr:MEMFS.node_ops.setattr,lookup:MEMFS.node_ops.lookup,mknod:MEMFS.node_ops.mknod,rename:MEMFS.node_ops.rename,unlink:MEMFS.node_ops.unlink,rmdir:MEMFS.node_ops.rmdir,readdir:MEMFS.node_ops.readdir,symlink:MEMFS.node_ops.symlink},stream:{llseek:MEMFS.stream_ops.llseek}},file:{node:{getattr:MEMFS.node_ops.getattr,setattr:MEMFS.node_ops.setattr},stream:{llseek:MEMFS.stream_ops.llseek,read:MEMFS.stream_ops.read,write:MEMFS.stream_ops.write,allocate:MEMFS.stream_ops.allocate,mmap:MEMFS.stream_ops.mmap,msync:MEMFS.stream_ops.msync}},link:{node:{getattr:MEMFS.node_ops.getattr,setattr:MEMFS.node_ops.setattr,readlink:MEMFS.node_ops.readlink},stream:{}},chrdev:{node:{getattr:MEMFS.node_ops.getattr,setattr:MEMFS.node_ops.setattr},stream:FS.chrdev_stream_ops}}}var node=FS.createNode(parent,name,mode,dev);if(FS.isDir(node.mode)){node.node_ops=MEMFS.ops_table.dir.node;node.stream_ops=MEMFS.ops_table.dir.stream;node.contents={}}else if(FS.isFile(node.mode)){node.node_ops=MEMFS.ops_table.file.node;node.stream_ops=MEMFS.ops_table.file.stream;node.usedBytes=0;node.contents=null}else if(FS.isLink(node.mode)){node.node_ops=MEMFS.ops_table.link.node;node.stream_ops=MEMFS.ops_table.link.stream}else if(FS.isChrdev(node.mode)){node.node_ops=MEMFS.ops_table.chrdev.node;node.stream_ops=MEMFS.ops_table.chrdev.stream}node.timestamp=Date.now();if(parent){parent.contents[name]=node;parent.timestamp=node.timestamp}return node},getFileDataAsTypedArray:function(node){if(!node.contents)return new Uint8Array(0);if(node.contents.subarray)return node.contents.subarray(0,node.usedBytes);return new Uint8Array(node.contents)},expandFileStorage:function(node,newCapacity){var prevCapacity=node.contents?node.contents.length:0;if(prevCapacity>=newCapacity)return;var CAPACITY_DOUBLING_MAX=1024*1024;newCapacity=Math.max(newCapacity,prevCapacity*(prevCapacity<CAPACITY_DOUBLING_MAX?2:1.125)>>>0);if(prevCapacity!=0)newCapacity=Math.max(newCapacity,256);var oldContents=node.contents;node.contents=new Uint8Array(newCapacity);if(node.usedBytes>0)node.contents.set(oldContents.subarray(0,node.usedBytes),0)},resizeFileStorage:function(node,newSize){if(node.usedBytes==newSize)return;if(newSize==0){node.contents=null;node.usedBytes=0}else{var oldContents=node.contents;node.contents=new Uint8Array(newSize);if(oldContents){node.contents.set(oldContents.subarray(0,Math.min(newSize,node.usedBytes)))}node.usedBytes=newSize}},node_ops:{getattr:function(node){var attr={};attr.dev=FS.isChrdev(node.mode)?node.id:1;attr.ino=node.id;attr.mode=node.mode;attr.nlink=1;attr.uid=0;attr.gid=0;attr.rdev=node.rdev;if(FS.isDir(node.mode)){attr.size=4096}else if(FS.isFile(node.mode)){attr.size=node.usedBytes}else if(FS.isLink(node.mode)){attr.size=node.link.length}else{attr.size=0}attr.atime=new Date(node.timestamp);attr.mtime=new Date(node.timestamp);attr.ctime=new Date(node.timestamp);attr.blksize=4096;attr.blocks=Math.ceil(attr.size/attr.blksize);return attr},setattr:function(node,attr){if(attr.mode!==undefined){node.mode=attr.mode}if(attr.timestamp!==undefined){node.timestamp=attr.timestamp}if(attr.size!==undefined){MEMFS.resizeFileStorage(node,attr.size)}},lookup:function(parent,name){throw FS.genericErrors[44]},mknod:function(parent,name,mode,dev){return MEMFS.createNode(parent,name,mode,dev)},rename:function(old_node,new_dir,new_name){if(FS.isDir(old_node.mode)){var new_node;try{new_node=FS.lookupNode(new_dir,new_name)}catch(e){}if(new_node){for(var i in new_node.contents){throw new FS.ErrnoError(55)}}}delete old_node.parent.contents[old_node.name];old_node.parent.timestamp=Date.now();old_node.name=new_name;new_dir.contents[new_name]=old_node;new_dir.timestamp=old_node.parent.timestamp;old_node.parent=new_dir},unlink:function(parent,name){delete parent.contents[name];parent.timestamp=Date.now()},rmdir:function(parent,name){var node=FS.lookupNode(parent,name);for(var i in node.contents){throw new FS.ErrnoError(55)}delete parent.contents[name];parent.timestamp=Date.now()},readdir:function(node){var entries=[".",".."];for(var key in node.contents){if(!node.contents.hasOwnProperty(key)){continue}entries.push(key)}return entries},symlink:function(parent,newname,oldpath){var node=MEMFS.createNode(parent,newname,511|40960,0);node.link=oldpath;return node},readlink:function(node){if(!FS.isLink(node.mode)){throw new FS.ErrnoError(28)}return node.link}},stream_ops:{read:function(stream,buffer,offset,length,position){var contents=stream.node.contents;if(position>=stream.node.usedBytes)return 0;var size=Math.min(stream.node.usedBytes-position,length);if(size>8&&contents.subarray){buffer.set(contents.subarray(position,position+size),offset)}else{for(var i=0;i<size;i++)buffer[offset+i]=contents[position+i]}return size},write:function(stream,buffer,offset,length,position,canOwn){if(buffer.buffer===HEAP8.buffer){canOwn=false}if(!length)return 0;var node=stream.node;node.timestamp=Date.now();if(buffer.subarray&&(!node.contents||node.contents.subarray)){if(canOwn){node.contents=buffer.subarray(offset,offset+length);node.usedBytes=length;return length}else if(node.usedBytes===0&&position===0){node.contents=buffer.slice(offset,offset+length);node.usedBytes=length;return length}else if(position+length<=node.usedBytes){node.contents.set(buffer.subarray(offset,offset+length),position);return length}}MEMFS.expandFileStorage(node,position+length);if(node.contents.subarray&&buffer.subarray){node.contents.set(buffer.subarray(offset,offset+length),position)}else{for(var i=0;i<length;i++){node.contents[position+i]=buffer[offset+i]}}node.usedBytes=Math.max(node.usedBytes,position+length);return length},llseek:function(stream,offset,whence){var position=offset;if(whence===1){position+=stream.position}else if(whence===2){if(FS.isFile(stream.node.mode)){position+=stream.node.usedBytes}}if(position<0){throw new FS.ErrnoError(28)}return position},allocate:function(stream,offset,length){MEMFS.expandFileStorage(stream.node,offset+length);stream.node.usedBytes=Math.max(stream.node.usedBytes,offset+length)},mmap:function(stream,length,position,prot,flags){if(!FS.isFile(stream.node.mode)){throw new FS.ErrnoError(43)}var ptr;var allocated;var contents=stream.node.contents;if(!(flags&2)&&contents.buffer===HEAP8.buffer){allocated=false;ptr=contents.byteOffset}else{if(position>0||position+length<contents.length){if(contents.subarray){contents=contents.subarray(position,position+length)}else{contents=Array.prototype.slice.call(contents,position,position+length)}}allocated=true;ptr=mmapAlloc(length);if(!ptr){throw new FS.ErrnoError(48)}HEAP8.set(contents,ptr)}return{ptr:ptr,allocated:allocated}},msync:function(stream,buffer,offset,length,mmapFlags){MEMFS.stream_ops.write(stream,buffer,0,length,offset,false);return 0}}};Module["MEMFS"]=MEMFS;function asyncLoad(url,onload,onerror,noRunDep){var dep=!noRunDep?getUniqueRunDependency("al "+url):"";readAsync(url,arrayBuffer=>{assert(arrayBuffer,'Loading data file "'+url+'" failed (no arrayBuffer).');onload(new Uint8Array(arrayBuffer));if(dep)removeRunDependency(dep)},event=>{if(onerror){onerror()}else{throw'Loading data file "'+url+'" failed.'}});if(dep)addRunDependency(dep)}Module["asyncLoad"]=asyncLoad;var WORKERFS={DIR_MODE:16895,FILE_MODE:33279,reader:null,mount:function(mount){assert(ENVIRONMENT_IS_WORKER);if(!WORKERFS.reader)WORKERFS.reader=new FileReaderSync;var root=WORKERFS.createNode(null,"/",WORKERFS.DIR_MODE,0);var createdParents={};function ensureParent(path){var parts=path.split("/");var parent=root;for(var i=0;i<parts.length-1;i++){var curr=parts.slice(0,i+1).join("/");if(!createdParents[curr]){createdParents[curr]=WORKERFS.createNode(parent,parts[i],WORKERFS.DIR_MODE,0)}parent=createdParents[curr]}return parent}function base(path){var parts=path.split("/");return parts[parts.length-1]}Array.prototype.forEach.call(mount.opts["files"]||[],function(file){WORKERFS.createNode(ensureParent(file.name),base(file.name),WORKERFS.FILE_MODE,0,file,file.lastModifiedDate)});(mount.opts["blobs"]||[]).forEach(function(obj){WORKERFS.createNode(ensureParent(obj["name"]),base(obj["name"]),WORKERFS.FILE_MODE,0,obj["data"])});(mount.opts["packages"]||[]).forEach(function(pack){pack["metadata"].files.forEach(function(file){var name=file.filename.substr(1);WORKERFS.createNode(ensureParent(name),base(name),WORKERFS.FILE_MODE,0,pack["blob"].slice(file.start,file.end))})});return root},createNode:function(parent,name,mode,dev,contents,mtime){var node=FS.createNode(parent,name,mode);node.mode=mode;node.node_ops=WORKERFS.node_ops;node.stream_ops=WORKERFS.stream_ops;node.timestamp=(mtime||new Date).getTime();assert(WORKERFS.FILE_MODE!==WORKERFS.DIR_MODE);if(mode===WORKERFS.FILE_MODE){node.size=contents.size;node.contents=contents}else{node.size=4096;node.contents={}}if(parent){parent.contents[name]=node}return node},node_ops:{getattr:function(node){return{dev:1,ino:node.id,mode:node.mode,nlink:1,uid:0,gid:0,rdev:undefined,size:node.size,atime:new Date(node.timestamp),mtime:new Date(node.timestamp),ctime:new Date(node.timestamp),blksize:4096,blocks:Math.ceil(node.size/4096)}},setattr:function(node,attr){if(attr.mode!==undefined){node.mode=attr.mode}if(attr.timestamp!==undefined){node.timestamp=attr.timestamp}},lookup:function(parent,name){throw new FS.ErrnoError(44)},mknod:function(parent,name,mode,dev){throw new FS.ErrnoError(63)},rename:function(oldNode,newDir,newName){throw new FS.ErrnoError(63)},unlink:function(parent,name){throw new FS.ErrnoError(63)},rmdir:function(parent,name){throw new FS.ErrnoError(63)},readdir:function(node){var entries=[".",".."];for(var key in node.contents){if(!node.contents.hasOwnProperty(key)){continue}entries.push(key)}return entries},symlink:function(parent,newName,oldPath){throw new FS.ErrnoError(63)}},stream_ops:{read:function(stream,buffer,offset,length,position){if(position>=stream.node.size)return 0;var chunk=stream.node.contents.slice(position,position+length);var ab=WORKERFS.reader.readAsArrayBuffer(chunk);buffer.set(new Uint8Array(ab),offset);return chunk.size},write:function(stream,buffer,offset,length,position){throw new FS.ErrnoError(29)},llseek:function(stream,offset,whence){var position=offset;if(whence===1){position+=stream.position}else if(whence===2){if(FS.isFile(stream.node.mode)){position+=stream.node.size}}if(position<0){throw new FS.ErrnoError(28)}return position}}};Module["WORKERFS"]=WORKERFS;var FS={root:null,mounts:[],devices:{},streams:[],nextInode:1,nameTable:null,currentPath:"/",initialized:false,ignorePermissions:true,ErrnoError:null,genericErrors:{},filesystems:null,syncFSRequests:0,lookupPath:(path,opts={})=>{path=PATH_FS.resolve(path);if(!path)return{path:"",node:null};var defaults={follow_mount:true,recurse_count:0};opts=Object.assign(defaults,opts);if(opts.recurse_count>8){throw new FS.ErrnoError(32)}var parts=path.split("/").filter(p=>!!p);var current=FS.root;var current_path="/";for(var i=0;i<parts.length;i++){var islast=i===parts.length-1;if(islast&&opts.parent){break}current=FS.lookupNode(current,parts[i]);current_path=PATH.join2(current_path,parts[i]);if(FS.isMountpoint(current)){if(!islast||islast&&opts.follow_mount){current=current.mounted.root}}if(!islast||opts.follow){var count=0;while(FS.isLink(current.mode)){var link=FS.readlink(current_path);current_path=PATH_FS.resolve(PATH.dirname(current_path),link);var lookup=FS.lookupPath(current_path,{recurse_count:opts.recurse_count+1});current=lookup.node;if(count++>40){throw new FS.ErrnoError(32)}}}}return{path:current_path,node:current}},getPath:node=>{var path;while(true){if(FS.isRoot(node)){var mount=node.mount.mountpoint;if(!path)return mount;return mount[mount.length-1]!=="/"?mount+"/"+path:mount+path}path=path?node.name+"/"+path:node.name;node=node.parent}},hashName:(parentid,name)=>{var hash=0;for(var i=0;i<name.length;i++){hash=(hash<<5)-hash+name.charCodeAt(i)|0}return(parentid+hash>>>0)%FS.nameTable.length},hashAddNode:node=>{var hash=FS.hashName(node.parent.id,node.name);node.name_next=FS.nameTable[hash];FS.nameTable[hash]=node},hashRemoveNode:node=>{var hash=FS.hashName(node.parent.id,node.name);if(FS.nameTable[hash]===node){FS.nameTable[hash]=node.name_next}else{var current=FS.nameTable[hash];while(current){if(current.name_next===node){current.name_next=node.name_next;break}current=current.name_next}}},lookupNode:(parent,name)=>{var errCode=FS.mayLookup(parent);if(errCode){throw new FS.ErrnoError(errCode,parent)}var hash=FS.hashName(parent.id,name);for(var node=FS.nameTable[hash];node;node=node.name_next){var nodeName=node.name;if(node.parent.id===parent.id&&nodeName===name){return node}}return FS.lookup(parent,name)},createNode:(parent,name,mode,rdev)=>{var node=new FS.FSNode(parent,name,mode,rdev);FS.hashAddNode(node);return node},destroyNode:node=>{FS.hashRemoveNode(node)},isRoot:node=>{return node===node.parent},isMountpoint:node=>{return!!node.mounted},isFile:mode=>{return(mode&61440)===32768},isDir:mode=>{return(mode&61440)===16384},isLink:mode=>{return(mode&61440)===40960},isChrdev:mode=>{return(mode&61440)===8192},isBlkdev:mode=>{return(mode&61440)===24576},isFIFO:mode=>{return(mode&61440)===4096},isSocket:mode=>{return(mode&49152)===49152},flagModes:{"r":0,"r+":2,"w":577,"w+":578,"a":1089,"a+":1090},modeStringToFlags:str=>{var flags=FS.flagModes[str];if(typeof flags=="undefined"){throw new Error("Unknown file open mode: "+str)}return flags},flagsToPermissionString:flag=>{var perms=["r","w","rw"][flag&3];if(flag&512){perms+="w"}return perms},nodePermissions:(node,perms)=>{if(FS.ignorePermissions){return 0}if(perms.includes("r")&&!(node.mode&292)){return 2}else if(perms.includes("w")&&!(node.mode&146)){return 2}else if(perms.includes("x")&&!(node.mode&73)){return 2}return 0},mayLookup:dir=>{var errCode=FS.nodePermissions(dir,"x");if(errCode)return errCode;if(!dir.node_ops.lookup)return 2;return 0},mayCreate:(dir,name)=>{try{var node=FS.lookupNode(dir,name);return 20}catch(e){}return FS.nodePermissions(dir,"wx")},mayDelete:(dir,name,isdir)=>{var node;try{node=FS.lookupNode(dir,name)}catch(e){return e.errno}var errCode=FS.nodePermissions(dir,"wx");if(errCode){return errCode}if(isdir){if(!FS.isDir(node.mode)){return 54}if(FS.isRoot(node)||FS.getPath(node)===FS.cwd()){return 10}}else{if(FS.isDir(node.mode)){return 31}}return 0},mayOpen:(node,flags)=>{if(!node){return 44}if(FS.isLink(node.mode)){return 32}else if(FS.isDir(node.mode)){if(FS.flagsToPermissionString(flags)!=="r"||flags&512){return 31}}return FS.nodePermissions(node,FS.flagsToPermissionString(flags))},MAX_OPEN_FDS:4096,nextfd:(fd_start=0,fd_end=FS.MAX_OPEN_FDS)=>{for(var fd=fd_start;fd<=fd_end;fd++){if(!FS.streams[fd]){return fd}}throw new FS.ErrnoError(33)},getStream:fd=>FS.streams[fd],createStream:(stream,fd_start,fd_end)=>{if(!FS.FSStream){FS.FSStream=function(){this.shared={}};FS.FSStream.prototype={};Object.defineProperties(FS.FSStream.prototype,{object:{get:function(){return this.node},set:function(val){this.node=val}},isRead:{get:function(){return(this.flags&2097155)!==1}},isWrite:{get:function(){return(this.flags&2097155)!==0}},isAppend:{get:function(){return this.flags&1024}},flags:{get:function(){return this.shared.flags},set:function(val){this.shared.flags=val}},position:{get:function(){return this.shared.position},set:function(val){this.shared.position=val}}})}stream=Object.assign(new FS.FSStream,stream);var fd=FS.nextfd(fd_start,fd_end);stream.fd=fd;FS.streams[fd]=stream;return stream},closeStream:fd=>{FS.streams[fd]=null},chrdev_stream_ops:{open:stream=>{var device=FS.getDevice(stream.node.rdev);stream.stream_ops=device.stream_ops;if(stream.stream_ops.open){stream.stream_ops.open(stream)}},llseek:()=>{throw new FS.ErrnoError(70)}},major:dev=>dev>>8,minor:dev=>dev&255,makedev:(ma,mi)=>ma<<8|mi,registerDevice:(dev,ops)=>{FS.devices[dev]={stream_ops:ops}},getDevice:dev=>FS.devices[dev],getMounts:mount=>{var mounts=[];var check=[mount];while(check.length){var m=check.pop();mounts.push(m);check.push.apply(check,m.mounts)}return mounts},syncfs:(populate,callback)=>{if(typeof populate=="function"){callback=populate;populate=false}FS.syncFSRequests++;if(FS.syncFSRequests>1){err("warning: "+FS.syncFSRequests+" FS.syncfs operations in flight at once, probably just doing extra work")}var mounts=FS.getMounts(FS.root.mount);var completed=0;function doCallback(errCode){FS.syncFSRequests--;return callback(errCode)}function done(errCode){if(errCode){if(!done.errored){done.errored=true;return doCallback(errCode)}return}if(++completed>=mounts.length){doCallback(null)}}mounts.forEach(mount=>{if(!mount.type.syncfs){return done(null)}mount.type.syncfs(mount,populate,done)})},mount:(type,opts,mountpoint)=>{var root=mountpoint==="/";var pseudo=!mountpoint;var node;if(root&&FS.root){throw new FS.ErrnoError(10)}else if(!root&&!pseudo){var lookup=FS.lookupPath(mountpoint,{follow_mount:false});mountpoint=lookup.path;node=lookup.node;if(FS.isMountpoint(node)){throw new FS.ErrnoError(10)}if(!FS.isDir(node.mode)){throw new FS.ErrnoError(54)}}var mount={type:type,opts:opts,mountpoint:mountpoint,mounts:[]};var mountRoot=type.mount(mount);mountRoot.mount=mount;mount.root=mountRoot;if(root){FS.root=mountRoot}else if(node){node.mounted=mount;if(node.mount){node.mount.mounts.push(mount)}}return mountRoot},unmount:mountpoint=>{var lookup=FS.lookupPath(mountpoint,{follow_mount:false});if(!FS.isMountpoint(lookup.node)){throw new FS.ErrnoError(28)}var node=lookup.node;var mount=node.mounted;var mounts=FS.getMounts(mount);Object.keys(FS.nameTable).forEach(hash=>{var current=FS.nameTable[hash];while(current){var next=current.name_next;if(mounts.includes(current.mount)){FS.destroyNode(current)}current=next}});node.mounted=null;var idx=node.mount.mounts.indexOf(mount);node.mount.mounts.splice(idx,1)},lookup:(parent,name)=>{return parent.node_ops.lookup(parent,name)},mknod:(path,mode,dev)=>{var lookup=FS.lookupPath(path,{parent:true});var parent=lookup.node;var name=PATH.basename(path);if(!name||name==="."||name===".."){throw new FS.ErrnoError(28)}var errCode=FS.mayCreate(parent,name);if(errCode){throw new FS.ErrnoError(errCode)}if(!parent.node_ops.mknod){throw new FS.ErrnoError(63)}return parent.node_ops.mknod(parent,name,mode,dev)},create:(path,mode)=>{mode=mode!==undefined?mode:438;mode&=4095;mode|=32768;return FS.mknod(path,mode,0)},mkdir:(path,mode)=>{mode=mode!==undefined?mode:511;mode&=511|512;mode|=16384;return FS.mknod(path,mode,0)},mkdirTree:(path,mode)=>{var dirs=path.split("/");var d="";for(var i=0;i<dirs.length;++i){if(!dirs[i])continue;d+="/"+dirs[i];try{FS.mkdir(d,mode)}catch(e){if(e.errno!=20)throw e}}},mkdev:(path,mode,dev)=>{if(typeof dev=="undefined"){dev=mode;mode=438}mode|=8192;return FS.mknod(path,mode,dev)},symlink:(oldpath,newpath)=>{if(!PATH_FS.resolve(oldpath)){throw new FS.ErrnoError(44)}var lookup=FS.lookupPath(newpath,{parent:true});var parent=lookup.node;if(!parent){throw new FS.ErrnoError(44)}var newname=PATH.basename(newpath);var errCode=FS.mayCreate(parent,newname);if(errCode){throw new FS.ErrnoError(errCode)}if(!parent.node_ops.symlink){throw new FS.ErrnoError(63)}return parent.node_ops.symlink(parent,newname,oldpath)},rename:(old_path,new_path)=>{var old_dirname=PATH.dirname(old_path);var new_dirname=PATH.dirname(new_path);var old_name=PATH.basename(old_path);var new_name=PATH.basename(new_path);var lookup,old_dir,new_dir;lookup=FS.lookupPath(old_path,{parent:true});old_dir=lookup.node;lookup=FS.lookupPath(new_path,{parent:true});new_dir=lookup.node;if(!old_dir||!new_dir)throw new FS.ErrnoError(44);if(old_dir.mount!==new_dir.mount){throw new FS.ErrnoError(75)}var old_node=FS.lookupNode(old_dir,old_name);var relative=PATH_FS.relative(old_path,new_dirname);if(relative.charAt(0)!=="."){throw new FS.ErrnoError(28)}relative=PATH_FS.relative(new_path,old_dirname);if(relative.charAt(0)!=="."){throw new FS.ErrnoError(55)}var new_node;try{new_node=FS.lookupNode(new_dir,new_name)}catch(e){}if(old_node===new_node){return}var isdir=FS.isDir(old_node.mode);var errCode=FS.mayDelete(old_dir,old_name,isdir);if(errCode){throw new FS.ErrnoError(errCode)}errCode=new_node?FS.mayDelete(new_dir,new_name,isdir):FS.mayCreate(new_dir,new_name);if(errCode){throw new FS.ErrnoError(errCode)}if(!old_dir.node_ops.rename){throw new FS.ErrnoError(63)}if(FS.isMountpoint(old_node)||new_node&&FS.isMountpoint(new_node)){throw new FS.ErrnoError(10)}if(new_dir!==old_dir){errCode=FS.nodePermissions(old_dir,"w");if(errCode){throw new FS.ErrnoError(errCode)}}FS.hashRemoveNode(old_node);try{old_dir.node_ops.rename(old_node,new_dir,new_name)}catch(e){throw e}finally{FS.hashAddNode(old_node)}},rmdir:path=>{var lookup=FS.lookupPath(path,{parent:true});var parent=lookup.node;var name=PATH.basename(path);var node=FS.lookupNode(parent,name);var errCode=FS.mayDelete(parent,name,true);if(errCode){throw new FS.ErrnoError(errCode)}if(!parent.node_ops.rmdir){throw new FS.ErrnoError(63)}if(FS.isMountpoint(node)){throw new FS.ErrnoError(10)}parent.node_ops.rmdir(parent,name);FS.destroyNode(node)},readdir:path=>{var lookup=FS.lookupPath(path,{follow:true});var node=lookup.node;if(!node.node_ops.readdir){throw new FS.ErrnoError(54)}return node.node_ops.readdir(node)},unlink:path=>{var lookup=FS.lookupPath(path,{parent:true});var parent=lookup.node;if(!parent){throw new FS.ErrnoError(44)}var name=PATH.basename(path);var node=FS.lookupNode(parent,name);var errCode=FS.mayDelete(parent,name,false);if(errCode){throw new FS.ErrnoError(errCode)}if(!parent.node_ops.unlink){throw new FS.ErrnoError(63)}if(FS.isMountpoint(node)){throw new FS.ErrnoError(10)}parent.node_ops.unlink(parent,name);FS.destroyNode(node)},readlink:path=>{var lookup=FS.lookupPath(path);var link=lookup.node;if(!link){throw new FS.ErrnoError(44)}if(!link.node_ops.readlink){throw new FS.ErrnoError(28)}return PATH_FS.resolve(FS.getPath(link.parent),link.node_ops.readlink(link))},stat:(path,dontFollow)=>{var lookup=FS.lookupPath(path,{follow:!dontFollow});var node=lookup.node;if(!node){throw new FS.ErrnoError(44)}if(!node.node_ops.getattr){throw new FS.ErrnoError(63)}return node.node_ops.getattr(node)},lstat:path=>{return FS.stat(path,true)},chmod:(path,mode,dontFollow)=>{var node;if(typeof path=="string"){var lookup=FS.lookupPath(path,{follow:!dontFollow});node=lookup.node}else{node=path}if(!node.node_ops.setattr){throw new FS.ErrnoError(63)}node.node_ops.setattr(node,{mode:mode&4095|node.mode&~4095,timestamp:Date.now()})},lchmod:(path,mode)=>{FS.chmod(path,mode,true)},fchmod:(fd,mode)=>{var stream=FS.getStream(fd);if(!stream){throw new FS.ErrnoError(8)}FS.chmod(stream.node,mode)},chown:(path,uid,gid,dontFollow)=>{var node;if(typeof path=="string"){var lookup=FS.lookupPath(path,{follow:!dontFollow});node=lookup.node}else{node=path}if(!node.node_ops.setattr){throw new FS.ErrnoError(63)}node.node_ops.setattr(node,{timestamp:Date.now()})},lchown:(path,uid,gid)=>{FS.chown(path,uid,gid,true)},fchown:(fd,uid,gid)=>{var stream=FS.getStream(fd);if(!stream){throw new FS.ErrnoError(8)}FS.chown(stream.node,uid,gid)},truncate:(path,len)=>{if(len<0){throw new FS.ErrnoError(28)}var node;if(typeof path=="string"){var lookup=FS.lookupPath(path,{follow:true});node=lookup.node}else{node=path}if(!node.node_ops.setattr){throw new FS.ErrnoError(63)}if(FS.isDir(node.mode)){throw new FS.ErrnoError(31)}if(!FS.isFile(node.mode)){throw new FS.ErrnoError(28)}var errCode=FS.nodePermissions(node,"w");if(errCode){throw new FS.ErrnoError(errCode)}node.node_ops.setattr(node,{size:len,timestamp:Date.now()})},ftruncate:(fd,len)=>{var stream=FS.getStream(fd);if(!stream){throw new FS.ErrnoError(8)}if((stream.flags&2097155)===0){throw new FS.ErrnoError(28)}FS.truncate(stream.node,len)},utime:(path,atime,mtime)=>{var lookup=FS.lookupPath(path,{follow:true});var node=lookup.node;node.node_ops.setattr(node,{timestamp:Math.max(atime,mtime)})},open:(path,flags,mode)=>{if(path===""){throw new FS.ErrnoError(44)}flags=typeof flags=="string"?FS.modeStringToFlags(flags):flags;mode=typeof mode=="undefined"?438:mode;if(flags&64){mode=mode&4095|32768}else{mode=0}var node;if(typeof path=="object"){node=path}else{path=PATH.normalize(path);try{var lookup=FS.lookupPath(path,{follow:!(flags&131072)});node=lookup.node}catch(e){}}var created=false;if(flags&64){if(node){if(flags&128){throw new FS.ErrnoError(20)}}else{node=FS.mknod(path,mode,0);created=true}}if(!node){throw new FS.ErrnoError(44)}if(FS.isChrdev(node.mode)){flags&=~512}if(flags&65536&&!FS.isDir(node.mode)){throw new FS.ErrnoError(54)}if(!created){var errCode=FS.mayOpen(node,flags);if(errCode){throw new FS.ErrnoError(errCode)}}if(flags&512&&!created){FS.truncate(node,0)}flags&=~(128|512|131072);var stream=FS.createStream({node:node,path:FS.getPath(node),flags:flags,seekable:true,position:0,stream_ops:node.stream_ops,ungotten:[],error:false});if(stream.stream_ops.open){stream.stream_ops.open(stream)}if(Module["logReadFiles"]&&!(flags&1)){if(!FS.readFiles)FS.readFiles={};if(!(path in FS.readFiles)){FS.readFiles[path]=1}}return stream},close:stream=>{if(FS.isClosed(stream)){throw new FS.ErrnoError(8)}if(stream.getdents)stream.getdents=null;try{if(stream.stream_ops.close){stream.stream_ops.close(stream)}}catch(e){throw e}finally{FS.closeStream(stream.fd)}stream.fd=null},isClosed:stream=>{return stream.fd===null},llseek:(stream,offset,whence)=>{if(FS.isClosed(stream)){throw new FS.ErrnoError(8)}if(!stream.seekable||!stream.stream_ops.llseek){throw new FS.ErrnoError(70)}if(whence!=0&&whence!=1&&whence!=2){throw new FS.ErrnoError(28)}stream.position=stream.stream_ops.llseek(stream,offset,whence);stream.ungotten=[];return stream.position},read:(stream,buffer,offset,length,position)=>{if(length<0||position<0){throw new FS.ErrnoError(28)}if(FS.isClosed(stream)){throw new FS.ErrnoError(8)}if((stream.flags&2097155)===1){throw new FS.ErrnoError(8)}if(FS.isDir(stream.node.mode)){throw new FS.ErrnoError(31)}if(!stream.stream_ops.read){throw new FS.ErrnoError(28)}var seeking=typeof position!="undefined";if(!seeking){position=stream.position}else if(!stream.seekable){throw new FS.ErrnoError(70)}var bytesRead=stream.stream_ops.read(stream,buffer,offset,length,position);if(!seeking)stream.position+=bytesRead;return bytesRead},write:(stream,buffer,offset,length,position,canOwn)=>{if(length<0||position<0){throw new FS.ErrnoError(28)}if(FS.isClosed(stream)){throw new FS.ErrnoError(8)}if((stream.flags&2097155)===0){throw new FS.ErrnoError(8)}if(FS.isDir(stream.node.mode)){throw new FS.ErrnoError(31)}if(!stream.stream_ops.write){throw new FS.ErrnoError(28)}if(stream.seekable&&stream.flags&1024){FS.llseek(stream,0,2)}var seeking=typeof position!="undefined";if(!seeking){position=stream.position}else if(!stream.seekable){throw new FS.ErrnoError(70)}var bytesWritten=stream.stream_ops.write(stream,buffer,offset,length,position,canOwn);if(!seeking)stream.position+=bytesWritten;return bytesWritten},allocate:(stream,offset,length)=>{if(FS.isClosed(stream)){throw new FS.ErrnoError(8)}if(offset<0||length<=0){throw new FS.ErrnoError(28)}if((stream.flags&2097155)===0){throw new FS.ErrnoError(8)}if(!FS.isFile(stream.node.mode)&&!FS.isDir(stream.node.mode)){throw new FS.ErrnoError(43)}if(!stream.stream_ops.allocate){throw new FS.ErrnoError(138)}stream.stream_ops.allocate(stream,offset,length)},mmap:(stream,length,position,prot,flags)=>{if((prot&2)!==0&&(flags&2)===0&&(stream.flags&2097155)!==2){throw new FS.ErrnoError(2)}if((stream.flags&2097155)===1){throw new FS.ErrnoError(2)}if(!stream.stream_ops.mmap){throw new FS.ErrnoError(43)}return stream.stream_ops.mmap(stream,length,position,prot,flags)},msync:(stream,buffer,offset,length,mmapFlags)=>{if(!stream.stream_ops.msync){return 0}return stream.stream_ops.msync(stream,buffer,offset,length,mmapFlags)},munmap:stream=>0,ioctl:(stream,cmd,arg)=>{if(!stream.stream_ops.ioctl){throw new FS.ErrnoError(59)}return stream.stream_ops.ioctl(stream,cmd,arg)},readFile:(path,opts={})=>{opts.flags=opts.flags||0;opts.encoding=opts.encoding||"binary";if(opts.encoding!=="utf8"&&opts.encoding!=="binary"){throw new Error('Invalid encoding type "'+opts.encoding+'"')}var ret;var stream=FS.open(path,opts.flags);var stat=FS.stat(path);var length=stat.size;var buf=new Uint8Array(length);FS.read(stream,buf,0,length,0);if(opts.encoding==="utf8"){ret=UTF8ArrayToString(buf,0)}else if(opts.encoding==="binary"){ret=buf}FS.close(stream);return ret},writeFile:(path,data,opts={})=>{opts.flags=opts.flags||577;var stream=FS.open(path,opts.flags,opts.mode);if(typeof data=="string"){var buf=new Uint8Array(lengthBytesUTF8(data)+1);var actualNumBytes=stringToUTF8Array(data,buf,0,buf.length);FS.write(stream,buf,0,actualNumBytes,undefined,opts.canOwn)}else if(ArrayBuffer.isView(data)){FS.write(stream,data,0,data.byteLength,undefined,opts.canOwn)}else{throw new Error("Unsupported data type")}FS.close(stream)},cwd:()=>FS.currentPath,chdir:path=>{var lookup=FS.lookupPath(path,{follow:true});if(lookup.node===null){throw new FS.ErrnoError(44)}if(!FS.isDir(lookup.node.mode)){throw new FS.ErrnoError(54)}var errCode=FS.nodePermissions(lookup.node,"x");if(errCode){throw new FS.ErrnoError(errCode)}FS.currentPath=lookup.path},createDefaultDirectories:()=>{FS.mkdir("/tmp");FS.mkdir("/home");FS.mkdir("/home/web_user")},createDefaultDevices:()=>{FS.mkdir("/dev");FS.registerDevice(FS.makedev(1,3),{read:()=>0,write:(stream,buffer,offset,length,pos)=>length});FS.mkdev("/dev/null",FS.makedev(1,3));TTY.register(FS.makedev(5,0),TTY.default_tty_ops);TTY.register(FS.makedev(6,0),TTY.default_tty1_ops);FS.mkdev("/dev/tty",FS.makedev(5,0));FS.mkdev("/dev/tty1",FS.makedev(6,0));var random_device=getRandomDevice();FS.createDevice("/dev","random",random_device);FS.createDevice("/dev","urandom",random_device);FS.mkdir("/dev/shm");FS.mkdir("/dev/shm/tmp")},createSpecialDirectories:()=>{FS.mkdir("/proc");var proc_self=FS.mkdir("/proc/self");FS.mkdir("/proc/self/fd");FS.mount({mount:()=>{var node=FS.createNode(proc_self,"fd",16384|511,73);node.node_ops={lookup:(parent,name)=>{var fd=+name;var stream=FS.getStream(fd);if(!stream)throw new FS.ErrnoError(8);var ret={parent:null,mount:{mountpoint:"fake"},node_ops:{readlink:()=>stream.path}};ret.parent=ret;return ret}};return node}},{},"/proc/self/fd")},createStandardStreams:()=>{if(Module["stdin"]){FS.createDevice("/dev","stdin",Module["stdin"])}else{FS.symlink("/dev/tty","/dev/stdin")}if(Module["stdout"]){FS.createDevice("/dev","stdout",null,Module["stdout"])}else{FS.symlink("/dev/tty","/dev/stdout")}if(Module["stderr"]){FS.createDevice("/dev","stderr",null,Module["stderr"])}else{FS.symlink("/dev/tty1","/dev/stderr")}var stdin=FS.open("/dev/stdin",0);var stdout=FS.open("/dev/stdout",1);var stderr=FS.open("/dev/stderr",1)},ensureErrnoError:()=>{if(FS.ErrnoError)return;FS.ErrnoError=function ErrnoError(errno,node){this.name="ErrnoError";this.node=node;this.setErrno=function(errno){this.errno=errno};this.setErrno(errno);this.message="FS error"};FS.ErrnoError.prototype=new Error;FS.ErrnoError.prototype.constructor=FS.ErrnoError;[44].forEach(code=>{FS.genericErrors[code]=new FS.ErrnoError(code);FS.genericErrors[code].stack="<generic error, no stack>"})},staticInit:()=>{FS.ensureErrnoError();FS.nameTable=new Array(4096);FS.mount(MEMFS,{},"/");FS.createDefaultDirectories();FS.createDefaultDevices();FS.createSpecialDirectories();FS.filesystems={"MEMFS":MEMFS,"WORKERFS":WORKERFS}},init:(input,output,error)=>{FS.init.initialized=true;FS.ensureErrnoError();Module["stdin"]=input||Module["stdin"];Module["stdout"]=output||Module["stdout"];Module["stderr"]=error||Module["stderr"];FS.createStandardStreams()},quit:()=>{FS.init.initialized=false;_fflush(0);for(var i=0;i<FS.streams.length;i++){var stream=FS.streams[i];if(!stream){continue}FS.close(stream)}},getMode:(canRead,canWrite)=>{var mode=0;if(canRead)mode|=292|73;if(canWrite)mode|=146;return mode},findObject:(path,dontResolveLastLink)=>{var ret=FS.analyzePath(path,dontResolveLastLink);if(!ret.exists){return null}return ret.object},analyzePath:(path,dontResolveLastLink)=>{try{var lookup=FS.lookupPath(path,{follow:!dontResolveLastLink});path=lookup.path}catch(e){}var ret={isRoot:false,exists:false,error:0,name:null,path:null,object:null,parentExists:false,parentPath:null,parentObject:null};try{var lookup=FS.lookupPath(path,{parent:true});ret.parentExists=true;ret.parentPath=lookup.path;ret.parentObject=lookup.node;ret.name=PATH.basename(path);lookup=FS.lookupPath(path,{follow:!dontResolveLastLink});ret.exists=true;ret.path=lookup.path;ret.object=lookup.node;ret.name=lookup.node.name;ret.isRoot=lookup.path==="/"}catch(e){ret.error=e.errno}return ret},createPath:(parent,path,canRead,canWrite)=>{parent=typeof parent=="string"?parent:FS.getPath(parent);var parts=path.split("/").reverse();while(parts.length){var part=parts.pop();if(!part)continue;var current=PATH.join2(parent,part);try{FS.mkdir(current)}catch(e){}parent=current}return current},createFile:(parent,name,properties,canRead,canWrite)=>{var path=PATH.join2(typeof parent=="string"?parent:FS.getPath(parent),name);var mode=FS.getMode(canRead,canWrite);return FS.create(path,mode)},createDataFile:(parent,name,data,canRead,canWrite,canOwn)=>{var path=name;if(parent){parent=typeof parent=="string"?parent:FS.getPath(parent);path=name?PATH.join2(parent,name):parent}var mode=FS.getMode(canRead,canWrite);var node=FS.create(path,mode);if(data){if(typeof data=="string"){var arr=new Array(data.length);for(var i=0,len=data.length;i<len;++i)arr[i]=data.charCodeAt(i);data=arr}FS.chmod(node,mode|146);var stream=FS.open(node,577);FS.write(stream,data,0,data.length,0,canOwn);FS.close(stream);FS.chmod(node,mode)}return node},createDevice:(parent,name,input,output)=>{var path=PATH.join2(typeof parent=="string"?parent:FS.getPath(parent),name);var mode=FS.getMode(!!input,!!output);if(!FS.createDevice.major)FS.createDevice.major=64;var dev=FS.makedev(FS.createDevice.major++,0);FS.registerDevice(dev,{open:stream=>{stream.seekable=false},close:stream=>{if(output&&output.buffer&&output.buffer.length){output(10)}},read:(stream,buffer,offset,length,pos)=>{var bytesRead=0;for(var i=0;i<length;i++){var result;try{result=input()}catch(e){throw new FS.ErrnoError(29)}if(result===undefined&&bytesRead===0){throw new FS.ErrnoError(6)}if(result===null||result===undefined)break;bytesRead++;buffer[offset+i]=result}if(bytesRead){stream.node.timestamp=Date.now()}return bytesRead},write:(stream,buffer,offset,length,pos)=>{for(var i=0;i<length;i++){try{output(buffer[offset+i])}catch(e){throw new FS.ErrnoError(29)}}if(length){stream.node.timestamp=Date.now()}return i}});return FS.mkdev(path,mode,dev)},forceLoadFile:obj=>{if(obj.isDevice||obj.isFolder||obj.link||obj.contents)return true;if(typeof XMLHttpRequest!="undefined"){throw new Error("Lazy loading should have been performed (contents set) in createLazyFile, but it was not. Lazy loading only works in web workers. Use --embed-file or --preload-file in emcc on the main thread.")}else if(read_){try{obj.contents=intArrayFromString(read_(obj.url),true);obj.usedBytes=obj.contents.length}catch(e){throw new FS.ErrnoError(29)}}else{throw new Error("Cannot load without read() or XMLHttpRequest.")}},createLazyFile:(parent,name,url,canRead,canWrite)=>{function LazyUint8Array(){this.lengthKnown=false;this.chunks=[]}LazyUint8Array.prototype.get=function LazyUint8Array_get(idx){if(idx>this.length-1||idx<0){return undefined}var chunkOffset=idx%this.chunkSize;var chunkNum=idx/this.chunkSize|0;return this.getter(chunkNum)[chunkOffset]};LazyUint8Array.prototype.setDataGetter=function LazyUint8Array_setDataGetter(getter){this.getter=getter};LazyUint8Array.prototype.cacheLength=function LazyUint8Array_cacheLength(){var xhr=new XMLHttpRequest;xhr.open("HEAD",url,false);xhr.send(null);if(!(xhr.status>=200&&xhr.status<300||xhr.status===304))throw new Error("Couldn't load "+url+". Status: "+xhr.status);var datalength=Number(xhr.getResponseHeader("Content-length"));var header;var hasByteServing=(header=xhr.getResponseHeader("Accept-Ranges"))&&header==="bytes";var usesGzip=(header=xhr.getResponseHeader("Content-Encoding"))&&header==="gzip";var chunkSize=1024*1024;if(!hasByteServing)chunkSize=datalength;var doXHR=(from,to)=>{if(from>to)throw new Error("invalid range ("+from+", "+to+") or no bytes requested!");if(to>datalength-1)throw new Error("only "+datalength+" bytes available! programmer error!");var xhr=new XMLHttpRequest;xhr.open("GET",url,false);if(datalength!==chunkSize)xhr.setRequestHeader("Range","bytes="+from+"-"+to);xhr.responseType="arraybuffer";if(xhr.overrideMimeType){xhr.overrideMimeType("text/plain; charset=x-user-defined")}xhr.send(null);if(!(xhr.status>=200&&xhr.status<300||xhr.status===304))throw new Error("Couldn't load "+url+". Status: "+xhr.status);if(xhr.response!==undefined){return new Uint8Array(xhr.response||[])}return intArrayFromString(xhr.responseText||"",true)};var lazyArray=this;lazyArray.setDataGetter(chunkNum=>{var start=chunkNum*chunkSize;var end=(chunkNum+1)*chunkSize-1;end=Math.min(end,datalength-1);if(typeof lazyArray.chunks[chunkNum]=="undefined"){lazyArray.chunks[chunkNum]=doXHR(start,end)}if(typeof lazyArray.chunks[chunkNum]=="undefined")throw new Error("doXHR failed!");return lazyArray.chunks[chunkNum]});if(usesGzip||!datalength){chunkSize=datalength=1;datalength=this.getter(0).length;chunkSize=datalength;out("LazyFiles on gzip forces download of the whole file when length is accessed")}this._length=datalength;this._chunkSize=chunkSize;this.lengthKnown=true};if(typeof XMLHttpRequest!="undefined"){if(!ENVIRONMENT_IS_WORKER)throw"Cannot do synchronous binary XHRs outside webworkers in modern browsers. Use --embed-file or --preload-file in emcc";var lazyArray=new LazyUint8Array;Object.defineProperties(lazyArray,{length:{get:function(){if(!this.lengthKnown){this.cacheLength()}return this._length}},chunkSize:{get:function(){if(!this.lengthKnown){this.cacheLength()}return this._chunkSize}}});var properties={isDevice:false,contents:lazyArray}}else{var properties={isDevice:false,url:url}}var node=FS.createFile(parent,name,properties,canRead,canWrite);if(properties.contents){node.contents=properties.contents}else if(properties.url){node.contents=null;node.url=properties.url}Object.defineProperties(node,{usedBytes:{get:function(){return this.contents.length}}});var stream_ops={};var keys=Object.keys(node.stream_ops);keys.forEach(key=>{var fn=node.stream_ops[key];stream_ops[key]=function forceLoadLazyFile(){FS.forceLoadFile(node);return fn.apply(null,arguments)}});function writeChunks(stream,buffer,offset,length,position){var contents=stream.node.contents;if(position>=contents.length)return 0;var size=Math.min(contents.length-position,length);if(contents.slice){for(var i=0;i<size;i++){buffer[offset+i]=contents[position+i]}}else{for(var i=0;i<size;i++){buffer[offset+i]=contents.get(position+i)}}return size}stream_ops.read=(stream,buffer,offset,length,position)=>{FS.forceLoadFile(node);return writeChunks(stream,buffer,offset,length,position)};stream_ops.mmap=(stream,length,position,prot,flags)=>{FS.forceLoadFile(node);var ptr=mmapAlloc(length);if(!ptr){throw new FS.ErrnoError(48)}writeChunks(stream,HEAP8,ptr,length,position);return{ptr:ptr,allocated:true}};node.stream_ops=stream_ops;return node},createPreloadedFile:(parent,name,url,canRead,canWrite,onload,onerror,dontCreateFile,canOwn,preFinish)=>{var fullname=name?PATH_FS.resolve(PATH.join2(parent,name)):parent;var dep=getUniqueRunDependency("cp "+fullname);function processData(byteArray){function finish(byteArray){if(preFinish)preFinish();if(!dontCreateFile){FS.createDataFile(parent,name,byteArray,canRead,canWrite,canOwn)}if(onload)onload();removeRunDependency(dep)}if(Browser.handledByPreloadPlugin(byteArray,fullname,finish,()=>{if(onerror)onerror();removeRunDependency(dep)})){return}finish(byteArray)}addRunDependency(dep);if(typeof url=="string"){asyncLoad(url,byteArray=>processData(byteArray),onerror)}else{processData(url)}},indexedDB:()=>{return window.indexedDB||window.mozIndexedDB||window.webkitIndexedDB||window.msIndexedDB},DB_NAME:()=>{return"EM_FS_"+window.location.pathname},DB_VERSION:20,DB_STORE_NAME:"FILE_DATA",};Module["FS"]=FS;var SYSCALLS={DEFAULT_POLLMASK:5,calculateAt:function(dirfd,path,allowEmpty){if(PATH.isAbs(path)){return path}var dir;if(dirfd===-100){dir=FS.cwd()}else{var dirstream=SYSCALLS.getStreamFromFD(dirfd);dir=dirstream.path}if(path.length==0){if(!allowEmpty){throw new FS.ErrnoError(44)}return dir}return PATH.join2(dir,path)},doStat:function(func,path,buf){try{var stat=func(path)}catch(e){if(e&&e.node&&PATH.normalize(path)!==PATH.normalize(FS.getPath(e.node))){return-54}throw e}HEAP32[buf>>2]=stat.dev;HEAP32[buf+8>>2]=stat.ino;HEAP32[buf+12>>2]=stat.mode;HEAPU32[buf+16>>2]=stat.nlink;HEAP32[buf+20>>2]=stat.uid;HEAP32[buf+24>>2]=stat.gid;HEAP32[buf+28>>2]=stat.rdev;tempI64=[stat.size>>>0,(tempDouble=stat.size,+Math.abs(tempDouble)>=1?tempDouble>0?(Math.min(+Math.floor(tempDouble/4294967296),4294967295)|0)>>>0:~~+Math.ceil((tempDouble-+(~~tempDouble>>>0))/4294967296)>>>0:0)],HEAP32[buf+40>>2]=tempI64[0],HEAP32[buf+44>>2]=tempI64[1];HEAP32[buf+48>>2]=4096;HEAP32[buf+52>>2]=stat.blocks;var atime=stat.atime.getTime();var mtime=stat.mtime.getTime();var ctime=stat.ctime.getTime();tempI64=[Math.floor(atime/1e3)>>>0,(tempDouble=Math.floor(atime/1e3),+Math.abs(tempDouble)>=1?tempDouble>0?(Math.min(+Math.floor(tempDouble/4294967296),4294967295)|0)>>>0:~~+Math.ceil((tempDouble-+(~~tempDouble>>>0))/4294967296)>>>0:0)],HEAP32[buf+56>>2]=tempI64[0],HEAP32[buf+60>>2]=tempI64[1];HEAPU32[buf+64>>2]=atime%1e3*1e3;tempI64=[Math.floor(mtime/1e3)>>>0,(tempDouble=Math.floor(mtime/1e3),+Math.abs(tempDouble)>=1?tempDouble>0?(Math.min(+Math.floor(tempDouble/4294967296),4294967295)|0)>>>0:~~+Math.ceil((tempDouble-+(~~tempDouble>>>0))/4294967296)>>>0:0)],HEAP32[buf+72>>2]=tempI64[0],HEAP32[buf+76>>2]=tempI64[1];HEAPU32[buf+80>>2]=mtime%1e3*1e3;tempI64=[Math.floor(ctime/1e3)>>>0,(tempDouble=Math.floor(ctime/1e3),+Math.abs(tempDouble)>=1?tempDouble>0?(Math.min(+Math.floor(tempDouble/4294967296),4294967295)|0)>>>0:~~+Math.ceil((tempDouble-+(~~tempDouble>>>0))/4294967296)>>>0:0)],HEAP32[buf+88>>2]=tempI64[0],HEAP32[buf+92>>2]=tempI64[1];HEAPU32[buf+96>>2]=ctime%1e3*1e3;tempI64=[stat.ino>>>0,(tempDouble=stat.ino,+Math.abs(tempDouble)>=1?tempDouble>0?(Math.min(+Math.floor(tempDouble/4294967296),4294967295)|0)>>>0:~~+Math.ceil((tempDouble-+(~~tempDouble>>>0))/4294967296)>>>0:0)],HEAP32[buf+104>>2]=tempI64[0],HEAP32[buf+108>>2]=tempI64[1];return 0},doMsync:function(addr,stream,len,flags,offset){if(!FS.isFile(stream.node.mode)){throw new FS.ErrnoError(43)}if(flags&2){return 0}var buffer=HEAPU8.slice(addr,addr+len);FS.msync(stream,buffer,offset,len,flags)},varargs:undefined,get:function(){SYSCALLS.varargs+=4;var ret=HEAP32[SYSCALLS.varargs-4>>2];return ret},getStr:function(ptr){var ret=UTF8ToString(ptr);return ret},getStreamFromFD:function(fd){var stream=FS.getStream(fd);if(!stream)throw new FS.ErrnoError(8);return stream}};Module["SYSCALLS"]=SYSCALLS;function ___syscall_fcntl64(fd,cmd,varargs){SYSCALLS.varargs=varargs;try{var stream=SYSCALLS.getStreamFromFD(fd);switch(cmd){case 0:{var arg=SYSCALLS.get();if(arg<0){return-28}var newStream;newStream=FS.createStream(stream,arg);return newStream.fd}case 1:case 2:return 0;case 3:return stream.flags;case 4:{var arg=SYSCALLS.get();stream.flags|=arg;return 0}case 5:{var arg=SYSCALLS.get();var offset=0;HEAP16[arg+offset>>1]=2;return 0}case 6:case 7:return 0;case 16:case 8:return-28;case 9:setErrNo(28);return-1;default:{return-28}}}catch(e){if(typeof FS=="undefined"||!(e.name==="ErrnoError"))throw e;return-e.errno}}Module["___syscall_fcntl64"]=___syscall_fcntl64;___syscall_fcntl64.sig="iiip";function ___syscall_fstat64(fd,buf){try{var stream=SYSCALLS.getStreamFromFD(fd);return SYSCALLS.doStat(FS.stat,stream.path,buf)}catch(e){if(typeof FS=="undefined"||!(e.name==="ErrnoError"))throw e;return-e.errno}}Module["___syscall_fstat64"]=___syscall_fstat64;___syscall_fstat64.sig="iip";function convertI32PairToI53Checked(lo,hi){return hi+2097152>>>0<4194305-!!lo?(lo>>>0)+hi*4294967296:NaN}Module["convertI32PairToI53Checked"]=convertI32PairToI53Checked;function ___syscall_ftruncate64(fd,length_low,length_high){try{var length=convertI32PairToI53Checked(length_low,length_high);if(isNaN(length))return-61;FS.ftruncate(fd,length);return 0}catch(e){if(typeof FS=="undefined"||!(e.name==="ErrnoError"))throw e;return-e.errno}}Module["___syscall_ftruncate64"]=___syscall_ftruncate64;___syscall_ftruncate64.sig="iij";function ___syscall_getdents64(fd,dirp,count){try{var stream=SYSCALLS.getStreamFromFD(fd);if(!stream.getdents){stream.getdents=FS.readdir(stream.path)}var struct_size=280;var pos=0;var off=FS.llseek(stream,0,1);var idx=Math.floor(off/struct_size);while(idx<stream.getdents.length&&pos+struct_size<=count){var id;var type;var name=stream.getdents[idx];if(name==="."){id=stream.node.id;type=4}else if(name===".."){var lookup=FS.lookupPath(stream.path,{parent:true});id=lookup.node.id;type=4}else{var child=FS.lookupNode(stream.node,name);id=child.id;type=FS.isChrdev(child.mode)?2:FS.isDir(child.mode)?4:FS.isLink(child.mode)?10:8}tempI64=[id>>>0,(tempDouble=id,+Math.abs(tempDouble)>=1?tempDouble>0?(Math.min(+Math.floor(tempDouble/4294967296),4294967295)|0)>>>0:~~+Math.ceil((tempDouble-+(~~tempDouble>>>0))/4294967296)>>>0:0)],HEAP32[dirp+pos>>2]=tempI64[0],HEAP32[dirp+pos+4>>2]=tempI64[1];tempI64=[(idx+1)*struct_size>>>0,(tempDouble=(idx+1)*struct_size,+Math.abs(tempDouble)>=1?tempDouble>0?(Math.min(+Math.floor(tempDouble/4294967296),4294967295)|0)>>>0:~~+Math.ceil((tempDouble-+(~~tempDouble>>>0))/4294967296)>>>0:0)],HEAP32[dirp+pos+8>>2]=tempI64[0],HEAP32[dirp+pos+12>>2]=tempI64[1];HEAP16[dirp+pos+16>>1]=280;HEAP8[dirp+pos+18>>0]=type;stringToUTF8(name,dirp+pos+19,256);pos+=struct_size;idx+=1}FS.llseek(stream,idx*struct_size,0);return pos}catch(e){if(typeof FS=="undefined"||!(e.name==="ErrnoError"))throw e;return-e.errno}}Module["___syscall_getdents64"]=___syscall_getdents64;___syscall_getdents64.sig="iipi";function ___syscall_ioctl(fd,op,varargs){SYSCALLS.varargs=varargs;try{var stream=SYSCALLS.getStreamFromFD(fd);switch(op){case 21509:case 21505:{if(!stream.tty)return-59;return 0}case 21510:case 21511:case 21512:case 21506:case 21507:case 21508:{if(!stream.tty)return-59;return 0}case 21519:{if(!stream.tty)return-59;var argp=SYSCALLS.get();HEAP32[argp>>2]=0;return 0}case 21520:{if(!stream.tty)return-59;return-28}case 21531:{var argp=SYSCALLS.get();return FS.ioctl(stream,op,argp)}case 21523:{if(!stream.tty)return-59;return 0}case 21524:{if(!stream.tty)return-59;return 0}default:return-28}}catch(e){if(typeof FS=="undefined"||!(e.name==="ErrnoError"))throw e;return-e.errno}}Module["___syscall_ioctl"]=___syscall_ioctl;___syscall_ioctl.sig="iiip";function ___syscall_lstat64(path,buf){try{path=SYSCALLS.getStr(path);return SYSCALLS.doStat(FS.lstat,path,buf)}catch(e){if(typeof FS=="undefined"||!(e.name==="ErrnoError"))throw e;return-e.errno}}Module["___syscall_lstat64"]=___syscall_lstat64;___syscall_lstat64.sig="ipp";function ___syscall_mkdirat(dirfd,path,mode){try{path=SYSCALLS.getStr(path);path=SYSCALLS.calculateAt(dirfd,path);path=PATH.normalize(path);if(path[path.length-1]==="/")path=path.substr(0,path.length-1);FS.mkdir(path,mode,0);return 0}catch(e){if(typeof FS=="undefined"||!(e.name==="ErrnoError"))throw e;return-e.errno}}Module["___syscall_mkdirat"]=___syscall_mkdirat;___syscall_mkdirat.sig="iipi";function ___syscall_newfstatat(dirfd,path,buf,flags){try{path=SYSCALLS.getStr(path);var nofollow=flags&256;var allowEmpty=flags&4096;flags=flags&~6400;path=SYSCALLS.calculateAt(dirfd,path,allowEmpty);return SYSCALLS.doStat(nofollow?FS.lstat:FS.stat,path,buf)}catch(e){if(typeof FS=="undefined"||!(e.name==="ErrnoError"))throw e;return-e.errno}}Module["___syscall_newfstatat"]=___syscall_newfstatat;___syscall_newfstatat.sig="iippi";function ___syscall_openat(dirfd,path,flags,varargs){SYSCALLS.varargs=varargs;try{path=SYSCALLS.getStr(path);path=SYSCALLS.calculateAt(dirfd,path);var mode=varargs?SYSCALLS.get():0;return FS.open(path,flags,mode).fd}catch(e){if(typeof FS=="undefined"||!(e.name==="ErrnoError"))throw e;return-e.errno}}Module["___syscall_openat"]=___syscall_openat;___syscall_openat.sig="iipip";function ___syscall_rmdir(path){try{path=SYSCALLS.getStr(path);FS.rmdir(path);return 0}catch(e){if(typeof FS=="undefined"||!(e.name==="ErrnoError"))throw e;return-e.errno}}Module["___syscall_rmdir"]=___syscall_rmdir;___syscall_rmdir.sig="ip";function ___syscall_stat64(path,buf){try{path=SYSCALLS.getStr(path);return SYSCALLS.doStat(FS.stat,path,buf)}catch(e){if(typeof FS=="undefined"||!(e.name==="ErrnoError"))throw e;return-e.errno}}Module["___syscall_stat64"]=___syscall_stat64;___syscall_stat64.sig="ipp";function ___syscall_unlinkat(dirfd,path,flags){try{path=SYSCALLS.getStr(path);path=SYSCALLS.calculateAt(dirfd,path);if(flags===0){FS.unlink(path)}else if(flags===512){FS.rmdir(path)}else{abort("Invalid flags passed to unlinkat")}return 0}catch(e){if(typeof FS=="undefined"||!(e.name==="ErrnoError"))throw e;return-e.errno}}Module["___syscall_unlinkat"]=___syscall_unlinkat;___syscall_unlinkat.sig="iipi";var ___table_base=new WebAssembly.Global({"value":"i32","mutable":false},1);Module["___table_base"]=___table_base;function __embind_register_bigint(primitiveType,name,size,minRange,maxRange){}Module["__embind_register_bigint"]=__embind_register_bigint;function getShiftFromSize(size){switch(size){case 1:return 0;case 2:return 1;case 4:return 2;case 8:return 3;default:throw new TypeError("Unknown type size: "+size)}}Module["getShiftFromSize"]=getShiftFromSize;function embind_init_charCodes(){var codes=new Array(256);for(var i=0;i<256;++i){codes[i]=String.fromCharCode(i)}embind_charCodes=codes}Module["embind_init_charCodes"]=embind_init_charCodes;var embind_charCodes=undefined;Module["embind_charCodes"]=embind_charCodes;function readLatin1String(ptr){var ret="";var c=ptr;while(HEAPU8[c]){ret+=embind_charCodes[HEAPU8[c++]]}return ret}Module["readLatin1String"]=readLatin1String;var awaitingDependencies={};Module["awaitingDependencies"]=awaitingDependencies;var registeredTypes={};Module["registeredTypes"]=registeredTypes;var typeDependencies={};Module["typeDependencies"]=typeDependencies;var char_0=48;Module["char_0"]=char_0;var char_9=57;Module["char_9"]=char_9;function makeLegalFunctionName(name){if(undefined===name){return"_unknown"}name=name.replace(/[^a-zA-Z0-9_]/g,"$");var f=name.charCodeAt(0);if(f>=char_0&&f<=char_9){return"_"+name}return name}Module["makeLegalFunctionName"]=makeLegalFunctionName;function createNamedFunction(name,body){name=makeLegalFunctionName(name);return{[name]:function(){return body.apply(this,arguments)}}[name]}Module["createNamedFunction"]=createNamedFunction;function extendError(baseErrorType,errorName){var errorClass=createNamedFunction(errorName,function(message){this.name=errorName;this.message=message;var stack=new Error(message).stack;if(stack!==undefined){this.stack=this.toString()+"\n"+stack.replace(/^Error(:[^\n]*)?\n/,"")}});errorClass.prototype=Object.create(baseErrorType.prototype);errorClass.prototype.constructor=errorClass;errorClass.prototype.toString=function(){if(this.message===undefined){return this.name}else{return this.name+": "+this.message}};return errorClass}Module["extendError"]=extendError;var BindingError=undefined;Module["BindingError"]=BindingError;function throwBindingError(message){throw new BindingError(message)}Module["throwBindingError"]=throwBindingError;var InternalError=undefined;Module["InternalError"]=InternalError;function throwInternalError(message){throw new InternalError(message)}Module["throwInternalError"]=throwInternalError;function whenDependentTypesAreResolved(myTypes,dependentTypes,getTypeConverters){myTypes.forEach(function(type){typeDependencies[type]=dependentTypes});function onComplete(typeConverters){var myTypeConverters=getTypeConverters(typeConverters);if(myTypeConverters.length!==myTypes.length){throwInternalError("Mismatched type converter count")}for(var i=0;i<myTypes.length;++i){registerType(myTypes[i],myTypeConverters[i])}}var typeConverters=new Array(dependentTypes.length);var unregisteredTypes=[];var registered=0;dependentTypes.forEach((dt,i)=>{if(registeredTypes.hasOwnProperty(dt)){typeConverters[i]=registeredTypes[dt]}else{unregisteredTypes.push(dt);if(!awaitingDependencies.hasOwnProperty(dt)){awaitingDependencies[dt]=[]}awaitingDependencies[dt].push(()=>{typeConverters[i]=registeredTypes[dt];++registered;if(registered===unregisteredTypes.length){onComplete(typeConverters)}})}});if(0===unregisteredTypes.length){onComplete(typeConverters)}}Module["whenDependentTypesAreResolved"]=whenDependentTypesAreResolved;function registerType(rawType,registeredInstance,options={}){if(!("argPackAdvance"in registeredInstance)){throw new TypeError("registerType registeredInstance requires argPackAdvance")}var name=registeredInstance.name;if(!rawType){throwBindingError('type "'+name+'" must have a positive integer typeid pointer')}if(registeredTypes.hasOwnProperty(rawType)){if(options.ignoreDuplicateRegistrations){return}else{throwBindingError("Cannot register type '"+name+"' twice")}}registeredTypes[rawType]=registeredInstance;delete typeDependencies[rawType];if(awaitingDependencies.hasOwnProperty(rawType)){var callbacks=awaitingDependencies[rawType];delete awaitingDependencies[rawType];callbacks.forEach(cb=>cb())}}Module["registerType"]=registerType;function __embind_register_bool(rawType,name,size,trueValue,falseValue){var shift=getShiftFromSize(size);name=readLatin1String(name);registerType(rawType,{name:name,"fromWireType":function(wt){return!!wt},"toWireType":function(destructors,o){return o?trueValue:falseValue},"argPackAdvance":8,"readValueFromPointer":function(pointer){var heap;if(size===1){heap=HEAP8}else if(size===2){heap=HEAP16}else if(size===4){heap=HEAP32}else{throw new TypeError("Unknown boolean type size: "+name)}return this["fromWireType"](heap[pointer>>shift])},destructorFunction:null})}Module["__embind_register_bool"]=__embind_register_bool;__embind_register_bool.sig="vpppii";function ClassHandle_isAliasOf(other){if(!(this instanceof ClassHandle)){return false}if(!(other instanceof ClassHandle)){return false}var leftClass=this.$$.ptrType.registeredClass;var left=this.$$.ptr;var rightClass=other.$$.ptrType.registeredClass;var right=other.$$.ptr;while(leftClass.baseClass){left=leftClass.upcast(left);leftClass=leftClass.baseClass}while(rightClass.baseClass){right=rightClass.upcast(right);rightClass=rightClass.baseClass}return leftClass===rightClass&&left===right}Module["ClassHandle_isAliasOf"]=ClassHandle_isAliasOf;function shallowCopyInternalPointer(o){return{count:o.count,deleteScheduled:o.deleteScheduled,preservePointerOnDelete:o.preservePointerOnDelete,ptr:o.ptr,ptrType:o.ptrType,smartPtr:o.smartPtr,smartPtrType:o.smartPtrType}}Module["shallowCopyInternalPointer"]=shallowCopyInternalPointer;function throwInstanceAlreadyDeleted(obj){function getInstanceTypeName(handle){return handle.$$.ptrType.registeredClass.name}throwBindingError(getInstanceTypeName(obj)+" instance already deleted")}Module["throwInstanceAlreadyDeleted"]=throwInstanceAlreadyDeleted;var finalizationRegistry=false;Module["finalizationRegistry"]=finalizationRegistry;function detachFinalizer(handle){}Module["detachFinalizer"]=detachFinalizer;function runDestructor($$){if($$.smartPtr){$$.smartPtrType.rawDestructor($$.smartPtr)}else{$$.ptrType.registeredClass.rawDestructor($$.ptr)}}Module["runDestructor"]=runDestructor;function releaseClassHandle($$){$$.count.value-=1;var toDelete=0===$$.count.value;if(toDelete){runDestructor($$)}}Module["releaseClassHandle"]=releaseClassHandle;function downcastPointer(ptr,ptrClass,desiredClass){if(ptrClass===desiredClass){return ptr}if(undefined===desiredClass.baseClass){return null}var rv=downcastPointer(ptr,ptrClass,desiredClass.baseClass);if(rv===null){return null}return desiredClass.downcast(rv)}Module["downcastPointer"]=downcastPointer;var registeredPointers={};Module["registeredPointers"]=registeredPointers;function getInheritedInstanceCount(){return Object.keys(registeredInstances).length}Module["getInheritedInstanceCount"]=getInheritedInstanceCount;function getLiveInheritedInstances(){var rv=[];for(var k in registeredInstances){if(registeredInstances.hasOwnProperty(k)){rv.push(registeredInstances[k])}}return rv}Module["getLiveInheritedInstances"]=getLiveInheritedInstances;var deletionQueue=[];Module["deletionQueue"]=deletionQueue;function flushPendingDeletes(){while(deletionQueue.length){var obj=deletionQueue.pop();obj.$$.deleteScheduled=false;obj["delete"]()}}Module["flushPendingDeletes"]=flushPendingDeletes;var delayFunction=undefined;Module["delayFunction"]=delayFunction;function setDelayFunction(fn){delayFunction=fn;if(deletionQueue.length&&delayFunction){delayFunction(flushPendingDeletes)}}Module["setDelayFunction"]=setDelayFunction;function init_embind(){Module["getInheritedInstanceCount"]=getInheritedInstanceCount;Module["getLiveInheritedInstances"]=getLiveInheritedInstances;Module["flushPendingDeletes"]=flushPendingDeletes;Module["setDelayFunction"]=setDelayFunction}Module["init_embind"]=init_embind;var registeredInstances={};Module["registeredInstances"]=registeredInstances;function getBasestPointer(class_,ptr){if(ptr===undefined){throwBindingError("ptr should not be undefined")}while(class_.baseClass){ptr=class_.upcast(ptr);class_=class_.baseClass}return ptr}Module["getBasestPointer"]=getBasestPointer;function getInheritedInstance(class_,ptr){ptr=getBasestPointer(class_,ptr);return registeredInstances[ptr]}Module["getInheritedInstance"]=getInheritedInstance;function makeClassHandle(prototype,record){if(!record.ptrType||!record.ptr){throwInternalError("makeClassHandle requires ptr and ptrType")}var hasSmartPtrType=!!record.smartPtrType;var hasSmartPtr=!!record.smartPtr;if(hasSmartPtrType!==hasSmartPtr){throwInternalError("Both smartPtrType and smartPtr must be specified")}record.count={value:1};return attachFinalizer(Object.create(prototype,{$$:{value:record}}))}Module["makeClassHandle"]=makeClassHandle;function RegisteredPointer_fromWireType(ptr){var rawPointer=this.getPointee(ptr);if(!rawPointer){this.destructor(ptr);return null}var registeredInstance=getInheritedInstance(this.registeredClass,rawPointer);if(undefined!==registeredInstance){if(0===registeredInstance.$$.count.value){registeredInstance.$$.ptr=rawPointer;registeredInstance.$$.smartPtr=ptr;return registeredInstance["clone"]()}else{var rv=registeredInstance["clone"]();this.destructor(ptr);return rv}}function makeDefaultHandle(){if(this.isSmartPointer){return makeClassHandle(this.registeredClass.instancePrototype,{ptrType:this.pointeeType,ptr:rawPointer,smartPtrType:this,smartPtr:ptr})}else{return makeClassHandle(this.registeredClass.instancePrototype,{ptrType:this,ptr:ptr})}}var actualType=this.registeredClass.getActualType(rawPointer);var registeredPointerRecord=registeredPointers[actualType];if(!registeredPointerRecord){return makeDefaultHandle.call(this)}var toType;if(this.isConst){toType=registeredPointerRecord.constPointerType}else{toType=registeredPointerRecord.pointerType}var dp=downcastPointer(rawPointer,this.registeredClass,toType.registeredClass);if(dp===null){return makeDefaultHandle.call(this)}if(this.isSmartPointer){return makeClassHandle(toType.registeredClass.instancePrototype,{ptrType:toType,ptr:dp,smartPtrType:this,smartPtr:ptr})}else{return makeClassHandle(toType.registeredClass.instancePrototype,{ptrType:toType,ptr:dp})}}Module["RegisteredPointer_fromWireType"]=RegisteredPointer_fromWireType;function attachFinalizer(handle){if("undefined"===typeof FinalizationRegistry){attachFinalizer=handle=>handle;return handle}finalizationRegistry=new FinalizationRegistry(info=>{releaseClassHandle(info.$$)});attachFinalizer=handle=>{var $$=handle.$$;var hasSmartPtr=!!$$.smartPtr;if(hasSmartPtr){var info={$$:$$};finalizationRegistry.register(handle,info,handle)}return handle};detachFinalizer=handle=>finalizationRegistry.unregister(handle);return attachFinalizer(handle)}Module["attachFinalizer"]=attachFinalizer;function ClassHandle_clone(){if(!this.$$.ptr){throwInstanceAlreadyDeleted(this)}if(this.$$.preservePointerOnDelete){this.$$.count.value+=1;return this}else{var clone=attachFinalizer(Object.create(Object.getPrototypeOf(this),{$$:{value:shallowCopyInternalPointer(this.$$)}}));clone.$$.count.value+=1;clone.$$.deleteScheduled=false;return clone}}Module["ClassHandle_clone"]=ClassHandle_clone;function ClassHandle_delete(){if(!this.$$.ptr){throwInstanceAlreadyDeleted(this)}if(this.$$.deleteScheduled&&!this.$$.preservePointerOnDelete){throwBindingError("Object already scheduled for deletion")}detachFinalizer(this);releaseClassHandle(this.$$);if(!this.$$.preservePointerOnDelete){this.$$.smartPtr=undefined;this.$$.ptr=undefined}}Module["ClassHandle_delete"]=ClassHandle_delete;function ClassHandle_isDeleted(){return!this.$$.ptr}Module["ClassHandle_isDeleted"]=ClassHandle_isDeleted;function ClassHandle_deleteLater(){if(!this.$$.ptr){throwInstanceAlreadyDeleted(this)}if(this.$$.deleteScheduled&&!this.$$.preservePointerOnDelete){throwBindingError("Object already scheduled for deletion")}deletionQueue.push(this);if(deletionQueue.length===1&&delayFunction){delayFunction(flushPendingDeletes)}this.$$.deleteScheduled=true;return this}Module["ClassHandle_deleteLater"]=ClassHandle_deleteLater;function init_ClassHandle(){ClassHandle.prototype["isAliasOf"]=ClassHandle_isAliasOf;ClassHandle.prototype["clone"]=ClassHandle_clone;ClassHandle.prototype["delete"]=ClassHandle_delete;ClassHandle.prototype["isDeleted"]=ClassHandle_isDeleted;ClassHandle.prototype["deleteLater"]=ClassHandle_deleteLater}Module["init_ClassHandle"]=init_ClassHandle;function ClassHandle(){}Module["ClassHandle"]=ClassHandle;function ensureOverloadTable(proto,methodName,humanName){if(undefined===proto[methodName].overloadTable){var prevFunc=proto[methodName];proto[methodName]=function(){if(!proto[methodName].overloadTable.hasOwnProperty(arguments.length)){throwBindingError("Function '"+humanName+"' called with an invalid number of arguments ("+arguments.length+") - expects one of ("+proto[methodName].overloadTable+")!")}return proto[methodName].overloadTable[arguments.length].apply(this,arguments)};proto[methodName].overloadTable=[];proto[methodName].overloadTable[prevFunc.argCount]=prevFunc}}Module["ensureOverloadTable"]=ensureOverloadTable;function exposePublicSymbol(name,value,numArguments){if(Module.hasOwnProperty(name)){if(undefined===numArguments||undefined!==Module[name].overloadTable&&undefined!==Module[name].overloadTable[numArguments]){throwBindingError("Cannot register public name '"+name+"' twice")}ensureOverloadTable(Module,name,name);if(Module.hasOwnProperty(numArguments)){throwBindingError("Cannot register multiple overloads of a function with the same number of arguments ("+numArguments+")!")}Module[name].overloadTable[numArguments]=value}else{Module[name]=value;if(undefined!==numArguments){Module[name].numArguments=numArguments}}}Module["exposePublicSymbol"]=exposePublicSymbol;function RegisteredClass(name,constructor,instancePrototype,rawDestructor,baseClass,getActualType,upcast,downcast){this.name=name;this.constructor=constructor;this.instancePrototype=instancePrototype;this.rawDestructor=rawDestructor;this.baseClass=baseClass;this.getActualType=getActualType;this.upcast=upcast;this.downcast=downcast;this.pureVirtualFunctions=[]}Module["RegisteredClass"]=RegisteredClass;function upcastPointer(ptr,ptrClass,desiredClass){while(ptrClass!==desiredClass){if(!ptrClass.upcast){throwBindingError("Expected null or instance of "+desiredClass.name+", got an instance of "+ptrClass.name)}ptr=ptrClass.upcast(ptr);ptrClass=ptrClass.baseClass}return ptr}Module["upcastPointer"]=upcastPointer;function constNoSmartPtrRawPointerToWireType(destructors,handle){if(handle===null){if(this.isReference){throwBindingError("null is not a valid "+this.name)}return 0}if(!handle.$$){throwBindingError('Cannot pass "'+embindRepr(handle)+'" as a '+this.name)}if(!handle.$$.ptr){throwBindingError("Cannot pass deleted object as a pointer of type "+this.name)}var handleClass=handle.$$.ptrType.registeredClass;var ptr=upcastPointer(handle.$$.ptr,handleClass,this.registeredClass);return ptr}Module["constNoSmartPtrRawPointerToWireType"]=constNoSmartPtrRawPointerToWireType;function genericPointerToWireType(destructors,handle){var ptr;if(handle===null){if(this.isReference){throwBindingError("null is not a valid "+this.name)}if(this.isSmartPointer){ptr=this.rawConstructor();if(destructors!==null){destructors.push(this.rawDestructor,ptr)}return ptr}else{return 0}}if(!handle.$$){throwBindingError('Cannot pass "'+embindRepr(handle)+'" as a '+this.name)}if(!handle.$$.ptr){throwBindingError("Cannot pass deleted object as a pointer of type "+this.name)}if(!this.isConst&&handle.$$.ptrType.isConst){throwBindingError("Cannot convert argument of type "+(handle.$$.smartPtrType?handle.$$.smartPtrType.name:handle.$$.ptrType.name)+" to parameter type "+this.name)}var handleClass=handle.$$.ptrType.registeredClass;ptr=upcastPointer(handle.$$.ptr,handleClass,this.registeredClass);if(this.isSmartPointer){if(undefined===handle.$$.smartPtr){throwBindingError("Passing raw pointer to smart pointer is illegal")}switch(this.sharingPolicy){case 0:if(handle.$$.smartPtrType===this){ptr=handle.$$.smartPtr}else{throwBindingError("Cannot convert argument of type "+(handle.$$.smartPtrType?handle.$$.smartPtrType.name:handle.$$.ptrType.name)+" to parameter type "+this.name)}break;case 1:ptr=handle.$$.smartPtr;break;case 2:if(handle.$$.smartPtrType===this){ptr=handle.$$.smartPtr}else{var clonedHandle=handle["clone"]();ptr=this.rawShare(ptr,Emval.toHandle(function(){clonedHandle["delete"]()}));if(destructors!==null){destructors.push(this.rawDestructor,ptr)}}break;default:throwBindingError("Unsupporting sharing policy")}}return ptr}Module["genericPointerToWireType"]=genericPointerToWireType;function nonConstNoSmartPtrRawPointerToWireType(destructors,handle){if(handle===null){if(this.isReference){throwBindingError("null is not a valid "+this.name)}return 0}if(!handle.$$){throwBindingError('Cannot pass "'+embindRepr(handle)+'" as a '+this.name)}if(!handle.$$.ptr){throwBindingError("Cannot pass deleted object as a pointer of type "+this.name)}if(handle.$$.ptrType.isConst){throwBindingError("Cannot convert argument of type "+handle.$$.ptrType.name+" to parameter type "+this.name)}var handleClass=handle.$$.ptrType.registeredClass;var ptr=upcastPointer(handle.$$.ptr,handleClass,this.registeredClass);return ptr}Module["nonConstNoSmartPtrRawPointerToWireType"]=nonConstNoSmartPtrRawPointerToWireType;function simpleReadValueFromPointer(pointer){return this["fromWireType"](HEAP32[pointer>>2])}Module["simpleReadValueFromPointer"]=simpleReadValueFromPointer;function RegisteredPointer_getPointee(ptr){if(this.rawGetPointee){ptr=this.rawGetPointee(ptr)}return ptr}Module["RegisteredPointer_getPointee"]=RegisteredPointer_getPointee;function RegisteredPointer_destructor(ptr){if(this.rawDestructor){this.rawDestructor(ptr)}}Module["RegisteredPointer_destructor"]=RegisteredPointer_destructor;function RegisteredPointer_deleteObject(handle){if(handle!==null){handle["delete"]()}}Module["RegisteredPointer_deleteObject"]=RegisteredPointer_deleteObject;function init_RegisteredPointer(){RegisteredPointer.prototype.getPointee=RegisteredPointer_getPointee;RegisteredPointer.prototype.destructor=RegisteredPointer_destructor;RegisteredPointer.prototype["argPackAdvance"]=8;RegisteredPointer.prototype["readValueFromPointer"]=simpleReadValueFromPointer;RegisteredPointer.prototype["deleteObject"]=RegisteredPointer_deleteObject;RegisteredPointer.prototype["fromWireType"]=RegisteredPointer_fromWireType}Module["init_RegisteredPointer"]=init_RegisteredPointer;function RegisteredPointer(name,registeredClass,isReference,isConst,isSmartPointer,pointeeType,sharingPolicy,rawGetPointee,rawConstructor,rawShare,rawDestructor){this.name=name;this.registeredClass=registeredClass;this.isReference=isReference;this.isConst=isConst;this.isSmartPointer=isSmartPointer;this.pointeeType=pointeeType;this.sharingPolicy=sharingPolicy;this.rawGetPointee=rawGetPointee;this.rawConstructor=rawConstructor;this.rawShare=rawShare;this.rawDestructor=rawDestructor;if(!isSmartPointer&&registeredClass.baseClass===undefined){if(isConst){this["toWireType"]=constNoSmartPtrRawPointerToWireType;this.destructorFunction=null}else{this["toWireType"]=nonConstNoSmartPtrRawPointerToWireType;this.destructorFunction=null}}else{this["toWireType"]=genericPointerToWireType}}Module["RegisteredPointer"]=RegisteredPointer;function replacePublicSymbol(name,value,numArguments){if(!Module.hasOwnProperty(name)){throwInternalError("Replacing nonexistant public symbol")}if(undefined!==Module[name].overloadTable&&undefined!==numArguments){Module[name].overloadTable[numArguments]=value}else{Module[name]=value;Module[name].argCount=numArguments}}Module["replacePublicSymbol"]=replacePublicSymbol;function getDynCaller(sig,ptr){var argCache=[];return function(){argCache.length=0;Object.assign(argCache,arguments);return dynCall(sig,ptr,argCache)}}Module["getDynCaller"]=getDynCaller;function embind__requireFunction(signature,rawFunction){signature=readLatin1String(signature);function makeDynCaller(){if(signature.includes("j")){return getDynCaller(signature,rawFunction)}return getWasmTableEntry(rawFunction)}var fp=makeDynCaller();if(typeof fp!="function"){throwBindingError("unknown function pointer with signature "+signature+": "+rawFunction)}return fp}Module["embind__requireFunction"]=embind__requireFunction;var UnboundTypeError=undefined;Module["UnboundTypeError"]=UnboundTypeError;function getTypeName(type){var ptr=___getTypeName(type);var rv=readLatin1String(ptr);_free(ptr);return rv}Module["getTypeName"]=getTypeName;function throwUnboundTypeError(message,types){var unboundTypes=[];var seen={};function visit(type){if(seen[type]){return}if(registeredTypes[type]){return}if(typeDependencies[type]){typeDependencies[type].forEach(visit);return}unboundTypes.push(type);seen[type]=true}types.forEach(visit);throw new UnboundTypeError(message+": "+unboundTypes.map(getTypeName).join([", "]))}Module["throwUnboundTypeError"]=throwUnboundTypeError;function __embind_register_class(rawType,rawPointerType,rawConstPointerType,baseClassRawType,getActualTypeSignature,getActualType,upcastSignature,upcast,downcastSignature,downcast,name,destructorSignature,rawDestructor){name=readLatin1String(name);getActualType=embind__requireFunction(getActualTypeSignature,getActualType);if(upcast){upcast=embind__requireFunction(upcastSignature,upcast)}if(downcast){downcast=embind__requireFunction(downcastSignature,downcast)}rawDestructor=embind__requireFunction(destructorSignature,rawDestructor);var legalFunctionName=makeLegalFunctionName(name);exposePublicSymbol(legalFunctionName,function(){throwUnboundTypeError("Cannot construct "+name+" due to unbound types",[baseClassRawType])});whenDependentTypesAreResolved([rawType,rawPointerType,rawConstPointerType],baseClassRawType?[baseClassRawType]:[],function(base){base=base[0];var baseClass;var basePrototype;if(baseClassRawType){baseClass=base.registeredClass;basePrototype=baseClass.instancePrototype}else{basePrototype=ClassHandle.prototype}var constructor=createNamedFunction(legalFunctionName,function(){if(Object.getPrototypeOf(this)!==instancePrototype){throw new BindingError("Use 'new' to construct "+name)}if(undefined===registeredClass.constructor_body){throw new BindingError(name+" has no accessible constructor")}var body=registeredClass.constructor_body[arguments.length];if(undefined===body){throw new BindingError("Tried to invoke ctor of "+name+" with invalid number of parameters ("+arguments.length+") - expected ("+Object.keys(registeredClass.constructor_body).toString()+") parameters instead!")}return body.apply(this,arguments)});var instancePrototype=Object.create(basePrototype,{constructor:{value:constructor}});constructor.prototype=instancePrototype;var registeredClass=new RegisteredClass(name,constructor,instancePrototype,rawDestructor,baseClass,getActualType,upcast,downcast);var referenceConverter=new RegisteredPointer(name,registeredClass,true,false,false);var pointerConverter=new RegisteredPointer(name+"*",registeredClass,false,false,false);var constPointerConverter=new RegisteredPointer(name+" const*",registeredClass,false,true,false);registeredPointers[rawType]={pointerType:pointerConverter,constPointerType:constPointerConverter};replacePublicSymbol(legalFunctionName,constructor);return[referenceConverter,pointerConverter,constPointerConverter]})}Module["__embind_register_class"]=__embind_register_class;__embind_register_class.sig="vppppppppppppp";function heap32VectorToArray(count,firstElement){var array=[];for(var i=0;i<count;i++){array.push(HEAPU32[firstElement+i*4>>2])}return array}Module["heap32VectorToArray"]=heap32VectorToArray;function runDestructors(destructors){while(destructors.length){var ptr=destructors.pop();var del=destructors.pop();del(ptr)}}Module["runDestructors"]=runDestructors;function new_(constructor,argumentList){if(!(constructor instanceof Function)){throw new TypeError("new_ called with constructor type "+typeof constructor+" which is not a function")}var dummy=createNamedFunction(constructor.name||"unknownFunctionName",function(){});dummy.prototype=constructor.prototype;var obj=new dummy;var r=constructor.apply(obj,argumentList);return r instanceof Object?r:obj}Module["new_"]=new_;function craftInvokerFunction(humanName,argTypes,classType,cppInvokerFunc,cppTargetFunc,isAsync){var argCount=argTypes.length;if(argCount<2){throwBindingError("argTypes array size mismatch! Must at least get return value and 'this' types!")}var isClassMethodFunc=argTypes[1]!==null&&classType!==null;var needsDestructorStack=false;for(var i=1;i<argTypes.length;++i){if(argTypes[i]!==null&&argTypes[i].destructorFunction===undefined){needsDestructorStack=true;break}}var returns=argTypes[0].name!=="void";var argsList="";var argsListWired="";for(var i=0;i<argCount-2;++i){argsList+=(i!==0?", ":"")+"arg"+i;argsListWired+=(i!==0?", ":"")+"arg"+i+"Wired"}var invokerFnBody="return function "+makeLegalFunctionName(humanName)+"("+argsList+") {\n"+"if (arguments.length !== "+(argCount-2)+") {\n"+"throwBindingError('function "+humanName+" called with ' + arguments.length + ' arguments, expected "+(argCount-2)+" args!');\n"+"}\n";if(needsDestructorStack){invokerFnBody+="var destructors = [];\n"}var dtorStack=needsDestructorStack?"destructors":"null";var args1=["throwBindingError","invoker","fn","runDestructors","retType","classParam"];var args2=[throwBindingError,cppInvokerFunc,cppTargetFunc,runDestructors,argTypes[0],argTypes[1]];if(isClassMethodFunc){invokerFnBody+="var thisWired = classParam.toWireType("+dtorStack+", this);\n"}for(var i=0;i<argCount-2;++i){invokerFnBody+="var arg"+i+"Wired = argType"+i+".toWireType("+dtorStack+", arg"+i+"); // "+argTypes[i+2].name+"\n";args1.push("argType"+i);args2.push(argTypes[i+2])}if(isClassMethodFunc){argsListWired="thisWired"+(argsListWired.length>0?", ":"")+argsListWired}invokerFnBody+=(returns||isAsync?"var rv = ":"")+"invoker(fn"+(argsListWired.length>0?", ":"")+argsListWired+");\n";if(needsDestructorStack){invokerFnBody+="runDestructors(destructors);\n"}else{for(var i=isClassMethodFunc?1:2;i<argTypes.length;++i){var paramName=i===1?"thisWired":"arg"+(i-2)+"Wired";if(argTypes[i].destructorFunction!==null){invokerFnBody+=paramName+"_dtor("+paramName+"); // "+argTypes[i].name+"\n";args1.push(paramName+"_dtor");args2.push(argTypes[i].destructorFunction)}}}if(returns){invokerFnBody+="var ret = retType.fromWireType(rv);\n"+"return ret;\n"}else{}invokerFnBody+="}\n";args1.push(invokerFnBody);var invokerFunction=new_(Function,args1).apply(null,args2);return invokerFunction}Module["craftInvokerFunction"]=craftInvokerFunction;function __embind_register_class_constructor(rawClassType,argCount,rawArgTypesAddr,invokerSignature,invoker,rawConstructor){assert(argCount>0);var rawArgTypes=heap32VectorToArray(argCount,rawArgTypesAddr);invoker=embind__requireFunction(invokerSignature,invoker);whenDependentTypesAreResolved([],[rawClassType],function(classType){classType=classType[0];var humanName="constructor "+classType.name;if(undefined===classType.registeredClass.constructor_body){classType.registeredClass.constructor_body=[]}if(undefined!==classType.registeredClass.constructor_body[argCount-1]){throw new BindingError("Cannot register multiple constructors with identical number of parameters ("+(argCount-1)+") for class '"+classType.name+"'! Overload resolution is currently only performed using the parameter count, not actual type info!")}classType.registeredClass.constructor_body[argCount-1]=()=>{throwUnboundTypeError("Cannot construct "+classType.name+" due to unbound types",rawArgTypes)};whenDependentTypesAreResolved([],rawArgTypes,function(argTypes){argTypes.splice(1,0,null);classType.registeredClass.constructor_body[argCount-1]=craftInvokerFunction(humanName,argTypes,null,invoker,rawConstructor);return[]});return[]})}Module["__embind_register_class_constructor"]=__embind_register_class_constructor;__embind_register_class_constructor.sig="vpipppp";function __embind_register_class_function(rawClassType,methodName,argCount,rawArgTypesAddr,invokerSignature,rawInvoker,context,isPureVirtual,isAsync){var rawArgTypes=heap32VectorToArray(argCount,rawArgTypesAddr);methodName=readLatin1String(methodName);rawInvoker=embind__requireFunction(invokerSignature,rawInvoker);whenDependentTypesAreResolved([],[rawClassType],function(classType){classType=classType[0];var humanName=classType.name+"."+methodName;if(methodName.startsWith("@@")){methodName=Symbol[methodName.substring(2)]}if(isPureVirtual){classType.registeredClass.pureVirtualFunctions.push(methodName)}function unboundTypesHandler(){throwUnboundTypeError("Cannot call "+humanName+" due to unbound types",rawArgTypes)}var proto=classType.registeredClass.instancePrototype;var method=proto[methodName];if(undefined===method||undefined===method.overloadTable&&method.className!==classType.name&&method.argCount===argCount-2){unboundTypesHandler.argCount=argCount-2;unboundTypesHandler.className=classType.name;proto[methodName]=unboundTypesHandler}else{ensureOverloadTable(proto,methodName,humanName);proto[methodName].overloadTable[argCount-2]=unboundTypesHandler}whenDependentTypesAreResolved([],rawArgTypes,function(argTypes){var memberFunction=craftInvokerFunction(humanName,argTypes,classType,rawInvoker,context,isAsync);if(undefined===proto[methodName].overloadTable){memberFunction.argCount=argCount-2;proto[methodName]=memberFunction}else{proto[methodName].overloadTable[argCount-2]=memberFunction}return[]});return[]})}Module["__embind_register_class_function"]=__embind_register_class_function;__embind_register_class_function.sig="vppippppii";var emval_free_list=[];Module["emval_free_list"]=emval_free_list;var emval_handle_array=[{},{value:undefined},{value:null},{value:true},{value:false}];Module["emval_handle_array"]=emval_handle_array;function __emval_decref(handle){if(handle>4&&0===--emval_handle_array[handle].refcount){emval_handle_array[handle]=undefined;emval_free_list.push(handle)}}Module["__emval_decref"]=__emval_decref;__emval_decref.sig="vp";function count_emval_handles(){var count=0;for(var i=5;i<emval_handle_array.length;++i){if(emval_handle_array[i]!==undefined){++count}}return count}Module["count_emval_handles"]=count_emval_handles;function get_first_emval(){for(var i=5;i<emval_handle_array.length;++i){if(emval_handle_array[i]!==undefined){return emval_handle_array[i]}}return null}Module["get_first_emval"]=get_first_emval;function init_emval(){Module["count_emval_handles"]=count_emval_handles;Module["get_first_emval"]=get_first_emval}Module["init_emval"]=init_emval;var Emval={toValue:handle=>{if(!handle){throwBindingError("Cannot use deleted val. handle = "+handle)}return emval_handle_array[handle].value},toHandle:value=>{switch(value){case undefined:return 1;case null:return 2;case true:return 3;case false:return 4;default:{var handle=emval_free_list.length?emval_free_list.pop():emval_handle_array.length;emval_handle_array[handle]={refcount:1,value:value};return handle}}}};Module["Emval"]=Emval;function __embind_register_emval(rawType,name){name=readLatin1String(name);registerType(rawType,{name:name,"fromWireType":function(handle){var rv=Emval.toValue(handle);__emval_decref(handle);return rv},"toWireType":function(destructors,value){return Emval.toHandle(value)},"argPackAdvance":8,"readValueFromPointer":simpleReadValueFromPointer,destructorFunction:null})}Module["__embind_register_emval"]=__embind_register_emval;__embind_register_emval.sig="vpp";function embindRepr(v){if(v===null){return"null"}var t=typeof v;if(t==="object"||t==="array"||t==="function"){return v.toString()}else{return""+v}}Module["embindRepr"]=embindRepr;function floatReadValueFromPointer(name,shift){switch(shift){case 2:return function(pointer){return this["fromWireType"](HEAPF32[pointer>>2])};case 3:return function(pointer){return this["fromWireType"](HEAPF64[pointer>>3])};default:throw new TypeError("Unknown float type: "+name)}}Module["floatReadValueFromPointer"]=floatReadValueFromPointer;function __embind_register_float(rawType,name,size){var shift=getShiftFromSize(size);name=readLatin1String(name);registerType(rawType,{name:name,"fromWireType":function(value){return value},"toWireType":function(destructors,value){return value},"argPackAdvance":8,"readValueFromPointer":floatReadValueFromPointer(name,shift),destructorFunction:null})}Module["__embind_register_float"]=__embind_register_float;__embind_register_float.sig="vppp";function integerReadValueFromPointer(name,shift,signed){switch(shift){case 0:return signed?function readS8FromPointer(pointer){return HEAP8[pointer]}:function readU8FromPointer(pointer){return HEAPU8[pointer]};case 1:return signed?function readS16FromPointer(pointer){return HEAP16[pointer>>1]}:function readU16FromPointer(pointer){return HEAPU16[pointer>>1]};case 2:return signed?function readS32FromPointer(pointer){return HEAP32[pointer>>2]}:function readU32FromPointer(pointer){return HEAPU32[pointer>>2]};default:throw new TypeError("Unknown integer type: "+name)}}Module["integerReadValueFromPointer"]=integerReadValueFromPointer;function __embind_register_integer(primitiveType,name,size,minRange,maxRange){name=readLatin1String(name);if(maxRange===-1){maxRange=4294967295}var shift=getShiftFromSize(size);var fromWireType=value=>value;if(minRange===0){var bitshift=32-8*size;fromWireType=value=>value<<bitshift>>>bitshift}var isUnsignedType=name.includes("unsigned");var checkAssertions=(value,toTypeName)=>{};var toWireType;if(isUnsignedType){toWireType=function(destructors,value){checkAssertions(value,this.name);return value>>>0}}else{toWireType=function(destructors,value){checkAssertions(value,this.name);return value}}registerType(primitiveType,{name:name,"fromWireType":fromWireType,"toWireType":toWireType,"argPackAdvance":8,"readValueFromPointer":integerReadValueFromPointer(name,shift,minRange!==0),destructorFunction:null})}Module["__embind_register_integer"]=__embind_register_integer;__embind_register_integer.sig="vpppii";function __embind_register_memory_view(rawType,dataTypeIndex,name){var typeMapping=[Int8Array,Uint8Array,Int16Array,Uint16Array,Int32Array,Uint32Array,Float32Array,Float64Array];var TA=typeMapping[dataTypeIndex];function decodeMemoryView(handle){handle=handle>>2;var heap=HEAPU32;var size=heap[handle];var data=heap[handle+1];return new TA(heap.buffer,data,size)}name=readLatin1String(name);registerType(rawType,{name:name,"fromWireType":decodeMemoryView,"argPackAdvance":8,"readValueFromPointer":decodeMemoryView},{ignoreDuplicateRegistrations:true})}Module["__embind_register_memory_view"]=__embind_register_memory_view;__embind_register_memory_view.sig="vpip";function __embind_register_std_string(rawType,name){name=readLatin1String(name);var stdStringIsUTF8=name==="std::string";registerType(rawType,{name:name,"fromWireType":function(value){var length=HEAPU32[value>>2];var payload=value+4;var str;if(stdStringIsUTF8){var decodeStartPtr=payload;for(var i=0;i<=length;++i){var currentBytePtr=payload+i;if(i==length||HEAPU8[currentBytePtr]==0){var maxRead=currentBytePtr-decodeStartPtr;var stringSegment=UTF8ToString(decodeStartPtr,maxRead);if(str===undefined){str=stringSegment}else{str+=String.fromCharCode(0);str+=stringSegment}decodeStartPtr=currentBytePtr+1}}}else{var a=new Array(length);for(var i=0;i<length;++i){a[i]=String.fromCharCode(HEAPU8[payload+i])}str=a.join("")}_free(value);return str},"toWireType":function(destructors,value){if(value instanceof ArrayBuffer){value=new Uint8Array(value)}var length;var valueIsOfTypeString=typeof value=="string";if(!(valueIsOfTypeString||value instanceof Uint8Array||value instanceof Uint8ClampedArray||value instanceof Int8Array)){throwBindingError("Cannot pass non-string to std::string")}if(stdStringIsUTF8&&valueIsOfTypeString){length=lengthBytesUTF8(value)}else{length=value.length}var base=_malloc(4+length+1);var ptr=base+4;HEAPU32[base>>2]=length;if(stdStringIsUTF8&&valueIsOfTypeString){stringToUTF8(value,ptr,length+1)}else{if(valueIsOfTypeString){for(var i=0;i<length;++i){var charCode=value.charCodeAt(i);if(charCode>255){_free(ptr);throwBindingError("String has UTF-16 code units that do not fit in 8 bits")}HEAPU8[ptr+i]=charCode}}else{for(var i=0;i<length;++i){HEAPU8[ptr+i]=value[i]}}}if(destructors!==null){destructors.push(_free,base)}return base},"argPackAdvance":8,"readValueFromPointer":simpleReadValueFromPointer,destructorFunction:function(ptr){_free(ptr)}})}Module["__embind_register_std_string"]=__embind_register_std_string;__embind_register_std_string.sig="vpp";var UTF16Decoder=typeof TextDecoder!="undefined"?new TextDecoder("utf-16le"):undefined;Module["UTF16Decoder"]=UTF16Decoder;function UTF16ToString(ptr,maxBytesToRead){var endPtr=ptr;var idx=endPtr>>1;var maxIdx=idx+maxBytesToRead/2;while(!(idx>=maxIdx)&&HEAPU16[idx])++idx;endPtr=idx<<1;if(endPtr-ptr>32&&UTF16Decoder)return UTF16Decoder.decode(HEAPU8.subarray(ptr,endPtr));var str="";for(var i=0;!(i>=maxBytesToRead/2);++i){var codeUnit=HEAP16[ptr+i*2>>1];if(codeUnit==0)break;str+=String.fromCharCode(codeUnit)}return str}Module["UTF16ToString"]=UTF16ToString;function stringToUTF16(str,outPtr,maxBytesToWrite){if(maxBytesToWrite===undefined){maxBytesToWrite=2147483647}if(maxBytesToWrite<2)return 0;maxBytesToWrite-=2;var startPtr=outPtr;var numCharsToWrite=maxBytesToWrite<str.length*2?maxBytesToWrite/2:str.length;for(var i=0;i<numCharsToWrite;++i){var codeUnit=str.charCodeAt(i);HEAP16[outPtr>>1]=codeUnit;outPtr+=2}HEAP16[outPtr>>1]=0;return outPtr-startPtr}Module["stringToUTF16"]=stringToUTF16;function lengthBytesUTF16(str){return str.length*2}Module["lengthBytesUTF16"]=lengthBytesUTF16;function UTF32ToString(ptr,maxBytesToRead){var i=0;var str="";while(!(i>=maxBytesToRead/4)){var utf32=HEAP32[ptr+i*4>>2];if(utf32==0)break;++i;if(utf32>=65536){var ch=utf32-65536;str+=String.fromCharCode(55296|ch>>10,56320|ch&1023)}else{str+=String.fromCharCode(utf32)}}return str}Module["UTF32ToString"]=UTF32ToString;function stringToUTF32(str,outPtr,maxBytesToWrite){if(maxBytesToWrite===undefined){maxBytesToWrite=2147483647}if(maxBytesToWrite<4)return 0;var startPtr=outPtr;var endPtr=startPtr+maxBytesToWrite-4;for(var i=0;i<str.length;++i){var codeUnit=str.charCodeAt(i);if(codeUnit>=55296&&codeUnit<=57343){var trailSurrogate=str.charCodeAt(++i);codeUnit=65536+((codeUnit&1023)<<10)|trailSurrogate&1023}HEAP32[outPtr>>2]=codeUnit;outPtr+=4;if(outPtr+4>endPtr)break}HEAP32[outPtr>>2]=0;return outPtr-startPtr}Module["stringToUTF32"]=stringToUTF32;function lengthBytesUTF32(str){var len=0;for(var i=0;i<str.length;++i){var codeUnit=str.charCodeAt(i);if(codeUnit>=55296&&codeUnit<=57343)++i;len+=4}return len}Module["lengthBytesUTF32"]=lengthBytesUTF32;function __embind_register_std_wstring(rawType,charSize,name){name=readLatin1String(name);var decodeString,encodeString,getHeap,lengthBytesUTF,shift;if(charSize===2){decodeString=UTF16ToString;encodeString=stringToUTF16;lengthBytesUTF=lengthBytesUTF16;getHeap=()=>HEAPU16;shift=1}else if(charSize===4){decodeString=UTF32ToString;encodeString=stringToUTF32;lengthBytesUTF=lengthBytesUTF32;getHeap=()=>HEAPU32;shift=2}registerType(rawType,{name:name,"fromWireType":function(value){var length=HEAPU32[value>>2];var HEAP=getHeap();var str;var decodeStartPtr=value+4;for(var i=0;i<=length;++i){var currentBytePtr=value+4+i*charSize;if(i==length||HEAP[currentBytePtr>>shift]==0){var maxReadBytes=currentBytePtr-decodeStartPtr;var stringSegment=decodeString(decodeStartPtr,maxReadBytes);if(str===undefined){str=stringSegment}else{str+=String.fromCharCode(0);str+=stringSegment}decodeStartPtr=currentBytePtr+charSize}}_free(value);return str},"toWireType":function(destructors,value){if(!(typeof value=="string")){throwBindingError("Cannot pass non-string to C++ string type "+name)}var length=lengthBytesUTF(value);var ptr=_malloc(4+length+charSize);HEAPU32[ptr>>2]=length>>shift;encodeString(value,ptr+4,length+charSize);if(destructors!==null){destructors.push(_free,ptr)}return ptr},"argPackAdvance":8,"readValueFromPointer":simpleReadValueFromPointer,destructorFunction:function(ptr){_free(ptr)}})}Module["__embind_register_std_wstring"]=__embind_register_std_wstring;__embind_register_std_wstring.sig="vppp";function __embind_register_void(rawType,name){name=readLatin1String(name);registerType(rawType,{isVoid:true,name:name,"argPackAdvance":0,"fromWireType":function(){return undefined},"toWireType":function(destructors,o){return undefined}})}Module["__embind_register_void"]=__embind_register_void;__embind_register_void.sig="vpp";var nowIsMonotonic=true;Module["nowIsMonotonic"]=nowIsMonotonic;function __emscripten_get_now_is_monotonic(){return nowIsMonotonic}Module["__emscripten_get_now_is_monotonic"]=__emscripten_get_now_is_monotonic;__emscripten_get_now_is_monotonic.sig="i";function __emscripten_throw_longjmp(){throw Infinity}Module["__emscripten_throw_longjmp"]=__emscripten_throw_longjmp;__emscripten_throw_longjmp.sig="v";function requireRegisteredType(rawType,humanName){var impl=registeredTypes[rawType];if(undefined===impl){throwBindingError(humanName+" has unknown type "+getTypeName(rawType))}return impl}Module["requireRegisteredType"]=requireRegisteredType;function __emval_as(handle,returnType,destructorsRef){handle=Emval.toValue(handle);returnType=requireRegisteredType(returnType,"emval::as");var destructors=[];var rd=Emval.toHandle(destructors);HEAPU32[destructorsRef>>2]=rd;return returnType["toWireType"](destructors,handle)}Module["__emval_as"]=__emval_as;__emval_as.sig="dppp";function __emval_incref(handle){if(handle>4){emval_handle_array[handle].refcount+=1}}Module["__emval_incref"]=__emval_incref;__emval_incref.sig="vp";function __emval_is_number(handle){handle=Emval.toValue(handle);return typeof handle=="number"}Module["__emval_is_number"]=__emval_is_number;__emval_is_number.sig="ip";function __emval_run_destructors(handle){var destructors=Emval.toValue(handle);runDestructors(destructors);__emval_decref(handle)}Module["__emval_run_destructors"]=__emval_run_destructors;__emval_run_destructors.sig="vp";function __emval_take_value(type,arg){type=requireRegisteredType(type,"_emval_take_value");var v=type["readValueFromPointer"](arg);return Emval.toHandle(v)}Module["__emval_take_value"]=__emval_take_value;__emval_take_value.sig="ppp";function readI53FromI64(ptr){return HEAPU32[ptr>>2]+HEAP32[ptr+4>>2]*4294967296}Module["readI53FromI64"]=readI53FromI64;function __gmtime_js(time,tmPtr){var date=new Date(readI53FromI64(time)*1e3);HEAP32[tmPtr>>2]=date.getUTCSeconds();HEAP32[tmPtr+4>>2]=date.getUTCMinutes();HEAP32[tmPtr+8>>2]=date.getUTCHours();HEAP32[tmPtr+12>>2]=date.getUTCDate();HEAP32[tmPtr+16>>2]=date.getUTCMonth();HEAP32[tmPtr+20>>2]=date.getUTCFullYear()-1900;HEAP32[tmPtr+24>>2]=date.getUTCDay();var start=Date.UTC(date.getUTCFullYear(),0,1,0,0,0,0);var yday=(date.getTime()-start)/(1e3*60*60*24)|0;HEAP32[tmPtr+28>>2]=yday}Module["__gmtime_js"]=__gmtime_js;__gmtime_js.sig="ipp";function __isLeapYear(year){return year%4===0&&(year%100!==0||year%400===0)}Module["__isLeapYear"]=__isLeapYear;var __MONTH_DAYS_LEAP_CUMULATIVE=[0,31,60,91,121,152,182,213,244,274,305,335];Module["__MONTH_DAYS_LEAP_CUMULATIVE"]=__MONTH_DAYS_LEAP_CUMULATIVE;var __MONTH_DAYS_REGULAR_CUMULATIVE=[0,31,59,90,120,151,181,212,243,273,304,334];Module["__MONTH_DAYS_REGULAR_CUMULATIVE"]=__MONTH_DAYS_REGULAR_CUMULATIVE;function __yday_from_date(date){var isLeapYear=__isLeapYear(date.getFullYear());var monthDaysCumulative=isLeapYear?__MONTH_DAYS_LEAP_CUMULATIVE:__MONTH_DAYS_REGULAR_CUMULATIVE;var yday=monthDaysCumulative[date.getMonth()]+date.getDate()-1;return yday}Module["__yday_from_date"]=__yday_from_date;function __localtime_js(time,tmPtr){var date=new Date(readI53FromI64(time)*1e3);HEAP32[tmPtr>>2]=date.getSeconds();HEAP32[tmPtr+4>>2]=date.getMinutes();HEAP32[tmPtr+8>>2]=date.getHours();HEAP32[tmPtr+12>>2]=date.getDate();HEAP32[tmPtr+16>>2]=date.getMonth();HEAP32[tmPtr+20>>2]=date.getFullYear()-1900;HEAP32[tmPtr+24>>2]=date.getDay();var yday=__yday_from_date(date)|0;HEAP32[tmPtr+28>>2]=yday;HEAP32[tmPtr+36>>2]=-(date.getTimezoneOffset()*60);var start=new Date(date.getFullYear(),0,1);var summerOffset=new Date(date.getFullYear(),6,1).getTimezoneOffset();var winterOffset=start.getTimezoneOffset();var dst=(summerOffset!=winterOffset&&date.getTimezoneOffset()==Math.min(winterOffset,summerOffset))|0;HEAP32[tmPtr+32>>2]=dst}Module["__localtime_js"]=__localtime_js;__localtime_js.sig="ipp";function __mmap_js(len,prot,flags,fd,off,allocated,addr){try{var stream=SYSCALLS.getStreamFromFD(fd);var res=FS.mmap(stream,len,off,prot,flags);var ptr=res.ptr;HEAP32[allocated>>2]=res.allocated;HEAPU32[addr>>2]=ptr;return 0}catch(e){if(typeof FS=="undefined"||!(e.name==="ErrnoError"))throw e;return-e.errno}}Module["__mmap_js"]=__mmap_js;__mmap_js.sig="ipiiippp";function __munmap_js(addr,len,prot,flags,fd,offset){try{var stream=SYSCALLS.getStreamFromFD(fd);if(prot&2){SYSCALLS.doMsync(addr,stream,len,flags,offset)}FS.munmap(stream)}catch(e){if(typeof FS=="undefined"||!(e.name==="ErrnoError"))throw e;return-e.errno}}Module["__munmap_js"]=__munmap_js;__munmap_js.sig="ippiiip";function allocateUTF8(str){var size=lengthBytesUTF8(str)+1;var ret=_malloc(size);if(ret)stringToUTF8Array(str,HEAP8,ret,size);return ret}Module["allocateUTF8"]=allocateUTF8;function __tzset_js(timezone,daylight,tzname){var currentYear=(new Date).getFullYear();var winter=new Date(currentYear,0,1);var summer=new Date(currentYear,6,1);var winterOffset=winter.getTimezoneOffset();var summerOffset=summer.getTimezoneOffset();var stdTimezoneOffset=Math.max(winterOffset,summerOffset);HEAPU32[timezone>>2]=stdTimezoneOffset*60;HEAP32[daylight>>2]=Number(winterOffset!=summerOffset);function extractZone(date){var match=date.toTimeString().match(/\(([A-Za-z ]+)\)$/);return match?match[1]:"GMT"}var winterName=extractZone(winter);var summerName=extractZone(summer);var winterNamePtr=allocateUTF8(winterName);var summerNamePtr=allocateUTF8(summerName);if(summerOffset<winterOffset){HEAPU32[tzname>>2]=winterNamePtr;HEAPU32[tzname+4>>2]=summerNamePtr}else{HEAPU32[tzname>>2]=summerNamePtr;HEAPU32[tzname+4>>2]=winterNamePtr}}Module["__tzset_js"]=__tzset_js;__tzset_js.sig="vppp";function _abort(){abort("")}Module["_abort"]=_abort;_abort.sig="v";function _aes_gcm_decrypt(){return wasmImports["aes_gcm_decrypt"].apply(null,arguments)}_aes_gcm_decrypt.stub=true;function _aes_gcm_encrypt(){return wasmImports["aes_gcm_encrypt"].apply(null,arguments)}_aes_gcm_encrypt.stub=true;function _appendTiffPageWithTag(){return wasmImports["appendTiffPageWithTag"].apply(null,arguments)}_appendTiffPageWithTag.stub=true;function _aria_encrypt(){return wasmImports["aria_encrypt"].apply(null,arguments)}_aria_encrypt.stub=true;function _bio_lookup_lock(){return wasmImports["bio_lookup_lock"].apply(null,arguments)}_bio_lookup_lock.stub=true;function _bio_type_lock(){return wasmImports["bio_type_lock"].apply(null,arguments)}_bio_type_lock.stub=true;function _bread_conv(){return wasmImports["bread_conv"].apply(null,arguments)}_bread_conv.stub=true;function _bwrite_conv(){return wasmImports["bwrite_conv"].apply(null,arguments)}_bwrite_conv.stub=true;function _closeTiff(){return wasmImports["closeTiff"].apply(null,arguments)}_closeTiff.stub=true;function _ds_destroy_file(){return wasmImports["ds_destroy_file"].apply(null,arguments)}_ds_destroy_file.stub=true;function _ds_get_file(){return wasmImports["ds_get_file"].apply(null,arguments)}_ds_get_file.stub=true;function _dynamFindMemoryFormatStream(){return wasmImports["dynamFindMemoryFormatStream"].apply(null,arguments)}_dynamFindMemoryFormatStream.stub=true;function _emscripten_date_now(){return Date.now()}Module["_emscripten_date_now"]=_emscripten_date_now;_emscripten_date_now.sig="d";function getHeapMax(){return 2147483648}Module["getHeapMax"]=getHeapMax;function _emscripten_get_heap_max(){return getHeapMax()}Module["_emscripten_get_heap_max"]=_emscripten_get_heap_max;_emscripten_get_heap_max.sig="p";var _emscripten_get_now;if(ENVIRONMENT_IS_NODE){_emscripten_get_now=()=>{var t=process.hrtime();return t[0]*1e3+t[1]/1e6}}else _emscripten_get_now=()=>performance.now();Module["_emscripten_get_now"]=_emscripten_get_now;_emscripten_get_now.sig="d";function _emscripten_memcpy_big(dest,src,num){HEAPU8.copyWithin(dest,src,src+num)}Module["_emscripten_memcpy_big"]=_emscripten_memcpy_big;_emscripten_memcpy_big.sig="vppp";function emscripten_realloc_buffer(size){var b=wasmMemory.buffer;try{wasmMemory.grow(size-b.byteLength+65535>>>16);updateMemoryViews();return 1}catch(e){}}Module["emscripten_realloc_buffer"]=emscripten_realloc_buffer;function _emscripten_resize_heap(requestedSize){var oldSize=HEAPU8.length;requestedSize=requestedSize>>>0;var maxHeapSize=getHeapMax();if(requestedSize>maxHeapSize){return false}let alignUp=(x,multiple)=>x+(multiple-x%multiple)%multiple;for(var cutDown=1;cutDown<=4;cutDown*=2){var overGrownHeapSize=oldSize*(1+.2/cutDown);overGrownHeapSize=Math.min(overGrownHeapSize,requestedSize+100663296);var newSize=Math.min(maxHeapSize,alignUp(Math.max(requestedSize,overGrownHeapSize),65536));var replacement=emscripten_realloc_buffer(newSize);if(replacement){return true}}return false}Module["_emscripten_resize_heap"]=_emscripten_resize_heap;_emscripten_resize_heap.sig="ip";function _emscripten_run_script_string(ptr){var s=eval(UTF8ToString(ptr));if(s==null){return 0}s+="";var me=_emscripten_run_script_string;var len=lengthBytesUTF8(s);if(!me.bufferSize||me.bufferSize<len+1){if(me.bufferSize)_free(me.buffer);me.bufferSize=len+1;me.buffer=_malloc(me.bufferSize)}stringToUTF8(s,me.buffer,me.bufferSize);return me.buffer}Module["_emscripten_run_script_string"]=_emscripten_run_script_string;_emscripten_run_script_string.sig="pp";function _endTiffWriter(){return wasmImports["endTiffWriter"].apply(null,arguments)}_endTiffWriter.stub=true;var ENV={};Module["ENV"]=ENV;function getExecutableName(){return thisProgram||"./this.program"}Module["getExecutableName"]=getExecutableName;function getEnvStrings(){if(!getEnvStrings.strings){var lang=(typeof navigator=="object"&&navigator.languages&&navigator.languages[0]||"C").replace("-","_")+".UTF-8";var env={"USER":"web_user","LOGNAME":"web_user","PATH":"/","PWD":"/","HOME":"/home/web_user","LANG":lang,"_":getExecutableName()};for(var x in ENV){if(ENV[x]===undefined)delete env[x];else env[x]=ENV[x]}var strings=[];for(var x in env){strings.push(x+"="+env[x])}getEnvStrings.strings=strings}return getEnvStrings.strings}Module["getEnvStrings"]=getEnvStrings;function writeAsciiToMemory(str,buffer,dontAddNull){for(var i=0;i<str.length;++i){HEAP8[buffer++>>0]=str.charCodeAt(i)}if(!dontAddNull)HEAP8[buffer>>0]=0}Module["writeAsciiToMemory"]=writeAsciiToMemory;function _environ_get(__environ,environ_buf){var bufSize=0;getEnvStrings().forEach(function(string,i){var ptr=environ_buf+bufSize;HEAPU32[__environ+i*4>>2]=ptr;writeAsciiToMemory(string,ptr);bufSize+=string.length+1});return 0}Module["_environ_get"]=_environ_get;_environ_get.sig="ipp";function _environ_sizes_get(penviron_count,penviron_buf_size){var strings=getEnvStrings();HEAPU32[penviron_count>>2]=strings.length;var bufSize=0;strings.forEach(function(string){bufSize+=string.length+1});HEAPU32[penviron_buf_size>>2]=bufSize;return 0}Module["_environ_sizes_get"]=_environ_sizes_get;_environ_sizes_get.sig="ipp";function _proc_exit(code){EXITSTATUS=code;if(!keepRuntimeAlive()){if(Module["onExit"])Module["onExit"](code);ABORT=true}quit_(code,new ExitStatus(code))}Module["_proc_exit"]=_proc_exit;_proc_exit.sig="vi";function exitJS(status,implicit){EXITSTATUS=status;_proc_exit(status)}Module["exitJS"]=exitJS;var _exit=exitJS;Module["_exit"]=_exit;_exit.sig="vi";function _fd_close(fd){try{var stream=SYSCALLS.getStreamFromFD(fd);FS.close(stream);return 0}catch(e){if(typeof FS=="undefined"||!(e.name==="ErrnoError"))throw e;return e.errno}}Module["_fd_close"]=_fd_close;_fd_close.sig="ii";function doReadv(stream,iov,iovcnt,offset){var ret=0;for(var i=0;i<iovcnt;i++){var ptr=HEAPU32[iov>>2];var len=HEAPU32[iov+4>>2];iov+=8;var curr=FS.read(stream,HEAP8,ptr,len,offset);if(curr<0)return-1;ret+=curr;if(curr<len)break;if(typeof offset!=="undefined"){offset+=curr}}return ret}Module["doReadv"]=doReadv;function _fd_read(fd,iov,iovcnt,pnum){try{var stream=SYSCALLS.getStreamFromFD(fd);var num=doReadv(stream,iov,iovcnt);HEAPU32[pnum>>2]=num;return 0}catch(e){if(typeof FS=="undefined"||!(e.name==="ErrnoError"))throw e;return e.errno}}Module["_fd_read"]=_fd_read;_fd_read.sig="iippp";function _fd_seek(fd,offset_low,offset_high,whence,newOffset){try{var offset=convertI32PairToI53Checked(offset_low,offset_high);if(isNaN(offset))return 61;var stream=SYSCALLS.getStreamFromFD(fd);FS.llseek(stream,offset,whence);tempI64=[stream.position>>>0,(tempDouble=stream.position,+Math.abs(tempDouble)>=1?tempDouble>0?(Math.min(+Math.floor(tempDouble/4294967296),4294967295)|0)>>>0:~~+Math.ceil((tempDouble-+(~~tempDouble>>>0))/4294967296)>>>0:0)],HEAP32[newOffset>>2]=tempI64[0],HEAP32[newOffset+4>>2]=tempI64[1];if(stream.getdents&&offset===0&&whence===0)stream.getdents=null;return 0}catch(e){if(typeof FS=="undefined"||!(e.name==="ErrnoError"))throw e;return e.errno}}Module["_fd_seek"]=_fd_seek;_fd_seek.sig="iijip";function _fd_sync(fd){try{var stream=SYSCALLS.getStreamFromFD(fd);if(stream.stream_ops&&stream.stream_ops.fsync){return stream.stream_ops.fsync(stream)}return 0}catch(e){if(typeof FS=="undefined"||!(e.name==="ErrnoError"))throw e;return e.errno}}Module["_fd_sync"]=_fd_sync;_fd_sync.sig="ii";function doWritev(stream,iov,iovcnt,offset){var ret=0;for(var i=0;i<iovcnt;i++){var ptr=HEAPU32[iov>>2];var len=HEAPU32[iov+4>>2];iov+=8;var curr=FS.write(stream,HEAP8,ptr,len,offset);if(curr<0)return-1;ret+=curr;if(typeof offset!=="undefined"){offset+=curr}}return ret}Module["doWritev"]=doWritev;function _fd_write(fd,iov,iovcnt,pnum){try{var stream=SYSCALLS.getStreamFromFD(fd);var num=doWritev(stream,iov,iovcnt);HEAPU32[pnum>>2]=num;return 0}catch(e){if(typeof FS=="undefined"||!(e.name==="ErrnoError"))throw e;return e.errno}}Module["_fd_write"]=_fd_write;_fd_write.sig="iippp";function _j2k_dump(){return wasmImports["j2k_dump"].apply(null,arguments)}_j2k_dump.stub=true;function _j2k_get_cstr_index(){return wasmImports["j2k_get_cstr_index"].apply(null,arguments)}_j2k_get_cstr_index.stub=true;function _j2k_get_cstr_info(){return wasmImports["j2k_get_cstr_info"].apply(null,arguments)}_j2k_get_cstr_info.stub=true;function _jp2_dump(){return wasmImports["jp2_dump"].apply(null,arguments)}_jp2_dump.stub=true;function _jp2_get_cstr_index(){return wasmImports["jp2_get_cstr_index"].apply(null,arguments)}_jp2_get_cstr_index.stub=true;function _jp2_get_cstr_info(){return wasmImports["jp2_get_cstr_info"].apply(null,arguments)}_jp2_get_cstr_info.stub=true;function _jpeg12_fdct_ifast(){return wasmImports["jpeg12_fdct_ifast"].apply(null,arguments)}_jpeg12_fdct_ifast.stub=true;function _jpeg12_fdct_islow(){return wasmImports["jpeg12_fdct_islow"].apply(null,arguments)}_jpeg12_fdct_islow.stub=true;function _jpeg12_idct_10x10(){return wasmImports["jpeg12_idct_10x10"].apply(null,arguments)}_jpeg12_idct_10x10.stub=true;function _jpeg12_idct_11x11(){return wasmImports["jpeg12_idct_11x11"].apply(null,arguments)}_jpeg12_idct_11x11.stub=true;function _jpeg12_idct_12x12(){return wasmImports["jpeg12_idct_12x12"].apply(null,arguments)}_jpeg12_idct_12x12.stub=true;function _jpeg12_idct_13x13(){return wasmImports["jpeg12_idct_13x13"].apply(null,arguments)}_jpeg12_idct_13x13.stub=true;function _jpeg12_idct_14x14(){return wasmImports["jpeg12_idct_14x14"].apply(null,arguments)}_jpeg12_idct_14x14.stub=true;function _jpeg12_idct_15x15(){return wasmImports["jpeg12_idct_15x15"].apply(null,arguments)}_jpeg12_idct_15x15.stub=true;function _jpeg12_idct_16x16(){return wasmImports["jpeg12_idct_16x16"].apply(null,arguments)}_jpeg12_idct_16x16.stub=true;function _jpeg12_idct_1x1(){return wasmImports["jpeg12_idct_1x1"].apply(null,arguments)}_jpeg12_idct_1x1.stub=true;function _jpeg12_idct_2x2(){return wasmImports["jpeg12_idct_2x2"].apply(null,arguments)}_jpeg12_idct_2x2.stub=true;function _jpeg12_idct_3x3(){return wasmImports["jpeg12_idct_3x3"].apply(null,arguments)}_jpeg12_idct_3x3.stub=true;function _jpeg12_idct_4x4(){return wasmImports["jpeg12_idct_4x4"].apply(null,arguments)}_jpeg12_idct_4x4.stub=true;function _jpeg12_idct_5x5(){return wasmImports["jpeg12_idct_5x5"].apply(null,arguments)}_jpeg12_idct_5x5.stub=true;function _jpeg12_idct_6x6(){return wasmImports["jpeg12_idct_6x6"].apply(null,arguments)}_jpeg12_idct_6x6.stub=true;function _jpeg12_idct_7x7(){return wasmImports["jpeg12_idct_7x7"].apply(null,arguments)}_jpeg12_idct_7x7.stub=true;function _jpeg12_idct_9x9(){return wasmImports["jpeg12_idct_9x9"].apply(null,arguments)}_jpeg12_idct_9x9.stub=true;function _jpeg12_idct_float(){return wasmImports["jpeg12_idct_float"].apply(null,arguments)}_jpeg12_idct_float.stub=true;function _jpeg12_idct_ifast(){return wasmImports["jpeg12_idct_ifast"].apply(null,arguments)}_jpeg12_idct_ifast.stub=true;function _jpeg12_idct_islow(){return wasmImports["jpeg12_idct_islow"].apply(null,arguments)}_jpeg12_idct_islow.stub=true;function _jpeg_CreateCompress(){return wasmImports["jpeg_CreateCompress"].apply(null,arguments)}_jpeg_CreateCompress.stub=true;function _jpeg_CreateDecompress(){return wasmImports["jpeg_CreateDecompress"].apply(null,arguments)}_jpeg_CreateDecompress.stub=true;function _jpeg_abort(){return wasmImports["jpeg_abort"].apply(null,arguments)}_jpeg_abort.stub=true;function _jpeg_aritab(){return wasmImports["jpeg_aritab"].apply(null,arguments)}_jpeg_aritab.stub=true;function _jpeg_calc_output_dimensions(){return wasmImports["jpeg_calc_output_dimensions"].apply(null,arguments)}_jpeg_calc_output_dimensions.stub=true;function _jpeg_destroy(){return wasmImports["jpeg_destroy"].apply(null,arguments)}_jpeg_destroy.stub=true;function _jpeg_destroy_decompress(){return wasmImports["jpeg_destroy_decompress"].apply(null,arguments)}_jpeg_destroy_decompress.stub=true;function _jpeg_fdct_float(){return wasmImports["jpeg_fdct_float"].apply(null,arguments)}_jpeg_fdct_float.stub=true;function _jpeg_fdct_ifast(){return wasmImports["jpeg_fdct_ifast"].apply(null,arguments)}_jpeg_fdct_ifast.stub=true;function _jpeg_fdct_islow(){return wasmImports["jpeg_fdct_islow"].apply(null,arguments)}_jpeg_fdct_islow.stub=true;function _jpeg_finish_compress(){return wasmImports["jpeg_finish_compress"].apply(null,arguments)}_jpeg_finish_compress.stub=true;function _jpeg_finish_decompress(){return wasmImports["jpeg_finish_decompress"].apply(null,arguments)}_jpeg_finish_decompress.stub=true;function _jpeg_has_multiple_scans(){return wasmImports["jpeg_has_multiple_scans"].apply(null,arguments)}_jpeg_has_multiple_scans.stub=true;function _jpeg_idct_10x10(){return wasmImports["jpeg_idct_10x10"].apply(null,arguments)}_jpeg_idct_10x10.stub=true;function _jpeg_idct_11x11(){return wasmImports["jpeg_idct_11x11"].apply(null,arguments)}_jpeg_idct_11x11.stub=true;function _jpeg_idct_12x12(){return wasmImports["jpeg_idct_12x12"].apply(null,arguments)}_jpeg_idct_12x12.stub=true;function _jpeg_idct_13x13(){return wasmImports["jpeg_idct_13x13"].apply(null,arguments)}_jpeg_idct_13x13.stub=true;function _jpeg_idct_14x14(){return wasmImports["jpeg_idct_14x14"].apply(null,arguments)}_jpeg_idct_14x14.stub=true;function _jpeg_idct_15x15(){return wasmImports["jpeg_idct_15x15"].apply(null,arguments)}_jpeg_idct_15x15.stub=true;function _jpeg_idct_16x16(){return wasmImports["jpeg_idct_16x16"].apply(null,arguments)}_jpeg_idct_16x16.stub=true;function _jpeg_idct_1x1(){return wasmImports["jpeg_idct_1x1"].apply(null,arguments)}_jpeg_idct_1x1.stub=true;function _jpeg_idct_2x2(){return wasmImports["jpeg_idct_2x2"].apply(null,arguments)}_jpeg_idct_2x2.stub=true;function _jpeg_idct_3x3(){return wasmImports["jpeg_idct_3x3"].apply(null,arguments)}_jpeg_idct_3x3.stub=true;function _jpeg_idct_4x4(){return wasmImports["jpeg_idct_4x4"].apply(null,arguments)}_jpeg_idct_4x4.stub=true;function _jpeg_idct_5x5(){return wasmImports["jpeg_idct_5x5"].apply(null,arguments)}_jpeg_idct_5x5.stub=true;function _jpeg_idct_6x6(){return wasmImports["jpeg_idct_6x6"].apply(null,arguments)}_jpeg_idct_6x6.stub=true;function _jpeg_idct_7x7(){return wasmImports["jpeg_idct_7x7"].apply(null,arguments)}_jpeg_idct_7x7.stub=true;function _jpeg_idct_9x9(){return wasmImports["jpeg_idct_9x9"].apply(null,arguments)}_jpeg_idct_9x9.stub=true;function _jpeg_idct_float(){return wasmImports["jpeg_idct_float"].apply(null,arguments)}_jpeg_idct_float.stub=true;function _jpeg_idct_ifast(){return wasmImports["jpeg_idct_ifast"].apply(null,arguments)}_jpeg_idct_ifast.stub=true;function _jpeg_idct_islow(){return wasmImports["jpeg_idct_islow"].apply(null,arguments)}_jpeg_idct_islow.stub=true;function _jpeg_mem_src(){return wasmImports["jpeg_mem_src"].apply(null,arguments)}_jpeg_mem_src.stub=true;function _jpeg_natural_order(){return wasmImports["jpeg_natural_order"].apply(null,arguments)}_jpeg_natural_order.stub=true;function _jpeg_read_header(){return wasmImports["jpeg_read_header"].apply(null,arguments)}_jpeg_read_header.stub=true;function _jpeg_read_raw_data(){return wasmImports["jpeg_read_raw_data"].apply(null,arguments)}_jpeg_read_raw_data.stub=true;function _jpeg_read_scanlines(){return wasmImports["jpeg_read_scanlines"].apply(null,arguments)}_jpeg_read_scanlines.stub=true;function _jpeg_resync_to_restart(){return wasmImports["jpeg_resync_to_restart"].apply(null,arguments)}_jpeg_resync_to_restart.stub=true;function _jpeg_set_colorspace(){return wasmImports["jpeg_set_colorspace"].apply(null,arguments)}_jpeg_set_colorspace.stub=true;function _jpeg_set_defaults(){return wasmImports["jpeg_set_defaults"].apply(null,arguments)}_jpeg_set_defaults.stub=true;function _jpeg_set_marker_processor(){return wasmImports["jpeg_set_marker_processor"].apply(null,arguments)}_jpeg_set_marker_processor.stub=true;function _jpeg_set_quality(){return wasmImports["jpeg_set_quality"].apply(null,arguments)}_jpeg_set_quality.stub=true;function _jpeg_start_compress(){return wasmImports["jpeg_start_compress"].apply(null,arguments)}_jpeg_start_compress.stub=true;function _jpeg_start_decompress(){return wasmImports["jpeg_start_decompress"].apply(null,arguments)}_jpeg_start_decompress.stub=true;function _jpeg_std_error(){return wasmImports["jpeg_std_error"].apply(null,arguments)}_jpeg_std_error.stub=true;function _jpeg_std_message_table(){return wasmImports["jpeg_std_message_table"].apply(null,arguments)}_jpeg_std_message_table.stub=true;function _jpeg_suppress_tables(){return wasmImports["jpeg_suppress_tables"].apply(null,arguments)}_jpeg_suppress_tables.stub=true;function _jpeg_write_raw_data(){return wasmImports["jpeg_write_raw_data"].apply(null,arguments)}_jpeg_write_raw_data.stub=true;function _jpeg_write_scanlines(){return wasmImports["jpeg_write_scanlines"].apply(null,arguments)}_jpeg_write_scanlines.stub=true;function _jpeg_write_tables(){return wasmImports["jpeg_write_tables"].apply(null,arguments)}_jpeg_write_tables.stub=true;function _loadOnepageImageFromMem(){return wasmImports["loadOnepageImageFromMem"].apply(null,arguments)}_loadOnepageImageFromMem.stub=true;function _loadOnepageRGBAFromMem(){return wasmImports["loadOnepageRGBAFromMem"].apply(null,arguments)}_loadOnepageRGBAFromMem.stub=true;function _loadOnepageRGBAFromMemEx(){return wasmImports["loadOnepageRGBAFromMemEx"].apply(null,arguments)}_loadOnepageRGBAFromMemEx.stub=true;function _loadTiffFromMem(){return wasmImports["loadTiffFromMem"].apply(null,arguments)}_loadTiffFromMem.stub=true;function _newTiffFile(){return wasmImports["newTiffFile"].apply(null,arguments)}_newTiffFile.stub=true;function _newTiffMem(){return wasmImports["newTiffMem"].apply(null,arguments)}_newTiffMem.stub=true;function _opj_j2k_decode(){return wasmImports["opj_j2k_decode"].apply(null,arguments)}_opj_j2k_decode.stub=true;function _opj_j2k_decode_tile(){return wasmImports["opj_j2k_decode_tile"].apply(null,arguments)}_opj_j2k_decode_tile.stub=true;function _opj_j2k_decoder_set_strict_mode(){return wasmImports["opj_j2k_decoder_set_strict_mode"].apply(null,arguments)}_opj_j2k_decoder_set_strict_mode.stub=true;function _opj_j2k_destroy(){return wasmImports["opj_j2k_destroy"].apply(null,arguments)}_opj_j2k_destroy.stub=true;function _opj_j2k_end_decompress(){return wasmImports["opj_j2k_end_decompress"].apply(null,arguments)}_opj_j2k_end_decompress.stub=true;function _opj_j2k_get_tile(){return wasmImports["opj_j2k_get_tile"].apply(null,arguments)}_opj_j2k_get_tile.stub=true;function _opj_j2k_read_header(){return wasmImports["opj_j2k_read_header"].apply(null,arguments)}_opj_j2k_read_header.stub=true;function _opj_j2k_read_tile_header(){return wasmImports["opj_j2k_read_tile_header"].apply(null,arguments)}_opj_j2k_read_tile_header.stub=true;function _opj_j2k_set_decode_area(){return wasmImports["opj_j2k_set_decode_area"].apply(null,arguments)}_opj_j2k_set_decode_area.stub=true;function _opj_j2k_set_decoded_components(){return wasmImports["opj_j2k_set_decoded_components"].apply(null,arguments)}_opj_j2k_set_decoded_components.stub=true;function _opj_j2k_set_decoded_resolution_factor(){return wasmImports["opj_j2k_set_decoded_resolution_factor"].apply(null,arguments)}_opj_j2k_set_decoded_resolution_factor.stub=true;function _opj_j2k_set_threads(){return wasmImports["opj_j2k_set_threads"].apply(null,arguments)}_opj_j2k_set_threads.stub=true;function _opj_j2k_setup_decoder(){return wasmImports["opj_j2k_setup_decoder"].apply(null,arguments)}_opj_j2k_setup_decoder.stub=true;function _opj_jp2_decode(){return wasmImports["opj_jp2_decode"].apply(null,arguments)}_opj_jp2_decode.stub=true;function _opj_jp2_decode_tile(){return wasmImports["opj_jp2_decode_tile"].apply(null,arguments)}_opj_jp2_decode_tile.stub=true;function _opj_jp2_decoder_set_strict_mode(){return wasmImports["opj_jp2_decoder_set_strict_mode"].apply(null,arguments)}_opj_jp2_decoder_set_strict_mode.stub=true;function _opj_jp2_destroy(){return wasmImports["opj_jp2_destroy"].apply(null,arguments)}_opj_jp2_destroy.stub=true;function _opj_jp2_encode(){return wasmImports["opj_jp2_encode"].apply(null,arguments)}_opj_jp2_encode.stub=true;function _opj_jp2_encoder_set_extra_options(){return wasmImports["opj_jp2_encoder_set_extra_options"].apply(null,arguments)}_opj_jp2_encoder_set_extra_options.stub=true;function _opj_jp2_end_compress(){return wasmImports["opj_jp2_end_compress"].apply(null,arguments)}_opj_jp2_end_compress.stub=true;function _opj_jp2_end_decompress(){return wasmImports["opj_jp2_end_decompress"].apply(null,arguments)}_opj_jp2_end_decompress.stub=true;function _opj_jp2_get_tile(){return wasmImports["opj_jp2_get_tile"].apply(null,arguments)}_opj_jp2_get_tile.stub=true;function _opj_jp2_read_header(){return wasmImports["opj_jp2_read_header"].apply(null,arguments)}_opj_jp2_read_header.stub=true;function _opj_jp2_read_tile_header(){return wasmImports["opj_jp2_read_tile_header"].apply(null,arguments)}_opj_jp2_read_tile_header.stub=true;function _opj_jp2_set_decode_area(){return wasmImports["opj_jp2_set_decode_area"].apply(null,arguments)}_opj_jp2_set_decode_area.stub=true;function _opj_jp2_set_decoded_components(){return wasmImports["opj_jp2_set_decoded_components"].apply(null,arguments)}_opj_jp2_set_decoded_components.stub=true;function _opj_jp2_set_decoded_resolution_factor(){return wasmImports["opj_jp2_set_decoded_resolution_factor"].apply(null,arguments)}_opj_jp2_set_decoded_resolution_factor.stub=true;function _opj_jp2_set_threads(){return wasmImports["opj_jp2_set_threads"].apply(null,arguments)}_opj_jp2_set_threads.stub=true;function _opj_jp2_setup_decoder(){return wasmImports["opj_jp2_setup_decoder"].apply(null,arguments)}_opj_jp2_setup_decoder.stub=true;function _opj_jp2_setup_encoder(){return wasmImports["opj_jp2_setup_encoder"].apply(null,arguments)}_opj_jp2_setup_encoder.stub=true;function _opj_jp2_start_compress(){return wasmImports["opj_jp2_start_compress"].apply(null,arguments)}_opj_jp2_start_compress.stub=true;function _opj_jp2_write_tile(){return wasmImports["opj_jp2_write_tile"].apply(null,arguments)}_opj_jp2_write_tile.stub=true;function _opj_stream_default_read(){return wasmImports["opj_stream_default_read"].apply(null,arguments)}_opj_stream_default_read.stub=true;function _opj_stream_default_seek(){return wasmImports["opj_stream_default_seek"].apply(null,arguments)}_opj_stream_default_seek.stub=true;function _opj_stream_default_skip(){return wasmImports["opj_stream_default_skip"].apply(null,arguments)}_opj_stream_default_skip.stub=true;function _opj_stream_default_write(){return wasmImports["opj_stream_default_write"].apply(null,arguments)}_opj_stream_default_write.stub=true;function _opj_stream_read_seek(){return wasmImports["opj_stream_read_seek"].apply(null,arguments)}_opj_stream_read_seek.stub=true;function _opj_stream_read_skip(){return wasmImports["opj_stream_read_skip"].apply(null,arguments)}_opj_stream_read_skip.stub=true;function _opj_stream_write_seek(){return wasmImports["opj_stream_write_seek"].apply(null,arguments)}_opj_stream_write_seek.stub=true;function _opj_stream_write_skip(){return wasmImports["opj_stream_write_skip"].apply(null,arguments)}_opj_stream_write_skip.stub=true;function _png_create_info_struct(){return wasmImports["png_create_info_struct"].apply(null,arguments)}_png_create_info_struct.stub=true;function _png_create_read_struct(){return wasmImports["png_create_read_struct"].apply(null,arguments)}_png_create_read_struct.stub=true;function _png_create_write_struct(){return wasmImports["png_create_write_struct"].apply(null,arguments)}_png_create_write_struct.stub=true;function _png_default_flush(){return wasmImports["png_default_flush"].apply(null,arguments)}_png_default_flush.stub=true;function _png_default_read_data(){return wasmImports["png_default_read_data"].apply(null,arguments)}_png_default_read_data.stub=true;function _png_default_write_data(){return wasmImports["png_default_write_data"].apply(null,arguments)}_png_default_write_data.stub=true;function _png_destroy_read_struct(){return wasmImports["png_destroy_read_struct"].apply(null,arguments)}_png_destroy_read_struct.stub=true;function _png_destroy_write_struct(){return wasmImports["png_destroy_write_struct"].apply(null,arguments)}_png_destroy_write_struct.stub=true;function _png_free(){return wasmImports["png_free"].apply(null,arguments)}_png_free.stub=true;function _png_get_IHDR(){return wasmImports["png_get_IHDR"].apply(null,arguments)}_png_get_IHDR.stub=true;function _png_get_PLTE(){return wasmImports["png_get_PLTE"].apply(null,arguments)}_png_get_PLTE.stub=true;function _png_get_bit_depth(){return wasmImports["png_get_bit_depth"].apply(null,arguments)}_png_get_bit_depth.stub=true;function _png_get_channels(){return wasmImports["png_get_channels"].apply(null,arguments)}_png_get_channels.stub=true;function _png_get_color_type(){return wasmImports["png_get_color_type"].apply(null,arguments)}_png_get_color_type.stub=true;function _png_get_image_height(){return wasmImports["png_get_image_height"].apply(null,arguments)}_png_get_image_height.stub=true;function _png_get_image_width(){return wasmImports["png_get_image_width"].apply(null,arguments)}_png_get_image_width.stub=true;function _png_get_rowbytes(){return wasmImports["png_get_rowbytes"].apply(null,arguments)}_png_get_rowbytes.stub=true;function _png_get_valid(){return wasmImports["png_get_valid"].apply(null,arguments)}_png_get_valid.stub=true;function _png_get_x_pixels_per_inch(){return wasmImports["png_get_x_pixels_per_inch"].apply(null,arguments)}_png_get_x_pixels_per_inch.stub=true;function _png_get_y_pixels_per_inch(){return wasmImports["png_get_y_pixels_per_inch"].apply(null,arguments)}_png_get_y_pixels_per_inch.stub=true;function _png_malloc(){return wasmImports["png_malloc"].apply(null,arguments)}_png_malloc.stub=true;function _png_malloc_warn(){return wasmImports["png_malloc_warn"].apply(null,arguments)}_png_malloc_warn.stub=true;function _png_read_info(){return wasmImports["png_read_info"].apply(null,arguments)}_png_read_info.stub=true;function _png_read_rows(){return wasmImports["png_read_rows"].apply(null,arguments)}_png_read_rows.stub=true;function _png_read_update_info(){return wasmImports["png_read_update_info"].apply(null,arguments)}_png_read_update_info.stub=true;function _png_set_IHDR(){return wasmImports["png_set_IHDR"].apply(null,arguments)}_png_set_IHDR.stub=true;function _png_set_PLTE(){return wasmImports["png_set_PLTE"].apply(null,arguments)}_png_set_PLTE.stub=true;function _png_set_bgr(){return wasmImports["png_set_bgr"].apply(null,arguments)}_png_set_bgr.stub=true;function _png_set_compression_level(){return wasmImports["png_set_compression_level"].apply(null,arguments)}_png_set_compression_level.stub=true;function _png_set_error_fn(){return wasmImports["png_set_error_fn"].apply(null,arguments)}_png_set_error_fn.stub=true;function _png_set_expand_gray_1_2_4_to_8(){return wasmImports["png_set_expand_gray_1_2_4_to_8"].apply(null,arguments)}_png_set_expand_gray_1_2_4_to_8.stub=true;function _png_set_filler(){return wasmImports["png_set_filler"].apply(null,arguments)}_png_set_filler.stub=true;function _png_set_gAMA(){return wasmImports["png_set_gAMA"].apply(null,arguments)}_png_set_gAMA.stub=true;function _png_set_gray_to_rgb(){return wasmImports["png_set_gray_to_rgb"].apply(null,arguments)}_png_set_gray_to_rgb.stub=true;function _png_set_longjmp_fn(){return wasmImports["png_set_longjmp_fn"].apply(null,arguments)}_png_set_longjmp_fn.stub=true;function _png_set_mem_fn(){return wasmImports["png_set_mem_fn"].apply(null,arguments)}_png_set_mem_fn.stub=true;function _png_set_pHYs(){return wasmImports["png_set_pHYs"].apply(null,arguments)}_png_set_pHYs.stub=true;function _png_set_palette_to_rgb(){return wasmImports["png_set_palette_to_rgb"].apply(null,arguments)}_png_set_palette_to_rgb.stub=true;function _png_set_read_fn(){return wasmImports["png_set_read_fn"].apply(null,arguments)}_png_set_read_fn.stub=true;function _png_set_scale_16(){return wasmImports["png_set_scale_16"].apply(null,arguments)}_png_set_scale_16.stub=true;function _png_set_strip_16(){return wasmImports["png_set_strip_16"].apply(null,arguments)}_png_set_strip_16.stub=true;function _png_set_tRNS_to_alpha(){return wasmImports["png_set_tRNS_to_alpha"].apply(null,arguments)}_png_set_tRNS_to_alpha.stub=true;function _png_set_write_fn(){return wasmImports["png_set_write_fn"].apply(null,arguments)}_png_set_write_fn.stub=true;function _png_user_version_check(){return wasmImports["png_user_version_check"].apply(null,arguments)}_png_user_version_check.stub=true;function _png_write_end(){return wasmImports["png_write_end"].apply(null,arguments)}_png_write_end.stub=true;function _png_write_image(){return wasmImports["png_write_image"].apply(null,arguments)}_png_write_image.stub=true;function _png_write_info(){return wasmImports["png_write_info"].apply(null,arguments)}_png_write_info.stub=true;function _png_write_row(){return wasmImports["png_write_row"].apply(null,arguments)}_png_write_row.stub=true;function _png_zalloc(){return wasmImports["png_zalloc"].apply(null,arguments)}_png_zalloc.stub=true;function _png_zfree(){return wasmImports["png_zfree"].apply(null,arguments)}_png_zfree.stub=true;function _rand_drbg_cleanup_entropy(){return wasmImports["rand_drbg_cleanup_entropy"].apply(null,arguments)}_rand_drbg_cleanup_entropy.stub=true;function _rand_drbg_cleanup_nonce(){return wasmImports["rand_drbg_cleanup_nonce"].apply(null,arguments)}_rand_drbg_cleanup_nonce.stub=true;function _rand_drbg_get_entropy(){return wasmImports["rand_drbg_get_entropy"].apply(null,arguments)}_rand_drbg_get_entropy.stub=true;function _rand_drbg_get_nonce(){return wasmImports["rand_drbg_get_nonce"].apply(null,arguments)}_rand_drbg_get_nonce.stub=true;function _rand_meth(){return wasmImports["rand_meth"].apply(null,arguments)}_rand_meth.stub=true;function _readTiffMetaData(){return wasmImports["readTiffMetaData"].apply(null,arguments)}_readTiffMetaData.stub=true;function _readTiffPage(){return wasmImports["readTiffPage"].apply(null,arguments)}_readTiffPage.stub=true;function _saveDIBAsBMPV2(){return wasmImports["saveDIBAsBMPV2"].apply(null,arguments)}_saveDIBAsBMPV2.stub=true;function __arraySum(array,index){var sum=0;for(var i=0;i<=index;sum+=array[i++]){}return sum}Module["__arraySum"]=__arraySum;var __MONTH_DAYS_LEAP=[31,29,31,30,31,30,31,31,30,31,30,31];Module["__MONTH_DAYS_LEAP"]=__MONTH_DAYS_LEAP;var __MONTH_DAYS_REGULAR=[31,28,31,30,31,30,31,31,30,31,30,31];Module["__MONTH_DAYS_REGULAR"]=__MONTH_DAYS_REGULAR;function __addDays(date,days){var newDate=new Date(date.getTime());while(days>0){var leap=__isLeapYear(newDate.getFullYear());var currentMonth=newDate.getMonth();var daysInCurrentMonth=(leap?__MONTH_DAYS_LEAP:__MONTH_DAYS_REGULAR)[currentMonth];if(days>daysInCurrentMonth-newDate.getDate()){days-=daysInCurrentMonth-newDate.getDate()+1;newDate.setDate(1);if(currentMonth<11){newDate.setMonth(currentMonth+1)}else{newDate.setMonth(0);newDate.setFullYear(newDate.getFullYear()+1)}}else{newDate.setDate(newDate.getDate()+days);return newDate}}return newDate}Module["__addDays"]=__addDays;function writeArrayToMemory(array,buffer){HEAP8.set(array,buffer)}Module["writeArrayToMemory"]=writeArrayToMemory;function _strftime(s,maxsize,format,tm){var tm_zone=HEAP32[tm+40>>2];var date={tm_sec:HEAP32[tm>>2],tm_min:HEAP32[tm+4>>2],tm_hour:HEAP32[tm+8>>2],tm_mday:HEAP32[tm+12>>2],tm_mon:HEAP32[tm+16>>2],tm_year:HEAP32[tm+20>>2],tm_wday:HEAP32[tm+24>>2],tm_yday:HEAP32[tm+28>>2],tm_isdst:HEAP32[tm+32>>2],tm_gmtoff:HEAP32[tm+36>>2],tm_zone:tm_zone?UTF8ToString(tm_zone):""};var pattern=UTF8ToString(format);var EXPANSION_RULES_1={"%c":"%a %b %d %H:%M:%S %Y","%D":"%m/%d/%y","%F":"%Y-%m-%d","%h":"%b","%r":"%I:%M:%S %p","%R":"%H:%M","%T":"%H:%M:%S","%x":"%m/%d/%y","%X":"%H:%M:%S","%Ec":"%c","%EC":"%C","%Ex":"%m/%d/%y","%EX":"%H:%M:%S","%Ey":"%y","%EY":"%Y","%Od":"%d","%Oe":"%e","%OH":"%H","%OI":"%I","%Om":"%m","%OM":"%M","%OS":"%S","%Ou":"%u","%OU":"%U","%OV":"%V","%Ow":"%w","%OW":"%W","%Oy":"%y"};for(var rule in EXPANSION_RULES_1){pattern=pattern.replace(new RegExp(rule,"g"),EXPANSION_RULES_1[rule])}var WEEKDAYS=["Sunday","Monday","Tuesday","Wednesday","Thursday","Friday","Saturday"];var MONTHS=["January","February","March","April","May","June","July","August","September","October","November","December"];function leadingSomething(value,digits,character){var str=typeof value=="number"?value.toString():value||"";while(str.length<digits){str=character[0]+str}return str}function leadingNulls(value,digits){return leadingSomething(value,digits,"0")}function compareByDay(date1,date2){function sgn(value){return value<0?-1:value>0?1:0}var compare;if((compare=sgn(date1.getFullYear()-date2.getFullYear()))===0){if((compare=sgn(date1.getMonth()-date2.getMonth()))===0){compare=sgn(date1.getDate()-date2.getDate())}}return compare}function getFirstWeekStartDate(janFourth){switch(janFourth.getDay()){case 0:return new Date(janFourth.getFullYear()-1,11,29);case 1:return janFourth;case 2:return new Date(janFourth.getFullYear(),0,3);case 3:return new Date(janFourth.getFullYear(),0,2);case 4:return new Date(janFourth.getFullYear(),0,1);case 5:return new Date(janFourth.getFullYear()-1,11,31);case 6:return new Date(janFourth.getFullYear()-1,11,30)}}function getWeekBasedYear(date){var thisDate=__addDays(new Date(date.tm_year+1900,0,1),date.tm_yday);var janFourthThisYear=new Date(thisDate.getFullYear(),0,4);var janFourthNextYear=new Date(thisDate.getFullYear()+1,0,4);var firstWeekStartThisYear=getFirstWeekStartDate(janFourthThisYear);var firstWeekStartNextYear=getFirstWeekStartDate(janFourthNextYear);if(compareByDay(firstWeekStartThisYear,thisDate)<=0){if(compareByDay(firstWeekStartNextYear,thisDate)<=0){return thisDate.getFullYear()+1}return thisDate.getFullYear()}return thisDate.getFullYear()-1}var EXPANSION_RULES_2={"%a":function(date){return WEEKDAYS[date.tm_wday].substring(0,3)},"%A":function(date){return WEEKDAYS[date.tm_wday]},"%b":function(date){return MONTHS[date.tm_mon].substring(0,3)},"%B":function(date){return MONTHS[date.tm_mon]},"%C":function(date){var year=date.tm_year+1900;return leadingNulls(year/100|0,2)},"%d":function(date){return leadingNulls(date.tm_mday,2)},"%e":function(date){return leadingSomething(date.tm_mday,2," ")},"%g":function(date){return getWeekBasedYear(date).toString().substring(2)},"%G":function(date){return getWeekBasedYear(date)},"%H":function(date){return leadingNulls(date.tm_hour,2)},"%I":function(date){var twelveHour=date.tm_hour;if(twelveHour==0)twelveHour=12;else if(twelveHour>12)twelveHour-=12;return leadingNulls(twelveHour,2)},"%j":function(date){return leadingNulls(date.tm_mday+__arraySum(__isLeapYear(date.tm_year+1900)?__MONTH_DAYS_LEAP:__MONTH_DAYS_REGULAR,date.tm_mon-1),3)},"%m":function(date){return leadingNulls(date.tm_mon+1,2)},"%M":function(date){return leadingNulls(date.tm_min,2)},"%n":function(){return"\n"},"%p":function(date){if(date.tm_hour>=0&&date.tm_hour<12){return"AM"}return"PM"},"%S":function(date){return leadingNulls(date.tm_sec,2)},"%t":function(){return"\t"},"%u":function(date){return date.tm_wday||7},"%U":function(date){var days=date.tm_yday+7-date.tm_wday;return leadingNulls(Math.floor(days/7),2)},"%V":function(date){var val=Math.floor((date.tm_yday+7-(date.tm_wday+6)%7)/7);if((date.tm_wday+371-date.tm_yday-2)%7<=2){val++}if(!val){val=52;var dec31=(date.tm_wday+7-date.tm_yday-1)%7;if(dec31==4||dec31==5&&__isLeapYear(date.tm_year%400-1)){val++}}else if(val==53){var jan1=(date.tm_wday+371-date.tm_yday)%7;if(jan1!=4&&(jan1!=3||!__isLeapYear(date.tm_year)))val=1}return leadingNulls(val,2)},"%w":function(date){return date.tm_wday},"%W":function(date){var days=date.tm_yday+7-(date.tm_wday+6)%7;return leadingNulls(Math.floor(days/7),2)},"%y":function(date){return(date.tm_year+1900).toString().substring(2)},"%Y":function(date){return date.tm_year+1900},"%z":function(date){var off=date.tm_gmtoff;var ahead=off>=0;off=Math.abs(off)/60;off=off/60*100+off%60;return(ahead?"+":"-")+String("0000"+off).slice(-4)},"%Z":function(date){return date.tm_zone},"%%":function(){return"%"}};pattern=pattern.replace(/%%/g,"\0\0");for(var rule in EXPANSION_RULES_2){if(pattern.includes(rule)){pattern=pattern.replace(new RegExp(rule,"g"),EXPANSION_RULES_2[rule](date))}}pattern=pattern.replace(/\0\0/g,"%");var bytes=intArrayFromString(pattern,false);if(bytes.length>maxsize){return 0}writeArrayToMemory(bytes,s);return bytes.length-1}Module["_strftime"]=_strftime;_strftime.sig="ppppp";function _strftime_l(s,maxsize,format,tm,loc){return _strftime(s,maxsize,format,tm)}Module["_strftime_l"]=_strftime_l;_strftime_l.sig="pppppp";function handleException(e){if(e instanceof ExitStatus||e=="unwind"){return EXITSTATUS}quit_(1,e)}Module["handleException"]=handleException;function allocateUTF8OnStack(str){var size=lengthBytesUTF8(str)+1;var ret=stackAlloc(size);stringToUTF8Array(str,HEAP8,ret,size);return ret}Module["allocateUTF8OnStack"]=allocateUTF8OnStack;function getCFunc(ident){var func=Module["_"+ident];return func}Module["getCFunc"]=getCFunc;function ccall(ident,returnType,argTypes,args,opts){var toC={"string":str=>{var ret=0;if(str!==null&&str!==undefined&&str!==0){var len=(str.length<<2)+1;ret=stackAlloc(len);stringToUTF8(str,ret,len)}return ret},"array":arr=>{var ret=stackAlloc(arr.length);writeArrayToMemory(arr,ret);return ret}};function convertReturnValue(ret){if(returnType==="string"){return UTF8ToString(ret)}if(returnType==="boolean")return Boolean(ret);return ret}var func=getCFunc(ident);var cArgs=[];var stack=0;if(args){for(var i=0;i<args.length;i++){var converter=toC[argTypes[i]];if(converter){if(stack===0)stack=stackSave();cArgs[i]=converter(args[i])}else{cArgs[i]=args[i]}}}var ret=func.apply(null,cArgs);function onDone(ret){if(stack!==0)stackRestore(stack);return convertReturnValue(ret)}ret=onDone(ret);return ret}Module["ccall"]=ccall;var FSNode=function(parent,name,mode,rdev){if(!parent){parent=this}this.parent=parent;this.mount=parent.mount;this.mounted=null;this.id=FS.nextInode++;this.name=name;this.mode=mode;this.node_ops={};this.stream_ops={};this.rdev=rdev};var readMode=292|73;var writeMode=146;Object.defineProperties(FSNode.prototype,{read:{get:function(){return(this.mode&readMode)===readMode},set:function(val){val?this.mode|=readMode:this.mode&=~readMode}},write:{get:function(){return(this.mode&writeMode)===writeMode},set:function(val){val?this.mode|=writeMode:this.mode&=~writeMode}},isFolder:{get:function(){return FS.isDir(this.mode)}},isDevice:{get:function(){return FS.isChrdev(this.mode)}}});FS.FSNode=FSNode;FS.staticInit();embind_init_charCodes();BindingError=Module["BindingError"]=extendError(Error,"BindingError");InternalError=Module["InternalError"]=extendError(Error,"InternalError");init_ClassHandle();init_embind();init_RegisteredPointer();UnboundTypeError=Module["UnboundTypeError"]=extendError(Error,"UnboundTypeError");init_emval();var wasmImports={"AES_cbc_encrypt":_AES_cbc_encrypt,"AES_decrypt":_AES_decrypt,"AES_encrypt":_AES_encrypt,"ASN1_ANY_it":_ASN1_ANY_it,"ASN1_OCTET_STRING_it":_ASN1_OCTET_STRING_it,"CAST_S_table0":_CAST_S_table0,"CAST_S_table1":_CAST_S_table1,"CAST_S_table2":_CAST_S_table2,"CAST_S_table3":_CAST_S_table3,"CAST_S_table4":_CAST_S_table4,"CAST_S_table5":_CAST_S_table5,"CAST_S_table6":_CAST_S_table6,"CAST_S_table7":_CAST_S_table7,"CRYPTO_free":_CRYPTO_free,"CRYPTO_malloc":_CRYPTO_malloc,"CRYPTO_realloc":_CRYPTO_realloc,"Camellia_cbc_encrypt":_Camellia_cbc_encrypt,"Camellia_decrypt":_Camellia_decrypt,"Camellia_encrypt":_Camellia_encrypt,"DES_SPtrans":_DES_SPtrans,"DIBChangeBitDepth":_DIBChangeBitDepth,"DIB_32To24":_DIB_32To24,"DIBtoRGBA":_DIBtoRGBA,"DestroyDynamImageProc":_DestroyDynamImageProc,"DestroyPdfReader":_DestroyPdfReader,"DynamImageProcAutoBrightnessAndContrast":_DynamImageProcAutoBrightnessAndContrast,"DynamImageProcBackToOriginal":_DynamImageProcBackToOriginal,"DynamImageProcChangeBrightnessAndContrast":_DynamImageProcChangeBrightnessAndContrast,"DynamImageProcColorFilter":_DynamImageProcColorFilter,"DynamImageProcConvert":_DynamImageProcConvert,"DynamImageProcConvertToBW":_DynamImageProcConvertToBW,"DynamImageProcConvertToGrayScale":_DynamImageProcConvertToGrayScale,"DynamImageProcCrop":_DynamImageProcCrop,"DynamImageProcDocumentDetect":_DynamImageProcDocumentDetect,"DynamImageProcDrawQuadrangle":_DynamImageProcDrawQuadrangle,"DynamImageProcEqualize":_DynamImageProcEqualize,"DynamImageProcErase":_DynamImageProcErase,"DynamImageProcGetBlurryScore":_DynamImageProcGetBlurryScore,"DynamImageProcGetBrightnessScore":_DynamImageProcGetBrightnessScore,"DynamImageProcGetDataPointer":_DynamImageProcGetDataPointer,"DynamImageProcGetErrorString":_DynamImageProcGetErrorString,"DynamImageProcGetHeight":_DynamImageProcGetHeight,"DynamImageProcGetSkewAngle":_DynamImageProcGetSkewAngle,"DynamImageProcGetWidth":_DynamImageProcGetWidth,"DynamImageProcInvert":_DynamImageProcInvert,"DynamImageProcNormalize":_DynamImageProcNormalize,"DynamImageProcPerspective":_DynamImageProcPerspective,"DynamImageProcResize":_DynamImageProcResize,"DynamImageProcRotateEX":_DynamImageProcRotateEX,"DynamImageProcRotateFlipType":_DynamImageProcRotateFlipType,"DynamImageProcSave":_DynamImageProcSave,"DynamImageProcSetDPI":_DynamImageProcSetDPI,"DynamImageProcSetDebugMode":_DynamImageProcSetDebugMode,"DynamImageProcSetImageHeight":_DynamImageProcSetImageHeight,"DynamImageProcSetImageWidth":_DynamImageProcSetImageWidth,"DynamImageProcShadowRemovel":_DynamImageProcShadowRemovel,"EVP_CIPHER_get_asn1_iv":_EVP_CIPHER_get_asn1_iv,"EVP_CIPHER_set_asn1_iv":_EVP_CIPHER_set_asn1_iv,"EVP_PKEY_meth_free":_EVP_PKEY_meth_free,"GetDIBMetaData":_GetDIBMetaData,"GetDynamImageProcWasmVersion":_GetDynamImageProcWasmVersion,"GetDynamicImageCoreWasmVersion":_GetDynamicImageCoreWasmVersion,"GetImageMetaData":_GetImageMetaData,"GetJPEGExifData":_GetJPEGExifData,"GetJPEGMetaData":_GetJPEGMetaData,"INT32_it":_INT32_it,"IfJPEGHaveExifInfo":_IfJPEGHaveExifInfo,"InitDynamImageProc":_InitDynamImageProc,"InitPdfReader":_InitPdfReader,"OPENSSL_LH_strhash":_OPENSSL_LH_strhash,"OPENSSL_cleanup":_OPENSSL_cleanup,"PdfReaderCreateDocument":_PdfReaderCreateDocument,"PdfReaderGetAttachmentCount":_PdfReaderGetAttachmentCount,"PdfReaderGetFontInfo":_PdfReaderGetFontInfo,"PdfReaderGetPageAnnot":_PdfReaderGetPageAnnot,"PdfReaderGetPageAnnotCount":_PdfReaderGetPageAnnotCount,"PdfReaderGetPageCharInfos":_PdfReaderGetPageCharInfos,"PdfReaderGetPageContentType":_PdfReaderGetPageContentType,"PdfReaderGetPageCount":_PdfReaderGetPageCount,"PdfReaderGetPageInfo":_PdfReaderGetPageInfo,"PdfReaderGetPageRotation":_PdfReaderGetPageRotation,"PdfReaderGetPagesRenderImageInfo":_PdfReaderGetPagesRenderImageInfo,"PdfReaderGetPdfInfo":_PdfReaderGetPdfInfo,"PdfReaderGetPdfVersion":_PdfReaderGetPdfVersion,"PdfReaderGetPermission":_PdfReaderGetPermission,"PdfReaderIfFontsExist":_PdfReaderIfFontsExist,"PdfReaderInsertBlankPdfPage":_PdfReaderInsertBlankPdfPage,"PdfReaderLoadFont":_PdfReaderLoadFont,"PdfReaderLoadFontFiles":_PdfReaderLoadFontFiles,"PdfReaderLoadPdfDocument":_PdfReaderLoadPdfDocument,"PdfReaderMergePdfPage":_PdfReaderMergePdfPage,"PdfReaderPageAddAnnot":_PdfReaderPageAddAnnot,"PdfReaderPageAddImage":_PdfReaderPageAddImage,"PdfReaderPageAddPath":_PdfReaderPageAddPath,"PdfReaderPageAddText":_PdfReaderPageAddText,"PdfReaderPageClearObjects":_PdfReaderPageClearObjects,"PdfReaderPageDeleteAnnot":_PdfReaderPageDeleteAnnot,"PdfReaderPageDeleteAnnotByNames":_PdfReaderPageDeleteAnnotByNames,"PdfReaderPageDeleteAnnotByTypes":_PdfReaderPageDeleteAnnotByTypes,"PdfReaderPageFlatten":_PdfReaderPageFlatten,"PdfReaderPageFlattenAnnot":_PdfReaderPageFlattenAnnot,"PdfReaderPageGetCropBox":_PdfReaderPageGetCropBox,"PdfReaderPageGetMediaBox":_PdfReaderPageGetMediaBox,"PdfReaderPageNeedRender":_PdfReaderPageNeedRender,"PdfReaderPageSetAnnot":_PdfReaderPageSetAnnot,"PdfReaderPageSetCropBox":_PdfReaderPageSetCropBox,"PdfReaderPageSetMediaBox":_PdfReaderPageSetMediaBox,"PdfReaderPageSetRotation":_PdfReaderPageSetRotation,"PdfReaderReadPdfPageImageInfo":_PdfReaderReadPdfPageImageInfo,"PdfReaderReadPdfPageToImageEx":_PdfReaderReadPdfPageToImageEx,"PdfReaderSearchText":_PdfReaderSearchText,"PdfReaderSetPdfInfo":_PdfReaderSetPdfInfo,"PdfReaderSetRenderAnnotations":_PdfReaderSetRenderAnnotations,"PdfReaderSetRenderGrayscale":_PdfReaderSetRenderGrayscale,"PdfReaderSetRenderLimitImageSize":_PdfReaderSetRenderLimitImageSize,"PdfReaderUnloadDocument":_PdfReaderUnloadDocument,"PdfReaderUnloadPdfPage":_PdfReaderUnloadPdfPage,"PdfReaderWriteEncryptedPdf":_PdfReaderWriteEncryptedPdf,"PdfReaderWritePdf":_PdfReaderWritePdf,"RGBAtoDIB":_RGBAtoDIB,"RotateJPEGByExif":_RotateJPEGByExif,"SEED_decrypt":_SEED_decrypt,"SEED_encrypt":_SEED_encrypt,"SM4_decrypt":_SM4_decrypt,"SM4_encrypt":_SM4_encrypt,"SaveDIBToJbig2":_SaveDIBToJbig2,"SaveDIBToJpegEx":_SaveDIBToJpegEx,"SaveDIBtoJP2":_SaveDIBtoJP2,"SaveDIBtoJPEG":_SaveDIBtoJPEG,"SaveDIBtoOnePageTiff":_SaveDIBtoOnePageTiff,"SaveDIBtoPNG":_SaveDIBtoPNG,"SaveRGBA_BGRAtoJPEG":_SaveRGBA_BGRAtoJPEG,"SaveRGBA_BGRAtoPNG":_SaveRGBA_BGRAtoPNG,"TIFFFaxBlackCodes":_TIFFFaxBlackCodes,"TIFFFaxBlackTable":_TIFFFaxBlackTable,"TIFFFaxMainTable":_TIFFFaxMainTable,"TIFFFaxWhiteCodes":_TIFFFaxWhiteCodes,"TIFFFaxWhiteTable":_TIFFFaxWhiteTable,"TIFFInitCCITTFax3":_TIFFInitCCITTFax3,"TIFFInitCCITTFax4":_TIFFInitCCITTFax4,"TIFFInitCCITTRLE":_TIFFInitCCITTRLE,"TIFFInitCCITTRLEW":_TIFFInitCCITTRLEW,"TIFFInitDumpMode":_TIFFInitDumpMode,"TIFFInitJPEG":_TIFFInitJPEG,"TIFFInitLZW":_TIFFInitLZW,"TIFFInitNeXT":_TIFFInitNeXT,"TIFFInitOJPEG":_TIFFInitOJPEG,"TIFFInitPackBits":_TIFFInitPackBits,"TIFFInitPixarLog":_TIFFInitPixarLog,"TIFFInitSGILog":_TIFFInitSGILog,"TIFFInitThunderScan":_TIFFInitThunderScan,"TIFFInitZIP":_TIFFInitZIP,"X509V3_conf_free":_X509V3_conf_free,"_TIFFBuiltinCODECS":__TIFFBuiltinCODECS,"_TIFFDefaultStripSize":__TIFFDefaultStripSize,"_TIFFDefaultTileSize":__TIFFDefaultTileSize,"_TIFFFax3fillruns":__TIFFFax3fillruns,"_TIFFNoPostDecode":__TIFFNoPostDecode,"_TIFFNoPreCode":__TIFFNoPreCode,"_TIFFNoRowDecode":__TIFFNoRowDecode,"_TIFFNoRowEncode":__TIFFNoRowEncode,"_TIFFNoSeek":__TIFFNoSeek,"_TIFFNoStripDecode":__TIFFNoStripDecode,"_TIFFNoStripEncode":__TIFFNoStripEncode,"_TIFFNoTileDecode":__TIFFNoTileDecode,"_TIFFNoTileEncode":__TIFFNoTileEncode,"_TIFFSwab16BitData":__TIFFSwab16BitData,"_TIFFSwab24BitData":__TIFFSwab24BitData,"_TIFFSwab32BitData":__TIFFSwab32BitData,"_TIFFSwab64BitData":__TIFFSwab64BitData,"_TIFFerrorHandler":__TIFFerrorHandler,"_TIFFerrorHandlerExt":__TIFFerrorHandlerExt,"_TIFFwarningHandler":__TIFFwarningHandler,"_TIFFwarningHandlerExt":__TIFFwarningHandlerExt,"_ZN10CPDF_Array9AppendNewI9CPDF_NameJRA10_KcEEENSt3__29enable_ifIXsr16CanInternStringsIT_EE5valueEN5fxcrt9RetainPtrIS7_EEE4typeEDpOT0_":__ZN10CPDF_Array9AppendNewI9CPDF_NameJRA10_KcEEENSt3__29enable_ifIXsr16CanInternStringsIT_EE5valueEN5fxcrt9RetainPtrIS7_EEE4typeEDpOT0_,"_ZN10CPDF_Array9AppendNewI9CPDF_NameJRA11_KcEEENSt3__29enable_ifIXsr16CanInternStringsIT_EE5valueEN5fxcrt9RetainPtrIS7_EEE4typeEDpOT0_":__ZN10CPDF_Array9AppendNewI9CPDF_NameJRA11_KcEEENSt3__29enable_ifIXsr16CanInternStringsIT_EE5valueEN5fxcrt9RetainPtrIS7_EEE4typeEDpOT0_,"_ZN10CPDF_Array9AppendNewIS_JEEENSt3__29enable_ifIXsr16CanInternStringsIT_EE5valueEN5fxcrt9RetainPtrIS3_EEE4typeEDpOT0_":__ZN10CPDF_Array9AppendNewIS_JEEENSt3__29enable_ifIXsr16CanInternStringsIT_EE5valueEN5fxcrt9RetainPtrIS3_EEE4typeEDpOT0_,"_ZN11MyStringBufD0Ev":__ZN11MyStringBufD0Ev,"_ZN15CPDF_Dictionary9SetNewForI10CPDF_ArrayJEEENSt3__29enable_ifIXsr16CanInternStringsIT_EE5valueEN5fxcrt9RetainPtrIS4_EEE4typeERKNS5_10ByteStringEDpOT0_":__ZN15CPDF_Dictionary9SetNewForI10CPDF_ArrayJEEENSt3__29enable_ifIXsr16CanInternStringsIT_EE5valueEN5fxcrt9RetainPtrIS4_EEE4typeERKNS5_10ByteStringEDpOT0_,"_ZN15CPDF_Dictionary9SetNewForI11CPDF_NumberJfEEENSt3__29enable_ifIXntsr16CanInternStringsIT_EE5valueEN5fxcrt9RetainPtrIS4_EEE4typeERKNS5_10ByteStringEDpOT0_":__ZN15CPDF_Dictionary9SetNewForI11CPDF_NumberJfEEENSt3__29enable_ifIXntsr16CanInternStringsIT_EE5valueEN5fxcrt9RetainPtrIS4_EEE4typeERKNS5_10ByteStringEDpOT0_,"_ZN16STDStreamsReaderIdE4ReadERKNSt3__212basic_stringIcNS1_11char_traitsIcEENS1_9allocatorIcEEEERd":__ZN16STDStreamsReaderIdE4ReadERKNSt3__212basic_stringIcNS1_11char_traitsIcEENS1_9allocatorIcEEEERd,"_ZN16STDStreamsReaderIiE4ReadERKNSt3__212basic_stringIcNS1_11char_traitsIcEENS1_9allocatorIcEEEERi":__ZN16STDStreamsReaderIiE4ReadERKNSt3__212basic_stringIcNS1_11char_traitsIcEENS1_9allocatorIcEEEERi,"_ZN16STDStreamsReaderIlE4ReadERKNSt3__212basic_stringIcNS1_11char_traitsIcEENS1_9allocatorIcEEEERl":__ZN16STDStreamsReaderIlE4ReadERKNSt3__212basic_stringIcNS1_11char_traitsIcEENS1_9allocatorIcEEEERl,"_ZN17CFFANSIFontWriterD0Ev":__ZN17CFFANSIFontWriterD0Ev,"_ZN17CFFANSIFontWriterD2Ev":__ZN17CFFANSIFontWriterD2Ev,"_ZN25WrittenFontRepresentation26GetGlyphIDsAsOrderedVectorEv":__ZN25WrittenFontRepresentation26GetGlyphIDsAsOrderedVectorEv,"_ZN37Type1InterpreterImplementationAdapter10Type1HstemERKNSt3__24listIlNS0_9allocatorIlEEEE":__ZN37Type1InterpreterImplementationAdapter10Type1HstemERKNSt3__24listIlNS0_9allocatorIlEEEE,"_ZN37Type1InterpreterImplementationAdapter10Type1VstemERKNSt3__24listIlNS0_9allocatorIlEEEE":__ZN37Type1InterpreterImplementationAdapter10Type1VstemERKNSt3__24listIlNS0_9allocatorIlEEEE,"_ZN37Type1InterpreterImplementationAdapter11Type1HStem3ERKNSt3__24listIlNS0_9allocatorIlEEEE":__ZN37Type1InterpreterImplementationAdapter11Type1HStem3ERKNSt3__24listIlNS0_9allocatorIlEEEE,"_ZN37Type1InterpreterImplementationAdapter11Type1ReturnERKNSt3__24listIlNS0_9allocatorIlEEEE":__ZN37Type1InterpreterImplementationAdapter11Type1ReturnERKNSt3__24listIlNS0_9allocatorIlEEEE,"_ZN37Type1InterpreterImplementationAdapter11Type1VStem3ERKNSt3__24listIlNS0_9allocatorIlEEEE":__ZN37Type1InterpreterImplementationAdapter11Type1VStem3ERKNSt3__24listIlNS0_9allocatorIlEEEE,"_ZN37Type1InterpreterImplementationAdapter12Type1EndcharERKNSt3__24listIlNS0_9allocatorIlEEEE":__ZN37Type1InterpreterImplementationAdapter12Type1EndcharERKNSt3__24listIlNS0_9allocatorIlEEEE,"_ZN37Type1InterpreterImplementationAdapter12Type1HLinetoERKNSt3__24listIlNS0_9allocatorIlEEEE":__ZN37Type1InterpreterImplementationAdapter12Type1HLinetoERKNSt3__24listIlNS0_9allocatorIlEEEE,"_ZN37Type1InterpreterImplementationAdapter12Type1HMovetoERKNSt3__24listIlNS0_9allocatorIlEEEE":__ZN37Type1InterpreterImplementationAdapter12Type1HMovetoERKNSt3__24listIlNS0_9allocatorIlEEEE,"_ZN37Type1InterpreterImplementationAdapter12Type1RLinetoERKNSt3__24listIlNS0_9allocatorIlEEEE":__ZN37Type1InterpreterImplementationAdapter12Type1RLinetoERKNSt3__24listIlNS0_9allocatorIlEEEE,"_ZN37Type1InterpreterImplementationAdapter12Type1RMovetoERKNSt3__24listIlNS0_9allocatorIlEEEE":__ZN37Type1InterpreterImplementationAdapter12Type1RMovetoERKNSt3__24listIlNS0_9allocatorIlEEEE,"_ZN37Type1InterpreterImplementationAdapter12Type1VLinetoERKNSt3__24listIlNS0_9allocatorIlEEEE":__ZN37Type1InterpreterImplementationAdapter12Type1VLinetoERKNSt3__24listIlNS0_9allocatorIlEEEE,"_ZN37Type1InterpreterImplementationAdapter12Type1VMovetoERKNSt3__24listIlNS0_9allocatorIlEEEE":__ZN37Type1InterpreterImplementationAdapter12Type1VMovetoERKNSt3__24listIlNS0_9allocatorIlEEEE,"_ZN37Type1InterpreterImplementationAdapter13CallOtherSubrERKNSt3__24listIlNS0_9allocatorIlEEEERS4_":__ZN37Type1InterpreterImplementationAdapter13CallOtherSubrERKNSt3__24listIlNS0_9allocatorIlEEEERS4_,"_ZN37Type1InterpreterImplementationAdapter14Type1ClosePathERKNSt3__24listIlNS0_9allocatorIlEEEE":__ZN37Type1InterpreterImplementationAdapter14Type1ClosePathERKNSt3__24listIlNS0_9allocatorIlEEEE,"_ZN37Type1InterpreterImplementationAdapter14Type1HVCurvetoERKNSt3__24listIlNS0_9allocatorIlEEEE":__ZN37Type1InterpreterImplementationAdapter14Type1HVCurvetoERKNSt3__24listIlNS0_9allocatorIlEEEE,"_ZN37Type1InterpreterImplementationAdapter14Type1RRCurvetoERKNSt3__24listIlNS0_9allocatorIlEEEE":__ZN37Type1InterpreterImplementationAdapter14Type1RRCurvetoERKNSt3__24listIlNS0_9allocatorIlEEEE,"_ZN37Type1InterpreterImplementationAdapter14Type1VHCurvetoERKNSt3__24listIlNS0_9allocatorIlEEEE":__ZN37Type1InterpreterImplementationAdapter14Type1VHCurvetoERKNSt3__24listIlNS0_9allocatorIlEEEE,"_ZN37Type1InterpreterImplementationAdapter15Type1DotSectionERKNSt3__24listIlNS0_9allocatorIlEEEE":__ZN37Type1InterpreterImplementationAdapter15Type1DotSectionERKNSt3__24listIlNS0_9allocatorIlEEEE,"_ZN37Type1InterpreterImplementationAdapter20Type1InterpretNumberEl":__ZN37Type1InterpreterImplementationAdapter20Type1InterpretNumberEl,"_ZN37Type1InterpreterImplementationAdapter20Type1SetCurrentPointERKNSt3__24listIlNS0_9allocatorIlEEEE":__ZN37Type1InterpreterImplementationAdapter20Type1SetCurrentPointERKNSt3__24listIlNS0_9allocatorIlEEEE,"_ZN37Type1InterpreterImplementationAdapter8Type1DivERKNSt3__24listIlNS0_9allocatorIlEEEE":__ZN37Type1InterpreterImplementationAdapter8Type1DivERKNSt3__24listIlNS0_9allocatorIlEEEE,"_ZN37Type1InterpreterImplementationAdapter8Type1PopERKNSt3__24listIlNS0_9allocatorIlEEEES6_":__ZN37Type1InterpreterImplementationAdapter8Type1PopERKNSt3__24listIlNS0_9allocatorIlEEEES6_,"_ZN37Type1InterpreterImplementationAdapter8Type1SbwERKNSt3__24listIlNS0_9allocatorIlEEEE":__ZN37Type1InterpreterImplementationAdapter8Type1SbwERKNSt3__24listIlNS0_9allocatorIlEEEE,"_ZN37Type1InterpreterImplementationAdapter9Type1HsbwERKNSt3__24listIlNS0_9allocatorIlEEEE":__ZN37Type1InterpreterImplementationAdapter9Type1HsbwERKNSt3__24listIlNS0_9allocatorIlEEEE,"_ZN37Type2InterpreterImplementationAdapter10Type2Flex1ERKNSt3__24listI17CharStringOperandNS0_9allocatorIS2_EEEE":__ZN37Type2InterpreterImplementationAdapter10Type2Flex1ERKNSt3__24listI17CharStringOperandNS0_9allocatorIS2_EEEE,"_ZN37Type2InterpreterImplementationAdapter10Type2HflexERKNSt3__24listI17CharStringOperandNS0_9allocatorIS2_EEEE":__ZN37Type2InterpreterImplementationAdapter10Type2HflexERKNSt3__24listI17CharStringOperandNS0_9allocatorIS2_EEEE,"_ZN37Type2InterpreterImplementationAdapter10Type2HstemERKNSt3__24listI17CharStringOperandNS0_9allocatorIS2_EEEE":__ZN37Type2InterpreterImplementationAdapter10Type2HstemERKNSt3__24listI17CharStringOperandNS0_9allocatorIS2_EEEE,"_ZN37Type2InterpreterImplementationAdapter10Type2IndexERKNSt3__24listI17CharStringOperandNS0_9allocatorIS2_EEEE":__ZN37Type2InterpreterImplementationAdapter10Type2IndexERKNSt3__24listI17CharStringOperandNS0_9allocatorIS2_EEEE,"_ZN37Type2InterpreterImplementationAdapter10Type2VstemERKNSt3__24listI17CharStringOperandNS0_9allocatorIS2_EEEE":__ZN37Type2InterpreterImplementationAdapter10Type2VstemERKNSt3__24listI17CharStringOperandNS0_9allocatorIS2_EEEE,"_ZN37Type2InterpreterImplementationAdapter11Type2Hflex1ERKNSt3__24listI17CharStringOperandNS0_9allocatorIS2_EEEE":__ZN37Type2InterpreterImplementationAdapter11Type2Hflex1ERKNSt3__24listI17CharStringOperandNS0_9allocatorIS2_EEEE,"_ZN37Type2InterpreterImplementationAdapter11Type2IfelseERKNSt3__24listI17CharStringOperandNS0_9allocatorIS2_EEEE":__ZN37Type2InterpreterImplementationAdapter11Type2IfelseERKNSt3__24listI17CharStringOperandNS0_9allocatorIS2_EEEE,"_ZN37Type2InterpreterImplementationAdapter11Type2RandomERKNSt3__24listI17CharStringOperandNS0_9allocatorIS2_EEEE":__ZN37Type2InterpreterImplementationAdapter11Type2RandomERKNSt3__24listI17CharStringOperandNS0_9allocatorIS2_EEEE,"_ZN37Type2InterpreterImplementationAdapter11Type2ReturnERKNSt3__24listI17CharStringOperandNS0_9allocatorIS2_EEEE":__ZN37Type2InterpreterImplementationAdapter11Type2ReturnERKNSt3__24listI17CharStringOperandNS0_9allocatorIS2_EEEE,"_ZN37Type2InterpreterImplementationAdapter12Type2HlinetoERKNSt3__24listI17CharStringOperandNS0_9allocatorIS2_EEEE":__ZN37Type2InterpreterImplementationAdapter12Type2HlinetoERKNSt3__24listI17CharStringOperandNS0_9allocatorIS2_EEEE,"_ZN37Type2InterpreterImplementationAdapter12Type2HmovetoERKNSt3__24listI17CharStringOperandNS0_9allocatorIS2_EEEE":__ZN37Type2InterpreterImplementationAdapter12Type2HmovetoERKNSt3__24listI17CharStringOperandNS0_9allocatorIS2_EEEE,"_ZN37Type2InterpreterImplementationAdapter12Type2HstemhmERKNSt3__24listI17CharStringOperandNS0_9allocatorIS2_EEEE":__ZN37Type2InterpreterImplementationAdapter12Type2HstemhmERKNSt3__24listI17CharStringOperandNS0_9allocatorIS2_EEEE,"_ZN37Type2InterpreterImplementationAdapter12Type2RlinetoERKNSt3__24listI17CharStringOperandNS0_9allocatorIS2_EEEE":__ZN37Type2InterpreterImplementationAdapter12Type2RlinetoERKNSt3__24listI17CharStringOperandNS0_9allocatorIS2_EEEE,"_ZN37Type2InterpreterImplementationAdapter12Type2RmovetoERKNSt3__24listI17CharStringOperandNS0_9allocatorIS2_EEEE":__ZN37Type2InterpreterImplementationAdapter12Type2RmovetoERKNSt3__24listI17CharStringOperandNS0_9allocatorIS2_EEEE,"_ZN37Type2InterpreterImplementationAdapter12Type2VlinetoERKNSt3__24listI17CharStringOperandNS0_9allocatorIS2_EEEE":__ZN37Type2InterpreterImplementationAdapter12Type2VlinetoERKNSt3__24listI17CharStringOperandNS0_9allocatorIS2_EEEE,"_ZN37Type2InterpreterImplementationAdapter12Type2VmovetoERKNSt3__24listI17CharStringOperandNS0_9allocatorIS2_EEEE":__ZN37Type2InterpreterImplementationAdapter12Type2VmovetoERKNSt3__24listI17CharStringOperandNS0_9allocatorIS2_EEEE,"_ZN37Type2InterpreterImplementationAdapter12Type2VstemhmERKNSt3__24listI17CharStringOperandNS0_9allocatorIS2_EEEE":__ZN37Type2InterpreterImplementationAdapter12Type2VstemhmERKNSt3__24listI17CharStringOperandNS0_9allocatorIS2_EEEE,"_ZN37Type2InterpreterImplementationAdapter13Type2CntrmaskERKNSt3__24listI17CharStringOperandNS0_9allocatorIS2_EEEEPhx":__ZN37Type2InterpreterImplementationAdapter13Type2CntrmaskERKNSt3__24listI17CharStringOperandNS0_9allocatorIS2_EEEEPhx,"_ZN37Type2InterpreterImplementationAdapter13Type2HintmaskERKNSt3__24listI17CharStringOperandNS0_9allocatorIS2_EEEEPhx":__ZN37Type2InterpreterImplementationAdapter13Type2HintmaskERKNSt3__24listI17CharStringOperandNS0_9allocatorIS2_EEEEPhx,"_ZN37Type2InterpreterImplementationAdapter14Type2HhcurvetoERKNSt3__24listI17CharStringOperandNS0_9allocatorIS2_EEEE":__ZN37Type2InterpreterImplementationAdapter14Type2HhcurvetoERKNSt3__24listI17CharStringOperandNS0_9allocatorIS2_EEEE,"_ZN37Type2InterpreterImplementationAdapter14Type2HvcurvetoERKNSt3__24listI17CharStringOperandNS0_9allocatorIS2_EEEE":__ZN37Type2InterpreterImplementationAdapter14Type2HvcurvetoERKNSt3__24listI17CharStringOperandNS0_9allocatorIS2_EEEE,"_ZN37Type2InterpreterImplementationAdapter14Type2RRCurvetoERKNSt3__24listI17CharStringOperandNS0_9allocatorIS2_EEEE":__ZN37Type2InterpreterImplementationAdapter14Type2RRCurvetoERKNSt3__24listI17CharStringOperandNS0_9allocatorIS2_EEEE,"_ZN37Type2InterpreterImplementationAdapter14Type2VhcurvetoERKNSt3__24listI17CharStringOperandNS0_9allocatorIS2_EEEE":__ZN37Type2InterpreterImplementationAdapter14Type2VhcurvetoERKNSt3__24listI17CharStringOperandNS0_9allocatorIS2_EEEE,"_ZN37Type2InterpreterImplementationAdapter14Type2VvcurvetoERKNSt3__24listI17CharStringOperandNS0_9allocatorIS2_EEEE":__ZN37Type2InterpreterImplementationAdapter14Type2VvcurvetoERKNSt3__24listI17CharStringOperandNS0_9allocatorIS2_EEEE,"_ZN37Type2InterpreterImplementationAdapter15Type2RcurvelineERKNSt3__24listI17CharStringOperandNS0_9allocatorIS2_EEEE":__ZN37Type2InterpreterImplementationAdapter15Type2RcurvelineERKNSt3__24listI17CharStringOperandNS0_9allocatorIS2_EEEE,"_ZN37Type2InterpreterImplementationAdapter15Type2RlinecurveERKNSt3__24listI17CharStringOperandNS0_9allocatorIS2_EEEE":__ZN37Type2InterpreterImplementationAdapter15Type2RlinecurveERKNSt3__24listI17CharStringOperandNS0_9allocatorIS2_EEEE,"_ZN37Type2InterpreterImplementationAdapter20Type2InterpretNumberERK17CharStringOperand":__ZN37Type2InterpreterImplementationAdapter20Type2InterpretNumberERK17CharStringOperand,"_ZN37Type2InterpreterImplementationAdapter7Type2EqERKNSt3__24listI17CharStringOperandNS0_9allocatorIS2_EEEE":__ZN37Type2InterpreterImplementationAdapter7Type2EqERKNSt3__24listI17CharStringOperandNS0_9allocatorIS2_EEEE,"_ZN37Type2InterpreterImplementationAdapter7Type2OrERKNSt3__24listI17CharStringOperandNS0_9allocatorIS2_EEEE":__ZN37Type2InterpreterImplementationAdapter7Type2OrERKNSt3__24listI17CharStringOperandNS0_9allocatorIS2_EEEE,"_ZN37Type2InterpreterImplementationAdapter8Type2AbsERKNSt3__24listI17CharStringOperandNS0_9allocatorIS2_EEEE":__ZN37Type2InterpreterImplementationAdapter8Type2AbsERKNSt3__24listI17CharStringOperandNS0_9allocatorIS2_EEEE,"_ZN37Type2InterpreterImplementationAdapter8Type2AddERKNSt3__24listI17CharStringOperandNS0_9allocatorIS2_EEEE":__ZN37Type2InterpreterImplementationAdapter8Type2AddERKNSt3__24listI17CharStringOperandNS0_9allocatorIS2_EEEE,"_ZN37Type2InterpreterImplementationAdapter8Type2AndERKNSt3__24listI17CharStringOperandNS0_9allocatorIS2_EEEE":__ZN37Type2InterpreterImplementationAdapter8Type2AndERKNSt3__24listI17CharStringOperandNS0_9allocatorIS2_EEEE,"_ZN37Type2InterpreterImplementationAdapter8Type2DivERKNSt3__24listI17CharStringOperandNS0_9allocatorIS2_EEEE":__ZN37Type2InterpreterImplementationAdapter8Type2DivERKNSt3__24listI17CharStringOperandNS0_9allocatorIS2_EEEE,"_ZN37Type2InterpreterImplementationAdapter8Type2DupERKNSt3__24listI17CharStringOperandNS0_9allocatorIS2_EEEE":__ZN37Type2InterpreterImplementationAdapter8Type2DupERKNSt3__24listI17CharStringOperandNS0_9allocatorIS2_EEEE,"_ZN37Type2InterpreterImplementationAdapter8Type2GetERKNSt3__24listI17CharStringOperandNS0_9allocatorIS2_EEEE":__ZN37Type2InterpreterImplementationAdapter8Type2GetERKNSt3__24listI17CharStringOperandNS0_9allocatorIS2_EEEE,"_ZN37Type2InterpreterImplementationAdapter8Type2MulERKNSt3__24listI17CharStringOperandNS0_9allocatorIS2_EEEE":__ZN37Type2InterpreterImplementationAdapter8Type2MulERKNSt3__24listI17CharStringOperandNS0_9allocatorIS2_EEEE,"_ZN37Type2InterpreterImplementationAdapter8Type2NegERKNSt3__24listI17CharStringOperandNS0_9allocatorIS2_EEEE":__ZN37Type2InterpreterImplementationAdapter8Type2NegERKNSt3__24listI17CharStringOperandNS0_9allocatorIS2_EEEE,"_ZN37Type2InterpreterImplementationAdapter8Type2NotERKNSt3__24listI17CharStringOperandNS0_9allocatorIS2_EEEE":__ZN37Type2InterpreterImplementationAdapter8Type2NotERKNSt3__24listI17CharStringOperandNS0_9allocatorIS2_EEEE,"_ZN37Type2InterpreterImplementationAdapter8Type2PutERKNSt3__24listI17CharStringOperandNS0_9allocatorIS2_EEEE":__ZN37Type2InterpreterImplementationAdapter8Type2PutERKNSt3__24listI17CharStringOperandNS0_9allocatorIS2_EEEE,"_ZN37Type2InterpreterImplementationAdapter8Type2SubERKNSt3__24listI17CharStringOperandNS0_9allocatorIS2_EEEE":__ZN37Type2InterpreterImplementationAdapter8Type2SubERKNSt3__24listI17CharStringOperandNS0_9allocatorIS2_EEEE,"_ZN37Type2InterpreterImplementationAdapter9Type2DropERKNSt3__24listI17CharStringOperandNS0_9allocatorIS2_EEEE":__ZN37Type2InterpreterImplementationAdapter9Type2DropERKNSt3__24listI17CharStringOperandNS0_9allocatorIS2_EEEE,"_ZN37Type2InterpreterImplementationAdapter9Type2ExchERKNSt3__24listI17CharStringOperandNS0_9allocatorIS2_EEEE":__ZN37Type2InterpreterImplementationAdapter9Type2ExchERKNSt3__24listI17CharStringOperandNS0_9allocatorIS2_EEEE,"_ZN37Type2InterpreterImplementationAdapter9Type2FlexERKNSt3__24listI17CharStringOperandNS0_9allocatorIS2_EEEE":__ZN37Type2InterpreterImplementationAdapter9Type2FlexERKNSt3__24listI17CharStringOperandNS0_9allocatorIS2_EEEE,"_ZN37Type2InterpreterImplementationAdapter9Type2RollERKNSt3__24listI17CharStringOperandNS0_9allocatorIS2_EEEE":__ZN37Type2InterpreterImplementationAdapter9Type2RollERKNSt3__24listI17CharStringOperandNS0_9allocatorIS2_EEEE,"_ZN37Type2InterpreterImplementationAdapter9Type2SqrtERKNSt3__24listI17CharStringOperandNS0_9allocatorIS2_EEEE":__ZN37Type2InterpreterImplementationAdapter9Type2SqrtERKNSt3__24listI17CharStringOperandNS0_9allocatorIS2_EEEE,"_ZN6pdfium10MakeRetainI10CPDF_ArrayJEEEN5fxcrt9RetainPtrIT_EEDpOT0_":__ZN6pdfium10MakeRetainI10CPDF_ArrayJEEEN5fxcrt9RetainPtrIT_EEDpOT0_,"_ZN6pdfium10MakeRetainI11CPDF_NumberJiEEEN5fxcrt9RetainPtrIT_EEDpOT0_":__ZN6pdfium10MakeRetainI11CPDF_NumberJiEEEN5fxcrt9RetainPtrIT_EEDpOT0_,"_ZN6pdfium10MakeRetainI11CPDF_StringJRN5fxcrt7WeakPtrINS2_18StringPoolTemplateINS2_10ByteStringEEENSt3__214default_deleteIS6_EEEENS2_18StringViewTemplateIwEEEEENS2_9RetainPtrIT_EEDpOT0_":__ZN6pdfium10MakeRetainI11CPDF_StringJRN5fxcrt7WeakPtrINS2_18StringPoolTemplateINS2_10ByteStringEEENSt3__214default_deleteIS6_EEEENS2_18StringViewTemplateIwEEEEENS2_9RetainPtrIT_EEDpOT0_,"_ZN6pdfium10MakeRetainI11CPDF_StringJRN5fxcrt7WeakPtrINS2_18StringPoolTemplateINS2_10ByteStringEEENSt3__214default_deleteIS6_EEEEPKcbEEENS2_9RetainPtrIT_EEDpOT0_":__ZN6pdfium10MakeRetainI11CPDF_StringJRN5fxcrt7WeakPtrINS2_18StringPoolTemplateINS2_10ByteStringEEENSt3__214default_deleteIS6_EEEEPKcbEEENS2_9RetainPtrIT_EEDpOT0_,"_ZN6pdfium10MakeRetainI11CPDF_StringJRN5fxcrt7WeakPtrINS2_18StringPoolTemplateINS2_10ByteStringEEENSt3__214default_deleteIS6_EEEERPKcbEEENS2_9RetainPtrIT_EEDpOT0_":__ZN6pdfium10MakeRetainI11CPDF_StringJRN5fxcrt7WeakPtrINS2_18StringPoolTemplateINS2_10ByteStringEEENSt3__214default_deleteIS6_EEEERPKcbEEENS2_9RetainPtrIT_EEDpOT0_,"_ZN6pdfium10MakeRetainI11CPDF_StringJRN5fxcrt7WeakPtrINS2_18StringPoolTemplateINS2_10ByteStringEEENSt3__214default_deleteIS6_EEEERS5_bEEENS2_9RetainPtrIT_EEDpOT0_":__ZN6pdfium10MakeRetainI11CPDF_StringJRN5fxcrt7WeakPtrINS2_18StringPoolTemplateINS2_10ByteStringEEENSt3__214default_deleteIS6_EEEERS5_bEEENS2_9RetainPtrIT_EEDpOT0_,"_ZN6pdfium10MakeRetainI14CPDF_StreamAccJN5fxcrt9RetainPtrIK11CPDF_StreamEEEEENS3_IT_EEDpOT0_":__ZN6pdfium10MakeRetainI14CPDF_StreamAccJN5fxcrt9RetainPtrIK11CPDF_StreamEEEEENS3_IT_EEDpOT0_,"_ZN6pdfium10MakeRetainI9CPDF_CMapJRNS_4spanIKhEEEEEN5fxcrt9RetainPtrIT_EEDpOT0_":__ZN6pdfium10MakeRetainI9CPDF_CMapJRNS_4spanIKhEEEEEN5fxcrt9RetainPtrIT_EEDpOT0_,"_ZN6pdfium10MakeRetainI9CPDF_NameJN5fxcrt7WeakPtrINS2_18StringPoolTemplateINS2_10ByteStringEEENSt3__214default_deleteIS6_EEEEPKcEEENS2_9RetainPtrIT_EEDpOT0_":__ZN6pdfium10MakeRetainI9CPDF_NameJN5fxcrt7WeakPtrINS2_18StringPoolTemplateINS2_10ByteStringEEENSt3__214default_deleteIS6_EEEEPKcEEENS2_9RetainPtrIT_EEDpOT0_,"_ZN6pdfium10MakeRetainI9CPDF_NameJN5fxcrt7WeakPtrINS2_18StringPoolTemplateINS2_10ByteStringEEENSt3__214default_deleteIS6_EEEERA10_KcEEENS2_9RetainPtrIT_EEDpOT0_":__ZN6pdfium10MakeRetainI9CPDF_NameJN5fxcrt7WeakPtrINS2_18StringPoolTemplateINS2_10ByteStringEEENSt3__214default_deleteIS6_EEEERA10_KcEEENS2_9RetainPtrIT_EEDpOT0_,"_ZN6pdfium10MakeRetainI9CPDF_NameJN5fxcrt7WeakPtrINS2_18StringPoolTemplateINS2_10ByteStringEEENSt3__214default_deleteIS6_EEEERA5_KcEEENS2_9RetainPtrIT_EEDpOT0_":__ZN6pdfium10MakeRetainI9CPDF_NameJN5fxcrt7WeakPtrINS2_18StringPoolTemplateINS2_10ByteStringEEENSt3__214default_deleteIS6_EEEERA5_KcEEENS2_9RetainPtrIT_EEDpOT0_,"_ZN6pdfium10MakeRetainI9CPDF_NameJN5fxcrt7WeakPtrINS2_18StringPoolTemplateINS2_10ByteStringEEENSt3__214default_deleteIS6_EEEERA8_KcEEENS2_9RetainPtrIT_EEDpOT0_":__ZN6pdfium10MakeRetainI9CPDF_NameJN5fxcrt7WeakPtrINS2_18StringPoolTemplateINS2_10ByteStringEEENSt3__214default_deleteIS6_EEEERA8_KcEEENS2_9RetainPtrIT_EEDpOT0_,"_ZN6pdfium10MakeRetainI9CPDF_NameJN5fxcrt7WeakPtrINS2_18StringPoolTemplateINS2_10ByteStringEEENSt3__214default_deleteIS6_EEEERS5_EEENS2_9RetainPtrIT_EEDpOT0_":__ZN6pdfium10MakeRetainI9CPDF_NameJN5fxcrt7WeakPtrINS2_18StringPoolTemplateINS2_10ByteStringEEENSt3__214default_deleteIS6_EEEERS5_EEENS2_9RetainPtrIT_EEDpOT0_,"_ZN6pdfium10MakeRetainI9CPDF_NameJN5fxcrt7WeakPtrINS2_18StringPoolTemplateINS2_10ByteStringEEENSt3__214default_deleteIS6_EEEES5_EEENS2_9RetainPtrIT_EEDpOT0_":__ZN6pdfium10MakeRetainI9CPDF_NameJN5fxcrt7WeakPtrINS2_18StringPoolTemplateINS2_10ByteStringEEENSt3__214default_deleteIS6_EEEES5_EEENS2_9RetainPtrIT_EEDpOT0_,"_ZN6pdfium10MakeRetainI9CPDF_NameJRN5fxcrt7WeakPtrINS2_18StringPoolTemplateINS2_10ByteStringEEENSt3__214default_deleteIS6_EEEEPKcEEENS2_9RetainPtrIT_EEDpOT0_":__ZN6pdfium10MakeRetainI9CPDF_NameJRN5fxcrt7WeakPtrINS2_18StringPoolTemplateINS2_10ByteStringEEENSt3__214default_deleteIS6_EEEEPKcEEENS2_9RetainPtrIT_EEDpOT0_,"_ZN6pdfium10MakeRetainI9CPDF_NameJRN5fxcrt7WeakPtrINS2_18StringPoolTemplateINS2_10ByteStringEEENSt3__214default_deleteIS6_EEEERA10_KcEEENS2_9RetainPtrIT_EEDpOT0_":__ZN6pdfium10MakeRetainI9CPDF_NameJRN5fxcrt7WeakPtrINS2_18StringPoolTemplateINS2_10ByteStringEEENSt3__214default_deleteIS6_EEEERA10_KcEEENS2_9RetainPtrIT_EEDpOT0_,"_ZN6pdfium10MakeRetainI9CPDF_NameJRN5fxcrt7WeakPtrINS2_18StringPoolTemplateINS2_10ByteStringEEENSt3__214default_deleteIS6_EEEERA11_KcEEENS2_9RetainPtrIT_EEDpOT0_":__ZN6pdfium10MakeRetainI9CPDF_NameJRN5fxcrt7WeakPtrINS2_18StringPoolTemplateINS2_10ByteStringEEENSt3__214default_deleteIS6_EEEERA11_KcEEENS2_9RetainPtrIT_EEDpOT0_,"_ZN6pdfium10MakeRetainI9CPDF_NameJRN5fxcrt7WeakPtrINS2_18StringPoolTemplateINS2_10ByteStringEEENSt3__214default_deleteIS6_EEEERA12_KcEEENS2_9RetainPtrIT_EEDpOT0_":__ZN6pdfium10MakeRetainI9CPDF_NameJRN5fxcrt7WeakPtrINS2_18StringPoolTemplateINS2_10ByteStringEEENSt3__214default_deleteIS6_EEEERA12_KcEEENS2_9RetainPtrIT_EEDpOT0_,"_ZN6pdfium10MakeRetainI9CPDF_NameJRN5fxcrt7WeakPtrINS2_18StringPoolTemplateINS2_10ByteStringEEENSt3__214default_deleteIS6_EEEERA13_KcEEENS2_9RetainPtrIT_EEDpOT0_":__ZN6pdfium10MakeRetainI9CPDF_NameJRN5fxcrt7WeakPtrINS2_18StringPoolTemplateINS2_10ByteStringEEENSt3__214default_deleteIS6_EEEERA13_KcEEENS2_9RetainPtrIT_EEDpOT0_,"_ZN6pdfium10MakeRetainI9CPDF_NameJRN5fxcrt7WeakPtrINS2_18StringPoolTemplateINS2_10ByteStringEEENSt3__214default_deleteIS6_EEEERA15_KcEEENS2_9RetainPtrIT_EEDpOT0_":__ZN6pdfium10MakeRetainI9CPDF_NameJRN5fxcrt7WeakPtrINS2_18StringPoolTemplateINS2_10ByteStringEEENSt3__214default_deleteIS6_EEEERA15_KcEEENS2_9RetainPtrIT_EEDpOT0_,"_ZN6pdfium10MakeRetainI9CPDF_NameJRN5fxcrt7WeakPtrINS2_18StringPoolTemplateINS2_10ByteStringEEENSt3__214default_deleteIS6_EEEERA16_KcEEENS2_9RetainPtrIT_EEDpOT0_":__ZN6pdfium10MakeRetainI9CPDF_NameJRN5fxcrt7WeakPtrINS2_18StringPoolTemplateINS2_10ByteStringEEENSt3__214default_deleteIS6_EEEERA16_KcEEENS2_9RetainPtrIT_EEDpOT0_,"_ZN6pdfium10MakeRetainI9CPDF_NameJRN5fxcrt7WeakPtrINS2_18StringPoolTemplateINS2_10ByteStringEEENSt3__214default_deleteIS6_EEEERA4_KcEEENS2_9RetainPtrIT_EEDpOT0_":__ZN6pdfium10MakeRetainI9CPDF_NameJRN5fxcrt7WeakPtrINS2_18StringPoolTemplateINS2_10ByteStringEEENSt3__214default_deleteIS6_EEEERA4_KcEEENS2_9RetainPtrIT_EEDpOT0_,"_ZN6pdfium10MakeRetainI9CPDF_NameJRN5fxcrt7WeakPtrINS2_18StringPoolTemplateINS2_10ByteStringEEENSt3__214default_deleteIS6_EEEERA5_KcEEENS2_9RetainPtrIT_EEDpOT0_":__ZN6pdfium10MakeRetainI9CPDF_NameJRN5fxcrt7WeakPtrINS2_18StringPoolTemplateINS2_10ByteStringEEENSt3__214default_deleteIS6_EEEERA5_KcEEENS2_9RetainPtrIT_EEDpOT0_,"_ZN6pdfium10MakeRetainI9CPDF_NameJRN5fxcrt7WeakPtrINS2_18StringPoolTemplateINS2_10ByteStringEEENSt3__214default_deleteIS6_EEEERA6_KcEEENS2_9RetainPtrIT_EEDpOT0_":__ZN6pdfium10MakeRetainI9CPDF_NameJRN5fxcrt7WeakPtrINS2_18StringPoolTemplateINS2_10ByteStringEEENSt3__214default_deleteIS6_EEEERA6_KcEEENS2_9RetainPtrIT_EEDpOT0_,"_ZN6pdfium10MakeRetainI9CPDF_NameJRN5fxcrt7WeakPtrINS2_18StringPoolTemplateINS2_10ByteStringEEENSt3__214default_deleteIS6_EEEERA7_KcEEENS2_9RetainPtrIT_EEDpOT0_":__ZN6pdfium10MakeRetainI9CPDF_NameJRN5fxcrt7WeakPtrINS2_18StringPoolTemplateINS2_10ByteStringEEENSt3__214default_deleteIS6_EEEERA7_KcEEENS2_9RetainPtrIT_EEDpOT0_,"_ZN6pdfium10MakeRetainI9CPDF_NameJRN5fxcrt7WeakPtrINS2_18StringPoolTemplateINS2_10ByteStringEEENSt3__214default_deleteIS6_EEEERA8_KcEEENS2_9RetainPtrIT_EEDpOT0_":__ZN6pdfium10MakeRetainI9CPDF_NameJRN5fxcrt7WeakPtrINS2_18StringPoolTemplateINS2_10ByteStringEEENSt3__214default_deleteIS6_EEEERA8_KcEEENS2_9RetainPtrIT_EEDpOT0_,"_ZN6pdfium10MakeRetainI9CPDF_NameJRN5fxcrt7WeakPtrINS2_18StringPoolTemplateINS2_10ByteStringEEENSt3__214default_deleteIS6_EEEERA9_KcEEENS2_9RetainPtrIT_EEDpOT0_":__ZN6pdfium10MakeRetainI9CPDF_NameJRN5fxcrt7WeakPtrINS2_18StringPoolTemplateINS2_10ByteStringEEENSt3__214default_deleteIS6_EEEERA9_KcEEENS2_9RetainPtrIT_EEDpOT0_,"_ZN6pdfium10MakeRetainI9CPDF_NameJRN5fxcrt7WeakPtrINS2_18StringPoolTemplateINS2_10ByteStringEEENSt3__214default_deleteIS6_EEEERKS5_EEENS2_9RetainPtrIT_EEDpOT0_":__ZN6pdfium10MakeRetainI9CPDF_NameJRN5fxcrt7WeakPtrINS2_18StringPoolTemplateINS2_10ByteStringEEENSt3__214default_deleteIS6_EEEERKS5_EEENS2_9RetainPtrIT_EEDpOT0_,"_ZN6pdfium10MakeRetainI9CPDF_NameJRN5fxcrt7WeakPtrINS2_18StringPoolTemplateINS2_10ByteStringEEENSt3__214default_deleteIS6_EEEERPKcEEENS2_9RetainPtrIT_EEDpOT0_":__ZN6pdfium10MakeRetainI9CPDF_NameJRN5fxcrt7WeakPtrINS2_18StringPoolTemplateINS2_10ByteStringEEENSt3__214default_deleteIS6_EEEERPKcEEENS2_9RetainPtrIT_EEDpOT0_,"_ZN6pdfium10MakeRetainI9CPDF_NameJRN5fxcrt7WeakPtrINS2_18StringPoolTemplateINS2_10ByteStringEEENSt3__214default_deleteIS6_EEEERS5_EEENS2_9RetainPtrIT_EEDpOT0_":__ZN6pdfium10MakeRetainI9CPDF_NameJRN5fxcrt7WeakPtrINS2_18StringPoolTemplateINS2_10ByteStringEEENSt3__214default_deleteIS6_EEEERS5_EEENS2_9RetainPtrIT_EEDpOT0_,"_ZN6pdfium10MakeRetainI9CPDF_NameJRN5fxcrt7WeakPtrINS2_18StringPoolTemplateINS2_10ByteStringEEENSt3__214default_deleteIS6_EEEES5_EEENS2_9RetainPtrIT_EEDpOT0_":__ZN6pdfium10MakeRetainI9CPDF_NameJRN5fxcrt7WeakPtrINS2_18StringPoolTemplateINS2_10ByteStringEEENSt3__214default_deleteIS6_EEEES5_EEENS2_9RetainPtrIT_EEDpOT0_,"_ZNSt3__211__introsortINS_17_ClassicAlgPolicyERNS_6__lessINS_12basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEEES8_EEPS8_EEvT1_SC_T0_NS_15iterator_traitsISC_E15difference_typeE":__ZNSt3__211__introsortINS_17_ClassicAlgPolicyERNS_6__lessINS_12basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEEES8_EEPS8_EEvT1_SC_T0_NS_15iterator_traitsISC_E15difference_typeE,"_ZNSt3__211__introsortINS_17_ClassicAlgPolicyERPFbPK4StemS4_EPS4_EEvT1_S9_T0_NS_15iterator_traitsIS9_E15difference_typeE":__ZNSt3__211__introsortINS_17_ClassicAlgPolicyERPFbPK4StemS4_EPS4_EEvT1_S9_T0_NS_15iterator_traitsIS9_E15difference_typeE,"_ZNSt3__211__introsortINS_17_ClassicAlgPolicyERPFbRKNS_4pairIj17GlyphEncodingInfoEES6_EPS4_EEvT1_SB_T0_NS_15iterator_traitsISB_E15difference_typeE":__ZNSt3__211__introsortINS_17_ClassicAlgPolicyERPFbRKNS_4pairIj17GlyphEncodingInfoEES6_EPS4_EEvT1_SB_T0_NS_15iterator_traitsISB_E15difference_typeE,"_ZNSt3__211__sift_downINS_17_ClassicAlgPolicyERNS_6__lessINS_12basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEEES8_EEPS8_EEvT1_OT0_NS_15iterator_traitsISC_E15difference_typeESC_":__ZNSt3__211__sift_downINS_17_ClassicAlgPolicyERNS_6__lessINS_12basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEEES8_EEPS8_EEvT1_OT0_NS_15iterator_traitsISC_E15difference_typeESC_,"_ZNSt3__211__sift_downINS_17_ClassicAlgPolicyERPFbRKNS_4pairIj17GlyphEncodingInfoEES6_EPS4_EEvT1_OT0_NS_15iterator_traitsISB_E15difference_typeESB_":__ZNSt3__211__sift_downINS_17_ClassicAlgPolicyERPFbRKNS_4pairIj17GlyphEncodingInfoEES6_EPS4_EEvT1_OT0_NS_15iterator_traitsISB_E15difference_typeESB_,"_ZNSt3__212basic_stringIcNS_11char_traitsIcEE25FxPartitionAllocAllocatorIcXadL_ZN6pdfium8internal16StringAllocOrDieEmmEEEE6appendEmc":__ZNSt3__212basic_stringIcNS_11char_traitsIcEE25FxPartitionAllocAllocatorIcXadL_ZN6pdfium8internal16StringAllocOrDieEmmEEEE6appendEmc,"_ZNSt3__212basic_stringIcNS_11char_traitsIcEE25FxPartitionAllocAllocatorIcXadL_ZN6pdfium8internal16StringAllocOrDieEmmEEEE9push_backEc":__ZNSt3__212basic_stringIcNS_11char_traitsIcEE25FxPartitionAllocAllocatorIcXadL_ZN6pdfium8internal16StringAllocOrDieEmmEEEE9push_backEc,"_ZNSt3__215basic_stringbufIcNS_11char_traitsIcEE25FxPartitionAllocAllocatorIcXadL_ZN6pdfium8internal16StringAllocOrDieEmmEEEE7seekoffExNS_8ios_base7seekdirEj":__ZNSt3__215basic_stringbufIcNS_11char_traitsIcEE25FxPartitionAllocAllocatorIcXadL_ZN6pdfium8internal16StringAllocOrDieEmmEEEE7seekoffExNS_8ios_base7seekdirEj,"_ZNSt3__215basic_stringbufIcNS_11char_traitsIcEE25FxPartitionAllocAllocatorIcXadL_ZN6pdfium8internal16StringAllocOrDieEmmEEEE8overflowEi":__ZNSt3__215basic_stringbufIcNS_11char_traitsIcEE25FxPartitionAllocAllocatorIcXadL_ZN6pdfium8internal16StringAllocOrDieEmmEEEE8overflowEi,"_ZNSt3__215basic_stringbufIcNS_11char_traitsIcEE25FxPartitionAllocAllocatorIcXadL_ZN6pdfium8internal16StringAllocOrDieEmmEEEE9pbackfailEi":__ZNSt3__215basic_stringbufIcNS_11char_traitsIcEE25FxPartitionAllocAllocatorIcXadL_ZN6pdfium8internal16StringAllocOrDieEmmEEEE9pbackfailEi,"_ZNSt3__215basic_stringbufIcNS_11char_traitsIcEE25FxPartitionAllocAllocatorIcXadL_ZN6pdfium8internal16StringAllocOrDieEmmEEEE9underflowEv":__ZNSt3__215basic_stringbufIcNS_11char_traitsIcEE25FxPartitionAllocAllocatorIcXadL_ZN6pdfium8internal16StringAllocOrDieEmmEEEE9underflowEv,"_ZNSt3__215basic_stringbufIcNS_11char_traitsIcEE25FxPartitionAllocAllocatorIcXadL_ZN6pdfium8internal16StringAllocOrDieEmmEEEED0Ev":__ZNSt3__215basic_stringbufIcNS_11char_traitsIcEE25FxPartitionAllocAllocatorIcXadL_ZN6pdfium8internal16StringAllocOrDieEmmEEEED0Ev,"_ZNSt3__215basic_stringbufIcNS_11char_traitsIcEE25FxPartitionAllocAllocatorIcXadL_ZN6pdfium8internal16StringAllocOrDieEmmEEEED2Ev":__ZNSt3__215basic_stringbufIcNS_11char_traitsIcEE25FxPartitionAllocAllocatorIcXadL_ZN6pdfium8internal16StringAllocOrDieEmmEEEED2Ev,"_ZNSt3__218__insertion_sort_3INS_17_ClassicAlgPolicyERNS_6__lessINS_12basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEEES8_EEPS8_EEvT1_SC_T0_":__ZNSt3__218__insertion_sort_3INS_17_ClassicAlgPolicyERNS_6__lessINS_12basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEEES8_EEPS8_EEvT1_SC_T0_,"_ZNSt3__218__insertion_sort_3INS_17_ClassicAlgPolicyERPFbPK4StemS4_EPS4_EEvT1_S9_T0_":__ZNSt3__218__insertion_sort_3INS_17_ClassicAlgPolicyERPFbPK4StemS4_EPS4_EEvT1_S9_T0_,"_ZNSt3__218__insertion_sort_3INS_17_ClassicAlgPolicyERPFbRKNS_4pairIj17GlyphEncodingInfoEES6_EPS4_EEvT1_SB_T0_":__ZNSt3__218__insertion_sort_3INS_17_ClassicAlgPolicyERPFbRKNS_4pairIj17GlyphEncodingInfoEES6_EPS4_EEvT1_SB_T0_,"_ZNSt3__219__partial_sort_implINS_17_ClassicAlgPolicyERPFbPK4StemS4_EPS4_S8_EET1_S9_S9_T2_OT0_":__ZNSt3__219__partial_sort_implINS_17_ClassicAlgPolicyERPFbPK4StemS4_EPS4_S8_EET1_S9_S9_T2_OT0_,"_ZNSt3__219basic_ostringstreamIcNS_11char_traitsIcEE25FxPartitionAllocAllocatorIcXadL_ZN6pdfium8internal16StringAllocOrDieEmmEEEED0Ev":__ZNSt3__219basic_ostringstreamIcNS_11char_traitsIcEE25FxPartitionAllocAllocatorIcXadL_ZN6pdfium8internal16StringAllocOrDieEmmEEEED0Ev,"_ZNSt3__219basic_ostringstreamIcNS_11char_traitsIcEE25FxPartitionAllocAllocatorIcXadL_ZN6pdfium8internal16StringAllocOrDieEmmEEEED1Ev":__ZNSt3__219basic_ostringstreamIcNS_11char_traitsIcEE25FxPartitionAllocAllocatorIcXadL_ZN6pdfium8internal16StringAllocOrDieEmmEEEED1Ev,"_ZNSt3__227__insertion_sort_incompleteIRNS_6__lessINS_12basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEEES7_EEPS7_EEbT0_SB_T_":__ZNSt3__227__insertion_sort_incompleteIRNS_6__lessINS_12basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEEES7_EEPS7_EEbT0_SB_T_,"_ZNSt3__227__insertion_sort_incompleteIRPFbPK4StemS3_EPS3_EEbT0_S8_T_":__ZNSt3__227__insertion_sort_incompleteIRPFbPK4StemS3_EPS3_EEbT0_S8_T_,"_ZNSt3__227__insertion_sort_incompleteIRPFbRKNS_4pairIj17GlyphEncodingInfoEES5_EPS3_EEbT0_SA_T_":__ZNSt3__227__insertion_sort_incompleteIRPFbRKNS_4pairIj17GlyphEncodingInfoEES5_EPS3_EEbT0_SA_T_,"_ZNSt3__23mapIjxNS_4lessIjEENS_9allocatorINS_4pairIKjxEEEEEixERS5_":__ZNSt3__23mapIjxNS_4lessIjEENS_9allocatorINS_4pairIKjxEEEEEixERS5_,"_ZNSt3__23mapItmNS_4lessItEENS_9allocatorINS_4pairIKtmEEEEE6insertB6v15007INS4_ItmEEvEENS4_INS_14__map_iteratorINS_15__tree_iteratorINS_12__value_typeItmEEPNS_11__tree_nodeISE_PvEElEEEEbEEOT_":__ZNSt3__23mapItmNS_4lessItEENS_9allocatorINS_4pairIKtmEEEEE6insertB6v15007INS4_ItmEEvEENS4_INS_14__map_iteratorINS_15__tree_iteratorINS_12__value_typeItmEEPNS_11__tree_nodeISE_PvEElEEEEbEEOT_,"_ZNSt3__24listINS0_ItNS_9allocatorItEEEENS1_IS3_EEE6assignINS_21__list_const_iteratorIS3_PvEEEEvT_SA_PNS_9enable_ifIXsr25__is_cpp17_input_iteratorISA_EE5valueEvE4typeE":__ZNSt3__24listINS0_ItNS_9allocatorItEEEENS1_IS3_EEE6assignINS_21__list_const_iteratorIS3_PvEEEEvT_SA_PNS_9enable_ifIXsr25__is_cpp17_input_iteratorISA_EE5valueEvE4typeE,"_ZNSt3__24listINS0_ItNS_9allocatorItEEEENS1_IS3_EEE6insertINS_21__list_const_iteratorIS3_PvEEEENS_15__list_iteratorIS3_S8_EES9_T_SC_PNS_9enable_ifIXsr25__is_cpp17_input_iteratorISC_EE5valueEvE4typeE":__ZNSt3__24listINS0_ItNS_9allocatorItEEEENS1_IS3_EEE6insertINS_21__list_const_iteratorIS3_PvEEEENS_15__list_iteratorIS3_S8_EES9_T_SC_PNS_9enable_ifIXsr25__is_cpp17_input_iteratorISC_EE5valueEvE4typeE,"_ZNSt3__24listIlNS_9allocatorIlEEE6assignINS_21__list_const_iteratorIlPvEEEEvT_S8_PNS_9enable_ifIXsr25__is_cpp17_input_iteratorIS8_EE5valueEvE4typeE":__ZNSt3__24listIlNS_9allocatorIlEEE6assignINS_21__list_const_iteratorIlPvEEEEvT_S8_PNS_9enable_ifIXsr25__is_cpp17_input_iteratorIS8_EE5valueEvE4typeE,"_ZNSt3__24listItNS_9allocatorItEEE6assignINS_21__list_const_iteratorItPvEEEEvT_S8_PNS_9enable_ifIXsr25__is_cpp17_input_iteratorIS8_EE5valueEvE4typeE":__ZNSt3__24listItNS_9allocatorItEEE6assignINS_21__list_const_iteratorItPvEEEEvT_S8_PNS_9enable_ifIXsr25__is_cpp17_input_iteratorIS8_EE5valueEvE4typeE,"_ZNSt3__26__treeIN5fxcrt9RetainPtrIK15CPDF_DictionaryEENS_4lessIS5_EENS_9allocatorIS5_EEE7destroyEPNS_11__tree_nodeIS5_PvEE":__ZNSt3__26__treeIN5fxcrt9RetainPtrIK15CPDF_DictionaryEENS_4lessIS5_EENS_9allocatorIS5_EEE7destroyEPNS_11__tree_nodeIS5_PvEE,"_ZNSt3__26__treeINS_12__value_typeI4StemmEENS_19__map_value_compareIS2_S3_8StemLessLb1EEENS_9allocatorIS3_EEE7destroyEPNS_11__tree_nodeIS3_PvEE":__ZNSt3__26__treeINS_12__value_typeI4StemmEENS_19__map_value_compareIS2_S3_8StemLessLb1EEENS_9allocatorIS3_EEE7destroyEPNS_11__tree_nodeIS3_PvEE,"_ZNSt3__26__treeINS_12__value_typeINS_12basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEEE15Type1CharStringEENS_19__map_value_compareIS7_S9_NS_4lessIS7_EELb1EEENS5_IS9_EEE12__find_equalIS7_EERPNS_16__tree_node_baseIPvEERPNS_15__tree_end_nodeISK_EERKT_":__ZNSt3__26__treeINS_12__value_typeINS_12basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEEE15Type1CharStringEENS_19__map_value_compareIS7_S9_NS_4lessIS7_EELb1EEENS5_IS9_EEE12__find_equalIS7_EERPNS_16__tree_node_baseIPvEERPNS_15__tree_end_nodeISK_EERKT_,"_ZNSt3__26__treeINS_12__value_typeINS_12basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEEE15Type1CharStringEENS_19__map_value_compareIS7_S9_NS_4lessIS7_EELb1EEENS5_IS9_EEE25__emplace_unique_key_argsIS7_JNS_4pairIKS7_S8_EEEEENSH_INS_15__tree_iteratorIS9_PNS_11__tree_nodeIS9_PvEElEEbEERKT_DpOT0_":__ZNSt3__26__treeINS_12__value_typeINS_12basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEEE15Type1CharStringEENS_19__map_value_compareIS7_S9_NS_4lessIS7_EELb1EEENS5_IS9_EEE25__emplace_unique_key_argsIS7_JNS_4pairIKS7_S8_EEEEENSH_INS_15__tree_iteratorIS9_PNS_11__tree_nodeIS9_PvEElEEbEERKT_DpOT0_,"_ZNSt3__26__treeINS_12__value_typeINS_12basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEEE15Type1CharStringEENS_19__map_value_compareIS7_S9_NS_4lessIS7_EELb1EEENS5_IS9_EEE4findIS7_EENS_15__tree_iteratorIS9_PNS_11__tree_nodeIS9_PvEElEERKT_":__ZNSt3__26__treeINS_12__value_typeINS_12basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEEE15Type1CharStringEENS_19__map_value_compareIS7_S9_NS_4lessIS7_EELb1EEENS5_IS9_EEE4findIS7_EENS_15__tree_iteratorIS9_PNS_11__tree_nodeIS9_PvEElEERKT_,"_ZNSt3__26__treeINS_12__value_typeINS_12basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEEE15Type1CharStringEENS_19__map_value_compareIS7_S9_NS_4lessIS7_EELb1EEENS5_IS9_EEE7destroyEPNS_11__tree_nodeIS9_PvEE":__ZNSt3__26__treeINS_12__value_typeINS_12basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEEE15Type1CharStringEENS_19__map_value_compareIS7_S9_NS_4lessIS7_EELb1EEENS5_IS9_EEE7destroyEPNS_11__tree_nodeIS9_PvEE,"_ZNSt3__26__treeINS_12__value_typeINS_12basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEEEP13fpdf_font_t__EENS_19__map_value_compareIS7_SA_NS_4lessIS7_EELb1EEENS5_ISA_EEE12__find_equalIS7_EERPNS_16__tree_node_baseIPvEERPNS_15__tree_end_nodeISL_EERKT_":__ZNSt3__26__treeINS_12__value_typeINS_12basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEEEP13fpdf_font_t__EENS_19__map_value_compareIS7_SA_NS_4lessIS7_EELb1EEENS5_ISA_EEE12__find_equalIS7_EERPNS_16__tree_node_baseIPvEERPNS_15__tree_end_nodeISL_EERKT_,"_ZNSt3__26__treeINS_12__value_typeINS_12basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEEEP13fpdf_font_t__EENS_19__map_value_compareIS7_SA_NS_4lessIS7_EELb1EEENS5_ISA_EEE25__emplace_unique_key_argsIS7_JNS_4pairIKS7_S9_EEEEENSI_INS_15__tree_iteratorISA_PNS_11__tree_nodeISA_PvEElEEbEERKT_DpOT0_":__ZNSt3__26__treeINS_12__value_typeINS_12basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEEEP13fpdf_font_t__EENS_19__map_value_compareIS7_SA_NS_4lessIS7_EELb1EEENS5_ISA_EEE25__emplace_unique_key_argsIS7_JNS_4pairIKS7_S9_EEEEENSI_INS_15__tree_iteratorISA_PNS_11__tree_nodeISA_PvEElEEbEERKT_DpOT0_,"_ZNSt3__26__treeINS_12__value_typeINS_12basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEEEP13fpdf_font_t__EENS_19__map_value_compareIS7_SA_NS_4lessIS7_EELb1EEENS5_ISA_EEE4findIS7_EENS_15__tree_iteratorISA_PNS_11__tree_nodeISA_PvEElEERKT_":__ZNSt3__26__treeINS_12__value_typeINS_12basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEEEP13fpdf_font_t__EENS_19__map_value_compareIS7_SA_NS_4lessIS7_EELb1EEENS5_ISA_EEE4findIS7_EENS_15__tree_iteratorISA_PNS_11__tree_nodeISA_PvEElEERKT_,"_ZNSt3__26__treeINS_12__value_typeINS_12basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEEEP13fpdf_font_t__EENS_19__map_value_compareIS7_SA_NS_4lessIS7_EELb1EEENS5_ISA_EEE7destroyEPNS_11__tree_nodeISA_PvEE":__ZNSt3__26__treeINS_12__value_typeINS_12basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEEEP13fpdf_font_t__EENS_19__map_value_compareIS7_SA_NS_4lessIS7_EELb1EEENS5_ISA_EEE7destroyEPNS_11__tree_nodeISA_PvEE,"_ZNSt3__26__treeINS_12__value_typeINS_12basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEEEP8PdfWFontEENS_19__map_value_compareIS7_SA_NS_4lessIS7_EELb1EEENS5_ISA_EEE12__find_equalIS7_EERPNS_16__tree_node_baseIPvEERPNS_15__tree_end_nodeISL_EERKT_":__ZNSt3__26__treeINS_12__value_typeINS_12basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEEEP8PdfWFontEENS_19__map_value_compareIS7_SA_NS_4lessIS7_EELb1EEENS5_ISA_EEE12__find_equalIS7_EERPNS_16__tree_node_baseIPvEERPNS_15__tree_end_nodeISL_EERKT_,"_ZNSt3__26__treeINS_12__value_typeINS_12basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEEEP8PdfWFontEENS_19__map_value_compareIS7_SA_NS_4lessIS7_EELb1EEENS5_ISA_EEE25__emplace_unique_key_argsIS7_JNS_4pairIKS7_S9_EEEEENSI_INS_15__tree_iteratorISA_PNS_11__tree_nodeISA_PvEElEEbEERKT_DpOT0_":__ZNSt3__26__treeINS_12__value_typeINS_12basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEEEP8PdfWFontEENS_19__map_value_compareIS7_SA_NS_4lessIS7_EELb1EEENS5_ISA_EEE25__emplace_unique_key_argsIS7_JNS_4pairIKS7_S9_EEEEENSI_INS_15__tree_iteratorISA_PNS_11__tree_nodeISA_PvEElEEbEERKT_DpOT0_,"_ZNSt3__26__treeINS_12__value_typeINS_12basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEEEP8PdfWFontEENS_19__map_value_compareIS7_SA_NS_4lessIS7_EELb1EEENS5_ISA_EEE4findIS7_EENS_15__tree_iteratorISA_PNS_11__tree_nodeISA_PvEElEERKT_":__ZNSt3__26__treeINS_12__value_typeINS_12basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEEEP8PdfWFontEENS_19__map_value_compareIS7_SA_NS_4lessIS7_EELb1EEENS5_ISA_EEE4findIS7_EENS_15__tree_iteratorISA_PNS_11__tree_nodeISA_PvEElEERKT_,"_ZNSt3__26__treeINS_12__value_typeINS_12basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEEEP8PdfWFontEENS_19__map_value_compareIS7_SA_NS_4lessIS7_EELb1EEENS5_ISA_EEE7destroyEPNS_11__tree_nodeISA_PvEE":__ZNSt3__26__treeINS_12__value_typeINS_12basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEEEP8PdfWFontEENS_19__map_value_compareIS7_SA_NS_4lessIS7_EELb1EEENS5_ISA_EEE7destroyEPNS_11__tree_nodeISA_PvEE,"_ZNSt3__26__treeINS_12__value_typeINS_12basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEEEhEENS_19__map_value_compareIS7_S8_NS_4lessIS7_EELb1EEENS5_IS8_EEE12__find_equalIS7_EERPNS_16__tree_node_baseIPvEERPNS_15__tree_end_nodeISJ_EERKT_":__ZNSt3__26__treeINS_12__value_typeINS_12basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEEEhEENS_19__map_value_compareIS7_S8_NS_4lessIS7_EELb1EEENS5_IS8_EEE12__find_equalIS7_EERPNS_16__tree_node_baseIPvEERPNS_15__tree_end_nodeISJ_EERKT_,"_ZNSt3__26__treeINS_12__value_typeINS_12basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEEEhEENS_19__map_value_compareIS7_S8_NS_4lessIS7_EELb1EEENS5_IS8_EEE25__emplace_unique_key_argsIS7_JNS_4pairIKS7_hEEEEENSG_INS_15__tree_iteratorIS8_PNS_11__tree_nodeIS8_PvEElEEbEERKT_DpOT0_":__ZNSt3__26__treeINS_12__value_typeINS_12basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEEEhEENS_19__map_value_compareIS7_S8_NS_4lessIS7_EELb1EEENS5_IS8_EEE25__emplace_unique_key_argsIS7_JNS_4pairIKS7_hEEEEENSG_INS_15__tree_iteratorIS8_PNS_11__tree_nodeIS8_PvEElEEbEERKT_DpOT0_,"_ZNSt3__26__treeINS_12__value_typeINS_12basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEEEhEENS_19__map_value_compareIS7_S8_NS_4lessIS7_EELb1EEENS5_IS8_EEE4findIS7_EENS_15__tree_iteratorIS8_PNS_11__tree_nodeIS8_PvEElEERKT_":__ZNSt3__26__treeINS_12__value_typeINS_12basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEEEhEENS_19__map_value_compareIS7_S8_NS_4lessIS7_EELb1EEENS5_IS8_EEE4findIS7_EENS_15__tree_iteratorIS8_PNS_11__tree_nodeIS8_PvEElEERKT_,"_ZNSt3__26__treeINS_12__value_typeINS_12basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEEEhEENS_19__map_value_compareIS7_S8_NS_4lessIS7_EELb1EEENS5_IS8_EEE7destroyEPNS_11__tree_nodeIS8_PvEE":__ZNSt3__26__treeINS_12__value_typeINS_12basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEEEhEENS_19__map_value_compareIS7_S8_NS_4lessIS7_EELb1EEENS5_IS8_EEE7destroyEPNS_11__tree_nodeIS8_PvEE,"_ZNSt3__26__treeINS_12__value_typeINS_12basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEEEtEENS_19__map_value_compareIS7_S8_NS_4lessIS7_EELb1EEENS5_IS8_EEE12__find_equalIS7_EERPNS_16__tree_node_baseIPvEERPNS_15__tree_end_nodeISJ_EERKT_":__ZNSt3__26__treeINS_12__value_typeINS_12basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEEEtEENS_19__map_value_compareIS7_S8_NS_4lessIS7_EELb1EEENS5_IS8_EEE12__find_equalIS7_EERPNS_16__tree_node_baseIPvEERPNS_15__tree_end_nodeISJ_EERKT_,"_ZNSt3__26__treeINS_12__value_typeINS_12basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEEEtEENS_19__map_value_compareIS7_S8_NS_4lessIS7_EELb1EEENS5_IS8_EEE25__emplace_unique_key_argsIS7_JNS_4pairIKS7_tEEEEENSG_INS_15__tree_iteratorIS8_PNS_11__tree_nodeIS8_PvEElEEbEERKT_DpOT0_":__ZNSt3__26__treeINS_12__value_typeINS_12basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEEEtEENS_19__map_value_compareIS7_S8_NS_4lessIS7_EELb1EEENS5_IS8_EEE25__emplace_unique_key_argsIS7_JNS_4pairIKS7_tEEEEENSG_INS_15__tree_iteratorIS8_PNS_11__tree_nodeIS8_PvEElEEbEERKT_DpOT0_,"_ZNSt3__26__treeINS_12__value_typeINS_12basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEEEtEENS_19__map_value_compareIS7_S8_NS_4lessIS7_EELb1EEENS5_IS8_EEE4findIS7_EENS_15__tree_iteratorIS8_PNS_11__tree_nodeIS8_PvEElEERKT_":__ZNSt3__26__treeINS_12__value_typeINS_12basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEEEtEENS_19__map_value_compareIS7_S8_NS_4lessIS7_EELb1EEENS5_IS8_EEE4findIS7_EENS_15__tree_iteratorIS8_PNS_11__tree_nodeIS8_PvEElEERKT_,"_ZNSt3__26__treeINS_12__value_typeINS_12basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEEEtEENS_19__map_value_compareIS7_S8_NS_4lessIS7_EELb1EEENS5_IS8_EEE7destroyEPNS_11__tree_nodeIS8_PvEE":__ZNSt3__26__treeINS_12__value_typeINS_12basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEEEtEENS_19__map_value_compareIS7_S8_NS_4lessIS7_EELb1EEENS5_IS8_EEE7destroyEPNS_11__tree_nodeIS8_PvEE,"_ZNSt3__26__treeINS_12__value_typeIP11FT_FaceRec_NS_4listIP13FT_StreamRec_NS_9allocatorIS6_EEEEEENS_19__map_value_compareIS3_SA_NS_4lessIS3_EELb1EEENS7_ISA_EEE25__emplace_unique_key_argsIS3_JNS_4pairIKS3_S9_EEEEENSI_INS_15__tree_iteratorISA_PNS_11__tree_nodeISA_PvEElEEbEERKT_DpOT0_":__ZNSt3__26__treeINS_12__value_typeIP11FT_FaceRec_NS_4listIP13FT_StreamRec_NS_9allocatorIS6_EEEEEENS_19__map_value_compareIS3_SA_NS_4lessIS3_EELb1EEENS7_ISA_EEE25__emplace_unique_key_argsIS3_JNS_4pairIKS3_S9_EEEEENSI_INS_15__tree_iteratorISA_PNS_11__tree_nodeISA_PvEElEEbEERKT_DpOT0_,"_ZNSt3__26__treeINS_12__value_typeIP12FontDictInfoNS_4pairIxxEEEENS_19__map_value_compareIS3_S6_NS_4lessIS3_EELb1EEENS_9allocatorIS6_EEE7destroyEPNS_11__tree_nodeIS6_PvEE":__ZNSt3__26__treeINS_12__value_typeIP12FontDictInfoNS_4pairIxxEEEENS_19__map_value_compareIS3_S6_NS_4lessIS3_EELb1EEENS_9allocatorIS6_EEE7destroyEPNS_11__tree_nodeIS6_PvEE,"_ZNSt3__26__treeINS_12__value_typeIP12FontDictInfohEENS_19__map_value_compareIS3_S4_NS_4lessIS3_EELb1EEENS_9allocatorIS4_EEE7destroyEPNS_11__tree_nodeIS4_PvEE":__ZNSt3__26__treeINS_12__value_typeIP12FontDictInfohEENS_19__map_value_compareIS3_S4_NS_4lessIS3_EELb1EEENS_9allocatorIS4_EEE7destroyEPNS_11__tree_nodeIS4_PvEE,"_ZNSt3__26__treeINS_12__value_typeIPKctEENS_19__map_value_compareIS3_S4_10StringLessLb1EEENS_9allocatorIS4_EEE25__emplace_unique_key_argsIS3_JNS_4pairIKS3_tEEEEENSC_INS_15__tree_iteratorIS4_PNS_11__tree_nodeIS4_PvEElEEbEERKT_DpOT0_":__ZNSt3__26__treeINS_12__value_typeIPKctEENS_19__map_value_compareIS3_S4_10StringLessLb1EEENS_9allocatorIS4_EEE25__emplace_unique_key_argsIS3_JNS_4pairIKS3_tEEEEENSC_INS_15__tree_iteratorIS4_PNS_11__tree_nodeIS4_PvEElEEbEERKT_DpOT0_,"_ZNSt3__26__treeINS_12__value_typeIPKctEENS_19__map_value_compareIS3_S4_10StringLessLb1EEENS_9allocatorIS4_EEE7destroyEPNS_11__tree_nodeIS4_PvEE":__ZNSt3__26__treeINS_12__value_typeIPKctEENS_19__map_value_compareIS3_S4_10StringLessLb1EEENS_9allocatorIS4_EEE7destroyEPNS_11__tree_nodeIS4_PvEE,"_ZNSt3__26__treeINS_12__value_typeIiP12ExifIFDEntryEENS_19__map_value_compareIiS4_NS_4lessIiEELb1EEENS_9allocatorIS4_EEE7destroyEPNS_11__tree_nodeIS4_PvEE":__ZNSt3__26__treeINS_12__value_typeIiP12ExifIFDEntryEENS_19__map_value_compareIiS4_NS_4lessIiEELb1EEENS_9allocatorIS4_EEE7destroyEPNS_11__tree_nodeIS4_PvEE,"_ZNSt3__26__treeINS_12__value_typeIiP13fpdf_page_t__EENS_19__map_value_compareIiS4_NS_4lessIiEELb1EEENS_9allocatorIS4_EEE7destroyEPNS_11__tree_nodeIS4_PvEE":__ZNSt3__26__treeINS_12__value_typeIiP13fpdf_page_t__EENS_19__map_value_compareIiS4_NS_4lessIiEELb1EEENS_9allocatorIS4_EEE7destroyEPNS_11__tree_nodeIS4_PvEE,"_ZNSt3__26__treeINS_12__value_typeIiP19fpdf_annotation_t__EENS_19__map_value_compareIiS4_NS_4lessIiEELb1EEENS_9allocatorIS4_EEE7destroyEPNS_11__tree_nodeIS4_PvEE":__ZNSt3__26__treeINS_12__value_typeIiP19fpdf_annotation_t__EENS_19__map_value_compareIiS4_NS_4lessIiEELb1EEENS_9allocatorIS4_EEE7destroyEPNS_11__tree_nodeIS4_PvEE,"_ZNSt3__26__treeINS_12__value_typeIj17GlyphEncodingInfoEENS_19__map_value_compareIjS3_NS_4lessIjEELb1EEENS_9allocatorIS3_EEE7destroyEPNS_11__tree_nodeIS3_PvEE":__ZNSt3__26__treeINS_12__value_typeIj17GlyphEncodingInfoEENS_19__map_value_compareIjS3_NS_4lessIjEELb1EEENS_9allocatorIS3_EEE7destroyEPNS_11__tree_nodeIS3_PvEE,"_ZNSt3__26__treeINS_12__value_typeIjxEENS_19__map_value_compareIjS2_NS_4lessIjEELb1EEENS_9allocatorIS2_EEE7destroyEPNS_11__tree_nodeIS2_PvEE":__ZNSt3__26__treeINS_12__value_typeIjxEENS_19__map_value_compareIjS2_NS_4lessIjEELb1EEENS_9allocatorIS2_EEE7destroyEPNS_11__tree_nodeIS2_PvEE,"_ZNSt3__26__treeINS_12__value_typeIm10TableEntryEENS_19__map_value_compareImS3_NS_4lessImEELb1EEENS_9allocatorIS3_EEE7destroyEPNS_11__tree_nodeIS3_PvEE":__ZNSt3__26__treeINS_12__value_typeIm10TableEntryEENS_19__map_value_compareImS3_NS_4lessImEELb1EEENS_9allocatorIS3_EEE7destroyEPNS_11__tree_nodeIS3_PvEE,"_ZNSt3__26__treeINS_12__value_typeItNS_4listI11DictOperandNS_9allocatorIS3_EEEEEENS_19__map_value_compareItS7_NS_4lessItEELb1EEENS4_IS7_EEE25__emplace_unique_key_argsItJNS_4pairIKtS6_EEEEENSF_INS_15__tree_iteratorIS7_PNS_11__tree_nodeIS7_PvEElEEbEERKT_DpOT0_":__ZNSt3__26__treeINS_12__value_typeItNS_4listI11DictOperandNS_9allocatorIS3_EEEEEENS_19__map_value_compareItS7_NS_4lessItEELb1EEENS4_IS7_EEE25__emplace_unique_key_argsItJNS_4pairIKtS6_EEEEENSF_INS_15__tree_iteratorIS7_PNS_11__tree_nodeIS7_PvEElEEbEERKT_DpOT0_,"_ZNSt3__26__treeINS_12__value_typeItNS_4listI11DictOperandNS_9allocatorIS3_EEEEEENS_19__map_value_compareItS7_NS_4lessItEELb1EEENS4_IS7_EEE7destroyEPNS_11__tree_nodeIS7_PvEE":__ZNSt3__26__treeINS_12__value_typeItNS_4listI11DictOperandNS_9allocatorIS3_EEEEEENS_19__map_value_compareItS7_NS_4lessItEELb1EEENS4_IS7_EEE7destroyEPNS_11__tree_nodeIS7_PvEE,"_ZNSt3__26__treeINS_12__value_typeItNS_4listIhNS_9allocatorIhEEEEEENS_19__map_value_compareItS6_NS_4lessItEELb1EEENS3_IS6_EEE25__emplace_unique_key_argsItJNS_4pairIKtS5_EEEEENSE_INS_15__tree_iteratorIS6_PNS_11__tree_nodeIS6_PvEElEEbEERKT_DpOT0_":__ZNSt3__26__treeINS_12__value_typeItNS_4listIhNS_9allocatorIhEEEEEENS_19__map_value_compareItS6_NS_4lessItEELb1EEENS3_IS6_EEE25__emplace_unique_key_argsItJNS_4pairIKtS5_EEEEENSE_INS_15__tree_iteratorIS6_PNS_11__tree_nodeIS6_PvEElEEbEERKT_DpOT0_,"_ZNSt3__26__treeINS_12__value_typeItNS_4listIhNS_9allocatorIhEEEEEENS_19__map_value_compareItS6_NS_4lessItEELb1EEENS3_IS6_EEE7destroyEPNS_11__tree_nodeIS6_PvEE":__ZNSt3__26__treeINS_12__value_typeItNS_4listIhNS_9allocatorIhEEEEEENS_19__map_value_compareItS6_NS_4lessItEELb1EEENS3_IS6_EEE7destroyEPNS_11__tree_nodeIS6_PvEE,"_ZNSt3__26__treeINS_12__value_typeItP10GlyphEntryEENS_19__map_value_compareItS4_NS_4lessItEELb1EEENS_9allocatorIS4_EEE7destroyEPNS_11__tree_nodeIS4_PvEE":__ZNSt3__26__treeINS_12__value_typeItP10GlyphEntryEENS_19__map_value_compareItS4_NS_4lessItEELb1EEENS_9allocatorIS4_EEE7destroyEPNS_11__tree_nodeIS4_PvEE,"_ZNSt3__26__treeINS_12__value_typeItP12IndexElementEENS_19__map_value_compareItS4_NS_4lessItEELb1EEENS_9allocatorIS4_EEE7destroyEPNS_11__tree_nodeIS4_PvEE":__ZNSt3__26__treeINS_12__value_typeItP12IndexElementEENS_19__map_value_compareItS4_NS_4lessItEELb1EEENS_9allocatorIS4_EEE7destroyEPNS_11__tree_nodeIS4_PvEE,"_ZNSt3__26__treeINS_12__value_typeItmEENS_19__map_value_compareItS2_NS_4lessItEELb1EEENS_9allocatorIS2_EEE7destroyEPNS_11__tree_nodeIS2_PvEE":__ZNSt3__26__treeINS_12__value_typeItmEENS_19__map_value_compareItS2_NS_4lessItEELb1EEENS_9allocatorIS2_EEE7destroyEPNS_11__tree_nodeIS2_PvEE,"_ZNSt3__26__treeINS_12__value_typeIxP11CharSetInfoEENS_19__map_value_compareIxS4_NS_4lessIxEELb1EEENS_9allocatorIS4_EEE7destroyEPNS_11__tree_nodeIS4_PvEE":__ZNSt3__26__treeINS_12__value_typeIxP11CharSetInfoEENS_19__map_value_compareIxS4_NS_4lessIxEELb1EEENS_9allocatorIS4_EEE7destroyEPNS_11__tree_nodeIS4_PvEE,"_ZNSt3__26__treeINS_12__value_typeIxP11CharStringsEENS_19__map_value_compareIxS4_NS_4lessIxEELb1EEENS_9allocatorIS4_EEE7destroyEPNS_11__tree_nodeIS4_PvEE":__ZNSt3__26__treeINS_12__value_typeIxP11CharStringsEENS_19__map_value_compareIxS4_NS_4lessIxEELb1EEENS_9allocatorIS4_EEE7destroyEPNS_11__tree_nodeIS4_PvEE,"_ZNSt3__26__treeINS_12__value_typeIxP13EncodingsInfoEENS_19__map_value_compareIxS4_NS_4lessIxEELb1EEENS_9allocatorIS4_EEE7destroyEPNS_11__tree_nodeIS4_PvEE":__ZNSt3__26__treeINS_12__value_typeIxP13EncodingsInfoEENS_19__map_value_compareIxS4_NS_4lessIxEELb1EEENS_9allocatorIS4_EEE7destroyEPNS_11__tree_nodeIS4_PvEE,"_ZNSt3__26__treeINS_12basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEEENS_4lessIS6_EENS4_IS6_EEE12__find_equalIS6_EERPNS_16__tree_node_baseIPvEERPNS_15__tree_end_nodeISF_EERKT_":__ZNSt3__26__treeINS_12basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEEENS_4lessIS6_EENS4_IS6_EEE12__find_equalIS6_EERPNS_16__tree_node_baseIPvEERPNS_15__tree_end_nodeISF_EERKT_,"_ZNSt3__26__treeINS_12basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEEENS_4lessIS6_EENS4_IS6_EEE4findIS6_EENS_15__tree_iteratorIS6_PNS_11__tree_nodeIS6_PvEElEERKT_":__ZNSt3__26__treeINS_12basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEEENS_4lessIS6_EENS4_IS6_EEE4findIS6_EENS_15__tree_iteratorIS6_PNS_11__tree_nodeIS6_PvEElEERKT_,"_ZNSt3__26__treeINS_12basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEEENS_4lessIS6_EENS4_IS6_EEE7destroyEPNS_11__tree_nodeIS6_PvEE":__ZNSt3__26__treeINS_12basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEEENS_4lessIS6_EENS4_IS6_EEE7destroyEPNS_11__tree_nodeIS6_PvEE,"_ZNSt3__26__treeIP12FontDictInfoNS_4lessIS2_EENS_9allocatorIS2_EEE7destroyEPNS_11__tree_nodeIS2_PvEE":__ZNSt3__26__treeIP12FontDictInfoNS_4lessIS2_EENS_9allocatorIS2_EEE7destroyEPNS_11__tree_nodeIS2_PvEE,"_ZNSt3__26__treeIhNS_4lessIhEENS_9allocatorIhEEE7destroyEPNS_11__tree_nodeIhPvEE":__ZNSt3__26__treeIhNS_4lessIhEENS_9allocatorIhEEE7destroyEPNS_11__tree_nodeIhPvEE,"_ZNSt3__26__treeIiNS_4lessIiEENS_9allocatorIiEEE7destroyEPNS_11__tree_nodeIiPvEE":__ZNSt3__26__treeIiNS_4lessIiEENS_9allocatorIiEEE7destroyEPNS_11__tree_nodeIiPvEE,"_ZNSt3__26__treeIjNS_4lessIjEENS_9allocatorIjEEE7destroyEPNS_11__tree_nodeIjPvEE":__ZNSt3__26__treeIjNS_4lessIjEENS_9allocatorIjEEE7destroyEPNS_11__tree_nodeIjPvEE,"_ZNSt3__26__treeImNS_4lessImEENS_9allocatorImEEE7destroyEPNS_11__tree_nodeImPvEE":__ZNSt3__26__treeImNS_4lessImEENS_9allocatorImEEE7destroyEPNS_11__tree_nodeImPvEE,"_ZNSt3__26__treeItNS_4lessItEENS_9allocatorItEEE7destroyEPNS_11__tree_nodeItPvEE":__ZNSt3__26__treeItNS_4lessItEENS_9allocatorItEEE7destroyEPNS_11__tree_nodeItPvEE,"_ZNSt3__26vectorI12PdfWFontInfoNS_9allocatorIS1_EEE21__push_back_slow_pathIRKS1_EEvOT_":__ZNSt3__26vectorI12PdfWFontInfoNS_9allocatorIS1_EEE21__push_back_slow_pathIRKS1_EEvOT_,"_ZNSt3__26vectorINS_4pairIj17GlyphEncodingInfoEENS_9allocatorIS3_EEE21__push_back_slow_pathIS3_EEvOT_":__ZNSt3__26vectorINS_4pairIj17GlyphEncodingInfoEENS_9allocatorIS3_EEE21__push_back_slow_pathIS3_EEvOT_,"_ZNSt3__26vectorINS_4pairIj17GlyphEncodingInfoEENS_9allocatorIS3_EEEC2ERKS6_":__ZNSt3__26vectorINS_4pairIj17GlyphEncodingInfoEENS_9allocatorIS3_EEEC2ERKS6_,"_ZNSt3__26vectorIjNS_9allocatorIjEEE6insertENS_11__wrap_iterIPKjEEOj":__ZNSt3__26vectorIjNS_9allocatorIjEEE6insertENS_11__wrap_iterIPKjEEOj,"_ZNSt3__26vectorIjNS_9allocatorIjEEE6insertENS_11__wrap_iterIPKjEERS5_":__ZNSt3__26vectorIjNS_9allocatorIjEEE6insertENS_11__wrap_iterIPKjEERS5_,"_ZNSt3__26vectorImNS_9allocatorImEEE6assignIPmEENS_9enable_ifIXaasr27__is_cpp17_forward_iteratorIT_EE5valuesr16is_constructibleImNS_15iterator_traitsIS7_E9referenceEEE5valueEvE4typeES7_S7_":__ZNSt3__26vectorImNS_9allocatorImEEE6assignIPmEENS_9enable_ifIXaasr27__is_cpp17_forward_iteratorIT_EE5valuesr16is_constructibleImNS_15iterator_traitsIS7_E9referenceEEE5valueEvE4typeES7_S7_,"_ZNSt3__27__sort3INS_17_ClassicAlgPolicyERNS_6__lessINS_12basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEEES8_EEPS8_EEjT1_SC_SC_T0_":__ZNSt3__27__sort3INS_17_ClassicAlgPolicyERNS_6__lessINS_12basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEEES8_EEPS8_EEjT1_SC_SC_T0_,"_ZNSt3__27__sort3INS_17_ClassicAlgPolicyERPFbRKNS_4pairIj17GlyphEncodingInfoEES6_EPS4_EEjT1_SB_SB_T0_":__ZNSt3__27__sort3INS_17_ClassicAlgPolicyERPFbRKNS_4pairIj17GlyphEncodingInfoEES6_EPS4_EEjT1_SB_SB_T0_,"_ZNSt3__27__sort4INS_17_ClassicAlgPolicyERNS_6__lessINS_12basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEEES8_EEPS8_EEjT1_SC_SC_SC_T0_":__ZNSt3__27__sort4INS_17_ClassicAlgPolicyERNS_6__lessINS_12basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEEES8_EEPS8_EEjT1_SC_SC_SC_T0_,"_ZNSt3__27__sort4INS_17_ClassicAlgPolicyERPFbPK4StemS4_EPS4_EEjT1_S9_S9_S9_T0_":__ZNSt3__27__sort4INS_17_ClassicAlgPolicyERPFbPK4StemS4_EPS4_EEjT1_S9_S9_S9_T0_,"_ZNSt3__27__sort4INS_17_ClassicAlgPolicyERPFbRKNS_4pairIj17GlyphEncodingInfoEES6_EPS4_EEjT1_SB_SB_SB_T0_":__ZNSt3__27__sort4INS_17_ClassicAlgPolicyERPFbRKNS_4pairIj17GlyphEncodingInfoEES6_EPS4_EEjT1_SB_SB_SB_T0_,"_ZTv0_n12_NSt3__219basic_ostringstreamIcNS_11char_traitsIcEE25FxPartitionAllocAllocatorIcXadL_ZN6pdfium8internal16StringAllocOrDieEmmEEEED0Ev":__ZTv0_n12_NSt3__219basic_ostringstreamIcNS_11char_traitsIcEE25FxPartitionAllocAllocatorIcXadL_ZN6pdfium8internal16StringAllocOrDieEmmEEEED0Ev,"_ZTv0_n12_NSt3__219basic_ostringstreamIcNS_11char_traitsIcEE25FxPartitionAllocAllocatorIcXadL_ZN6pdfium8internal16StringAllocOrDieEmmEEEED1Ev":__ZTv0_n12_NSt3__219basic_ostringstreamIcNS_11char_traitsIcEE25FxPartitionAllocAllocatorIcXadL_ZN6pdfium8internal16StringAllocOrDieEmmEEEED1Ev,"__assert_fail":___assert_fail,"__cxa_throw":___cxa_throw,"__heap_base":___heap_base,"__indirect_function_table":wasmTable,"__memory_base":___memory_base,"__stack_pointer":___stack_pointer,"__syscall_fcntl64":___syscall_fcntl64,"__syscall_fstat64":___syscall_fstat64,"__syscall_ftruncate64":___syscall_ftruncate64,"__syscall_getdents64":___syscall_getdents64,"__syscall_ioctl":___syscall_ioctl,"__syscall_lstat64":___syscall_lstat64,"__syscall_mkdirat":___syscall_mkdirat,"__syscall_newfstatat":___syscall_newfstatat,"__syscall_openat":___syscall_openat,"__syscall_rmdir":___syscall_rmdir,"__syscall_stat64":___syscall_stat64,"__syscall_unlinkat":___syscall_unlinkat,"__table_base":___table_base,"_embind_register_bigint":__embind_register_bigint,"_embind_register_bool":__embind_register_bool,"_embind_register_class":__embind_register_class,"_embind_register_class_constructor":__embind_register_class_constructor,"_embind_register_class_function":__embind_register_class_function,"_embind_register_emval":__embind_register_emval,"_embind_register_float":__embind_register_float,"_embind_register_integer":__embind_register_integer,"_embind_register_memory_view":__embind_register_memory_view,"_embind_register_std_string":__embind_register_std_string,"_embind_register_std_wstring":__embind_register_std_wstring,"_embind_register_void":__embind_register_void,"_emscripten_get_now_is_monotonic":__emscripten_get_now_is_monotonic,"_emscripten_throw_longjmp":__emscripten_throw_longjmp,"_emval_as":__emval_as,"_emval_decref":__emval_decref,"_emval_incref":__emval_incref,"_emval_is_number":__emval_is_number,"_emval_run_destructors":__emval_run_destructors,"_emval_take_value":__emval_take_value,"_gmtime_js":__gmtime_js,"_localtime_js":__localtime_js,"_mmap_js":__mmap_js,"_munmap_js":__munmap_js,"_tzset_js":__tzset_js,"abort":_abort,"aes_gcm_decrypt":_aes_gcm_decrypt,"aes_gcm_encrypt":_aes_gcm_encrypt,"appendTiffPageWithTag":_appendTiffPageWithTag,"aria_encrypt":_aria_encrypt,"bio_lookup_lock":_bio_lookup_lock,"bio_type_lock":_bio_type_lock,"bread_conv":_bread_conv,"bwrite_conv":_bwrite_conv,"closeTiff":_closeTiff,"ds_destroy_file":_ds_destroy_file,"ds_get_file":_ds_get_file,"dynamFindMemoryFormatStream":_dynamFindMemoryFormatStream,"emscripten_date_now":_emscripten_date_now,"emscripten_get_heap_max":_emscripten_get_heap_max,"emscripten_get_now":_emscripten_get_now,"emscripten_memcpy_big":_emscripten_memcpy_big,"emscripten_resize_heap":_emscripten_resize_heap,"emscripten_run_script_string":_emscripten_run_script_string,"endTiffWriter":_endTiffWriter,"environ_get":_environ_get,"environ_sizes_get":_environ_sizes_get,"exit":_exit,"fd_close":_fd_close,"fd_read":_fd_read,"fd_seek":_fd_seek,"fd_sync":_fd_sync,"fd_write":_fd_write,"j2k_dump":_j2k_dump,"j2k_get_cstr_index":_j2k_get_cstr_index,"j2k_get_cstr_info":_j2k_get_cstr_info,"jp2_dump":_jp2_dump,"jp2_get_cstr_index":_jp2_get_cstr_index,"jp2_get_cstr_info":_jp2_get_cstr_info,"jpeg12_fdct_ifast":_jpeg12_fdct_ifast,"jpeg12_fdct_islow":_jpeg12_fdct_islow,"jpeg12_idct_10x10":_jpeg12_idct_10x10,"jpeg12_idct_11x11":_jpeg12_idct_11x11,"jpeg12_idct_12x12":_jpeg12_idct_12x12,"jpeg12_idct_13x13":_jpeg12_idct_13x13,"jpeg12_idct_14x14":_jpeg12_idct_14x14,"jpeg12_idct_15x15":_jpeg12_idct_15x15,"jpeg12_idct_16x16":_jpeg12_idct_16x16,"jpeg12_idct_1x1":_jpeg12_idct_1x1,"jpeg12_idct_2x2":_jpeg12_idct_2x2,"jpeg12_idct_3x3":_jpeg12_idct_3x3,"jpeg12_idct_4x4":_jpeg12_idct_4x4,"jpeg12_idct_5x5":_jpeg12_idct_5x5,"jpeg12_idct_6x6":_jpeg12_idct_6x6,"jpeg12_idct_7x7":_jpeg12_idct_7x7,"jpeg12_idct_9x9":_jpeg12_idct_9x9,"jpeg12_idct_float":_jpeg12_idct_float,"jpeg12_idct_ifast":_jpeg12_idct_ifast,"jpeg12_idct_islow":_jpeg12_idct_islow,"jpeg_CreateCompress":_jpeg_CreateCompress,"jpeg_CreateDecompress":_jpeg_CreateDecompress,"jpeg_abort":_jpeg_abort,"jpeg_aritab":_jpeg_aritab,"jpeg_calc_output_dimensions":_jpeg_calc_output_dimensions,"jpeg_destroy":_jpeg_destroy,"jpeg_destroy_decompress":_jpeg_destroy_decompress,"jpeg_fdct_float":_jpeg_fdct_float,"jpeg_fdct_ifast":_jpeg_fdct_ifast,"jpeg_fdct_islow":_jpeg_fdct_islow,"jpeg_finish_compress":_jpeg_finish_compress,"jpeg_finish_decompress":_jpeg_finish_decompress,"jpeg_has_multiple_scans":_jpeg_has_multiple_scans,"jpeg_idct_10x10":_jpeg_idct_10x10,"jpeg_idct_11x11":_jpeg_idct_11x11,"jpeg_idct_12x12":_jpeg_idct_12x12,"jpeg_idct_13x13":_jpeg_idct_13x13,"jpeg_idct_14x14":_jpeg_idct_14x14,"jpeg_idct_15x15":_jpeg_idct_15x15,"jpeg_idct_16x16":_jpeg_idct_16x16,"jpeg_idct_1x1":_jpeg_idct_1x1,"jpeg_idct_2x2":_jpeg_idct_2x2,"jpeg_idct_3x3":_jpeg_idct_3x3,"jpeg_idct_4x4":_jpeg_idct_4x4,"jpeg_idct_5x5":_jpeg_idct_5x5,"jpeg_idct_6x6":_jpeg_idct_6x6,"jpeg_idct_7x7":_jpeg_idct_7x7,"jpeg_idct_9x9":_jpeg_idct_9x9,"jpeg_idct_float":_jpeg_idct_float,"jpeg_idct_ifast":_jpeg_idct_ifast,"jpeg_idct_islow":_jpeg_idct_islow,"jpeg_mem_src":_jpeg_mem_src,"jpeg_natural_order":_jpeg_natural_order,"jpeg_read_header":_jpeg_read_header,"jpeg_read_raw_data":_jpeg_read_raw_data,"jpeg_read_scanlines":_jpeg_read_scanlines,"jpeg_resync_to_restart":_jpeg_resync_to_restart,"jpeg_set_colorspace":_jpeg_set_colorspace,"jpeg_set_defaults":_jpeg_set_defaults,"jpeg_set_marker_processor":_jpeg_set_marker_processor,"jpeg_set_quality":_jpeg_set_quality,"jpeg_start_compress":_jpeg_start_compress,"jpeg_start_decompress":_jpeg_start_decompress,"jpeg_std_error":_jpeg_std_error,"jpeg_std_message_table":_jpeg_std_message_table,"jpeg_suppress_tables":_jpeg_suppress_tables,"jpeg_write_raw_data":_jpeg_write_raw_data,"jpeg_write_scanlines":_jpeg_write_scanlines,"jpeg_write_tables":_jpeg_write_tables,"loadOnepageImageFromMem":_loadOnepageImageFromMem,"loadOnepageRGBAFromMem":_loadOnepageRGBAFromMem,"loadOnepageRGBAFromMemEx":_loadOnepageRGBAFromMemEx,"loadTiffFromMem":_loadTiffFromMem,"memory":wasmMemory,"newTiffFile":_newTiffFile,"newTiffMem":_newTiffMem,"opj_j2k_decode":_opj_j2k_decode,"opj_j2k_decode_tile":_opj_j2k_decode_tile,"opj_j2k_decoder_set_strict_mode":_opj_j2k_decoder_set_strict_mode,"opj_j2k_destroy":_opj_j2k_destroy,"opj_j2k_end_decompress":_opj_j2k_end_decompress,"opj_j2k_get_tile":_opj_j2k_get_tile,"opj_j2k_read_header":_opj_j2k_read_header,"opj_j2k_read_tile_header":_opj_j2k_read_tile_header,"opj_j2k_set_decode_area":_opj_j2k_set_decode_area,"opj_j2k_set_decoded_components":_opj_j2k_set_decoded_components,"opj_j2k_set_decoded_resolution_factor":_opj_j2k_set_decoded_resolution_factor,"opj_j2k_set_threads":_opj_j2k_set_threads,"opj_j2k_setup_decoder":_opj_j2k_setup_decoder,"opj_jp2_decode":_opj_jp2_decode,"opj_jp2_decode_tile":_opj_jp2_decode_tile,"opj_jp2_decoder_set_strict_mode":_opj_jp2_decoder_set_strict_mode,"opj_jp2_destroy":_opj_jp2_destroy,"opj_jp2_encode":_opj_jp2_encode,"opj_jp2_encoder_set_extra_options":_opj_jp2_encoder_set_extra_options,"opj_jp2_end_compress":_opj_jp2_end_compress,"opj_jp2_end_decompress":_opj_jp2_end_decompress,"opj_jp2_get_tile":_opj_jp2_get_tile,"opj_jp2_read_header":_opj_jp2_read_header,"opj_jp2_read_tile_header":_opj_jp2_read_tile_header,"opj_jp2_set_decode_area":_opj_jp2_set_decode_area,"opj_jp2_set_decoded_components":_opj_jp2_set_decoded_components,"opj_jp2_set_decoded_resolution_factor":_opj_jp2_set_decoded_resolution_factor,"opj_jp2_set_threads":_opj_jp2_set_threads,"opj_jp2_setup_decoder":_opj_jp2_setup_decoder,"opj_jp2_setup_encoder":_opj_jp2_setup_encoder,"opj_jp2_start_compress":_opj_jp2_start_compress,"opj_jp2_write_tile":_opj_jp2_write_tile,"opj_stream_default_read":_opj_stream_default_read,"opj_stream_default_seek":_opj_stream_default_seek,"opj_stream_default_skip":_opj_stream_default_skip,"opj_stream_default_write":_opj_stream_default_write,"opj_stream_read_seek":_opj_stream_read_seek,"opj_stream_read_skip":_opj_stream_read_skip,"opj_stream_write_seek":_opj_stream_write_seek,"opj_stream_write_skip":_opj_stream_write_skip,"png_create_info_struct":_png_create_info_struct,"png_create_read_struct":_png_create_read_struct,"png_create_write_struct":_png_create_write_struct,"png_default_flush":_png_default_flush,"png_default_read_data":_png_default_read_data,"png_default_write_data":_png_default_write_data,"png_destroy_read_struct":_png_destroy_read_struct,"png_destroy_write_struct":_png_destroy_write_struct,"png_free":_png_free,"png_get_IHDR":_png_get_IHDR,"png_get_PLTE":_png_get_PLTE,"png_get_bit_depth":_png_get_bit_depth,"png_get_channels":_png_get_channels,"png_get_color_type":_png_get_color_type,"png_get_image_height":_png_get_image_height,"png_get_image_width":_png_get_image_width,"png_get_rowbytes":_png_get_rowbytes,"png_get_valid":_png_get_valid,"png_get_x_pixels_per_inch":_png_get_x_pixels_per_inch,"png_get_y_pixels_per_inch":_png_get_y_pixels_per_inch,"png_malloc":_png_malloc,"png_malloc_warn":_png_malloc_warn,"png_read_info":_png_read_info,"png_read_rows":_png_read_rows,"png_read_update_info":_png_read_update_info,"png_set_IHDR":_png_set_IHDR,"png_set_PLTE":_png_set_PLTE,"png_set_bgr":_png_set_bgr,"png_set_compression_level":_png_set_compression_level,"png_set_error_fn":_png_set_error_fn,"png_set_expand_gray_1_2_4_to_8":_png_set_expand_gray_1_2_4_to_8,"png_set_filler":_png_set_filler,"png_set_gAMA":_png_set_gAMA,"png_set_gray_to_rgb":_png_set_gray_to_rgb,"png_set_longjmp_fn":_png_set_longjmp_fn,"png_set_mem_fn":_png_set_mem_fn,"png_set_pHYs":_png_set_pHYs,"png_set_palette_to_rgb":_png_set_palette_to_rgb,"png_set_read_fn":_png_set_read_fn,"png_set_scale_16":_png_set_scale_16,"png_set_strip_16":_png_set_strip_16,"png_set_tRNS_to_alpha":_png_set_tRNS_to_alpha,"png_set_write_fn":_png_set_write_fn,"png_user_version_check":_png_user_version_check,"png_write_end":_png_write_end,"png_write_image":_png_write_image,"png_write_info":_png_write_info,"png_write_row":_png_write_row,"png_zalloc":_png_zalloc,"png_zfree":_png_zfree,"rand_drbg_cleanup_entropy":_rand_drbg_cleanup_entropy,"rand_drbg_cleanup_nonce":_rand_drbg_cleanup_nonce,"rand_drbg_get_entropy":_rand_drbg_get_entropy,"rand_drbg_get_nonce":_rand_drbg_get_nonce,"rand_meth":_rand_meth,"readTiffMetaData":_readTiffMetaData,"readTiffPage":_readTiffPage,"saveDIBAsBMPV2":_saveDIBAsBMPV2,"strftime_l":_strftime_l};var asm=createWasm();var ___wasm_call_ctors=function(){return(___wasm_call_ctors=Module["asm"]["__wasm_call_ctors"]).apply(null,arguments)};var ___wasm_apply_data_relocs=Module["___wasm_apply_data_relocs"]=function(){return(___wasm_apply_data_relocs=Module["___wasm_apply_data_relocs"]=Module["asm"]["__wasm_apply_data_relocs"]).apply(null,arguments)};var _malloc=Module["_malloc"]=function(){return(_malloc=Module["_malloc"]=Module["asm"]["malloc"]).apply(null,arguments)};var _fopen=Module["_fopen"]=function(){return(_fopen=Module["_fopen"]=Module["asm"]["fopen"]).apply(null,arguments)};var _fwrite=Module["_fwrite"]=function(){return(_fwrite=Module["_fwrite"]=Module["asm"]["fwrite"]).apply(null,arguments)};var _fclose=Module["_fclose"]=function(){return(_fclose=Module["_fclose"]=Module["asm"]["fclose"]).apply(null,arguments)};var _free=Module["_free"]=function(){return(_free=Module["_free"]=Module["asm"]["free"]).apply(null,arguments)};var __ZN4Json5ValueC1ENS_9ValueTypeE=Module["__ZN4Json5ValueC1ENS_9ValueTypeE"]=function(){return(__ZN4Json5ValueC1ENS_9ValueTypeE=Module["__ZN4Json5ValueC1ENS_9ValueTypeE"]=Module["asm"]["_ZN4Json5ValueC1ENS_9ValueTypeE"]).apply(null,arguments)};var __ZN4Json5ValueixEPKc=Module["__ZN4Json5ValueixEPKc"]=function(){return(__ZN4Json5ValueixEPKc=Module["__ZN4Json5ValueixEPKc"]=Module["asm"]["_ZN4Json5ValueixEPKc"]).apply(null,arguments)};var __ZN4Json5ValueD1Ev=Module["__ZN4Json5ValueD1Ev"]=function(){return(__ZN4Json5ValueD1Ev=Module["__ZN4Json5ValueD1Ev"]=Module["asm"]["_ZN4Json5ValueD1Ev"]).apply(null,arguments)};var __ZNSt3__212basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEE6appendEPKc=Module["__ZNSt3__212basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEE6appendEPKc"]=function(){return(__ZNSt3__212basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEE6appendEPKc=Module["__ZNSt3__212basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEE6appendEPKc"]=Module["asm"]["_ZNSt3__212basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEE6appendEPKc"]).apply(null,arguments)};var __ZNK4Json5Value8isMemberEPKc=Module["__ZNK4Json5Value8isMemberEPKc"]=function(){return(__ZNK4Json5Value8isMemberEPKc=Module["__ZNK4Json5Value8isMemberEPKc"]=Module["asm"]["_ZNK4Json5Value8isMemberEPKc"]).apply(null,arguments)};var __ZNK4Json5ValueixEPKc=Module["__ZNK4Json5ValueixEPKc"]=function(){return(__ZNK4Json5ValueixEPKc=Module["__ZNK4Json5ValueixEPKc"]=Module["asm"]["_ZNK4Json5ValueixEPKc"]).apply(null,arguments)};var __ZNK4Json5Value8isStringEv=Module["__ZNK4Json5Value8isStringEv"]=function(){return(__ZNK4Json5Value8isStringEv=Module["__ZNK4Json5Value8isStringEv"]=Module["asm"]["_ZNK4Json5Value8isStringEv"]).apply(null,arguments)};var __ZNK4Json5Value8asStringEv=Module["__ZNK4Json5Value8asStringEv"]=function(){return(__ZNK4Json5Value8asStringEv=Module["__ZNK4Json5Value8asStringEv"]=Module["asm"]["_ZNK4Json5Value8asStringEv"]).apply(null,arguments)};var __ZNK4Json5Value5asIntEv=Module["__ZNK4Json5Value5asIntEv"]=function(){return(__ZNK4Json5Value5asIntEv=Module["__ZNK4Json5Value5asIntEv"]=Module["asm"]["_ZNK4Json5Value5asIntEv"]).apply(null,arguments)};var __ZNSt3__24stodERKNS_12basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEEEPm=Module["__ZNSt3__24stodERKNS_12basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEEEPm"]=function(){return(__ZNSt3__24stodERKNS_12basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEEEPm=Module["__ZNSt3__24stodERKNS_12basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEEEPm"]=Module["asm"]["_ZNSt3__24stodERKNS_12basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEEEPm"]).apply(null,arguments)};var __ZNK4Json5Value9isNumericEv=Module["__ZNK4Json5Value9isNumericEv"]=function(){return(__ZNK4Json5Value9isNumericEv=Module["__ZNK4Json5Value9isNumericEv"]=Module["asm"]["_ZNK4Json5Value9isNumericEv"]).apply(null,arguments)};var __ZNK4Json5Value8isObjectEv=Module["__ZNK4Json5Value8isObjectEv"]=function(){return(__ZNK4Json5Value8isObjectEv=Module["__ZNK4Json5Value8isObjectEv"]=Module["asm"]["_ZNK4Json5Value8isObjectEv"]).apply(null,arguments)};var __ZNK4Json5Value6isBoolEv=Module["__ZNK4Json5Value6isBoolEv"]=function(){return(__ZNK4Json5Value6isBoolEv=Module["__ZNK4Json5Value6isBoolEv"]=Module["asm"]["_ZNK4Json5Value6isBoolEv"]).apply(null,arguments)};var __ZNK4Json5Value6asBoolEv=Module["__ZNK4Json5Value6asBoolEv"]=function(){return(__ZNK4Json5Value6asBoolEv=Module["__ZNK4Json5Value6asBoolEv"]=Module["asm"]["_ZNK4Json5Value6asBoolEv"]).apply(null,arguments)};var _PDFInitFromJsonString=Module["_PDFInitFromJsonString"]=function(){return(_PDFInitFromJsonString=Module["_PDFInitFromJsonString"]=Module["asm"]["PDFInitFromJsonString"]).apply(null,arguments)};var __Znwm=Module["__Znwm"]=function(){return(__Znwm=Module["__Znwm"]=Module["asm"]["_Znwm"]).apply(null,arguments)};var __ZdlPv=Module["__ZdlPv"]=function(){return(__ZdlPv=Module["__ZdlPv"]=Module["asm"]["_ZdlPv"]).apply(null,arguments)};var _CreatePageFromImageFileStream=Module["_CreatePageFromImageFileStream"]=function(){return(_CreatePageFromImageFileStream=Module["_CreatePageFromImageFileStream"]=Module["asm"]["CreatePageFromImageFileStream"]).apply(null,arguments)};var _CreatePageFromImageDIB=Module["_CreatePageFromImageDIB"]=function(){return(_CreatePageFromImageDIB=Module["_CreatePageFromImageDIB"]=Module["asm"]["CreatePageFromImageDIB"]).apply(null,arguments)};var _AddAnnotationToPage=Module["_AddAnnotationToPage"]=function(){return(_AddAnnotationToPage=Module["_AddAnnotationToPage"]=Module["asm"]["AddAnnotationToPage"]).apply(null,arguments)};var _GetPdfStream=Module["_GetPdfStream"]=function(){return(_GetPdfStream=Module["_GetPdfStream"]=Module["asm"]["GetPdfStream"]).apply(null,arguments)};var _ReleasePdf=Module["_ReleasePdf"]=function(){return(_ReleasePdf=Module["_ReleasePdf"]=Module["asm"]["ReleasePdf"]).apply(null,arguments)};var __ZNK4Json5Value8asDoubleEv=Module["__ZNK4Json5Value8asDoubleEv"]=function(){return(__ZNK4Json5Value8asDoubleEv=Module["__ZNK4Json5Value8asDoubleEv"]=Module["asm"]["_ZNK4Json5Value8asDoubleEv"]).apply(null,arguments)};var _GetDynamicPdfWWasmVersion=Module["_GetDynamicPdfWWasmVersion"]=function(){return(_GetDynamicPdfWWasmVersion=Module["_GetDynamicPdfWWasmVersion"]=Module["asm"]["GetDynamicPdfWWasmVersion"]).apply(null,arguments)};var _PDFCore_Init=Module["_PDFCore_Init"]=function(){return(_PDFCore_Init=Module["_PDFCore_Init"]=Module["asm"]["PDFCore_Init"]).apply(null,arguments)};var _PDFCore_Destroy=Module["_PDFCore_Destroy"]=function(){return(_PDFCore_Destroy=Module["_PDFCore_Destroy"]=Module["asm"]["PDFCore_Destroy"]).apply(null,arguments)};var _PDFCore_UnloadDocument=Module["_PDFCore_UnloadDocument"]=function(){return(_PDFCore_UnloadDocument=Module["_PDFCore_UnloadDocument"]=Module["asm"]["PDFCore_UnloadDocument"]).apply(null,arguments)};var _PDFCore_CreateDocument=Module["_PDFCore_CreateDocument"]=function(){return(_PDFCore_CreateDocument=Module["_PDFCore_CreateDocument"]=Module["asm"]["PDFCore_CreateDocument"]).apply(null,arguments)};var _PDFCore_InsertImagePage=Module["_PDFCore_InsertImagePage"]=function(){return(_PDFCore_InsertImagePage=Module["_PDFCore_InsertImagePage"]=Module["asm"]["PDFCore_InsertImagePage"]).apply(null,arguments)};var _PDFCore_InsertImagePageFromDIB=Module["_PDFCore_InsertImagePageFromDIB"]=function(){return(_PDFCore_InsertImagePageFromDIB=Module["_PDFCore_InsertImagePageFromDIB"]=Module["asm"]["PDFCore_InsertImagePageFromDIB"]).apply(null,arguments)};var _PDFCore_WriteDocument=Module["_PDFCore_WriteDocument"]=function(){return(_PDFCore_WriteDocument=Module["_PDFCore_WriteDocument"]=Module["asm"]["PDFCore_WriteDocument"]).apply(null,arguments)};var _PDFCore_WriteToFile=Module["_PDFCore_WriteToFile"]=function(){return(_PDFCore_WriteToFile=Module["_PDFCore_WriteToFile"]=Module["asm"]["PDFCore_WriteToFile"]).apply(null,arguments)};var _fseeko=Module["_fseeko"]=function(){return(_fseeko=Module["_fseeko"]=Module["asm"]["fseeko"]).apply(null,arguments)};var _PDFCore_LoadDocument=Module["_PDFCore_LoadDocument"]=function(){return(_PDFCore_LoadDocument=Module["_PDFCore_LoadDocument"]=Module["asm"]["PDFCore_LoadDocument"]).apply(null,arguments)};var _PDFCore_UnloadPage=Module["_PDFCore_UnloadPage"]=function(){return(_PDFCore_UnloadPage=Module["_PDFCore_UnloadPage"]=Module["asm"]["PDFCore_UnloadPage"]).apply(null,arguments)};var _PDFCore_ReadPageImage=Module["_PDFCore_ReadPageImage"]=function(){return(_PDFCore_ReadPageImage=Module["_PDFCore_ReadPageImage"]=Module["asm"]["PDFCore_ReadPageImage"]).apply(null,arguments)};var _PDFCore_ReadPageImageInfo=Module["_PDFCore_ReadPageImageInfo"]=function(){return(_PDFCore_ReadPageImageInfo=Module["_PDFCore_ReadPageImageInfo"]=Module["asm"]["PDFCore_ReadPageImageInfo"]).apply(null,arguments)};var _PDFCore_SetRenderLimitImageSize=Module["_PDFCore_SetRenderLimitImageSize"]=function(){return(_PDFCore_SetRenderLimitImageSize=Module["_PDFCore_SetRenderLimitImageSize"]=Module["asm"]["PDFCore_SetRenderLimitImageSize"]).apply(null,arguments)};var _PDFCore_SetRenderGrayscale=Module["_PDFCore_SetRenderGrayscale"]=function(){return(_PDFCore_SetRenderGrayscale=Module["_PDFCore_SetRenderGrayscale"]=Module["asm"]["PDFCore_SetRenderGrayscale"]).apply(null,arguments)};var _PDFCore_SetRenderAnnotations=Module["_PDFCore_SetRenderAnnotations"]=function(){return(_PDFCore_SetRenderAnnotations=Module["_PDFCore_SetRenderAnnotations"]=Module["asm"]["PDFCore_SetRenderAnnotations"]).apply(null,arguments)};var _PDFCore_SetPageMediaBox=Module["_PDFCore_SetPageMediaBox"]=function(){return(_PDFCore_SetPageMediaBox=Module["_PDFCore_SetPageMediaBox"]=Module["asm"]["PDFCore_SetPageMediaBox"]).apply(null,arguments)};var _PDFCore_GetPageMediaBox=Module["_PDFCore_GetPageMediaBox"]=function(){return(_PDFCore_GetPageMediaBox=Module["_PDFCore_GetPageMediaBox"]=Module["asm"]["PDFCore_GetPageMediaBox"]).apply(null,arguments)};var _PDFCore_SetPageCropBox=Module["_PDFCore_SetPageCropBox"]=function(){return(_PDFCore_SetPageCropBox=Module["_PDFCore_SetPageCropBox"]=Module["asm"]["PDFCore_SetPageCropBox"]).apply(null,arguments)};var _PDFCore_GetPageCropBox=Module["_PDFCore_GetPageCropBox"]=function(){return(_PDFCore_GetPageCropBox=Module["_PDFCore_GetPageCropBox"]=Module["asm"]["PDFCore_GetPageCropBox"]).apply(null,arguments)};var _PDFCore_SetPageRotation=Module["_PDFCore_SetPageRotation"]=function(){return(_PDFCore_SetPageRotation=Module["_PDFCore_SetPageRotation"]=Module["asm"]["PDFCore_SetPageRotation"]).apply(null,arguments)};var _PDFCore_GetPageRotation=Module["_PDFCore_GetPageRotation"]=function(){return(_PDFCore_GetPageRotation=Module["_PDFCore_GetPageRotation"]=Module["asm"]["PDFCore_GetPageRotation"]).apply(null,arguments)};var _PDFCore_SetPageAnnot=Module["_PDFCore_SetPageAnnot"]=function(){return(_PDFCore_SetPageAnnot=Module["_PDFCore_SetPageAnnot"]=Module["asm"]["PDFCore_SetPageAnnot"]).apply(null,arguments)};var _PDFCore_FlattenPageAnnot=Module["_PDFCore_FlattenPageAnnot"]=function(){return(_PDFCore_FlattenPageAnnot=Module["_PDFCore_FlattenPageAnnot"]=Module["asm"]["PDFCore_FlattenPageAnnot"]).apply(null,arguments)};var _PDFCore_AddPageAnnot=Module["_PDFCore_AddPageAnnot"]=function(){return(_PDFCore_AddPageAnnot=Module["_PDFCore_AddPageAnnot"]=Module["asm"]["PDFCore_AddPageAnnot"]).apply(null,arguments)};var _PDFCore_GetPageAnnotCount=Module["_PDFCore_GetPageAnnotCount"]=function(){return(_PDFCore_GetPageAnnotCount=Module["_PDFCore_GetPageAnnotCount"]=Module["asm"]["PDFCore_GetPageAnnotCount"]).apply(null,arguments)};var _PDFCore_GetPageAnnot=Module["_PDFCore_GetPageAnnot"]=function(){return(_PDFCore_GetPageAnnot=Module["_PDFCore_GetPageAnnot"]=Module["asm"]["PDFCore_GetPageAnnot"]).apply(null,arguments)};var _PDFCore_DeletePageAnnot=Module["_PDFCore_DeletePageAnnot"]=function(){return(_PDFCore_DeletePageAnnot=Module["_PDFCore_DeletePageAnnot"]=Module["asm"]["PDFCore_DeletePageAnnot"]).apply(null,arguments)};var _PDFCore_DeletePageAnnotByTypes=Module["_PDFCore_DeletePageAnnotByTypes"]=function(){return(_PDFCore_DeletePageAnnotByTypes=Module["_PDFCore_DeletePageAnnotByTypes"]=Module["asm"]["PDFCore_DeletePageAnnotByTypes"]).apply(null,arguments)};var _PDFCore_DeletePageAnnotByNames=Module["_PDFCore_DeletePageAnnotByNames"]=function(){return(_PDFCore_DeletePageAnnotByNames=Module["_PDFCore_DeletePageAnnotByNames"]=Module["asm"]["PDFCore_DeletePageAnnotByNames"]).apply(null,arguments)};var _PDFCore_FlattenPage=Module["_PDFCore_FlattenPage"]=function(){return(_PDFCore_FlattenPage=Module["_PDFCore_FlattenPage"]=Module["asm"]["PDFCore_FlattenPage"]).apply(null,arguments)};var _PDFCore_GetPageCount=Module["_PDFCore_GetPageCount"]=function(){return(_PDFCore_GetPageCount=Module["_PDFCore_GetPageCount"]=Module["asm"]["PDFCore_GetPageCount"]).apply(null,arguments)};var _PDFCore_SetPdfInfo=Module["_PDFCore_SetPdfInfo"]=function(){return(_PDFCore_SetPdfInfo=Module["_PDFCore_SetPdfInfo"]=Module["asm"]["PDFCore_SetPdfInfo"]).apply(null,arguments)};var _PDFCore_GetPdfInfo=Module["_PDFCore_GetPdfInfo"]=function(){return(_PDFCore_GetPdfInfo=Module["_PDFCore_GetPdfInfo"]=Module["asm"]["PDFCore_GetPdfInfo"]).apply(null,arguments)};var _PDFCore_GetPermission=Module["_PDFCore_GetPermission"]=function(){return(_PDFCore_GetPermission=Module["_PDFCore_GetPermission"]=Module["asm"]["PDFCore_GetPermission"]).apply(null,arguments)};var _PDFCore_GetAttachmentCount=Module["_PDFCore_GetAttachmentCount"]=function(){return(_PDFCore_GetAttachmentCount=Module["_PDFCore_GetAttachmentCount"]=Module["asm"]["PDFCore_GetAttachmentCount"]).apply(null,arguments)};var _PDFCore_GetPageContentType=Module["_PDFCore_GetPageContentType"]=function(){return(_PDFCore_GetPageContentType=Module["_PDFCore_GetPageContentType"]=Module["asm"]["PDFCore_GetPageContentType"]).apply(null,arguments)};var _PDFCore_GetPageInfo=Module["_PDFCore_GetPageInfo"]=function(){return(_PDFCore_GetPageInfo=Module["_PDFCore_GetPageInfo"]=Module["asm"]["PDFCore_GetPageInfo"]).apply(null,arguments)};var _PDFCore_GetPagesRenderImageInfo=Module["_PDFCore_GetPagesRenderImageInfo"]=function(){return(_PDFCore_GetPagesRenderImageInfo=Module["_PDFCore_GetPagesRenderImageInfo"]=Module["asm"]["PDFCore_GetPagesRenderImageInfo"]).apply(null,arguments)};var _PDFCore_InsertBlankPage=Module["_PDFCore_InsertBlankPage"]=function(){return(_PDFCore_InsertBlankPage=Module["_PDFCore_InsertBlankPage"]=Module["asm"]["PDFCore_InsertBlankPage"]).apply(null,arguments)};var _PDFCore_AddImageToPage=Module["_PDFCore_AddImageToPage"]=function(){return(_PDFCore_AddImageToPage=Module["_PDFCore_AddImageToPage"]=Module["asm"]["PDFCore_AddImageToPage"]).apply(null,arguments)};var _PDFCore_AddTextToPage=Module["_PDFCore_AddTextToPage"]=function(){return(_PDFCore_AddTextToPage=Module["_PDFCore_AddTextToPage"]=Module["asm"]["PDFCore_AddTextToPage"]).apply(null,arguments)};var _PDFCore_AddPathToPage=Module["_PDFCore_AddPathToPage"]=function(){return(_PDFCore_AddPathToPage=Module["_PDFCore_AddPathToPage"]=Module["asm"]["PDFCore_AddPathToPage"]).apply(null,arguments)};var _PDFCore_ClearPageObjects=Module["_PDFCore_ClearPageObjects"]=function(){return(_PDFCore_ClearPageObjects=Module["_PDFCore_ClearPageObjects"]=Module["asm"]["PDFCore_ClearPageObjects"]).apply(null,arguments)};var _PDFCore_MergePdfPages=Module["_PDFCore_MergePdfPages"]=function(){return(_PDFCore_MergePdfPages=Module["_PDFCore_MergePdfPages"]=Module["asm"]["PDFCore_MergePdfPages"]).apply(null,arguments)};var _PDFCore_SearchText=Module["_PDFCore_SearchText"]=function(){return(_PDFCore_SearchText=Module["_PDFCore_SearchText"]=Module["asm"]["PDFCore_SearchText"]).apply(null,arguments)};var _PDFCore_GetPageCharInfos=Module["_PDFCore_GetPageCharInfos"]=function(){return(_PDFCore_GetPageCharInfos=Module["_PDFCore_GetPageCharInfos"]=Module["asm"]["PDFCore_GetPageCharInfos"]).apply(null,arguments)};var _PDFCore_LoadFont=Module["_PDFCore_LoadFont"]=function(){return(_PDFCore_LoadFont=Module["_PDFCore_LoadFont"]=Module["asm"]["PDFCore_LoadFont"]).apply(null,arguments)};var _PDFCore_LoadFontFiles=Module["_PDFCore_LoadFontFiles"]=function(){return(_PDFCore_LoadFontFiles=Module["_PDFCore_LoadFontFiles"]=Module["asm"]["PDFCore_LoadFontFiles"]).apply(null,arguments)};var _PDFCore_PageNeedRender=Module["_PDFCore_PageNeedRender"]=function(){return(_PDFCore_PageNeedRender=Module["_PDFCore_PageNeedRender"]=Module["asm"]["PDFCore_PageNeedRender"]).apply(null,arguments)};var _PDFCore_IfFontsExist=Module["_PDFCore_IfFontsExist"]=function(){return(_PDFCore_IfFontsExist=Module["_PDFCore_IfFontsExist"]=Module["asm"]["PDFCore_IfFontsExist"]).apply(null,arguments)};var _PDFCore_GetFontInfo=Module["_PDFCore_GetFontInfo"]=function(){return(_PDFCore_GetFontInfo=Module["_PDFCore_GetFontInfo"]=Module["asm"]["PDFCore_GetFontInfo"]).apply(null,arguments)};var ___cxa_allocate_exception=Module["___cxa_allocate_exception"]=function(){return(___cxa_allocate_exception=Module["___cxa_allocate_exception"]=Module["asm"]["__cxa_allocate_exception"]).apply(null,arguments)};var __ZNSt12length_errorD1Ev=Module["__ZNSt12length_errorD1Ev"]=function(){return(__ZNSt12length_errorD1Ev=Module["__ZNSt12length_errorD1Ev"]=Module["asm"]["_ZNSt12length_errorD1Ev"]).apply(null,arguments)};var __ZNSt11logic_errorC2EPKc=Module["__ZNSt11logic_errorC2EPKc"]=function(){return(__ZNSt11logic_errorC2EPKc=Module["__ZNSt11logic_errorC2EPKc"]=Module["asm"]["_ZNSt11logic_errorC2EPKc"]).apply(null,arguments)};var __ZNSt20bad_array_new_lengthC1Ev=Module["__ZNSt20bad_array_new_lengthC1Ev"]=function(){return(__ZNSt20bad_array_new_lengthC1Ev=Module["__ZNSt20bad_array_new_lengthC1Ev"]=Module["asm"]["_ZNSt20bad_array_new_lengthC1Ev"]).apply(null,arguments)};var __ZNSt20bad_array_new_lengthD1Ev=Module["__ZNSt20bad_array_new_lengthD1Ev"]=function(){return(__ZNSt20bad_array_new_lengthD1Ev=Module["__ZNSt20bad_array_new_lengthD1Ev"]=Module["asm"]["_ZNSt20bad_array_new_lengthD1Ev"]).apply(null,arguments)};var _strlen=Module["_strlen"]=function(){return(_strlen=Module["_strlen"]=Module["asm"]["strlen"]).apply(null,arguments)};var _calloc=Module["_calloc"]=function(){return(_calloc=Module["_calloc"]=Module["asm"]["calloc"]).apply(null,arguments)};var __Znam=Module["__Znam"]=function(){return(__Znam=Module["__Znam"]=Module["asm"]["_Znam"]).apply(null,arguments)};var __ZNSt3__215basic_stringbufIcNS_11char_traitsIcEENS_9allocatorIcEEE3strERKNS_12basic_stringIcS2_S4_EE=Module["__ZNSt3__215basic_stringbufIcNS_11char_traitsIcEENS_9allocatorIcEEE3strERKNS_12basic_stringIcS2_S4_EE"]=function(){return(__ZNSt3__215basic_stringbufIcNS_11char_traitsIcEENS_9allocatorIcEEE3strERKNS_12basic_stringIcS2_S4_EE=Module["__ZNSt3__215basic_stringbufIcNS_11char_traitsIcEENS_9allocatorIcEEE3strERKNS_12basic_stringIcS2_S4_EE"]=Module["asm"]["_ZNSt3__215basic_stringbufIcNS_11char_traitsIcEENS_9allocatorIcEEE3strERKNS_12basic_stringIcS2_S4_EE"]).apply(null,arguments)};var __ZNKSt3__215basic_stringbufIcNS_11char_traitsIcEENS_9allocatorIcEEE3strEv=Module["__ZNKSt3__215basic_stringbufIcNS_11char_traitsIcEENS_9allocatorIcEEE3strEv"]=function(){return(__ZNKSt3__215basic_stringbufIcNS_11char_traitsIcEENS_9allocatorIcEEE3strEv=Module["__ZNKSt3__215basic_stringbufIcNS_11char_traitsIcEENS_9allocatorIcEEE3strEv"]=Module["asm"]["_ZNKSt3__215basic_stringbufIcNS_11char_traitsIcEENS_9allocatorIcEEE3strEv"]).apply(null,arguments)};var _vsnprintf=Module["_vsnprintf"]=function(){return(_vsnprintf=Module["_vsnprintf"]=Module["asm"]["vsnprintf"]).apply(null,arguments)};var __ZNSt3__215basic_streambufIcNS_11char_traitsIcEEED2Ev=Module["__ZNSt3__215basic_streambufIcNS_11char_traitsIcEEED2Ev"]=function(){return(__ZNSt3__215basic_streambufIcNS_11char_traitsIcEEED2Ev=Module["__ZNSt3__215basic_streambufIcNS_11char_traitsIcEEED2Ev"]=Module["asm"]["_ZNSt3__215basic_streambufIcNS_11char_traitsIcEEED2Ev"]).apply(null,arguments)};var __ZNSt3__212basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEE17__assign_externalEPKc=Module["__ZNSt3__212basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEE17__assign_externalEPKc"]=function(){return(__ZNSt3__212basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEE17__assign_externalEPKc=Module["__ZNSt3__212basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEE17__assign_externalEPKc"]=Module["asm"]["_ZNSt3__212basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEE17__assign_externalEPKc"]).apply(null,arguments)};var __ZNSt3__215basic_streambufIcNS_11char_traitsIcEEEC2Ev=Module["__ZNSt3__215basic_streambufIcNS_11char_traitsIcEEEC2Ev"]=function(){return(__ZNSt3__215basic_streambufIcNS_11char_traitsIcEEEC2Ev=Module["__ZNSt3__215basic_streambufIcNS_11char_traitsIcEEEC2Ev"]=Module["asm"]["_ZNSt3__215basic_streambufIcNS_11char_traitsIcEEEC2Ev"]).apply(null,arguments)};var _strcpy=Module["_strcpy"]=function(){return(_strcpy=Module["_strcpy"]=Module["asm"]["strcpy"]).apply(null,arguments)};var _strtok=Module["_strtok"]=function(){return(_strtok=Module["_strtok"]=Module["asm"]["strtok"]).apply(null,arguments)};var __ZdaPv=Module["__ZdaPv"]=function(){return(__ZdaPv=Module["__ZdaPv"]=Module["asm"]["_ZdaPv"]).apply(null,arguments)};var __ZNSt3__29to_stringEi=Module["__ZNSt3__29to_stringEi"]=function(){return(__ZNSt3__29to_stringEi=Module["__ZNSt3__29to_stringEi"]=Module["asm"]["_ZNSt3__29to_stringEi"]).apply(null,arguments)};var __ZN4Json5ValueC1EPKc=Module["__ZN4Json5ValueC1EPKc"]=function(){return(__ZN4Json5ValueC1EPKc=Module["__ZN4Json5ValueC1EPKc"]=Module["asm"]["_ZN4Json5ValueC1EPKc"]).apply(null,arguments)};var __ZNSt3__212basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEE17__assign_no_aliasILb1EEERS5_PKcm=Module["__ZNSt3__212basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEE17__assign_no_aliasILb1EEERS5_PKcm"]=function(){return(__ZNSt3__212basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEE17__assign_no_aliasILb1EEERS5_PKcm=Module["__ZNSt3__212basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEE17__assign_no_aliasILb1EEERS5_PKcm"]=Module["asm"]["_ZNSt3__212basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEE17__assign_no_aliasILb1EEERS5_PKcm"]).apply(null,arguments)};var __ZNSt3__212basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEE17__assign_no_aliasILb0EEERS5_PKcm=Module["__ZNSt3__212basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEE17__assign_no_aliasILb0EEERS5_PKcm"]=function(){return(__ZNSt3__212basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEE17__assign_no_aliasILb0EEERS5_PKcm=Module["__ZNSt3__212basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEE17__assign_no_aliasILb0EEERS5_PKcm"]=Module["asm"]["_ZNSt3__212basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEE17__assign_no_aliasILb0EEERS5_PKcm"]).apply(null,arguments)};var __ZNSt3__26vectorINS_12basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEEENS4_IS6_EEE21__push_back_slow_pathIS6_EEvOT_=Module["__ZNSt3__26vectorINS_12basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEEENS4_IS6_EEE21__push_back_slow_pathIS6_EEvOT_"]=function(){return(__ZNSt3__26vectorINS_12basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEEENS4_IS6_EEE21__push_back_slow_pathIS6_EEvOT_=Module["__ZNSt3__26vectorINS_12basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEEENS4_IS6_EEE21__push_back_slow_pathIS6_EEvOT_"]=Module["asm"]["_ZNSt3__26vectorINS_12basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEEENS4_IS6_EEE21__push_back_slow_pathIS6_EEvOT_"]).apply(null,arguments)};var _memcmp=Module["_memcmp"]=function(){return(_memcmp=Module["_memcmp"]=Module["asm"]["memcmp"]).apply(null,arguments)};var __ZNSt3__227__tree_balance_after_insertIPNS_16__tree_node_baseIPvEEEEvT_S5_=Module["__ZNSt3__227__tree_balance_after_insertIPNS_16__tree_node_baseIPvEEEEvT_S5_"]=function(){return(__ZNSt3__227__tree_balance_after_insertIPNS_16__tree_node_baseIPvEEEEvT_S5_=Module["__ZNSt3__227__tree_balance_after_insertIPNS_16__tree_node_baseIPvEEEEvT_S5_"]=Module["asm"]["_ZNSt3__227__tree_balance_after_insertIPNS_16__tree_node_baseIPvEEEEvT_S5_"]).apply(null,arguments)};var __ZNSt3__212basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEE6appendEPKcm=Module["__ZNSt3__212basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEE6appendEPKcm"]=function(){return(__ZNSt3__212basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEE6appendEPKcm=Module["__ZNSt3__212basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEE6appendEPKcm"]=Module["asm"]["_ZNSt3__212basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEE6appendEPKcm"]).apply(null,arguments)};var __ZNSt3__212basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEE17__assign_externalEPKcm=Module["__ZNSt3__212basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEE17__assign_externalEPKcm"]=function(){return(__ZNSt3__212basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEE17__assign_externalEPKcm=Module["__ZNSt3__212basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEE17__assign_externalEPKcm"]=Module["asm"]["_ZNSt3__212basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEE17__assign_externalEPKcm"]).apply(null,arguments)};var __ZNK4Json5Value4sizeEv=Module["__ZNK4Json5Value4sizeEv"]=function(){return(__ZNK4Json5Value4sizeEv=Module["__ZNK4Json5Value4sizeEv"]=Module["asm"]["_ZNK4Json5Value4sizeEv"]).apply(null,arguments)};var __ZN4Json17CharReaderBuilderC1Ev=Module["__ZN4Json17CharReaderBuilderC1Ev"]=function(){return(__ZN4Json17CharReaderBuilderC1Ev=Module["__ZN4Json17CharReaderBuilderC1Ev"]=Module["asm"]["_ZN4Json17CharReaderBuilderC1Ev"]).apply(null,arguments)};var __ZNK4Json17CharReaderBuilder13newCharReaderEv=Module["__ZNK4Json17CharReaderBuilder13newCharReaderEv"]=function(){return(__ZNK4Json17CharReaderBuilder13newCharReaderEv=Module["__ZNK4Json17CharReaderBuilder13newCharReaderEv"]=Module["asm"]["_ZNK4Json17CharReaderBuilder13newCharReaderEv"]).apply(null,arguments)};var __ZN4Json17CharReaderBuilderD1Ev=Module["__ZN4Json17CharReaderBuilderD1Ev"]=function(){return(__ZN4Json17CharReaderBuilderD1Ev=Module["__ZN4Json17CharReaderBuilderD1Ev"]=Module["asm"]["_ZN4Json17CharReaderBuilderD1Ev"]).apply(null,arguments)};var __ZNSt3__26vectorINS_12basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEEENS4_IS6_EEE21__push_back_slow_pathIRKS6_EEvOT_=Module["__ZNSt3__26vectorINS_12basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEEENS4_IS6_EEE21__push_back_slow_pathIRKS6_EEvOT_"]=function(){return(__ZNSt3__26vectorINS_12basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEEENS4_IS6_EEE21__push_back_slow_pathIRKS6_EEvOT_=Module["__ZNSt3__26vectorINS_12basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEEENS4_IS6_EEE21__push_back_slow_pathIRKS6_EEvOT_"]=Module["asm"]["_ZNSt3__26vectorINS_12basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEEENS4_IS6_EEE21__push_back_slow_pathIRKS6_EEvOT_"]).apply(null,arguments)};var __ZNSt3__212basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEE25__init_copy_ctor_externalEPKcm=Module["__ZNSt3__212basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEE25__init_copy_ctor_externalEPKcm"]=function(){return(__ZNSt3__212basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEE25__init_copy_ctor_externalEPKcm=Module["__ZNSt3__212basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEE25__init_copy_ctor_externalEPKcm"]=Module["asm"]["_ZNSt3__212basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEE25__init_copy_ctor_externalEPKcm"]).apply(null,arguments)};var __ZNSt3__212basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEEC2B6v15007IDnEEPKc=Module["__ZNSt3__212basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEEC2B6v15007IDnEEPKc"]=function(){return(__ZNSt3__212basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEEC2B6v15007IDnEEPKc=Module["__ZNSt3__212basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEEC2B6v15007IDnEEPKc"]=Module["asm"]["_ZNSt3__212basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEEC2B6v15007IDnEEPKc"]).apply(null,arguments)};var _tolower=Module["_tolower"]=function(){return(_tolower=Module["_tolower"]=Module["asm"]["tolower"]).apply(null,arguments)};var _strcmp=Module["_strcmp"]=function(){return(_strcmp=Module["_strcmp"]=Module["asm"]["strcmp"]).apply(null,arguments)};var __ZNK4Json5Value7isArrayEv=Module["__ZNK4Json5Value7isArrayEv"]=function(){return(__ZNK4Json5Value7isArrayEv=Module["__ZNK4Json5Value7isArrayEv"]=Module["asm"]["_ZNK4Json5Value7isArrayEv"]).apply(null,arguments)};var _snprintf=Module["_snprintf"]=function(){return(_snprintf=Module["_snprintf"]=Module["asm"]["snprintf"]).apply(null,arguments)};var _memchr=Module["_memchr"]=function(){return(_memchr=Module["_memchr"]=Module["asm"]["memchr"]).apply(null,arguments)};var __ZNSt3__212basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEEC1ERKS5_mmRKS4_=Module["__ZNSt3__212basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEEC1ERKS5_mmRKS4_"]=function(){return(__ZNSt3__212basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEEC1ERKS5_mmRKS4_=Module["__ZNSt3__212basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEEC1ERKS5_mmRKS4_"]=Module["asm"]["_ZNSt3__212basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEEC1ERKS5_mmRKS4_"]).apply(null,arguments)};var _siprintf=Module["_siprintf"]=function(){return(_siprintf=Module["_siprintf"]=Module["asm"]["siprintf"]).apply(null,arguments)};var __ZNSt3__212basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEE6insertEmPKc=Module["__ZNSt3__212basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEE6insertEmPKc"]=function(){return(__ZNSt3__212basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEE6insertEmPKc=Module["__ZNSt3__212basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEE6insertEmPKc"]=Module["asm"]["_ZNSt3__212basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEE6insertEmPKc"]).apply(null,arguments)};var ___cxa_atexit=Module["___cxa_atexit"]=function(){return(___cxa_atexit=Module["___cxa_atexit"]=Module["asm"]["__cxa_atexit"]).apply(null,arguments)};var _toupper=Module["_toupper"]=function(){return(_toupper=Module["_toupper"]=Module["asm"]["toupper"]).apply(null,arguments)};var __ZNSt3__212basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEE9push_backEc=Module["__ZNSt3__212basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEE9push_backEc"]=function(){return(__ZNSt3__212basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEE9push_backEc=Module["__ZNSt3__212basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEE9push_backEc"]=Module["asm"]["_ZNSt3__212basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEE9push_backEc"]).apply(null,arguments)};var __ZNSt3__2plIcNS_11char_traitsIcEENS_9allocatorIcEEEENS_12basic_stringIT_T0_T1_EEPKS6_RKS9_=Module["__ZNSt3__2plIcNS_11char_traitsIcEENS_9allocatorIcEEEENS_12basic_stringIT_T0_T1_EEPKS6_RKS9_"]=function(){return(__ZNSt3__2plIcNS_11char_traitsIcEENS_9allocatorIcEEEENS_12basic_stringIT_T0_T1_EEPKS6_RKS9_=Module["__ZNSt3__2plIcNS_11char_traitsIcEENS_9allocatorIcEEEENS_12basic_stringIT_T0_T1_EEPKS6_RKS9_"]=Module["asm"]["_ZNSt3__2plIcNS_11char_traitsIcEENS_9allocatorIcEEEENS_12basic_stringIT_T0_T1_EEPKS6_RKS9_"]).apply(null,arguments)};var __ZNSt3__213basic_ostreamIcNS_11char_traitsIcEEElsEj=Module["__ZNSt3__213basic_ostreamIcNS_11char_traitsIcEEElsEj"]=function(){return(__ZNSt3__213basic_ostreamIcNS_11char_traitsIcEEElsEj=Module["__ZNSt3__213basic_ostreamIcNS_11char_traitsIcEEElsEj"]=Module["asm"]["_ZNSt3__213basic_ostreamIcNS_11char_traitsIcEEElsEj"]).apply(null,arguments)};var _time=Module["_time"]=function(){return(_time=Module["_time"]=Module["asm"]["time"]).apply(null,arguments)};var _rand=Module["_rand"]=function(){return(_rand=Module["_rand"]=Module["asm"]["rand"]).apply(null,arguments)};var _localtime=Module["_localtime"]=function(){return(_localtime=Module["_localtime"]=Module["asm"]["localtime"]).apply(null,arguments)};var _strtoul=Module["_strtoul"]=function(){return(_strtoul=Module["_strtoul"]=Module["asm"]["strtoul"]).apply(null,arguments)};var __ZNKSt3__212basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEE4findEcm=Module["__ZNKSt3__212basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEE4findEcm"]=function(){return(__ZNKSt3__212basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEE4findEcm=Module["__ZNKSt3__212basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEE4findEcm"]=Module["asm"]["_ZNKSt3__212basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEE4findEcm"]).apply(null,arguments)};var _atoi=Module["_atoi"]=function(){return(_atoi=Module["_atoi"]=Module["asm"]["atoi"]).apply(null,arguments)};var _inflateInit_=Module["_inflateInit_"]=function(){return(_inflateInit_=Module["_inflateInit_"]=Module["asm"]["inflateInit_"]).apply(null,arguments)};var _inflate=Module["_inflate"]=function(){return(_inflate=Module["_inflate"]=Module["asm"]["inflate"]).apply(null,arguments)};var _inflateEnd=Module["_inflateEnd"]=function(){return(_inflateEnd=Module["_inflateEnd"]=Module["asm"]["inflateEnd"]).apply(null,arguments)};var __ZNSt3__212basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEE7reserveEm=Module["__ZNSt3__212basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEE7reserveEm"]=function(){return(__ZNSt3__212basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEE7reserveEm=Module["__ZNSt3__212basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEE7reserveEm"]=Module["asm"]["_ZNSt3__212basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEE7reserveEm"]).apply(null,arguments)};var _strncmp=Module["_strncmp"]=function(){return(_strncmp=Module["_strncmp"]=Module["asm"]["strncmp"]).apply(null,arguments)};var ___errno_location=function(){return(___errno_location=Module["asm"]["__errno_location"]).apply(null,arguments)};var _ftell=Module["_ftell"]=function(){return(_ftell=Module["_ftell"]=Module["asm"]["ftell"]).apply(null,arguments)};var _fseek=Module["_fseek"]=function(){return(_fseek=Module["_fseek"]=Module["asm"]["fseek"]).apply(null,arguments)};var _open=Module["_open"]=function(){return(_open=Module["_open"]=Module["asm"]["open"]).apply(null,arguments)};var _write=Module["_write"]=function(){return(_write=Module["_write"]=Module["asm"]["write"]).apply(null,arguments)};var _close=Module["_close"]=function(){return(_close=Module["_close"]=Module["asm"]["close"]).apply(null,arguments)};var _fread=Module["_fread"]=function(){return(_fread=Module["_fread"]=Module["asm"]["fread"]).apply(null,arguments)};var _ferror=Module["_ferror"]=function(){return(_ferror=Module["_ferror"]=Module["asm"]["ferror"]).apply(null,arguments)};var _stat=Module["_stat"]=function(){return(_stat=Module["_stat"]=Module["asm"]["stat"]).apply(null,arguments)};var _mkdir=Module["_mkdir"]=function(){return(_mkdir=Module["_mkdir"]=Module["asm"]["mkdir"]).apply(null,arguments)};var _opendir=Module["_opendir"]=function(){return(_opendir=Module["_opendir"]=Module["asm"]["opendir"]).apply(null,arguments)};var _readdir=Module["_readdir"]=function(){return(_readdir=Module["_readdir"]=Module["asm"]["readdir"]).apply(null,arguments)};var _closedir=Module["_closedir"]=function(){return(_closedir=Module["_closedir"]=Module["asm"]["closedir"]).apply(null,arguments)};var _rewind=Module["_rewind"]=function(){return(_rewind=Module["_rewind"]=Module["asm"]["rewind"]).apply(null,arguments)};var _strncpy=Module["_strncpy"]=function(){return(_strncpy=Module["_strncpy"]=Module["asm"]["strncpy"]).apply(null,arguments)};var _clock_gettime=Module["_clock_gettime"]=function(){return(_clock_gettime=Module["_clock_gettime"]=Module["asm"]["clock_gettime"]).apply(null,arguments)};var _gettimeofday=Module["_gettimeofday"]=function(){return(_gettimeofday=Module["_gettimeofday"]=Module["asm"]["gettimeofday"]).apply(null,arguments)};var _wcslen=Module["_wcslen"]=function(){return(_wcslen=Module["_wcslen"]=Module["asm"]["wcslen"]).apply(null,arguments)};var __ZNSt9exceptionD2Ev=Module["__ZNSt9exceptionD2Ev"]=function(){return(__ZNSt9exceptionD2Ev=Module["__ZNSt9exceptionD2Ev"]=Module["asm"]["_ZNSt9exceptionD2Ev"]).apply(null,arguments)};var __ZNSt3__25dequeIPN4Json5ValueENS_9allocatorIS3_EEE19__add_back_capacityEv=Module["__ZNSt3__25dequeIPN4Json5ValueENS_9allocatorIS3_EEE19__add_back_capacityEv"]=function(){return(__ZNSt3__25dequeIPN4Json5ValueENS_9allocatorIS3_EEE19__add_back_capacityEv=Module["__ZNSt3__25dequeIPN4Json5ValueENS_9allocatorIS3_EEE19__add_back_capacityEv"]=Module["asm"]["_ZNSt3__25dequeIPN4Json5ValueENS_9allocatorIS3_EEE19__add_back_capacityEv"]).apply(null,arguments)};var __ZNSt3__212__deque_baseIN4Json9OurReader9ErrorInfoENS_9allocatorIS3_EEE5clearEv=Module["__ZNSt3__212__deque_baseIN4Json9OurReader9ErrorInfoENS_9allocatorIS3_EEE5clearEv"]=function(){return(__ZNSt3__212__deque_baseIN4Json9OurReader9ErrorInfoENS_9allocatorIS3_EEE5clearEv=Module["__ZNSt3__212__deque_baseIN4Json9OurReader9ErrorInfoENS_9allocatorIS3_EEE5clearEv"]=Module["asm"]["_ZNSt3__212__deque_baseIN4Json9OurReader9ErrorInfoENS_9allocatorIS3_EEE5clearEv"]).apply(null,arguments)};var __ZNSt3__25dequeIN4Json9OurReader9ErrorInfoENS_9allocatorIS3_EEE19__add_back_capacityEv=Module["__ZNSt3__25dequeIN4Json9OurReader9ErrorInfoENS_9allocatorIS3_EEE19__add_back_capacityEv"]=function(){return(__ZNSt3__25dequeIN4Json9OurReader9ErrorInfoENS_9allocatorIS3_EEE19__add_back_capacityEv=Module["__ZNSt3__25dequeIN4Json9OurReader9ErrorInfoENS_9allocatorIS3_EEE19__add_back_capacityEv"]=Module["asm"]["_ZNSt3__25dequeIN4Json9OurReader9ErrorInfoENS_9allocatorIS3_EEE19__add_back_capacityEv"]).apply(null,arguments)};var __ZNSt3__25dequeIN4Json9OurReader9ErrorInfoENS_9allocatorIS3_EEE14__erase_to_endENS_16__deque_iteratorIS3_PKS3_RS8_PKS9_lLl0EEE=Module["__ZNSt3__25dequeIN4Json9OurReader9ErrorInfoENS_9allocatorIS3_EEE14__erase_to_endENS_16__deque_iteratorIS3_PKS3_RS8_PKS9_lLl0EEE"]=function(){return(__ZNSt3__25dequeIN4Json9OurReader9ErrorInfoENS_9allocatorIS3_EEE14__erase_to_endENS_16__deque_iteratorIS3_PKS3_RS8_PKS9_lLl0EEE=Module["__ZNSt3__25dequeIN4Json9OurReader9ErrorInfoENS_9allocatorIS3_EEE14__erase_to_endENS_16__deque_iteratorIS3_PKS3_RS8_PKS9_lLl0EEE"]=Module["asm"]["_ZNSt3__25dequeIN4Json9OurReader9ErrorInfoENS_9allocatorIS3_EEE14__erase_to_endENS_16__deque_iteratorIS3_PKS3_RS8_PKS9_lLl0EEE"]).apply(null,arguments)};var __ZNSt3__25dequeIN4Json9OurReader9ErrorInfoENS_9allocatorIS3_EEE8__appendEm=Module["__ZNSt3__25dequeIN4Json9OurReader9ErrorInfoENS_9allocatorIS3_EEE8__appendEm"]=function(){return(__ZNSt3__25dequeIN4Json9OurReader9ErrorInfoENS_9allocatorIS3_EEE8__appendEm=Module["__ZNSt3__25dequeIN4Json9OurReader9ErrorInfoENS_9allocatorIS3_EEE8__appendEm"]=Module["asm"]["_ZNSt3__25dequeIN4Json9OurReader9ErrorInfoENS_9allocatorIS3_EEE8__appendEm"]).apply(null,arguments)};var __ZN4Json17CharReaderBuilderD0Ev=Module["__ZN4Json17CharReaderBuilderD0Ev"]=function(){return(__ZN4Json17CharReaderBuilderD0Ev=Module["__ZN4Json17CharReaderBuilderD0Ev"]=Module["asm"]["_ZN4Json17CharReaderBuilderD0Ev"]).apply(null,arguments)};var _memset=Module["_memset"]=function(){return(_memset=Module["_memset"]=Module["asm"]["memset"]).apply(null,arguments)};var _memcpy=Module["_memcpy"]=function(){return(_memcpy=Module["_memcpy"]=Module["asm"]["memcpy"]).apply(null,arguments)};var _memmove=Module["_memmove"]=function(){return(_memmove=Module["_memmove"]=Module["asm"]["memmove"]).apply(null,arguments)};var __ZNSt3__28ios_base4initEPv=Module["__ZNSt3__28ios_base4initEPv"]=function(){return(__ZNSt3__28ios_base4initEPv=Module["__ZNSt3__28ios_base4initEPv"]=Module["asm"]["_ZNSt3__28ios_base4initEPv"]).apply(null,arguments)};var __ZNSt3__213basic_istreamIcNS_11char_traitsIcEEErsERd=Module["__ZNSt3__213basic_istreamIcNS_11char_traitsIcEEErsERd"]=function(){return(__ZNSt3__213basic_istreamIcNS_11char_traitsIcEEErsERd=Module["__ZNSt3__213basic_istreamIcNS_11char_traitsIcEEErsERd"]=Module["asm"]["_ZNSt3__213basic_istreamIcNS_11char_traitsIcEEErsERd"]).apply(null,arguments)};var __ZNSt3__213basic_istreamIcNS_11char_traitsIcEEED2Ev=Module["__ZNSt3__213basic_istreamIcNS_11char_traitsIcEEED2Ev"]=function(){return(__ZNSt3__213basic_istreamIcNS_11char_traitsIcEEED2Ev=Module["__ZNSt3__213basic_istreamIcNS_11char_traitsIcEEED2Ev"]=Module["asm"]["_ZNSt3__213basic_istreamIcNS_11char_traitsIcEEED2Ev"]).apply(null,arguments)};var __ZNSt3__29basic_iosIcNS_11char_traitsIcEEED2Ev=Module["__ZNSt3__29basic_iosIcNS_11char_traitsIcEEED2Ev"]=function(){return(__ZNSt3__29basic_iosIcNS_11char_traitsIcEEED2Ev=Module["__ZNSt3__29basic_iosIcNS_11char_traitsIcEEED2Ev"]=Module["asm"]["_ZNSt3__29basic_iosIcNS_11char_traitsIcEEED2Ev"]).apply(null,arguments)};var __ZNSt3__212basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEE6resizeEmc=Module["__ZNSt3__212basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEE6resizeEmc"]=function(){return(__ZNSt3__212basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEE6resizeEmc=Module["__ZNSt3__212basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEE6resizeEmc"]=Module["asm"]["_ZNSt3__212basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEE6resizeEmc"]).apply(null,arguments)};var __ZNSt3__213basic_ostreamIcNS_11char_traitsIcEEED2Ev=Module["__ZNSt3__213basic_ostreamIcNS_11char_traitsIcEEED2Ev"]=function(){return(__ZNSt3__213basic_ostreamIcNS_11char_traitsIcEEED2Ev=Module["__ZNSt3__213basic_ostreamIcNS_11char_traitsIcEEED2Ev"]=Module["asm"]["_ZNSt3__213basic_ostreamIcNS_11char_traitsIcEEED2Ev"]).apply(null,arguments)};var __ZN4Json13OurCharReaderD2Ev=Module["__ZN4Json13OurCharReaderD2Ev"]=function(){return(__ZN4Json13OurCharReaderD2Ev=Module["__ZN4Json13OurCharReaderD2Ev"]=Module["asm"]["_ZN4Json13OurCharReaderD2Ev"]).apply(null,arguments)};var __ZNSt3__212__deque_baseIPN4Json5ValueENS_9allocatorIS3_EEED2Ev=Module["__ZNSt3__212__deque_baseIPN4Json5ValueENS_9allocatorIS3_EEED2Ev"]=function(){return(__ZNSt3__212__deque_baseIPN4Json5ValueENS_9allocatorIS3_EEED2Ev=Module["__ZNSt3__212__deque_baseIPN4Json5ValueENS_9allocatorIS3_EEED2Ev"]=Module["asm"]["_ZNSt3__212__deque_baseIPN4Json5ValueENS_9allocatorIS3_EEED2Ev"]).apply(null,arguments)};var __ZN4Json13OurCharReaderD0Ev=Module["__ZN4Json13OurCharReaderD0Ev"]=function(){return(__ZN4Json13OurCharReaderD0Ev=Module["__ZN4Json13OurCharReaderD0Ev"]=Module["asm"]["_ZN4Json13OurCharReaderD0Ev"]).apply(null,arguments)};var __ZN4Json13OurCharReader5parseEPKcS2_PNS_5ValueEPNSt3__212basic_stringIcNS5_11char_traitsIcEENS5_9allocatorIcEEEE=Module["__ZN4Json13OurCharReader5parseEPKcS2_PNS_5ValueEPNSt3__212basic_stringIcNS5_11char_traitsIcEENS5_9allocatorIcEEEE"]=function(){return(__ZN4Json13OurCharReader5parseEPKcS2_PNS_5ValueEPNSt3__212basic_stringIcNS5_11char_traitsIcEENS5_9allocatorIcEEEE=Module["__ZN4Json13OurCharReader5parseEPKcS2_PNS_5ValueEPNSt3__212basic_stringIcNS5_11char_traitsIcEENS5_9allocatorIcEEEE"]=Module["asm"]["_ZN4Json13OurCharReader5parseEPKcS2_PNS_5ValueEPNSt3__212basic_stringIcNS5_11char_traitsIcEENS5_9allocatorIcEEEE"]).apply(null,arguments)};var __ZNSt3__214__split_bufferIPPN4Json5ValueENS_9allocatorIS4_EEE9push_backEOS4_=Module["__ZNSt3__214__split_bufferIPPN4Json5ValueENS_9allocatorIS4_EEE9push_backEOS4_"]=function(){return(__ZNSt3__214__split_bufferIPPN4Json5ValueENS_9allocatorIS4_EEE9push_backEOS4_=Module["__ZNSt3__214__split_bufferIPPN4Json5ValueENS_9allocatorIS4_EEE9push_backEOS4_"]=Module["asm"]["_ZNSt3__214__split_bufferIPPN4Json5ValueENS_9allocatorIS4_EEE9push_backEOS4_"]).apply(null,arguments)};var __ZNSt3__214__split_bufferIPPN4Json5ValueENS_9allocatorIS4_EEE10push_frontEOS4_=Module["__ZNSt3__214__split_bufferIPPN4Json5ValueENS_9allocatorIS4_EEE10push_frontEOS4_"]=function(){return(__ZNSt3__214__split_bufferIPPN4Json5ValueENS_9allocatorIS4_EEE10push_frontEOS4_=Module["__ZNSt3__214__split_bufferIPPN4Json5ValueENS_9allocatorIS4_EEE10push_frontEOS4_"]=Module["asm"]["_ZNSt3__214__split_bufferIPPN4Json5ValueENS_9allocatorIS4_EEE10push_frontEOS4_"]).apply(null,arguments)};var __ZNSt3__214__split_bufferIPPN4Json5ValueERNS_9allocatorIS4_EEE10push_frontERKS4_=Module["__ZNSt3__214__split_bufferIPPN4Json5ValueERNS_9allocatorIS4_EEE10push_frontERKS4_"]=function(){return(__ZNSt3__214__split_bufferIPPN4Json5ValueERNS_9allocatorIS4_EEE10push_frontERKS4_=Module["__ZNSt3__214__split_bufferIPPN4Json5ValueERNS_9allocatorIS4_EEE10push_frontERKS4_"]=Module["asm"]["_ZNSt3__214__split_bufferIPPN4Json5ValueERNS_9allocatorIS4_EEE10push_frontERKS4_"]).apply(null,arguments)};var __ZNSt3__214__split_bufferIPN4Json9OurReader9ErrorInfoENS_9allocatorIS4_EEE9push_backEOS4_=Module["__ZNSt3__214__split_bufferIPN4Json9OurReader9ErrorInfoENS_9allocatorIS4_EEE9push_backEOS4_"]=function(){return(__ZNSt3__214__split_bufferIPN4Json9OurReader9ErrorInfoENS_9allocatorIS4_EEE9push_backEOS4_=Module["__ZNSt3__214__split_bufferIPN4Json9OurReader9ErrorInfoENS_9allocatorIS4_EEE9push_backEOS4_"]=Module["asm"]["_ZNSt3__214__split_bufferIPN4Json9OurReader9ErrorInfoENS_9allocatorIS4_EEE9push_backEOS4_"]).apply(null,arguments)};var __ZNSt3__214__split_bufferIPN4Json9OurReader9ErrorInfoENS_9allocatorIS4_EEE10push_frontEOS4_=Module["__ZNSt3__214__split_bufferIPN4Json9OurReader9ErrorInfoENS_9allocatorIS4_EEE10push_frontEOS4_"]=function(){return(__ZNSt3__214__split_bufferIPN4Json9OurReader9ErrorInfoENS_9allocatorIS4_EEE10push_frontEOS4_=Module["__ZNSt3__214__split_bufferIPN4Json9OurReader9ErrorInfoENS_9allocatorIS4_EEE10push_frontEOS4_"]=Module["asm"]["_ZNSt3__214__split_bufferIPN4Json9OurReader9ErrorInfoENS_9allocatorIS4_EEE10push_frontEOS4_"]).apply(null,arguments)};var __ZNSt3__214__split_bufferIPN4Json9OurReader9ErrorInfoERNS_9allocatorIS4_EEE10push_frontERKS4_=Module["__ZNSt3__214__split_bufferIPN4Json9OurReader9ErrorInfoERNS_9allocatorIS4_EEE10push_frontERKS4_"]=function(){return(__ZNSt3__214__split_bufferIPN4Json9OurReader9ErrorInfoERNS_9allocatorIS4_EEE10push_frontERKS4_=Module["__ZNSt3__214__split_bufferIPN4Json9OurReader9ErrorInfoERNS_9allocatorIS4_EEE10push_frontERKS4_"]=Module["asm"]["_ZNSt3__214__split_bufferIPN4Json9OurReader9ErrorInfoERNS_9allocatorIS4_EEE10push_frontERKS4_"]).apply(null,arguments)};var __ZNSt3__25dequeIN4Json9OurReader9ErrorInfoENS_9allocatorIS3_EEE19__add_back_capacityEm=Module["__ZNSt3__25dequeIN4Json9OurReader9ErrorInfoENS_9allocatorIS3_EEE19__add_back_capacityEm"]=function(){return(__ZNSt3__25dequeIN4Json9OurReader9ErrorInfoENS_9allocatorIS3_EEE19__add_back_capacityEm=Module["__ZNSt3__25dequeIN4Json9OurReader9ErrorInfoENS_9allocatorIS3_EEE19__add_back_capacityEm"]=Module["asm"]["_ZNSt3__25dequeIN4Json9OurReader9ErrorInfoENS_9allocatorIS3_EEE19__add_back_capacityEm"]).apply(null,arguments)};var __ZN4Json9ExceptionD2Ev=Module["__ZN4Json9ExceptionD2Ev"]=function(){return(__ZN4Json9ExceptionD2Ev=Module["__ZN4Json9ExceptionD2Ev"]=Module["asm"]["_ZN4Json9ExceptionD2Ev"]).apply(null,arguments)};var __ZN4Json9ExceptionD0Ev=Module["__ZN4Json9ExceptionD0Ev"]=function(){return(__ZN4Json9ExceptionD0Ev=Module["__ZN4Json9ExceptionD0Ev"]=Module["asm"]["_ZN4Json9ExceptionD0Ev"]).apply(null,arguments)};var __ZN4Json9ExceptionD1Ev=Module["__ZN4Json9ExceptionD1Ev"]=function(){return(__ZN4Json9ExceptionD1Ev=Module["__ZN4Json9ExceptionD1Ev"]=Module["asm"]["_ZN4Json9ExceptionD1Ev"]).apply(null,arguments)};var __ZNK4Json9Exception4whatEv=Module["__ZNK4Json9Exception4whatEv"]=function(){return(__ZNK4Json9Exception4whatEv=Module["__ZNK4Json9Exception4whatEv"]=Module["asm"]["_ZNK4Json9Exception4whatEv"]).apply(null,arguments)};var __ZNSt3__2lsINS_11char_traitsIcEEEERNS_13basic_ostreamIcT_EES6_PKc=Module["__ZNSt3__2lsINS_11char_traitsIcEEEERNS_13basic_ostreamIcT_EES6_PKc"]=function(){return(__ZNSt3__2lsINS_11char_traitsIcEEEERNS_13basic_ostreamIcT_EES6_PKc=Module["__ZNSt3__2lsINS_11char_traitsIcEEEERNS_13basic_ostreamIcT_EES6_PKc"]=Module["asm"]["_ZNSt3__2lsINS_11char_traitsIcEEEERNS_13basic_ostreamIcT_EES6_PKc"]).apply(null,arguments)};var __ZNSt3__224__put_character_sequenceIcNS_11char_traitsIcEEEERNS_13basic_ostreamIT_T0_EES7_PKS4_m=Module["__ZNSt3__224__put_character_sequenceIcNS_11char_traitsIcEEEERNS_13basic_ostreamIT_T0_EES7_PKS4_m"]=function(){return(__ZNSt3__224__put_character_sequenceIcNS_11char_traitsIcEEEERNS_13basic_ostreamIT_T0_EES7_PKS4_m=Module["__ZNSt3__224__put_character_sequenceIcNS_11char_traitsIcEEEERNS_13basic_ostreamIT_T0_EES7_PKS4_m"]=Module["asm"]["_ZNSt3__224__put_character_sequenceIcNS_11char_traitsIcEEEERNS_13basic_ostreamIT_T0_EES7_PKS4_m"]).apply(null,arguments)};var __ZNSt3__23mapIN4Json5Value8CZStringES2_NS_4lessIS3_EENS_9allocatorINS_4pairIKS3_S2_EEEEE6insertB6v15007INS_20__map_const_iteratorINS_21__tree_const_iteratorINS_12__value_typeIS3_S2_EEPNS_11__tree_nodeISG_PvEElEEEEEEvT_SN_=Module["__ZNSt3__23mapIN4Json5Value8CZStringES2_NS_4lessIS3_EENS_9allocatorINS_4pairIKS3_S2_EEEEE6insertB6v15007INS_20__map_const_iteratorINS_21__tree_const_iteratorINS_12__value_typeIS3_S2_EEPNS_11__tree_nodeISG_PvEElEEEEEEvT_SN_"]=function(){return(__ZNSt3__23mapIN4Json5Value8CZStringES2_NS_4lessIS3_EENS_9allocatorINS_4pairIKS3_S2_EEEEE6insertB6v15007INS_20__map_const_iteratorINS_21__tree_const_iteratorINS_12__value_typeIS3_S2_EEPNS_11__tree_nodeISG_PvEElEEEEEEvT_SN_=Module["__ZNSt3__23mapIN4Json5Value8CZStringES2_NS_4lessIS3_EENS_9allocatorINS_4pairIKS3_S2_EEEEE6insertB6v15007INS_20__map_const_iteratorINS_21__tree_const_iteratorINS_12__value_typeIS3_S2_EEPNS_11__tree_nodeISG_PvEElEEEEEEvT_SN_"]=Module["asm"]["_ZNSt3__23mapIN4Json5Value8CZStringES2_NS_4lessIS3_EENS_9allocatorINS_4pairIKS3_S2_EEEEE6insertB6v15007INS_20__map_const_iteratorINS_21__tree_const_iteratorINS_12__value_typeIS3_S2_EEPNS_11__tree_nodeISG_PvEElEEEEEEvT_SN_"]).apply(null,arguments)};var __ZNSt3__26__treeINS_12__value_typeIN4Json5Value8CZStringES3_EENS_19__map_value_compareIS4_S5_NS_4lessIS4_EELb1EEENS_9allocatorIS5_EEE7destroyEPNS_11__tree_nodeIS5_PvEE=Module["__ZNSt3__26__treeINS_12__value_typeIN4Json5Value8CZStringES3_EENS_19__map_value_compareIS4_S5_NS_4lessIS4_EELb1EEENS_9allocatorIS5_EEE7destroyEPNS_11__tree_nodeIS5_PvEE"]=function(){return(__ZNSt3__26__treeINS_12__value_typeIN4Json5Value8CZStringES3_EENS_19__map_value_compareIS4_S5_NS_4lessIS4_EELb1EEENS_9allocatorIS5_EEE7destroyEPNS_11__tree_nodeIS5_PvEE=Module["__ZNSt3__26__treeINS_12__value_typeIN4Json5Value8CZStringES3_EENS_19__map_value_compareIS4_S5_NS_4lessIS4_EELb1EEENS_9allocatorIS5_EEE7destroyEPNS_11__tree_nodeIS5_PvEE"]=Module["asm"]["_ZNSt3__26__treeINS_12__value_typeIN4Json5Value8CZStringES3_EENS_19__map_value_compareIS4_S5_NS_4lessIS4_EELb1EEENS_9allocatorIS5_EEE7destroyEPNS_11__tree_nodeIS5_PvEE"]).apply(null,arguments)};var _modf=Module["_modf"]=function(){return(_modf=Module["_modf"]=Module["asm"]["modf"]).apply(null,arguments)};var __ZNSt3__26__treeINS_12__value_typeIN4Json5Value8CZStringES3_EENS_19__map_value_compareIS4_S5_NS_4lessIS4_EELb1EEENS_9allocatorIS5_EEE4findIS4_EENS_15__tree_iteratorIS5_PNS_11__tree_nodeIS5_PvEElEERKT_=Module["__ZNSt3__26__treeINS_12__value_typeIN4Json5Value8CZStringES3_EENS_19__map_value_compareIS4_S5_NS_4lessIS4_EELb1EEENS_9allocatorIS5_EEE4findIS4_EENS_15__tree_iteratorIS5_PNS_11__tree_nodeIS5_PvEElEERKT_"]=function(){return(__ZNSt3__26__treeINS_12__value_typeIN4Json5Value8CZStringES3_EENS_19__map_value_compareIS4_S5_NS_4lessIS4_EELb1EEENS_9allocatorIS5_EEE4findIS4_EENS_15__tree_iteratorIS5_PNS_11__tree_nodeIS5_PvEElEERKT_=Module["__ZNSt3__26__treeINS_12__value_typeIN4Json5Value8CZStringES3_EENS_19__map_value_compareIS4_S5_NS_4lessIS4_EELb1EEENS_9allocatorIS5_EEE4findIS4_EENS_15__tree_iteratorIS5_PNS_11__tree_nodeIS5_PvEElEERKT_"]=Module["asm"]["_ZNSt3__26__treeINS_12__value_typeIN4Json5Value8CZStringES3_EENS_19__map_value_compareIS4_S5_NS_4lessIS4_EELb1EEENS_9allocatorIS5_EEE4findIS4_EENS_15__tree_iteratorIS5_PNS_11__tree_nodeIS5_PvEElEERKT_"]).apply(null,arguments)};var __ZNSt3__213__tree_removeIPNS_16__tree_node_baseIPvEEEEvT_S5_=Module["__ZNSt3__213__tree_removeIPNS_16__tree_node_baseIPvEEEEvT_S5_"]=function(){return(__ZNSt3__213__tree_removeIPNS_16__tree_node_baseIPvEEEEvT_S5_=Module["__ZNSt3__213__tree_removeIPNS_16__tree_node_baseIPvEEEEvT_S5_"]=Module["asm"]["_ZNSt3__213__tree_removeIPNS_16__tree_node_baseIPvEEEEvT_S5_"]).apply(null,arguments)};var __ZNSt3__26__treeINS_12__value_typeIN4Json5Value8CZStringES3_EENS_19__map_value_compareIS4_S5_NS_4lessIS4_EELb1EEENS_9allocatorIS5_EEE11lower_boundB6v15007IS4_EENS_15__tree_iteratorIS5_PNS_11__tree_nodeIS5_PvEElEERKT_=Module["__ZNSt3__26__treeINS_12__value_typeIN4Json5Value8CZStringES3_EENS_19__map_value_compareIS4_S5_NS_4lessIS4_EELb1EEENS_9allocatorIS5_EEE11lower_boundB6v15007IS4_EENS_15__tree_iteratorIS5_PNS_11__tree_nodeIS5_PvEElEERKT_"]=function(){return(__ZNSt3__26__treeINS_12__value_typeIN4Json5Value8CZStringES3_EENS_19__map_value_compareIS4_S5_NS_4lessIS4_EELb1EEENS_9allocatorIS5_EEE11lower_boundB6v15007IS4_EENS_15__tree_iteratorIS5_PNS_11__tree_nodeIS5_PvEElEERKT_=Module["__ZNSt3__26__treeINS_12__value_typeIN4Json5Value8CZStringES3_EENS_19__map_value_compareIS4_S5_NS_4lessIS4_EELb1EEENS_9allocatorIS5_EEE11lower_boundB6v15007IS4_EENS_15__tree_iteratorIS5_PNS_11__tree_nodeIS5_PvEElEERKT_"]=Module["asm"]["_ZNSt3__26__treeINS_12__value_typeIN4Json5Value8CZStringES3_EENS_19__map_value_compareIS4_S5_NS_4lessIS4_EELb1EEENS_9allocatorIS5_EEE11lower_boundB6v15007IS4_EENS_15__tree_iteratorIS5_PNS_11__tree_nodeIS5_PvEElEERKT_"]).apply(null,arguments)};var __ZNSt3__26__treeINS_12__value_typeIN4Json5Value8CZStringES3_EENS_19__map_value_compareIS4_S5_NS_4lessIS4_EELb1EEENS_9allocatorIS5_EEE12__find_equalIS4_EERPNS_16__tree_node_baseIPvEENS_21__tree_const_iteratorIS5_PNS_11__tree_nodeIS5_SF_EElEERPNS_15__tree_end_nodeISH_EESI_RKT_=Module["__ZNSt3__26__treeINS_12__value_typeIN4Json5Value8CZStringES3_EENS_19__map_value_compareIS4_S5_NS_4lessIS4_EELb1EEENS_9allocatorIS5_EEE12__find_equalIS4_EERPNS_16__tree_node_baseIPvEENS_21__tree_const_iteratorIS5_PNS_11__tree_nodeIS5_SF_EElEERPNS_15__tree_end_nodeISH_EESI_RKT_"]=function(){return(__ZNSt3__26__treeINS_12__value_typeIN4Json5Value8CZStringES3_EENS_19__map_value_compareIS4_S5_NS_4lessIS4_EELb1EEENS_9allocatorIS5_EEE12__find_equalIS4_EERPNS_16__tree_node_baseIPvEENS_21__tree_const_iteratorIS5_PNS_11__tree_nodeIS5_SF_EElEERPNS_15__tree_end_nodeISH_EESI_RKT_=Module["__ZNSt3__26__treeINS_12__value_typeIN4Json5Value8CZStringES3_EENS_19__map_value_compareIS4_S5_NS_4lessIS4_EELb1EEENS_9allocatorIS5_EEE12__find_equalIS4_EERPNS_16__tree_node_baseIPvEENS_21__tree_const_iteratorIS5_PNS_11__tree_nodeIS5_SF_EElEERPNS_15__tree_end_nodeISH_EESI_RKT_"]=Module["asm"]["_ZNSt3__26__treeINS_12__value_typeIN4Json5Value8CZStringES3_EENS_19__map_value_compareIS4_S5_NS_4lessIS4_EELb1EEENS_9allocatorIS5_EEE12__find_equalIS4_EERPNS_16__tree_node_baseIPvEENS_21__tree_const_iteratorIS5_PNS_11__tree_nodeIS5_SF_EElEERPNS_15__tree_end_nodeISH_EESI_RKT_"]).apply(null,arguments)};var __ZNK4Json5ValueixEi=Module["__ZNK4Json5ValueixEi"]=function(){return(__ZNK4Json5ValueixEi=Module["__ZNK4Json5ValueixEi"]=Module["asm"]["_ZNK4Json5ValueixEi"]).apply(null,arguments)};var __ZNSt3__26__treeINS_12__value_typeIN4Json5Value8CZStringES3_EENS_19__map_value_compareIS4_S5_NS_4lessIS4_EELb1EEENS_9allocatorIS5_EEE21__emplace_unique_implIJjS3_EEENS_4pairINS_15__tree_iteratorIS5_PNS_11__tree_nodeIS5_PvEElEEbEEDpOT_=Module["__ZNSt3__26__treeINS_12__value_typeIN4Json5Value8CZStringES3_EENS_19__map_value_compareIS4_S5_NS_4lessIS4_EELb1EEENS_9allocatorIS5_EEE21__emplace_unique_implIJjS3_EEENS_4pairINS_15__tree_iteratorIS5_PNS_11__tree_nodeIS5_PvEElEEbEEDpOT_"]=function(){return(__ZNSt3__26__treeINS_12__value_typeIN4Json5Value8CZStringES3_EENS_19__map_value_compareIS4_S5_NS_4lessIS4_EELb1EEENS_9allocatorIS5_EEE21__emplace_unique_implIJjS3_EEENS_4pairINS_15__tree_iteratorIS5_PNS_11__tree_nodeIS5_PvEElEEbEEDpOT_=Module["__ZNSt3__26__treeINS_12__value_typeIN4Json5Value8CZStringES3_EENS_19__map_value_compareIS4_S5_NS_4lessIS4_EELb1EEENS_9allocatorIS5_EEE21__emplace_unique_implIJjS3_EEENS_4pairINS_15__tree_iteratorIS5_PNS_11__tree_nodeIS5_PvEElEEbEEDpOT_"]=Module["asm"]["_ZNSt3__26__treeINS_12__value_typeIN4Json5Value8CZStringES3_EENS_19__map_value_compareIS4_S5_NS_4lessIS4_EELb1EEENS_9allocatorIS5_EEE21__emplace_unique_implIJjS3_EEENS_4pairINS_15__tree_iteratorIS5_PNS_11__tree_nodeIS5_PvEElEEbEEDpOT_"]).apply(null,arguments)};var __ZNSt3__26__treeINS_12__value_typeIN4Json5Value8CZStringES3_EENS_19__map_value_compareIS4_S5_NS_4lessIS4_EELb1EEENS_9allocatorIS5_EEE12__find_equalIS4_EERPNS_16__tree_node_baseIPvEERPNS_15__tree_end_nodeISH_EERKT_=Module["__ZNSt3__26__treeINS_12__value_typeIN4Json5Value8CZStringES3_EENS_19__map_value_compareIS4_S5_NS_4lessIS4_EELb1EEENS_9allocatorIS5_EEE12__find_equalIS4_EERPNS_16__tree_node_baseIPvEERPNS_15__tree_end_nodeISH_EERKT_"]=function(){return(__ZNSt3__26__treeINS_12__value_typeIN4Json5Value8CZStringES3_EENS_19__map_value_compareIS4_S5_NS_4lessIS4_EELb1EEENS_9allocatorIS5_EEE12__find_equalIS4_EERPNS_16__tree_node_baseIPvEERPNS_15__tree_end_nodeISH_EERKT_=Module["__ZNSt3__26__treeINS_12__value_typeIN4Json5Value8CZStringES3_EENS_19__map_value_compareIS4_S5_NS_4lessIS4_EELb1EEENS_9allocatorIS5_EEE12__find_equalIS4_EERPNS_16__tree_node_baseIPvEERPNS_15__tree_end_nodeISH_EERKT_"]=Module["asm"]["_ZNSt3__26__treeINS_12__value_typeIN4Json5Value8CZStringES3_EENS_19__map_value_compareIS4_S5_NS_4lessIS4_EELb1EEENS_9allocatorIS5_EEE12__find_equalIS4_EERPNS_16__tree_node_baseIPvEERPNS_15__tree_end_nodeISH_EERKT_"]).apply(null,arguments)};var __ZNSt3__26vectorINS_12basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEEENS4_IS6_EEE7reserveEm=Module["__ZNSt3__26vectorINS_12basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEEENS4_IS6_EEE7reserveEm"]=function(){return(__ZNSt3__26vectorINS_12basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEEENS4_IS6_EEE7reserveEm=Module["__ZNSt3__26vectorINS_12basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEEENS4_IS6_EEE7reserveEm"]=Module["asm"]["_ZNSt3__26vectorINS_12basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEEENS4_IS6_EEE7reserveEm"]).apply(null,arguments)};var __ZN4Json12RuntimeErrorD0Ev=Module["__ZN4Json12RuntimeErrorD0Ev"]=function(){return(__ZN4Json12RuntimeErrorD0Ev=Module["__ZN4Json12RuntimeErrorD0Ev"]=Module["asm"]["_ZN4Json12RuntimeErrorD0Ev"]).apply(null,arguments)};var __ZN4Json10LogicErrorD0Ev=Module["__ZN4Json10LogicErrorD0Ev"]=function(){return(__ZN4Json10LogicErrorD0Ev=Module["__ZN4Json10LogicErrorD0Ev"]=Module["asm"]["_ZN4Json10LogicErrorD0Ev"]).apply(null,arguments)};var __ZNSt3__213basic_ostreamIcNS_11char_traitsIcEEE6sentryC1ERS3_=Module["__ZNSt3__213basic_ostreamIcNS_11char_traitsIcEEE6sentryC1ERS3_"]=function(){return(__ZNSt3__213basic_ostreamIcNS_11char_traitsIcEEE6sentryC1ERS3_=Module["__ZNSt3__213basic_ostreamIcNS_11char_traitsIcEEE6sentryC1ERS3_"]=Module["asm"]["_ZNSt3__213basic_ostreamIcNS_11char_traitsIcEEE6sentryC1ERS3_"]).apply(null,arguments)};var __ZNKSt3__28ios_base6getlocEv=Module["__ZNKSt3__28ios_base6getlocEv"]=function(){return(__ZNKSt3__28ios_base6getlocEv=Module["__ZNKSt3__28ios_base6getlocEv"]=Module["asm"]["_ZNKSt3__28ios_base6getlocEv"]).apply(null,arguments)};var __ZNKSt3__26locale9use_facetERNS0_2idE=Module["__ZNKSt3__26locale9use_facetERNS0_2idE"]=function(){return(__ZNKSt3__26locale9use_facetERNS0_2idE=Module["__ZNKSt3__26locale9use_facetERNS0_2idE"]=Module["asm"]["_ZNKSt3__26locale9use_facetERNS0_2idE"]).apply(null,arguments)};var __ZNSt3__26localeD1Ev=Module["__ZNSt3__26localeD1Ev"]=function(){return(__ZNSt3__26localeD1Ev=Module["__ZNSt3__26localeD1Ev"]=Module["asm"]["_ZNSt3__26localeD1Ev"]).apply(null,arguments)};var __ZNSt3__28ios_base5clearEj=Module["__ZNSt3__28ios_base5clearEj"]=function(){return(__ZNSt3__28ios_base5clearEj=Module["__ZNSt3__28ios_base5clearEj"]=Module["asm"]["_ZNSt3__28ios_base5clearEj"]).apply(null,arguments)};var __ZNSt3__213basic_ostreamIcNS_11char_traitsIcEEE6sentryD1Ev=Module["__ZNSt3__213basic_ostreamIcNS_11char_traitsIcEEE6sentryD1Ev"]=function(){return(__ZNSt3__213basic_ostreamIcNS_11char_traitsIcEEE6sentryD1Ev=Module["__ZNSt3__213basic_ostreamIcNS_11char_traitsIcEEE6sentryD1Ev"]=Module["asm"]["_ZNSt3__213basic_ostreamIcNS_11char_traitsIcEEE6sentryD1Ev"]).apply(null,arguments)};var __ZNSt3__26__treeINS_12__value_typeIN4Json5Value8CZStringES3_EENS_19__map_value_compareIS4_S5_NS_4lessIS4_EELb1EEENS_9allocatorIS5_EEE12__find_equalIS5_EERPNS_16__tree_node_baseIPvEERPNS_15__tree_end_nodeISH_EERKT_=Module["__ZNSt3__26__treeINS_12__value_typeIN4Json5Value8CZStringES3_EENS_19__map_value_compareIS4_S5_NS_4lessIS4_EELb1EEENS_9allocatorIS5_EEE12__find_equalIS5_EERPNS_16__tree_node_baseIPvEERPNS_15__tree_end_nodeISH_EERKT_"]=function(){return(__ZNSt3__26__treeINS_12__value_typeIN4Json5Value8CZStringES3_EENS_19__map_value_compareIS4_S5_NS_4lessIS4_EELb1EEENS_9allocatorIS5_EEE12__find_equalIS5_EERPNS_16__tree_node_baseIPvEERPNS_15__tree_end_nodeISH_EERKT_=Module["__ZNSt3__26__treeINS_12__value_typeIN4Json5Value8CZStringES3_EENS_19__map_value_compareIS4_S5_NS_4lessIS4_EELb1EEENS_9allocatorIS5_EEE12__find_equalIS5_EERPNS_16__tree_node_baseIPvEERPNS_15__tree_end_nodeISH_EERKT_"]=Module["asm"]["_ZNSt3__26__treeINS_12__value_typeIN4Json5Value8CZStringES3_EENS_19__map_value_compareIS4_S5_NS_4lessIS4_EELb1EEENS_9allocatorIS5_EEE12__find_equalIS5_EERPNS_16__tree_node_baseIPvEERPNS_15__tree_end_nodeISH_EERKT_"]).apply(null,arguments)};var __ZNSt3__212basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEE26__erase_external_with_moveEmm=Module["__ZNSt3__212basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEE26__erase_external_with_moveEmm"]=function(){return(__ZNSt3__212basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEE26__erase_external_with_moveEmm=Module["__ZNSt3__212basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEE26__erase_external_with_moveEmm"]=Module["asm"]["_ZNSt3__212basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEE26__erase_external_with_moveEmm"]).apply(null,arguments)};var __ZN4Json10FastWriterD2Ev=Module["__ZN4Json10FastWriterD2Ev"]=function(){return(__ZN4Json10FastWriterD2Ev=Module["__ZN4Json10FastWriterD2Ev"]=Module["asm"]["_ZN4Json10FastWriterD2Ev"]).apply(null,arguments)};var __ZN4Json10FastWriterD0Ev=Module["__ZN4Json10FastWriterD0Ev"]=function(){return(__ZN4Json10FastWriterD0Ev=Module["__ZN4Json10FastWriterD0Ev"]=Module["asm"]["_ZN4Json10FastWriterD0Ev"]).apply(null,arguments)};var __ZN4Json23BuiltStyledStreamWriterD2Ev=Module["__ZN4Json23BuiltStyledStreamWriterD2Ev"]=function(){return(__ZN4Json23BuiltStyledStreamWriterD2Ev=Module["__ZN4Json23BuiltStyledStreamWriterD2Ev"]=Module["asm"]["_ZN4Json23BuiltStyledStreamWriterD2Ev"]).apply(null,arguments)};var __ZN4Json23BuiltStyledStreamWriterD0Ev=Module["__ZN4Json23BuiltStyledStreamWriterD0Ev"]=function(){return(__ZN4Json23BuiltStyledStreamWriterD0Ev=Module["__ZN4Json23BuiltStyledStreamWriterD0Ev"]=Module["asm"]["_ZN4Json23BuiltStyledStreamWriterD0Ev"]).apply(null,arguments)};var __ZNSt12out_of_rangeD1Ev=Module["__ZNSt12out_of_rangeD1Ev"]=function(){return(__ZNSt12out_of_rangeD1Ev=Module["__ZNSt12out_of_rangeD1Ev"]=Module["asm"]["_ZNSt12out_of_rangeD1Ev"]).apply(null,arguments)};var ___cxa_pure_virtual=Module["___cxa_pure_virtual"]=function(){return(___cxa_pure_virtual=Module["___cxa_pure_virtual"]=Module["asm"]["__cxa_pure_virtual"]).apply(null,arguments)};var _adler32=Module["_adler32"]=function(){return(_adler32=Module["_adler32"]=Module["asm"]["adler32"]).apply(null,arguments)};var _compress=Module["_compress"]=function(){return(_compress=Module["_compress"]=Module["asm"]["compress"]).apply(null,arguments)};var _crc32=Module["_crc32"]=function(){return(_crc32=Module["_crc32"]=Module["asm"]["crc32"]).apply(null,arguments)};var _zcalloc=Module["_zcalloc"]=function(){return(_zcalloc=Module["_zcalloc"]=Module["asm"]["zcalloc"]).apply(null,arguments)};var _zcfree=Module["_zcfree"]=function(){return(_zcfree=Module["_zcfree"]=Module["asm"]["zcfree"]).apply(null,arguments)};var _inflateReset=Module["_inflateReset"]=function(){return(_inflateReset=Module["_inflateReset"]=Module["asm"]["inflateReset"]).apply(null,arguments)};var _inflateReset2=Module["_inflateReset2"]=function(){return(_inflateReset2=Module["_inflateReset2"]=Module["asm"]["inflateReset2"]).apply(null,arguments)};var _inflateInit2_=Module["_inflateInit2_"]=function(){return(_inflateInit2_=Module["_inflateInit2_"]=Module["asm"]["inflateInit2_"]).apply(null,arguments)};var ___getTypeName=Module["___getTypeName"]=function(){return(___getTypeName=Module["___getTypeName"]=Module["asm"]["__getTypeName"]).apply(null,arguments)};var __embind_initialize_bindings=Module["__embind_initialize_bindings"]=function(){return(__embind_initialize_bindings=Module["__embind_initialize_bindings"]=Module["asm"]["_embind_initialize_bindings"]).apply(null,arguments)};var _getpid=Module["_getpid"]=function(){return(_getpid=Module["_getpid"]=Module["asm"]["getpid"]).apply(null,arguments)};var _sysconf=Module["_sysconf"]=function(){return(_sysconf=Module["_sysconf"]=Module["asm"]["sysconf"]).apply(null,arguments)};var _atexit=Module["_atexit"]=function(){return(_atexit=Module["_atexit"]=Module["asm"]["atexit"]).apply(null,arguments)};var ___fpclassifyf=Module["___fpclassifyf"]=function(){return(___fpclassifyf=Module["___fpclassifyf"]=Module["asm"]["__fpclassifyf"]).apply(null,arguments)};var _acos=Module["_acos"]=function(){return(_acos=Module["_acos"]=Module["asm"]["acos"]).apply(null,arguments)};var _acosf=Module["_acosf"]=function(){return(_acosf=Module["_acosf"]=Module["asm"]["acosf"]).apply(null,arguments)};var _atan=Module["_atan"]=function(){return(_atan=Module["_atan"]=Module["asm"]["atan"]).apply(null,arguments)};var _atan2=Module["_atan2"]=function(){return(_atan2=Module["_atan2"]=Module["asm"]["atan2"]).apply(null,arguments)};var _atan2f=Module["_atan2f"]=function(){return(_atan2f=Module["_atan2f"]=Module["asm"]["atan2f"]).apply(null,arguments)};var _isspace=Module["_isspace"]=function(){return(_isspace=Module["_isspace"]=Module["asm"]["isspace"]).apply(null,arguments)};var _bsearch=Module["_bsearch"]=function(){return(_bsearch=Module["_bsearch"]=Module["asm"]["bsearch"]).apply(null,arguments)};var _cos=Module["_cos"]=function(){return(_cos=Module["_cos"]=Module["asm"]["cos"]).apply(null,arguments)};var _cosf=Module["_cosf"]=function(){return(_cosf=Module["_cosf"]=Module["asm"]["cosf"]).apply(null,arguments)};var ___dl_seterr=function(){return(___dl_seterr=Module["asm"]["__dl_seterr"]).apply(null,arguments)};var _clock=Module["_clock"]=function(){return(_clock=Module["_clock"]=Module["asm"]["clock"]).apply(null,arguments)};var _exp=Module["_exp"]=function(){return(_exp=Module["_exp"]=Module["asm"]["exp"]).apply(null,arguments)};var _fflush=Module["_fflush"]=function(){return(_fflush=Module["_fflush"]=Module["asm"]["fflush"]).apply(null,arguments)};var _fcntl=Module["_fcntl"]=function(){return(_fcntl=Module["_fcntl"]=Module["asm"]["fcntl"]).apply(null,arguments)};var _feof=Module["_feof"]=function(){return(_feof=Module["_feof"]=Module["asm"]["feof"]).apply(null,arguments)};var _fgets=Module["_fgets"]=function(){return(_fgets=Module["_fgets"]=Module["asm"]["fgets"]).apply(null,arguments)};var _fileno=Module["_fileno"]=function(){return(_fileno=Module["_fileno"]=Module["asm"]["fileno"]).apply(null,arguments)};var _fmod=Module["_fmod"]=function(){return(_fmod=Module["_fmod"]=Module["asm"]["fmod"]).apply(null,arguments)};var _fmodf=Module["_fmodf"]=function(){return(_fmodf=Module["_fmodf"]=Module["asm"]["fmodf"]).apply(null,arguments)};var _strchr=Module["_strchr"]=function(){return(_strchr=Module["_strchr"]=Module["asm"]["strchr"]).apply(null,arguments)};var _fprintf=Module["_fprintf"]=function(){return(_fprintf=Module["_fprintf"]=Module["asm"]["fprintf"]).apply(null,arguments)};var _fiprintf=Module["_fiprintf"]=function(){return(_fiprintf=Module["_fiprintf"]=Module["asm"]["fiprintf"]).apply(null,arguments)};var _fputc=Module["_fputc"]=function(){return(_fputc=Module["_fputc"]=Module["asm"]["fputc"]).apply(null,arguments)};var _frexpf=Module["_frexpf"]=function(){return(_frexpf=Module["_frexpf"]=Module["asm"]["frexpf"]).apply(null,arguments)};var _fstat=Module["_fstat"]=function(){return(_fstat=Module["_fstat"]=Module["asm"]["fstat"]).apply(null,arguments)};var _fsync=Module["_fsync"]=function(){return(_fsync=Module["_fsync"]=Module["asm"]["fsync"]).apply(null,arguments)};var _ftello=Module["_ftello"]=function(){return(_ftello=Module["_ftello"]=Module["asm"]["ftello"]).apply(null,arguments)};var _ftruncate=Module["_ftruncate"]=function(){return(_ftruncate=Module["_ftruncate"]=Module["asm"]["ftruncate"]).apply(null,arguments)};var _getegid=Module["_getegid"]=function(){return(_getegid=Module["_getegid"]=Module["asm"]["getegid"]).apply(null,arguments)};var _getenv=Module["_getenv"]=function(){return(_getenv=Module["_getenv"]=Module["asm"]["getenv"]).apply(null,arguments)};var _geteuid=Module["_geteuid"]=function(){return(_geteuid=Module["_geteuid"]=Module["asm"]["geteuid"]).apply(null,arguments)};var _getgid=Module["_getgid"]=function(){return(_getgid=Module["_getgid"]=Module["asm"]["getgid"]).apply(null,arguments)};var _getuid=Module["_getuid"]=function(){return(_getuid=Module["_getuid"]=Module["asm"]["getuid"]).apply(null,arguments)};var _gmtime=Module["_gmtime"]=function(){return(_gmtime=Module["_gmtime"]=Module["asm"]["gmtime"]).apply(null,arguments)};var _htonl=Module["_htonl"]=function(){return(_htonl=Module["_htonl"]=Module["asm"]["htonl"]).apply(null,arguments)};var _htons=Module["_htons"]=function(){return(_htons=Module["_htons"]=Module["asm"]["htons"]).apply(null,arguments)};var _isprint=Module["_isprint"]=function(){return(_isprint=Module["_isprint"]=Module["asm"]["isprint"]).apply(null,arguments)};var _iswdigit=Module["_iswdigit"]=function(){return(_iswdigit=Module["_iswdigit"]=Module["asm"]["iswdigit"]).apply(null,arguments)};var _isxdigit=Module["_isxdigit"]=function(){return(_isxdigit=Module["_isxdigit"]=Module["asm"]["isxdigit"]).apply(null,arguments)};var _ldexp=Module["_ldexp"]=function(){return(_ldexp=Module["_ldexp"]=Module["asm"]["ldexp"]).apply(null,arguments)};var _pthread_mutex_init=Module["_pthread_mutex_init"]=function(){return(_pthread_mutex_init=Module["_pthread_mutex_init"]=Module["asm"]["pthread_mutex_init"]).apply(null,arguments)};var _pthread_mutex_destroy=Module["_pthread_mutex_destroy"]=function(){return(_pthread_mutex_destroy=Module["_pthread_mutex_destroy"]=Module["asm"]["pthread_mutex_destroy"]).apply(null,arguments)};var _pthread_getspecific=Module["_pthread_getspecific"]=function(){return(_pthread_getspecific=Module["_pthread_getspecific"]=Module["asm"]["pthread_getspecific"]).apply(null,arguments)};var _pthread_setspecific=Module["_pthread_setspecific"]=function(){return(_pthread_setspecific=Module["_pthread_setspecific"]=Module["asm"]["pthread_setspecific"]).apply(null,arguments)};var _pthread_cond_wait=Module["_pthread_cond_wait"]=function(){return(_pthread_cond_wait=Module["_pthread_cond_wait"]=Module["asm"]["pthread_cond_wait"]).apply(null,arguments)};var _pthread_cond_signal=Module["_pthread_cond_signal"]=function(){return(_pthread_cond_signal=Module["_pthread_cond_signal"]=Module["asm"]["pthread_cond_signal"]).apply(null,arguments)};var _pthread_cond_init=Module["_pthread_cond_init"]=function(){return(_pthread_cond_init=Module["_pthread_cond_init"]=Module["asm"]["pthread_cond_init"]).apply(null,arguments)};var _pthread_cond_destroy=Module["_pthread_cond_destroy"]=function(){return(_pthread_cond_destroy=Module["_pthread_cond_destroy"]=Module["asm"]["pthread_cond_destroy"]).apply(null,arguments)};var _pthread_attr_init=Module["_pthread_attr_init"]=function(){return(_pthread_attr_init=Module["_pthread_attr_init"]=Module["asm"]["pthread_attr_init"]).apply(null,arguments)};var _pthread_mutex_lock=Module["_pthread_mutex_lock"]=function(){return(_pthread_mutex_lock=Module["_pthread_mutex_lock"]=Module["asm"]["pthread_mutex_lock"]).apply(null,arguments)};var _pthread_mutex_unlock=Module["_pthread_mutex_unlock"]=function(){return(_pthread_mutex_unlock=Module["_pthread_mutex_unlock"]=Module["asm"]["pthread_mutex_unlock"]).apply(null,arguments)};var _pthread_create=Module["_pthread_create"]=function(){return(_pthread_create=Module["_pthread_create"]=Module["asm"]["pthread_create"]).apply(null,arguments)};var _pthread_join=Module["_pthread_join"]=function(){return(_pthread_join=Module["_pthread_join"]=Module["asm"]["pthread_join"]).apply(null,arguments)};var _pthread_key_delete=Module["_pthread_key_delete"]=function(){return(_pthread_key_delete=Module["_pthread_key_delete"]=Module["asm"]["pthread_key_delete"]).apply(null,arguments)};var _pthread_key_create=Module["_pthread_key_create"]=function(){return(_pthread_key_create=Module["_pthread_key_create"]=Module["asm"]["pthread_key_create"]).apply(null,arguments)};var _log=Module["_log"]=function(){return(_log=Module["_log"]=Module["asm"]["log"]).apply(null,arguments)};var _log10=Module["_log10"]=function(){return(_log10=Module["_log10"]=Module["asm"]["log10"]).apply(null,arguments)};var _log10f=Module["_log10f"]=function(){return(_log10f=Module["_log10f"]=Module["asm"]["log10f"]).apply(null,arguments)};var _log2=Module["_log2"]=function(){return(_log2=Module["_log2"]=Module["asm"]["log2"]).apply(null,arguments)};var _logf=Module["_logf"]=function(){return(_logf=Module["_logf"]=Module["asm"]["logf"]).apply(null,arguments)};var _lrint=Module["_lrint"]=function(){return(_lrint=Module["_lrint"]=Module["asm"]["lrint"]).apply(null,arguments)};var _lrintf=Module["_lrintf"]=function(){return(_lrintf=Module["_lrintf"]=Module["asm"]["lrintf"]).apply(null,arguments)};var _lseek=Module["_lseek"]=function(){return(_lseek=Module["_lseek"]=Module["asm"]["lseek"]).apply(null,arguments)};var _mmap=Module["_mmap"]=function(){return(_mmap=Module["_mmap"]=Module["asm"]["mmap"]).apply(null,arguments)};var _munmap=Module["_munmap"]=function(){return(_munmap=Module["_munmap"]=Module["asm"]["munmap"]).apply(null,arguments)};var _pow=Module["_pow"]=function(){return(_pow=Module["_pow"]=Module["asm"]["pow"]).apply(null,arguments)};var _powf=Module["_powf"]=function(){return(_powf=Module["_powf"]=Module["asm"]["powf"]).apply(null,arguments)};var _iprintf=Module["_iprintf"]=function(){return(_iprintf=Module["_iprintf"]=Module["asm"]["iprintf"]).apply(null,arguments)};var ___small_printf=Module["___small_printf"]=function(){return(___small_printf=Module["___small_printf"]=Module["asm"]["__small_printf"]).apply(null,arguments)};var _pthread_attr_setdetachstate=Module["_pthread_attr_setdetachstate"]=function(){return(_pthread_attr_setdetachstate=Module["_pthread_attr_setdetachstate"]=Module["asm"]["pthread_attr_setdetachstate"]).apply(null,arguments)};var _qsort=Module["_qsort"]=function(){return(_qsort=Module["_qsort"]=Module["asm"]["qsort"]).apply(null,arguments)};var _read=Module["_read"]=function(){return(_read=Module["_read"]=Module["asm"]["read"]).apply(null,arguments)};var _remove=Module["_remove"]=function(){return(_remove=Module["_remove"]=Module["asm"]["remove"]).apply(null,arguments)};var _round=Module["_round"]=function(){return(_round=Module["_round"]=Module["asm"]["round"]).apply(null,arguments)};var _roundf=Module["_roundf"]=function(){return(_roundf=Module["_roundf"]=Module["asm"]["roundf"]).apply(null,arguments)};var _sin=Module["_sin"]=function(){return(_sin=Module["_sin"]=Module["asm"]["sin"]).apply(null,arguments)};var _sinf=Module["_sinf"]=function(){return(_sinf=Module["_sinf"]=Module["asm"]["sinf"]).apply(null,arguments)};var _sprintf=Module["_sprintf"]=function(){return(_sprintf=Module["_sprintf"]=Module["asm"]["sprintf"]).apply(null,arguments)};var _vsprintf=Module["_vsprintf"]=function(){return(_vsprintf=Module["_vsprintf"]=Module["asm"]["vsprintf"]).apply(null,arguments)};var _sscanf=Module["_sscanf"]=function(){return(_sscanf=Module["_sscanf"]=Module["asm"]["sscanf"]).apply(null,arguments)};var _strcasecmp=Module["_strcasecmp"]=function(){return(_strcasecmp=Module["_strcasecmp"]=Module["asm"]["strcasecmp"]).apply(null,arguments)};var _strcat=Module["_strcat"]=function(){return(_strcat=Module["_strcat"]=Module["asm"]["strcat"]).apply(null,arguments)};var _strerror=Module["_strerror"]=function(){return(_strerror=Module["_strerror"]=Module["asm"]["strerror"]).apply(null,arguments)};var _strerror_r=Module["_strerror_r"]=function(){return(_strerror_r=Module["_strerror_r"]=Module["asm"]["strerror_r"]).apply(null,arguments)};var _strrchr=Module["_strrchr"]=function(){return(_strrchr=Module["_strrchr"]=Module["asm"]["strrchr"]).apply(null,arguments)};var _strstr=Module["_strstr"]=function(){return(_strstr=Module["_strstr"]=Module["asm"]["strstr"]).apply(null,arguments)};var _strtol=Module["_strtol"]=function(){return(_strtol=Module["_strtol"]=Module["asm"]["strtol"]).apply(null,arguments)};var _vfprintf=Module["_vfprintf"]=function(){return(_vfprintf=Module["_vfprintf"]=Module["asm"]["vfprintf"]).apply(null,arguments)};var _wcschr=Module["_wcschr"]=function(){return(_wcschr=Module["_wcschr"]=Module["asm"]["wcschr"]).apply(null,arguments)};var _wmemcmp=Module["_wmemcmp"]=function(){return(_wmemcmp=Module["_wmemcmp"]=Module["asm"]["wmemcmp"]).apply(null,arguments)};var _wmemcpy=Module["_wmemcpy"]=function(){return(_wmemcpy=Module["_wmemcpy"]=Module["asm"]["wmemcpy"]).apply(null,arguments)};var _wmemmove=Module["_wmemmove"]=function(){return(_wmemmove=Module["_wmemmove"]=Module["asm"]["wmemmove"]).apply(null,arguments)};var _realloc=Module["_realloc"]=function(){return(_realloc=Module["_realloc"]=Module["asm"]["realloc"]).apply(null,arguments)};var _posix_memalign=Module["_posix_memalign"]=function(){return(_posix_memalign=Module["_posix_memalign"]=Module["asm"]["posix_memalign"]).apply(null,arguments)};var _emscripten_builtin_memalign=function(){return(_emscripten_builtin_memalign=Module["asm"]["emscripten_builtin_memalign"]).apply(null,arguments)};var ___addtf3=Module["___addtf3"]=function(){return(___addtf3=Module["___addtf3"]=Module["asm"]["__addtf3"]).apply(null,arguments)};var _setThrew=function(){return(_setThrew=Module["asm"]["setThrew"]).apply(null,arguments)};var _saveSetjmp=function(){return(_saveSetjmp=Module["asm"]["saveSetjmp"]).apply(null,arguments)};var _testSetjmp=Module["_testSetjmp"]=function(){return(_testSetjmp=Module["_testSetjmp"]=Module["asm"]["testSetjmp"]).apply(null,arguments)};var _emscripten_longjmp=Module["_emscripten_longjmp"]=function(){return(_emscripten_longjmp=Module["_emscripten_longjmp"]=Module["asm"]["emscripten_longjmp"]).apply(null,arguments)};var setTempRet0=function(){return(setTempRet0=Module["asm"]["setTempRet0"]).apply(null,arguments)};var getTempRet0=function(){return(getTempRet0=Module["asm"]["getTempRet0"]).apply(null,arguments)};var ___floatditf=Module["___floatditf"]=function(){return(___floatditf=Module["___floatditf"]=Module["asm"]["__floatditf"]).apply(null,arguments)};var ___multi3=Module["___multi3"]=function(){return(___multi3=Module["___multi3"]=Module["asm"]["__multi3"]).apply(null,arguments)};var stackSave=function(){return(stackSave=Module["asm"]["stackSave"]).apply(null,arguments)};var stackRestore=function(){return(stackRestore=Module["asm"]["stackRestore"]).apply(null,arguments)};var stackAlloc=function(){return(stackAlloc=Module["asm"]["stackAlloc"]).apply(null,arguments)};var ___trunctfdf2=Module["___trunctfdf2"]=function(){return(___trunctfdf2=Module["___trunctfdf2"]=Module["asm"]["__trunctfdf2"]).apply(null,arguments)};var ___trunctfsf2=Module["___trunctfsf2"]=function(){return(___trunctfsf2=Module["___trunctfsf2"]=Module["asm"]["__trunctfsf2"]).apply(null,arguments)};var __ZNSt3__26__sortIRNS_6__lessIjjEEPjEEvT0_S5_T_=Module["__ZNSt3__26__sortIRNS_6__lessIjjEEPjEEvT0_S5_T_"]=function(){return(__ZNSt3__26__sortIRNS_6__lessIjjEEPjEEvT0_S5_T_=Module["__ZNSt3__26__sortIRNS_6__lessIjjEEPjEEvT0_S5_T_"]=Module["asm"]["_ZNSt3__26__sortIRNS_6__lessIjjEEPjEEvT0_S5_T_"]).apply(null,arguments)};var __ZSt17rethrow_exceptionSt13exception_ptr=Module["__ZSt17rethrow_exceptionSt13exception_ptr"]=function(){return(__ZSt17rethrow_exceptionSt13exception_ptr=Module["__ZSt17rethrow_exceptionSt13exception_ptr"]=Module["asm"]["_ZSt17rethrow_exceptionSt13exception_ptr"]).apply(null,arguments)};var __ZNSt13exception_ptrD1Ev=Module["__ZNSt13exception_ptrD1Ev"]=function(){return(__ZNSt13exception_ptrD1Ev=Module["__ZNSt13exception_ptrD1Ev"]=Module["asm"]["_ZNSt13exception_ptrD1Ev"]).apply(null,arguments)};var __ZNSt13exception_ptrC1ERKS_=Module["__ZNSt13exception_ptrC1ERKS_"]=function(){return(__ZNSt13exception_ptrC1ERKS_=Module["__ZNSt13exception_ptrC1ERKS_"]=Module["asm"]["_ZNSt13exception_ptrC1ERKS_"]).apply(null,arguments)};var __ZNSt3__212__next_primeEm=Module["__ZNSt3__212__next_primeEm"]=function(){return(__ZNSt3__212__next_primeEm=Module["__ZNSt3__212__next_primeEm"]=Module["asm"]["_ZNSt3__212__next_primeEm"]).apply(null,arguments)};var __ZNSt3__26localeC1ERKS0_=Module["__ZNSt3__26localeC1ERKS0_"]=function(){return(__ZNSt3__26localeC1ERKS0_=Module["__ZNSt3__26localeC1ERKS0_"]=Module["asm"]["_ZNSt3__26localeC1ERKS0_"]).apply(null,arguments)};var __ZNSt3__26localeaSERKS0_=Module["__ZNSt3__26localeaSERKS0_"]=function(){return(__ZNSt3__26localeaSERKS0_=Module["__ZNSt3__26localeaSERKS0_"]=Module["asm"]["_ZNSt3__26localeaSERKS0_"]).apply(null,arguments)};var __ZNSt3__215basic_streambufIcNS_11char_traitsIcEEE5imbueERKNS_6localeE=Module["__ZNSt3__215basic_streambufIcNS_11char_traitsIcEEE5imbueERKNS_6localeE"]=function(){return(__ZNSt3__215basic_streambufIcNS_11char_traitsIcEEE5imbueERKNS_6localeE=Module["__ZNSt3__215basic_streambufIcNS_11char_traitsIcEEE5imbueERKNS_6localeE"]=Module["asm"]["_ZNSt3__215basic_streambufIcNS_11char_traitsIcEEE5imbueERKNS_6localeE"]).apply(null,arguments)};var __ZNSt3__215basic_streambufIcNS_11char_traitsIcEEE6setbufEPcl=Module["__ZNSt3__215basic_streambufIcNS_11char_traitsIcEEE6setbufEPcl"]=function(){return(__ZNSt3__215basic_streambufIcNS_11char_traitsIcEEE6setbufEPcl=Module["__ZNSt3__215basic_streambufIcNS_11char_traitsIcEEE6setbufEPcl"]=Module["asm"]["_ZNSt3__215basic_streambufIcNS_11char_traitsIcEEE6setbufEPcl"]).apply(null,arguments)};var __ZNSt3__215basic_streambufIcNS_11char_traitsIcEEE4syncEv=Module["__ZNSt3__215basic_streambufIcNS_11char_traitsIcEEE4syncEv"]=function(){return(__ZNSt3__215basic_streambufIcNS_11char_traitsIcEEE4syncEv=Module["__ZNSt3__215basic_streambufIcNS_11char_traitsIcEEE4syncEv"]=Module["asm"]["_ZNSt3__215basic_streambufIcNS_11char_traitsIcEEE4syncEv"]).apply(null,arguments)};var __ZNSt3__215basic_streambufIcNS_11char_traitsIcEEE9showmanycEv=Module["__ZNSt3__215basic_streambufIcNS_11char_traitsIcEEE9showmanycEv"]=function(){return(__ZNSt3__215basic_streambufIcNS_11char_traitsIcEEE9showmanycEv=Module["__ZNSt3__215basic_streambufIcNS_11char_traitsIcEEE9showmanycEv"]=Module["asm"]["_ZNSt3__215basic_streambufIcNS_11char_traitsIcEEE9showmanycEv"]).apply(null,arguments)};var __ZNSt3__215basic_streambufIcNS_11char_traitsIcEEE6xsgetnEPcl=Module["__ZNSt3__215basic_streambufIcNS_11char_traitsIcEEE6xsgetnEPcl"]=function(){return(__ZNSt3__215basic_streambufIcNS_11char_traitsIcEEE6xsgetnEPcl=Module["__ZNSt3__215basic_streambufIcNS_11char_traitsIcEEE6xsgetnEPcl"]=Module["asm"]["_ZNSt3__215basic_streambufIcNS_11char_traitsIcEEE6xsgetnEPcl"]).apply(null,arguments)};var __ZNSt3__215basic_streambufIcNS_11char_traitsIcEEE5uflowEv=Module["__ZNSt3__215basic_streambufIcNS_11char_traitsIcEEE5uflowEv"]=function(){return(__ZNSt3__215basic_streambufIcNS_11char_traitsIcEEE5uflowEv=Module["__ZNSt3__215basic_streambufIcNS_11char_traitsIcEEE5uflowEv"]=Module["asm"]["_ZNSt3__215basic_streambufIcNS_11char_traitsIcEEE5uflowEv"]).apply(null,arguments)};var __ZNSt3__215basic_streambufIcNS_11char_traitsIcEEE6xsputnEPKcl=Module["__ZNSt3__215basic_streambufIcNS_11char_traitsIcEEE6xsputnEPKcl"]=function(){return(__ZNSt3__215basic_streambufIcNS_11char_traitsIcEEE6xsputnEPKcl=Module["__ZNSt3__215basic_streambufIcNS_11char_traitsIcEEE6xsputnEPKcl"]=Module["asm"]["_ZNSt3__215basic_streambufIcNS_11char_traitsIcEEE6xsputnEPKcl"]).apply(null,arguments)};var __ZNSt3__213basic_ostreamIcNS_11char_traitsIcEEE5flushEv=Module["__ZNSt3__213basic_ostreamIcNS_11char_traitsIcEEE5flushEv"]=function(){return(__ZNSt3__213basic_ostreamIcNS_11char_traitsIcEEE5flushEv=Module["__ZNSt3__213basic_ostreamIcNS_11char_traitsIcEEE5flushEv"]=Module["asm"]["_ZNSt3__213basic_ostreamIcNS_11char_traitsIcEEE5flushEv"]).apply(null,arguments)};var __ZNSt3__213basic_istreamIcNS_11char_traitsIcEEErsERi=Module["__ZNSt3__213basic_istreamIcNS_11char_traitsIcEEErsERi"]=function(){return(__ZNSt3__213basic_istreamIcNS_11char_traitsIcEEErsERi=Module["__ZNSt3__213basic_istreamIcNS_11char_traitsIcEEErsERi"]=Module["asm"]["_ZNSt3__213basic_istreamIcNS_11char_traitsIcEEErsERi"]).apply(null,arguments)};var __ZNSt3__213basic_istreamIcNS_11char_traitsIcEEErsERl=Module["__ZNSt3__213basic_istreamIcNS_11char_traitsIcEEErsERl"]=function(){return(__ZNSt3__213basic_istreamIcNS_11char_traitsIcEEErsERl=Module["__ZNSt3__213basic_istreamIcNS_11char_traitsIcEEErsERl"]=Module["asm"]["_ZNSt3__213basic_istreamIcNS_11char_traitsIcEEErsERl"]).apply(null,arguments)};var __ZNSt3__213basic_ostreamIcNS_11char_traitsIcEEED1Ev=Module["__ZNSt3__213basic_ostreamIcNS_11char_traitsIcEEED1Ev"]=function(){return(__ZNSt3__213basic_ostreamIcNS_11char_traitsIcEEED1Ev=Module["__ZNSt3__213basic_ostreamIcNS_11char_traitsIcEEED1Ev"]=Module["asm"]["_ZNSt3__213basic_ostreamIcNS_11char_traitsIcEEED1Ev"]).apply(null,arguments)};var __ZTv0_n12_NSt3__213basic_ostreamIcNS_11char_traitsIcEEED1Ev=Module["__ZTv0_n12_NSt3__213basic_ostreamIcNS_11char_traitsIcEEED1Ev"]=function(){return(__ZTv0_n12_NSt3__213basic_ostreamIcNS_11char_traitsIcEEED1Ev=Module["__ZTv0_n12_NSt3__213basic_ostreamIcNS_11char_traitsIcEEED1Ev"]=Module["asm"]["_ZTv0_n12_NSt3__213basic_ostreamIcNS_11char_traitsIcEEED1Ev"]).apply(null,arguments)};var __ZNSt3__213basic_ostreamIcNS_11char_traitsIcEEED0Ev=Module["__ZNSt3__213basic_ostreamIcNS_11char_traitsIcEEED0Ev"]=function(){return(__ZNSt3__213basic_ostreamIcNS_11char_traitsIcEEED0Ev=Module["__ZNSt3__213basic_ostreamIcNS_11char_traitsIcEEED0Ev"]=Module["asm"]["_ZNSt3__213basic_ostreamIcNS_11char_traitsIcEEED0Ev"]).apply(null,arguments)};var __ZTv0_n12_NSt3__213basic_ostreamIcNS_11char_traitsIcEEED0Ev=Module["__ZTv0_n12_NSt3__213basic_ostreamIcNS_11char_traitsIcEEED0Ev"]=function(){return(__ZTv0_n12_NSt3__213basic_ostreamIcNS_11char_traitsIcEEED0Ev=Module["__ZTv0_n12_NSt3__213basic_ostreamIcNS_11char_traitsIcEEED0Ev"]=Module["asm"]["_ZTv0_n12_NSt3__213basic_ostreamIcNS_11char_traitsIcEEED0Ev"]).apply(null,arguments)};var __ZNSt3__213basic_ostreamIcNS_11char_traitsIcEEElsEt=Module["__ZNSt3__213basic_ostreamIcNS_11char_traitsIcEEElsEt"]=function(){return(__ZNSt3__213basic_ostreamIcNS_11char_traitsIcEEElsEt=Module["__ZNSt3__213basic_ostreamIcNS_11char_traitsIcEEElsEt"]=Module["asm"]["_ZNSt3__213basic_ostreamIcNS_11char_traitsIcEEElsEt"]).apply(null,arguments)};var __ZNSt3__213basic_ostreamIcNS_11char_traitsIcEEElsEi=Module["__ZNSt3__213basic_ostreamIcNS_11char_traitsIcEEElsEi"]=function(){return(__ZNSt3__213basic_ostreamIcNS_11char_traitsIcEEElsEi=Module["__ZNSt3__213basic_ostreamIcNS_11char_traitsIcEEElsEi"]=Module["asm"]["_ZNSt3__213basic_ostreamIcNS_11char_traitsIcEEElsEi"]).apply(null,arguments)};var __ZNSt3__213basic_ostreamIcNS_11char_traitsIcEEElsEm=Module["__ZNSt3__213basic_ostreamIcNS_11char_traitsIcEEElsEm"]=function(){return(__ZNSt3__213basic_ostreamIcNS_11char_traitsIcEEElsEm=Module["__ZNSt3__213basic_ostreamIcNS_11char_traitsIcEEElsEm"]=Module["asm"]["_ZNSt3__213basic_ostreamIcNS_11char_traitsIcEEElsEm"]).apply(null,arguments)};var __ZNSt3__213basic_ostreamIcNS_11char_traitsIcEEElsEf=Module["__ZNSt3__213basic_ostreamIcNS_11char_traitsIcEEElsEf"]=function(){return(__ZNSt3__213basic_ostreamIcNS_11char_traitsIcEEElsEf=Module["__ZNSt3__213basic_ostreamIcNS_11char_traitsIcEEElsEf"]=Module["asm"]["_ZNSt3__213basic_ostreamIcNS_11char_traitsIcEEElsEf"]).apply(null,arguments)};var __ZNSt3__213basic_ostreamIcNS_11char_traitsIcEEElsEd=Module["__ZNSt3__213basic_ostreamIcNS_11char_traitsIcEEElsEd"]=function(){return(__ZNSt3__213basic_ostreamIcNS_11char_traitsIcEEElsEd=Module["__ZNSt3__213basic_ostreamIcNS_11char_traitsIcEEElsEd"]=Module["asm"]["_ZNSt3__213basic_ostreamIcNS_11char_traitsIcEEElsEd"]).apply(null,arguments)};var __ZNSt3__213basic_ostreamIcNS_11char_traitsIcEEE3putEc=Module["__ZNSt3__213basic_ostreamIcNS_11char_traitsIcEEE3putEc"]=function(){return(__ZNSt3__213basic_ostreamIcNS_11char_traitsIcEEE3putEc=Module["__ZNSt3__213basic_ostreamIcNS_11char_traitsIcEEE3putEc"]=Module["asm"]["_ZNSt3__213basic_ostreamIcNS_11char_traitsIcEEE3putEc"]).apply(null,arguments)};var __ZNSt3__213basic_ostreamIcNS_11char_traitsIcEEE5writeEPKcl=Module["__ZNSt3__213basic_ostreamIcNS_11char_traitsIcEEE5writeEPKcl"]=function(){return(__ZNSt3__213basic_ostreamIcNS_11char_traitsIcEEE5writeEPKcl=Module["__ZNSt3__213basic_ostreamIcNS_11char_traitsIcEEE5writeEPKcl"]=Module["asm"]["_ZNSt3__213basic_ostreamIcNS_11char_traitsIcEEE5writeEPKcl"]).apply(null,arguments)};var __ZNSt3__214basic_iostreamIcNS_11char_traitsIcEEED2Ev=Module["__ZNSt3__214basic_iostreamIcNS_11char_traitsIcEEED2Ev"]=function(){return(__ZNSt3__214basic_iostreamIcNS_11char_traitsIcEEED2Ev=Module["__ZNSt3__214basic_iostreamIcNS_11char_traitsIcEEED2Ev"]=Module["asm"]["_ZNSt3__214basic_iostreamIcNS_11char_traitsIcEEED2Ev"]).apply(null,arguments)};var __ZNSt3__215basic_stringbufIcNS_11char_traitsIcEENS_9allocatorIcEEE9underflowEv=Module["__ZNSt3__215basic_stringbufIcNS_11char_traitsIcEENS_9allocatorIcEEE9underflowEv"]=function(){return(__ZNSt3__215basic_stringbufIcNS_11char_traitsIcEENS_9allocatorIcEEE9underflowEv=Module["__ZNSt3__215basic_stringbufIcNS_11char_traitsIcEENS_9allocatorIcEEE9underflowEv"]=Module["asm"]["_ZNSt3__215basic_stringbufIcNS_11char_traitsIcEENS_9allocatorIcEEE9underflowEv"]).apply(null,arguments)};var __ZNSt3__215basic_stringbufIcNS_11char_traitsIcEENS_9allocatorIcEEE9pbackfailEi=Module["__ZNSt3__215basic_stringbufIcNS_11char_traitsIcEENS_9allocatorIcEEE9pbackfailEi"]=function(){return(__ZNSt3__215basic_stringbufIcNS_11char_traitsIcEENS_9allocatorIcEEE9pbackfailEi=Module["__ZNSt3__215basic_stringbufIcNS_11char_traitsIcEENS_9allocatorIcEEE9pbackfailEi"]=Module["asm"]["_ZNSt3__215basic_stringbufIcNS_11char_traitsIcEENS_9allocatorIcEEE9pbackfailEi"]).apply(null,arguments)};var __ZNSt3__215basic_stringbufIcNS_11char_traitsIcEENS_9allocatorIcEEE8overflowEi=Module["__ZNSt3__215basic_stringbufIcNS_11char_traitsIcEENS_9allocatorIcEEE8overflowEi"]=function(){return(__ZNSt3__215basic_stringbufIcNS_11char_traitsIcEENS_9allocatorIcEEE8overflowEi=Module["__ZNSt3__215basic_stringbufIcNS_11char_traitsIcEENS_9allocatorIcEEE8overflowEi"]=Module["asm"]["_ZNSt3__215basic_stringbufIcNS_11char_traitsIcEENS_9allocatorIcEEE8overflowEi"]).apply(null,arguments)};var __ZNSt3__215basic_stringbufIcNS_11char_traitsIcEENS_9allocatorIcEEE7seekoffExNS_8ios_base7seekdirEj=Module["__ZNSt3__215basic_stringbufIcNS_11char_traitsIcEENS_9allocatorIcEEE7seekoffExNS_8ios_base7seekdirEj"]=function(){return(__ZNSt3__215basic_stringbufIcNS_11char_traitsIcEENS_9allocatorIcEEE7seekoffExNS_8ios_base7seekdirEj=Module["__ZNSt3__215basic_stringbufIcNS_11char_traitsIcEENS_9allocatorIcEEE7seekoffExNS_8ios_base7seekdirEj"]=Module["asm"]["_ZNSt3__215basic_stringbufIcNS_11char_traitsIcEENS_9allocatorIcEEE7seekoffExNS_8ios_base7seekdirEj"]).apply(null,arguments)};var __ZNSt3__215basic_stringbufIcNS_11char_traitsIcEENS_9allocatorIcEEED2Ev=Module["__ZNSt3__215basic_stringbufIcNS_11char_traitsIcEENS_9allocatorIcEEED2Ev"]=function(){return(__ZNSt3__215basic_stringbufIcNS_11char_traitsIcEENS_9allocatorIcEEED2Ev=Module["__ZNSt3__215basic_stringbufIcNS_11char_traitsIcEENS_9allocatorIcEEED2Ev"]=Module["asm"]["_ZNSt3__215basic_stringbufIcNS_11char_traitsIcEENS_9allocatorIcEEED2Ev"]).apply(null,arguments)};var __ZNSt3__212basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEED2Ev=Module["__ZNSt3__212basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEED2Ev"]=function(){return(__ZNSt3__212basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEED2Ev=Module["__ZNSt3__212basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEED2Ev"]=Module["asm"]["_ZNSt3__212basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEED2Ev"]).apply(null,arguments)};var __ZNSt3__28ios_base4swapERS0_=Module["__ZNSt3__28ios_base4swapERS0_"]=function(){return(__ZNSt3__28ios_base4swapERS0_=Module["__ZNSt3__28ios_base4swapERS0_"]=Module["asm"]["_ZNSt3__28ios_base4swapERS0_"]).apply(null,arguments)};var __ZNSt3__28ios_base5imbueERKNS_6localeE=Module["__ZNSt3__28ios_base5imbueERKNS_6localeE"]=function(){return(__ZNSt3__28ios_base5imbueERKNS_6localeE=Module["__ZNSt3__28ios_base5imbueERKNS_6localeE"]=Module["asm"]["_ZNSt3__28ios_base5imbueERKNS_6localeE"]).apply(null,arguments)};var __ZNSt3__26locale7classicEv=Module["__ZNSt3__26locale7classicEv"]=function(){return(__ZNSt3__26locale7classicEv=Module["__ZNSt3__26locale7classicEv"]=Module["asm"]["_ZNSt3__26locale7classicEv"]).apply(null,arguments)};var __ZNSt3__219__shared_weak_count14__release_weakEv=Module["__ZNSt3__219__shared_weak_count14__release_weakEv"]=function(){return(__ZNSt3__219__shared_weak_count14__release_weakEv=Module["__ZNSt3__219__shared_weak_count14__release_weakEv"]=Module["asm"]["_ZNSt3__219__shared_weak_count14__release_weakEv"]).apply(null,arguments)};var __ZNKSt3__219__shared_weak_count13__get_deleterERKSt9type_info=Module["__ZNKSt3__219__shared_weak_count13__get_deleterERKSt9type_info"]=function(){return(__ZNKSt3__219__shared_weak_count13__get_deleterERKSt9type_info=Module["__ZNKSt3__219__shared_weak_count13__get_deleterERKSt9type_info"]=Module["asm"]["_ZNKSt3__219__shared_weak_count13__get_deleterERKSt9type_info"]).apply(null,arguments)};var __ZNSt3__219__shared_weak_countD2Ev=Module["__ZNSt3__219__shared_weak_countD2Ev"]=function(){return(__ZNSt3__219__shared_weak_countD2Ev=Module["__ZNSt3__219__shared_weak_countD2Ev"]=Module["asm"]["_ZNSt3__219__shared_weak_countD2Ev"]).apply(null,arguments)};var __ZNSt3__25mutex4lockEv=Module["__ZNSt3__25mutex4lockEv"]=function(){return(__ZNSt3__25mutex4lockEv=Module["__ZNSt3__25mutex4lockEv"]=Module["asm"]["_ZNSt3__25mutex4lockEv"]).apply(null,arguments)};var __ZNSt3__25mutex6unlockEv=Module["__ZNSt3__25mutex6unlockEv"]=function(){return(__ZNSt3__25mutex6unlockEv=Module["__ZNSt3__25mutex6unlockEv"]=Module["asm"]["_ZNSt3__25mutex6unlockEv"]).apply(null,arguments)};var __ZNSt3__215recursive_mutex4lockEv=Module["__ZNSt3__215recursive_mutex4lockEv"]=function(){return(__ZNSt3__215recursive_mutex4lockEv=Module["__ZNSt3__215recursive_mutex4lockEv"]=Module["asm"]["_ZNSt3__215recursive_mutex4lockEv"]).apply(null,arguments)};var __ZNSt3__215recursive_mutex6unlockEv=Module["__ZNSt3__215recursive_mutex6unlockEv"]=function(){return(__ZNSt3__215recursive_mutex6unlockEv=Module["__ZNSt3__215recursive_mutex6unlockEv"]=Module["asm"]["_ZNSt3__215recursive_mutex6unlockEv"]).apply(null,arguments)};var __ZNSt3__25mutexD1Ev=Module["__ZNSt3__25mutexD1Ev"]=function(){return(__ZNSt3__25mutexD1Ev=Module["__ZNSt3__25mutexD1Ev"]=Module["asm"]["_ZNSt3__25mutexD1Ev"]).apply(null,arguments)};var __ZNSt3__215recursive_mutexC1Ev=Module["__ZNSt3__215recursive_mutexC1Ev"]=function(){return(__ZNSt3__215recursive_mutexC1Ev=Module["__ZNSt3__215recursive_mutexC1Ev"]=Module["asm"]["_ZNSt3__215recursive_mutexC1Ev"]).apply(null,arguments)};var __ZNSt3__215recursive_mutexD1Ev=Module["__ZNSt3__215recursive_mutexD1Ev"]=function(){return(__ZNSt3__215recursive_mutexD1Ev=Module["__ZNSt3__215recursive_mutexD1Ev"]=Module["asm"]["_ZNSt3__215recursive_mutexD1Ev"]).apply(null,arguments)};var __ZnwmRKSt9nothrow_t=Module["__ZnwmRKSt9nothrow_t"]=function(){return(__ZnwmRKSt9nothrow_t=Module["__ZnwmRKSt9nothrow_t"]=Module["asm"]["_ZnwmRKSt9nothrow_t"]).apply(null,arguments)};var __ZNKSt3__212basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEE2atEm=Module["__ZNKSt3__212basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEE2atEm"]=function(){return(__ZNKSt3__212basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEE2atEm=Module["__ZNKSt3__212basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEE2atEm"]=Module["asm"]["_ZNKSt3__212basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEE2atEm"]).apply(null,arguments)};var __ZNKSt3__212basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEE7compareEPKc=Module["__ZNKSt3__212basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEE7compareEPKc"]=function(){return(__ZNKSt3__212basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEE7compareEPKc=Module["__ZNKSt3__212basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEE7compareEPKc"]=Module["asm"]["_ZNKSt3__212basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEE7compareEPKc"]).apply(null,arguments)};var __ZNSt3__212basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEE2atEm=Module["__ZNSt3__212basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEE2atEm"]=function(){return(__ZNSt3__212basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEE2atEm=Module["__ZNSt3__212basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEE2atEm"]=Module["asm"]["_ZNSt3__212basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEE2atEm"]).apply(null,arguments)};var __ZNSt3__26stoullERKNS_12basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEEEPmi=Module["__ZNSt3__26stoullERKNS_12basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEEEPmi"]=function(){return(__ZNSt3__26stoullERKNS_12basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEEEPmi=Module["__ZNSt3__26stoullERKNS_12basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEEEPmi"]=Module["asm"]["_ZNSt3__26stoullERKNS_12basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEEEPmi"]).apply(null,arguments)};var __ZNSt3__29to_stringEf=Module["__ZNSt3__29to_stringEf"]=function(){return(__ZNSt3__29to_stringEf=Module["__ZNSt3__29to_stringEf"]=Module["asm"]["_ZNSt3__29to_stringEf"]).apply(null,arguments)};var __ZNSt3__29to_stringEd=Module["__ZNSt3__29to_stringEd"]=function(){return(__ZNSt3__29to_stringEd=Module["__ZNSt3__29to_stringEd"]=Module["asm"]["_ZNSt3__29to_stringEd"]).apply(null,arguments)};var __ZNSt3__26thread20hardware_concurrencyEv=Module["__ZNSt3__26thread20hardware_concurrencyEv"]=function(){return(__ZNSt3__26thread20hardware_concurrencyEv=Module["__ZNSt3__26thread20hardware_concurrencyEv"]=Module["asm"]["_ZNSt3__26thread20hardware_concurrencyEv"]).apply(null,arguments)};var ___cxa_guard_acquire=Module["___cxa_guard_acquire"]=function(){return(___cxa_guard_acquire=Module["___cxa_guard_acquire"]=Module["asm"]["__cxa_guard_acquire"]).apply(null,arguments)};var ___cxa_guard_release=Module["___cxa_guard_release"]=function(){return(___cxa_guard_release=Module["___cxa_guard_release"]=Module["asm"]["__cxa_guard_release"]).apply(null,arguments)};var ___cxa_is_pointer_type=function(){return(___cxa_is_pointer_type=Module["asm"]["__cxa_is_pointer_type"]).apply(null,arguments)};var dynCall_jiji=Module["dynCall_jiji"]=function(){return(dynCall_jiji=Module["dynCall_jiji"]=Module["asm"]["dynCall_jiji"]).apply(null,arguments)};var dynCall_iijj=Module["dynCall_iijj"]=function(){return(dynCall_iijj=Module["dynCall_iijj"]=Module["asm"]["dynCall_iijj"]).apply(null,arguments)};var dynCall_iiiij=Module["dynCall_iiiij"]=function(){return(dynCall_iiiij=Module["dynCall_iiiij"]=Module["asm"]["dynCall_iiiij"]).apply(null,arguments)};var dynCall_iij=Module["dynCall_iij"]=function(){return(dynCall_iij=Module["dynCall_iij"]=Module["asm"]["dynCall_iij"]).apply(null,arguments)};var dynCall_iijii=Module["dynCall_iijii"]=function(){return(dynCall_iijii=Module["dynCall_iijii"]=Module["asm"]["dynCall_iijii"]).apply(null,arguments)};var dynCall_iijjj=Module["dynCall_iijjj"]=function(){return(dynCall_iijjj=Module["dynCall_iijjj"]=Module["asm"]["dynCall_iijjj"]).apply(null,arguments)};var dynCall_viijii=Module["dynCall_viijii"]=function(){return(dynCall_viijii=Module["dynCall_viijii"]=Module["asm"]["dynCall_viijii"]).apply(null,arguments)};var dynCall_iiiiij=Module["dynCall_iiiiij"]=function(){return(dynCall_iiiiij=Module["dynCall_iiiiij"]=Module["asm"]["dynCall_iiiiij"]).apply(null,arguments)};var dynCall_iiiiijj=Module["dynCall_iiiiijj"]=function(){return(dynCall_iiiiijj=Module["dynCall_iiiiijj"]=Module["asm"]["dynCall_iiiiijj"]).apply(null,arguments)};var dynCall_iiiiiijj=Module["dynCall_iiiiiijj"]=function(){return(dynCall_iiiiiijj=Module["dynCall_iiiiiijj"]=Module["asm"]["dynCall_iiiiiijj"]).apply(null,arguments)};var _orig$fseeko=Module["_orig$fseeko"]=function(){return(_orig$fseeko=Module["_orig$fseeko"]=Module["asm"]["orig$fseeko"]).apply(null,arguments)};var _orig$time=Module["_orig$time"]=function(){return(_orig$time=Module["_orig$time"]=Module["asm"]["orig$time"]).apply(null,arguments)};var _orig$ftello=Module["_orig$ftello"]=function(){return(_orig$ftello=Module["_orig$ftello"]=Module["asm"]["orig$ftello"]).apply(null,arguments)};var _orig$ftruncate=Module["_orig$ftruncate"]=function(){return(_orig$ftruncate=Module["_orig$ftruncate"]=Module["asm"]["orig$ftruncate"]).apply(null,arguments)};var _orig$lseek=Module["_orig$lseek"]=function(){return(_orig$lseek=Module["_orig$lseek"]=Module["asm"]["orig$lseek"]).apply(null,arguments)};var _orig$mmap=Module["_orig$mmap"]=function(){return(_orig$mmap=Module["_orig$mmap"]=Module["asm"]["orig$mmap"]).apply(null,arguments)};var _orig$__addtf3=Module["_orig$__addtf3"]=function(){return(_orig$__addtf3=Module["_orig$__addtf3"]=Module["asm"]["orig$__addtf3"]).apply(null,arguments)};var _orig$__floatditf=Module["_orig$__floatditf"]=function(){return(_orig$__floatditf=Module["_orig$__floatditf"]=Module["asm"]["orig$__floatditf"]).apply(null,arguments)};var _orig$__multi3=Module["_orig$__multi3"]=function(){return(_orig$__multi3=Module["_orig$__multi3"]=Module["asm"]["orig$__multi3"]).apply(null,arguments)};var _orig$__trunctfdf2=Module["_orig$__trunctfdf2"]=function(){return(_orig$__trunctfdf2=Module["_orig$__trunctfdf2"]=Module["asm"]["orig$__trunctfdf2"]).apply(null,arguments)};var _orig$__trunctfsf2=Module["_orig$__trunctfsf2"]=function(){return(_orig$__trunctfsf2=Module["_orig$__trunctfsf2"]=Module["asm"]["orig$__trunctfsf2"]).apply(null,arguments)};var _orig$_ZNSt3__215basic_stringbufIcNS_11char_traitsIcEENS_9allocatorIcEEE7seekoffExNS_8ios_base7seekdirEj=Module["_orig$_ZNSt3__215basic_stringbufIcNS_11char_traitsIcEENS_9allocatorIcEEE7seekoffExNS_8ios_base7seekdirEj"]=function(){return(_orig$_ZNSt3__215basic_stringbufIcNS_11char_traitsIcEENS_9allocatorIcEEE7seekoffExNS_8ios_base7seekdirEj=Module["_orig$_ZNSt3__215basic_stringbufIcNS_11char_traitsIcEENS_9allocatorIcEEE7seekoffExNS_8ios_base7seekdirEj"]=Module["asm"]["orig$_ZNSt3__215basic_stringbufIcNS_11char_traitsIcEENS_9allocatorIcEEE7seekoffExNS_8ios_base7seekdirEj"]).apply(null,arguments)};var _orig$_ZNSt3__26stoullERKNS_12basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEEEPmi=Module["_orig$_ZNSt3__26stoullERKNS_12basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEEEPmi"]=function(){return(_orig$_ZNSt3__26stoullERKNS_12basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEEEPmi=Module["_orig$_ZNSt3__26stoullERKNS_12basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEEEPmi"]=Module["asm"]["orig$_ZNSt3__26stoullERKNS_12basic_stringIcNS_11char_traitsIcEENS_9allocatorIcEEEEPmi"]).apply(null,arguments)};var __ZTISt12length_error=Module["__ZTISt12length_error"]=67596;var __ZTVSt12length_error=Module["__ZTVSt12length_error"]=67576;var __ZTISt20bad_array_new_length=Module["__ZTISt20bad_array_new_length"]=67532;var __ZTVNSt3__215basic_stringbufIcNS_11char_traitsIcEENS_9allocatorIcEEEE=Module["__ZTVNSt3__215basic_stringbufIcNS_11char_traitsIcEENS_9allocatorIcEEEE"]=63584;var __ZTVN10__cxxabiv117__class_type_infoE=Module["__ZTVN10__cxxabiv117__class_type_infoE"]=67640;var __ZTVN10__cxxabiv120__si_class_type_infoE=Module["__ZTVN10__cxxabiv120__si_class_type_infoE"]=67936;var __ZTISt9exception=Module["__ZTISt9exception"]=67688;var __ZTVN4Json17CharReaderBuilderE=Module["__ZTVN4Json17CharReaderBuilderE"]=60128;var __ZTVNSt3__219basic_istringstreamIcNS_11char_traitsIcEENS_9allocatorIcEEEE=Module["__ZTVNSt3__219basic_istringstreamIcNS_11char_traitsIcEENS_9allocatorIcEEEE"]=64132;var __ZTTNSt3__219basic_istringstreamIcNS_11char_traitsIcEENS_9allocatorIcEEEE=Module["__ZTTNSt3__219basic_istringstreamIcNS_11char_traitsIcEENS_9allocatorIcEEEE"]=64172;var __ZTVN4Json13OurCharReaderE=Module["__ZTVN4Json13OurCharReaderE"]=60168;var __ZTVNSt3__219basic_ostringstreamIcNS_11char_traitsIcEENS_9allocatorIcEEEE=Module["__ZTVNSt3__219basic_ostringstreamIcNS_11char_traitsIcEENS_9allocatorIcEEEE"]=64024;var __ZTTNSt3__219basic_ostringstreamIcNS_11char_traitsIcEENS_9allocatorIcEEEE=Module["__ZTTNSt3__219basic_ostringstreamIcNS_11char_traitsIcEENS_9allocatorIcEEEE"]=64064;var __ZTIN4Json17CharReaderBuilderE=Module["__ZTIN4Json17CharReaderBuilderE"]=60156;var __ZTSN4Json17CharReaderBuilderE=Module["__ZTSN4Json17CharReaderBuilderE"]=12898;var __ZTSN4Json10CharReader7FactoryE=Module["__ZTSN4Json10CharReader7FactoryE"]=12925;var __ZTIN4Json10CharReader7FactoryE=Module["__ZTIN4Json10CharReader7FactoryE"]=60148;var __ZTIN4Json13OurCharReaderE=Module["__ZTIN4Json13OurCharReaderE"]=60196;var __ZTSN4Json13OurCharReaderE=Module["__ZTSN4Json13OurCharReaderE"]=12953;var __ZTSN4Json10CharReaderE=Module["__ZTSN4Json10CharReaderE"]=12976;var __ZTIN4Json10CharReaderE=Module["__ZTIN4Json10CharReaderE"]=60188;var __ZTIN4Json12RuntimeErrorE=Module["__ZTIN4Json12RuntimeErrorE"]=60280;var __ZTVN4Json9ExceptionE=Module["__ZTVN4Json9ExceptionE"]=60208;var __ZTVN4Json12RuntimeErrorE=Module["__ZTVN4Json12RuntimeErrorE"]=60228;var __ZTVN4Json10LogicErrorE=Module["__ZTVN4Json10LogicErrorE"]=60248;var __ZTIN4Json10LogicErrorE=Module["__ZTIN4Json10LogicErrorE"]=60292;var __ZNSt3__25ctypeIcE2idE=Module["__ZNSt3__25ctypeIcE2idE"]=71728;var __ZN4Json5Value7nullRefE=Module["__ZN4Json5Value7nullRefE"]=68608;var __ZN4Json5Value4nullE=Module["__ZN4Json5Value4nullE"]=68604;var __ZTIN4Json9ExceptionE=Module["__ZTIN4Json9ExceptionE"]=60268;var __ZTSN4Json12RuntimeErrorE=Module["__ZTSN4Json12RuntimeErrorE"]=12997;var __ZTSN4Json9ExceptionE=Module["__ZTSN4Json9ExceptionE"]=13019;var __ZTSN4Json10LogicErrorE=Module["__ZTSN4Json10LogicErrorE"]=13037;var __ZTISt12out_of_range=Module["__ZTISt12out_of_range"]=67628;var __ZTVSt12out_of_range=Module["__ZTVSt12out_of_range"]=67608;var _z_errmsg=Module["_z_errmsg"]=60656;var __length_code=Module["__length_code"]=21856;var __dist_code=Module["__dist_code"]=21344;var _stderr=Module["_stderr"]=67868;var _stdout=Module["_stdout"]=67864;var ___THREW__=Module["___THREW__"]=69108;var ___threwValue=Module["___threwValue"]=69112;var __ZTINSt3__215basic_streambufIcNS_11char_traitsIcEEEE=Module["__ZTINSt3__215basic_streambufIcNS_11char_traitsIcEEEE"]=67976;var __ZTVN10__cxxabiv121__vmi_class_type_infoE=Module["__ZTVN10__cxxabiv121__vmi_class_type_infoE"]=67400;var __ZTINSt3__213basic_ostreamIcNS_11char_traitsIcEEEE=Module["__ZTINSt3__213basic_ostreamIcNS_11char_traitsIcEEEE"]=68228;var __ZTINSt3__215basic_stringbufIcNS_11char_traitsIcEENS_9allocatorIcEEEE=Module["__ZTINSt3__215basic_stringbufIcNS_11char_traitsIcEENS_9allocatorIcEEEE"]=63760;var __ZTVNSt3__218basic_stringstreamIcNS_11char_traitsIcEENS_9allocatorIcEEEE=Module["__ZTVNSt3__218basic_stringstreamIcNS_11char_traitsIcEENS_9allocatorIcEEEE"]=63772;var __ZTTNSt3__218basic_stringstreamIcNS_11char_traitsIcEENS_9allocatorIcEEEE=Module["__ZTTNSt3__218basic_stringstreamIcNS_11char_traitsIcEENS_9allocatorIcEEEE"]=63832;var __ZNSt3__24coutE=Module["__ZNSt3__24coutE"]=74792;var __ZNSt3__24cerrE=Module["__ZNSt3__24cerrE"]=74960;var __ZTINSt3__219__shared_weak_countE=Module["__ZTINSt3__219__shared_weak_countE"]=66916;var __ZSt7nothrow=Module["__ZSt7nothrow"]=53267;Module["UTF8ToString"]=UTF8ToString;Module["stringToUTF8"]=stringToUTF8;Module["lengthBytesUTF8"]=lengthBytesUTF8;Module["ccall"]=ccall;Module["loadDynamicLibrary"]=loadDynamicLibrary;var calledRun;dependenciesFulfilled=function runCaller(){if(!calledRun)run();if(!calledRun)dependenciesFulfilled=runCaller};function callMain(args=[]){var entryFunction=resolveGlobalSymbol("main").sym;if(!entryFunction)return;args.unshift(thisProgram);var argc=args.length;var argv=stackAlloc((argc+1)*4);var argv_ptr=argv>>2;args.forEach(arg=>{HEAP32[argv_ptr++]=allocateUTF8OnStack(arg)});HEAP32[argv_ptr]=0;try{var ret=entryFunction(argc,argv);exitJS(ret,true);return ret}catch(e){return handleException(e)}}var dylibsLoaded=false;LDSO.init();function run(args=arguments_){if(runDependencies>0){return}if(!dylibsLoaded){loadDylibs();dylibsLoaded=true;if(runDependencies>0){return}}preRun();if(runDependencies>0){return}function doRun(){if(calledRun)return;calledRun=true;Module["calledRun"]=true;if(ABORT)return;initRuntime();preMain();readyPromiseResolve(Module);if(Module["onRuntimeInitialized"])Module["onRuntimeInitialized"]();if(shouldRunNow)callMain(args);postRun()}if(Module["setStatus"]){Module["setStatus"]("Running...");setTimeout(function(){setTimeout(function(){Module["setStatus"]("")},1);doRun()},1)}else{doRun()}}if(Module["preInit"]){if(typeof Module["preInit"]=="function")Module["preInit"]=[Module["preInit"]];while(Module["preInit"].length>0){Module["preInit"].pop()()}}var shouldRunNow=true;if(Module["noInitialRun"])shouldRunNow=false;run();


  return ImageIOModule.ready
}

);
})();
if (typeof exports === 'object' && typeof module === 'object')
  module.exports = ImageIOModule;
else if (typeof define === 'function' && define['amd'])
  define([], function() { return ImageIOModule; });
else if (typeof exports === 'object')
  exports["ImageIOModule"] = ImageIOModule;

!function(e,a){"object"==typeof exports&&"undefined"!=typeof module?module.exports=a():"function"==typeof define&&define.amd?define(a):((e="undefined"!=typeof globalThis?globalThis:e||self).Dynamsoft=e.Dynamsoft||{},e.Dynamsoft.ImageIOWasm=a())}(this,(function(){"use strict";var e,a,t,r,s,n,i,o,l,p,u,m,c,f,d,g,y,b,h,w,P,I,k,S,A,T,D,v,M,B,R,_;function C(e,a,t,r){return new(t||(t=Promise))((function(s,n){function i(e){try{l(r.next(e))}catch(e){n(e)}}function o(e){try{l(r.throw(e))}catch(e){n(e)}}function l(e){var a;e.done?s(e.value):(a=e.value,a instanceof t?a:new t((function(e){e(a)}))).then(i,o)}l((r=r.apply(e,a||[])).next())}))}function F(e,a,t,r){if("a"===t&&!r)throw new TypeError("Private accessor was defined without a getter");if("function"==typeof a?e!==a||!r:!a.has(e))throw new TypeError("Cannot read private member from an object whose class did not declare it");return"m"===t?r:"a"===t?r.call(e):r?r.value:a.get(e)}function E(e,a,t,r,s){if("m"===r)throw new TypeError("Private method is not writable");if("a"===r&&!s)throw new TypeError("Private accessor was defined without a setter");if("function"==typeof a?e!==a||!s:!a.has(e))throw new TypeError("Cannot write private member to an object whose class did not declare it");return"a"===r?s.call(e,t):s?s.value=t:a.set(e,t),t}!function(e){e.logInfo="logInfo",e.logDebug="logDebug",e.logAll="logAll",e.imgIO="imgIO",e.core="imgCore",e.imgProc="imgProc",e.pdfR="pdfReader",e.pdfW="pdfWriter",e.crypto="crypto",e.binaryBlobType="application/octet-stream",e.wasmExtension=".wasm"}(e||(e={})),function(e){e.core="ddv-core",e.reader="ddv-reader",e.detector="ddv-detector",e.loader="ddv-loader"}(a||(a={})),function(e){e.pending="pending",e.ready="ready",e.failed="failed",e.destroyed="destroyed",e.init="init"}(t||(t={})),function(e){e.PARAMETER_TYPE_ERROR="Parameter Type not Supported = ",e.TIMEOUT="Timeout no Response = ",e.FILE_STREAM_ERROR="File Stream Error = ",e.WASM_EXCEPTION_ERROR="An WASM exception occurred."}(r||(r={})),function(e){e[e.LONG_KEY=0]="LONG_KEY",e[e.DLS_KEY=1]="DLS_KEY"}(s||(s={})),function(e){e[e.wasmSucceed=0]="wasmSucceed",e[e.wasmBase=-4e3]="wasmBase",e[e.wasmException=-4001]="wasmException",e[e.wasmNoModule=-4002]="wasmNoModule",e[e.wasmJsBase=-4100]="wasmJsBase",e[e.wasmJsObjectNotInit=-4101]="wasmJsObjectNotInit",e[e.wasmJsObjectTerminated=-4102]="wasmJsObjectTerminated",e[e.wasmJsObjectInitFailed=-4103]="wasmJsObjectInitFailed",e[e.wasmJsNotLoaded=-4104]="wasmJsNotLoaded",e[e.wasmJsInvalidJson=-4105]="wasmJsInvalidJson",e[e.wasmJsWorkerRunException=-4106]="wasmJsWorkerRunException",e[e.wasmJsWorkerRunFailed=-4107]="wasmJsWorkerRunFailed",e[e.wasmJsReadFileFailed=-4108]="wasmJsReadFileFailed",e[e.wasmJsCoreTaskException=-4109]="wasmJsCoreTaskException",e[e.wasmJsProcTaskException=-4110]="wasmJsProcTaskException",e[e.wasmJsSavePdfFailed=-4111]="wasmJsSavePdfFailed",e[e.wasmJsSaveTiffFailed=-4112]="wasmJsSaveTiffFailed"}(n||(n={})),function(e){e[e.IT_DIB=-1]="IT_DIB",e[e.IT_RGBA=-2]="IT_RGBA",e[e.IT_BGRA=-3]="IT_BGRA",e[e.IT_BMP=0]="IT_BMP",e[e.IT_JPG=1]="IT_JPG",e[e.IT_PNG=3]="IT_PNG",e[e.IT_ALL=5]="IT_ALL"}(i||(i={})),function(e){e[e.RT_AUTO=-1]="RT_AUTO",e[e.RT_BINARY=1]="RT_BINARY",e[e.RT_BASE64=2]="RT_BASE64"}(o||(o={})),function(e){e[e.SF_DEF=0]="SF_DEF",e[e.SF_ENABLE=1]="SF_ENABLE",e[e.SF_DISABLE=2]="SF_DISABLE"}(l||(l={})),"function"==typeof SuppressedError&&SuppressedError;class j{static register(e){F(this,p,"f",u).push(e)}static process(e){F(this,p,"f",u).forEach((a=>{e.data.params.moduleName!==a.Name||a.process(e)}))}}p=j,u={value:new Array};class O{constructor(e){this._instances=Object.create(null),m.set(this,""),E(this,m,e,"f"),j.register(this)}get Name(){return F(this,m,"f")}_destroy(e){let a=this._instances[e.data.params.insId];a&&(delete this._instances[e.data.params.insId],a.wasmObject.delete(),e.context.logDebug(e.data,"Delete Instance "+e.data.params.insId))}process(e){}}m=new WeakMap;class U extends O{constructor(){super(e.core)}process(a){let t=a.data,r={errorCode:0,errorMessage:"Successful."},s=this._instances[t.params.insId],l=null==s?void 0:s.wasmObject,p=a.entryModule;switch(t.func){case"init":void 0===this._instances[t.params.insId]&&(this._instances[t.params.insId]={wasmObject:new p.DynamicImagecore(t.params.key,t.params.licMode,t.params.uuid)},a.context.logDebug(t,"Create ImageCore Instance "+t.params.insId));break;case"destroy":(null==s?void 0:s.wasmMemoryPtr)&&(a.wasmMemoryPtr=s.wasmMemoryPtr,s.wasmMemoryPtr=null),this._destroy(a);break;case"terminate":return this._destroy(a),a.context.logDebug(t,"Terminate worker"),void self.close();case"getMemoryUsed":r.memoryUsed=p.HEAPU8.length;break;case"SaveImage":case"ReadImage":case"ReadTiffPage":!function(){"ReadImage"===t.func?r=l.ReadImage.apply(l,t.params.input):"SaveImage"===t.func?r=l.SaveImage.apply(l,t.params.input):"ReadTiffPage"===t.func&&(r=l.ReadTiffPage.apply(l,t.params.input));let a=JSON.parse(r);if(0===a.errorCode&&"Successful."===a.errorMessage)if(t.params.returnType===o.RT_BASE64){let e=l.GetCurrentDataBase64(),t=l.GetCurrentDataMD5();a.MD5=t,a.imageData=e}else{let t,r;a.imageType===i.IT_BMP?r="bmp":a.imageType===i.IT_JPG?r="jpeg":a.imageType===i.IT_PNG&&(r="png"),t=r?"image/"+r:e.binaryBlobType;let s=l.GetCurrentData();a.blobType=t,a.imageData=new Uint8ClampedArray(s)}r=a,l.FreeReservedData()}();break;case"GetMD5":!function(){let e={MD5:l.GetMD5.apply(l,t.params.input)};r=JSON.stringify(e)}();break;case"GetLicenseInfo":r=l.GetLicenseInfo();break;case"GetAesResult":r=l.AESGcmEncrypt.apply(l,t.params.input);break;case"GetImageFormat":r=l.GetImageFormat.apply(l,t.params.input);break;case"ReadImageInfo":r=l.ReadImageInfo.apply(l,t.params.input);break;case"LoadTiff":!function(){if(t.params.input[0]instanceof Blob){"/loadtiff"===p.FS.analyzePath("/loadtiff").object.mount.mountpoint&&p.FS.unmount("/loadtiff");const e="/loadtiff/input.tif";p.FS.mount(p.WORKERFS,{blobs:[{name:"input.tif",data:t.params.input[0]}]},"/loadtiff");const a=p.lengthBytesUTF8(e)+1,s=p._malloc(a);p._memset(s,0,a);for(let a=0;a<e.length;a++)p.HEAPU8[s+a]=e.charCodeAt(a);t.params.input[0]=s,t.params.input.splice(1,0,0),r=l.LoadTiff.apply(l,t.params.input)}else a.wasmMemoryPtr&&(s&&(s.wasmMemoryPtr=a.wasmMemoryPtr),a.wasmMemoryPtr=null),r=l.LoadTiff.apply(l,t.params.input)}();break;case"GetTiffPageInfos":!function(){let e=new p.vectorInt;if(Array.isArray(t.params.input[0]))for(let a=0;a<t.params.input[0].length;a++)e.push_back(t.params.input[0][a]);t.params.input[0]=e,r=l.GetTiffPageInfos.apply(l,t.params.input)}();break;case"EndReadTiff":!function(){l.EndReadTiff(),l.wasmMemoryPtr&&(a.wasmMemoryPtr=l.wasmMemoryPtr,delete l.wasmMemoryPtr);"/loadtiff"===p.FS.analyzePath("/loadtiff").object.mount.mountpoint&&p.FS.unmount("/loadtiff")}();break;case"NewTiff":!function(){const e="output_tiff_"+t.params.insId;p.customStream.initSize=8192;var a=p.FS.makedev(3,5);p.FS.registerDevice(a,p.customStream),p.FS.mkdev(e,511,a);const s="/"+e;r=l.NewTiffFile(s)}();break;case"AppendImageToTiff":r=l.AppendImageToTiff.apply(l,t.params.input);break;case"AddTagToNextPage":r=l.AddTagToNextPage.apply(l,t.params.input);break;case"EndWriteTiff":r=l.EndWriteTiff();break;case"GetTiffStream":!function(){l.EndWriteTiff();const e="output_tiff_"+t.params.insId;let a=p.save_buf[e],s={};a?(s.blobType="image/tiff",s.imageData=new Uint8ClampedArray(a.buffer),s.imageDataSize=a.byteLength):s={errorCode:n.wasmJsSaveTiffFailed,errorMessage:"no tiff content return"},r=s,l.FreeReservedData(),p.save_buf[e]=null}();break;case"GetWasmVersion":r=l.GetWasmVersion();break;case"ds_get_file":!function(){let e,a,s,n,i,o,u,m=t.params.input;a=m[0],s=m[1];let c=m[2];e=new Uint8Array(17),n=p._malloc(e.length),p.HEAPU8.set(e,n),l.GetMultipartFile(a,s,c,n),o=p.HEAPU32[n/4],u=p.HEAPU32[n/4+1],i=p.HEAPU8.slice(o,o+u),p._free(o),p._free(n),l.DestroyMultipartFile(),r=i}();break;case"UpdateLicense":l.UpdateLicense.apply(l,t.params.input)}a.context.logDebug(t,t.func+" end, send back begin");let u,m={id:t.id,func:t.func,result:r,memSize:p.HEAPU8.length};if(t.params.srcBuffer){"string"==typeof m.result&&(m.result=JSON.parse(m.result)),m.result.srcBuffer=t.params.srcBuffer;let e=Object.prototype.toString.call(m.result.srcBuffer);"[object ArrayBuffer]"!==e&&"[object Uint8ClampedArray]"!==e||(u=[null!=m.result.srcBuffer.buffer?m.result.srcBuffer.buffer:m.result.srcBuffer])}let c=Object.prototype.toString.call(r.imageData);"[object ArrayBuffer]"!==c&&"[object Uint8ClampedArray]"!==c&&"[object Uint8Array]"!==c||(u=[null!=m.result.imageData.buffer?m.result.imageData.buffer:m.result.imageData]),null!=u?a.context.sendResult(m,u):a.context.sendResult(m),a.context.logDebug(t,t.func+" end, send back end"),r=null}}new U;class G extends O{constructor(){super(e.imgProc)}process(a){let t,r=a.data,s={errorCode:0,errorMessage:"Successful."},n=this._instances[r.params.insId],o=null==n?void 0:n.wasmObject,l=a.entryModule;switch(r.func){case"init":void 0===this._instances[r.params.insId]&&(this._instances[r.params.insId]={wasmObject:new l.ImageProc(r.params.key,r.params.licMode,r.params.uuid)},a.context.logDebug(r,"Create ImageProc Instance "+r.params.insId));break;case"destroy":this._destroy(a);break;case"terminate":return this._destroy(a),a.context.logDebug(r,"Terminate worker"),void self.close();case"InitImageObject":s=o.InitImageObject.apply(o,r.params.input),s=JSON.parse(s);break;case"RotateEx":s=o.RotateEx.apply(o,r.params.input);break;case"Flip":s=o.Flip();break;case"Mirror":s=o.Mirror();break;case"Erase":s=o.Erase.apply(o,r.params.input);break;case"ChangeImageSize":s=o.ChangeImageSize.apply(o,r.params.input);break;case"Crop":s=o.Crop.apply(o,r.params.input);break;case"GetSkewAngle":s=o.GetSkewAngle.apply(o,r.params.input);break;case"ConvertToGrayScale":s=o.ConvertToGrayScale(r.params.input);break;case"ConvertToBW":s=o.ConvertToBW(r.params.input);break;case"Invert":s=o.Invert();break;case"SetDPI":s=o.SetDPI.apply(o,r.params.input);break;case"SetImageWidth":s=o.SetImageWidth.apply(o,r.params.input);break;case"SetImageHeight":s=o.SetImageHeight.apply(o,r.params.input);break;case"GetImageSize":s=o.GetImageSize();break;case"GetCurrentImage":!function(){let a;s=o.Save.apply(o,r.params.input),t=JSON.parse(s),0!==t.errorCode&&"Successful."!==t.errorMessage||(a=o.GetCurrentImage(),t.imageType===i.IT_JPG?t.blobType="image/jpeg":t.imageType===i.IT_PNG?t.blobType="image/png":t.blobType=e.binaryBlobType,t.imageData=new Uint8ClampedArray(a)),s=t}();break;case"FreeReservedData":o.FreeReservedData();break;case"DocumentDetect":s=o.DocumentDetect.apply(o,r.params.input);break;case"Perspective":s=o.Perspective.apply(o,r.params.input);break;case"ChangeBrightness":s=o.ChangeBrightness.apply(o,r.params.input);break;case"ChangeContrast":s=o.ChangeContrast.apply(o,r.params.input);break;case"ShadowRemovel":s=o.ShadowRemovel.apply(o,r.params.input);break;case"EnhanceAndSharpen":s=o.EnhanceAndSharpen.apply(o,r.params.input);break;case"Brighten":s=o.Brighten.apply(o,r.params.input);break;case"GetBlurryScore":s=o.GetBlurScore.apply(o,r.params.input);break;case"DrawQuadrangle":s=o.DrawQuadrangle.apply(o,r.params.input);break;case"ChangeBrightnessAndContrast":s=o.ChangeBrightnessAndContrast.apply(o,r.params.input);break;case"GetImageInfo":s=o.GetImageInfo();break;case"BackToOriginal":s=o.BackToOriginal();break;case"Filter":!function(){let a;"toBW"===r.params.input[0]?o.ConvertToBW.apply(o,r.params.input.slice(1,-1)):"toGray"===r.params.input[0]?o.ConvertToGrayScale.apply(o,r.params.input.slice(1,-1)):"removeShadow"===r.params.input[0]?o.ShadowRemovel.apply(o,r.params.input.slice(1,-1)):"enhance"===r.params.input[0]?o.EnhanceAndSharpen.apply(o,r.params.input.slice(1,-1)):"invert"===r.params.input[0]?o.Invert():"brightnessAndContrast"===r.params.input[0]&&o.ChangeBrightnessAndContrast.apply(o,r.params.input.slice(1,-1)),s=o.Save.apply(o,r.params.input[r.params.input.length-1]),t=JSON.parse(s),0!==t.errorCode&&"Successful."!==t.errorMessage||(a=o.GetCurrentImage(),t.imageType===i.IT_JPG?t.blobType="image/jpeg":t.imageType===i.IT_PNG?t.blobType="image/png":t.blobType=e.binaryBlobType,t.imageData=new Uint8ClampedArray(a)),o.BackToOriginal(),o.FreeReservedData(),s=t}();break;case"UpdateLicense":o.UpdateLicense.apply(o,r.params.input)}a.context.logDebug(r,r.func+" end, send back begin");let p,u={id:r.id,func:r.func,result:s,memSize:l.HEAPU8.length};if(r.params.srcBuffer){"string"==typeof u.result&&(u.result=JSON.parse(u.result)),u.result.srcBuffer=r.params.srcBuffer;let e=Object.prototype.toString.call(u.result.srcBuffer);"[object ArrayBuffer]"!==e&&"[object Uint8ClampedArray]"!==e||(p=[null!=u.result.srcBuffer.buffer?u.result.srcBuffer.buffer:u.result.srcBuffer])}let m=Object.prototype.toString.call(s.imageData);"[object ArrayBuffer]"!==m&&"[object Uint8ClampedArray]"!==m&&"[object Uint8Array]"!=m||(p=[null!=u.result.imageData.buffer?u.result.imageData.buffer:u.result.imageData]),null!=p?a.context.sendResult(u,p):a.context.sendResult(u),s=null,a.context.logDebug(r,r.func+" end, send back end")}}new G;class x extends O{constructor(){super(e.pdfR),c.set(this,Object.create(null))}process(e){let a=e.data,t={errorCode:0,errorMessage:"Successful."},r=this._instances[a.params.insId],s=null==r?void 0:r.wasmObject,l=e.entryModule,p=F(this,c,"f");switch(a.func){case"init":void 0===this._instances[a.params.insId]&&(this._instances[a.params.insId]={wasmObject:new l.DynamicPdfCore(a.params.key,a.params.licMode,a.params.uuid)},e.context.logDebug(a,"Create PdfReader Instance "+a.params.insId));break;case"destroy":(null==r?void 0:r.wasmMemoryPtr)&&(e.wasmMemoryPtr=r.wasmMemoryPtr,r.wasmMemoryPtr=null),this._destroy(e);break;case"terminate":return this._destroy(e),e.context.logDebug(a,"Terminate worker"),void self.close();case"LoadPdf":!function(){if(a.params.input[0]instanceof Blob){"/loadpdf"===l.FS.analyzePath("/loadpdf").object.mount.mountpoint&&(t=s.UnloadDocument(),l.FS.unmount("/loadpdf"));const e="/loadpdf/input.pdf";l.FS.mount(l.WORKERFS,{blobs:[{name:"input.pdf",data:a.params.input[0]}]},"/loadpdf");const r=l.lengthBytesUTF8(e)+1,n=l._malloc(r);l._memset(n,0,r);for(let a=0;a<e.length;a++)l.HEAPU8[n+a]=e.charCodeAt(a);a.params.input[0]=n,a.params.input.splice(1,0,0)}e.wasmMemoryPtr&&(r&&(r.wasmMemoryPtr=e.wasmMemoryPtr),e.wasmMemoryPtr=null),t=s.LoadDocument.apply(s,a.params.input)}();break;case"ReadPageImageInfos":!function(){let e=new l.vectorInt;if(Array.isArray(a.params.input[0]))for(let t=0;t<a.params.input[0].length;t++)e.push_back(a.params.input[0][t]);a.params.input[0]=e,t=s.ReadPageImageInfos.apply(s,a.params.input)}();break;case"GetPageContentType":t=s.GetPageContentType.apply(s,a.params.input);break;case"ReadPdfPage":case"ReadPdfPageEx":!function(){let e;"ReadPdfPage"===a.func?e=s.ReadPdfPage.apply(s,a.params.input):"ReadPdfPageEx"===a.func&&(e=s.ReadPdfPageEx.apply(s,a.params.input)),s.UnloadPdfPage(a.params.input[0]);let r,n=JSON.parse(e),l=[];if(0===n.errorCode&&"Successful."===n.errorMessage)if(n.imageInfos[0].imageType===i.IT_BMP?r="bmp":n.imageInfos[0].imageType===i.IT_JPG?r="jpeg":n.imageInfos[0].imageType===i.IT_PNG?r="png":n.imageInfos[0].imageType===i.IT_RGBA&&(r="rgba"),n.imageData=[],n.MD5=[],a.params.returnType===o.RT_BASE64)for(let e=0;e<n.imageCount;e++)l[e]=s.GetCurrentDataBase64(e),n.imageData[e]=l[e],n.MD5[e]=s.GetCurrentDataMD5(e);else{for(let e=0;e<n.imageCount;e++)l[e]=s.GetCurrentData(e);"rgba"!=r&&(n.blobType="image/"+r);for(let e=0;e<n.imageCount;e++)n.imageData[e]=new Uint8ClampedArray(l[e])}a.params.returnType!=o.RT_BASE64&&1===n.imageCount&&(n.imageData=n.imageData[0]),t=n;for(let e=0;e<n.imageCount;e++)s.FreeReservedData(e)}();break;case"GetCurrentData":t=s.GetCurrentData();break;case"GetPageAnnot":t=s.GetPageAnnot.apply(s,a.params.input),s.UnloadPdfPage(a.params.input[0]);break;case"GetPageAnnotCount":t=s.GetPageAnnotCount.apply(s,a.params.input);break;case"GetPdfPageInfos":!function(){let e=new l.vectorInt;if(Array.isArray(a.params.input[0]))for(let t=0;t<a.params.input[0].length;t++)e.push_back(a.params.input[0][t]);a.params.input[0]=e,t=s.GetPageInfos.apply(s,a.params.input)}();break;case"SearchText":!function(){let e=new l.vectorInt;if(Array.isArray(a.params.input[0]))for(let t=0;t<a.params.input[0].length;t++)e.push_back(a.params.input[0][t]);a.params.input[0]=e,t=s.SearchText.apply(s,a.params.input)}();break;case"GetPageCharInfos":!function(){let e=new l.vectorInt;if(Array.isArray(a.params.input[0]))for(let t=0;t<a.params.input[0].length;t++)e.push_back(a.params.input[0][t]);a.params.input[0]=e,t=s.GetPageCharInfos.apply(s,a.params.input)}();break;case"SetSystemFonts":!function(){const e=Object.keys(a.params.input[0]);if(e.length!==l.fonts.length){l.fonts.length>0&&l.FS.unmount("/fonts");let t=[];for(let r of e){let e=r;".ttf"!==r.slice(-4)&&".otf"!==r.slice(-4)&&".ttc"!==r.slice(-4)&&(e=r+".ttf"),t.push({name:e,data:a.params.input[0][r]})}l.fonts=t,l.FS.mount(l.WORKERFS,{blobs:l.fonts},"/fonts")}}();break;case"AddSystemFont":!function(){let e=a.params.input[0],t=e,r=e;if(".ttf"===e.slice(-4)||".ttc"===r.slice(-4)||".otf"===r.slice(-4)?t=e.substring(0,e.lastIndexOf(".")):r=e+".ttf",void 0===p[t]){let e;e=".ttf"===r.slice(-4)?"usr/share/fonts/truetype":".otf"===r.slice(-4)?"usr/share/fonts/opentype":"usr/share/fonts",l.FS.createPath("",e,!0,!0),l.FS.writeFile(e+"/"+r,new Uint8Array(a.params.input[1]),{flags:"w+"}),p[t]=!0}}();break;case"UnloadDocument":!function(){(null==r?void 0:r.wasmMemoryPtr)&&(e.wasmMemoryPtr=r.wasmMemoryPtr,r.wasmMemoryPtr=null);"/loadpdf"===l.FS.analyzePath("/loadpdf").object.mount.mountpoint&&(t=s.UnloadDocument(),l.FS.unmount("/loadpdf"))}();break;case"CreateDocument":t=s.CreateDocument.apply(s,a.params.input);break;case"InsertBlankPage":t=s.InsertBlankPage.apply(s,a.params.input);break;case"InsertImagePage":!function(){let e=a.params.input[0],r=a.params.input[1];a.params.input[0]=a.params.input[2],a.params.input[1]=e,a.params.input[2]=r,t=s.InsertImagePage.apply(s,a.params.input)}();break;case"InsertImagePageByDIB":t=s.InsertImagePageByDIB.apply(s,a.params.input);break;case"PageAddImage":!function(){let e=a.params.input[0],r=a.params.input[1],n=new l.vectorInt;if(Array.isArray(a.params.input[2]))for(let e=0;e<a.params.input[2].length;e++)n.push_back(a.params.input[2][e]);a.params.input[0]=n,a.params.input[1]=a.params.input[3],a.params.input[2]=e,a.params.input[3]=r,t=s.PageAddImage.apply(s,a.params.input)}();break;case"PageAddText":!function(){let e=new l.vectorInt;if(Array.isArray(a.params.input[0]))for(let t=0;t<a.params.input[0].length;t++)e.push_back(a.params.input[0][t]);a.params.input[0]=e,t=s.PageAddText.apply(s,a.params.input)}();break;case"PageAddPath":!function(){let e=new l.vectorInt;if(Array.isArray(a.params.input[0]))for(let t=0;t<a.params.input[0].length;t++)e.push_back(a.params.input[0][t]);a.params.input[0]=e,t=s.PageAddPath.apply(s,a.params.input)}();break;case"PageClearObjects":t=s.PageClearObjects.apply(s,a.params.input);break;case"PageAddAnnot":t=s.AddPageAnnot.apply(s,a.params.input);break;case"SetPageAnnot":t=s.SetPageAnnot.apply(s,a.params.input);break;case"FlattenPageAnnot":t=s.FlattenPageAnnot.apply(s,a.params.input);break;case"DeletePageAnnot":t=s.DeletePageAnnot.apply(s,a.params.input);break;case"DeletePageAnnotByTypes":t=s.DeletePageAnnotByTypes.apply(s,a.params.input);break;case"DeletePageAnnotByNames":t=s.DeletePageAnnotByNames.apply(s,a.params.input);break;case"DeletePdfPage":t=s.DeletePdfPage.apply(s,a.params.input);break;case"SetPdfInfo":t=s.SetPdfInfo.apply(s,a.params.input);break;case"SetPageRotation":t=s.SetPageRotation.apply(s,a.params.input);break;case"SetPageCropBox":t=s.SetPageCropBox.apply(s,a.params.input);break;case"SetPageMediaBox":t=s.SetPageMediaBox.apply(s,a.params.input);break;case"PageFlatten":t=s.FlattenPage.apply(s,a.params.input);break;case"LoadFont":!function(){let e=a.params.input[0],r=a.params.input[1],n=a.params.input[2],i=n;(".ttf"===n.slice(-4)||".ttc"===n.slice(-4)||".otf"===n.slice(-4))&&(i=n.substring(0,n.lastIndexOf("."))),t=s.LoadFont.apply(s,[i,e,r,2,!0])}();break;case"LoadFonts":!function(){const e=Object.keys(a.params.input[0]);if(e.length!==l.fonts.length){l.fonts.length>0&&l.FS.unmount("/fonts");let t=[];for(let r of e){let e=r;".ttf"!==r.slice(-4)&&".otf"!==r.slice(-4)&&".ttc"!==r.slice(-4)&&(e=r+".ttf"),t.push({name:e,data:a.params.input[0][r]})}l.fonts=t,l.FS.mount(l.WORKERFS,{blobs:l.fonts},"/fonts")}let r="";l.fonts.forEach((e=>{r.length>0&&(r+=";"),r+="/fonts/"+e.name})),t=s.LoadFontFiles.apply(s,[r])}();break;case"GetFontInfo":t=s.GetFontInfo.apply(s,a.params.input);break;case"IfFontsExist":t=s.IfFontsExist.apply(s,a.params.input);break;case"MergePdfPages":!function(){let e=!1;if(a.params.input[0]instanceof Blob){e=!0;const t="/mergepdf/merge.pdf";l.FS.mount(l.WORKERFS,{blobs:[{name:"merge.pdf",data:a.params.input[0]}]},"/mergepdf");const r=l.lengthBytesUTF8(t)+1,s=l._malloc(r);l._memset(s,0,r);for(let e=0;e<t.length;e++)l.HEAPU8[s+e]=t.charCodeAt(e);a.params.input[0]=s,a.params.input.splice(1,0,0)}let r=a.params.input[0],n=a.params.input[1];a.params.input[0]=a.params.input[2],a.params.input[1]=r,a.params.input[2]=n;let i=new l.vectorInt;if(Array.isArray(a.params.input[4]))for(let e=0;e<a.params.input[4].length;e++)i.push_back(a.params.input[4][e]);a.params.input[4]=i,t=s.MergePdfPages.apply(s,a.params.input),e&&l.FS.unmount("/mergepdf")}();break;case"GetCurrentPdf":!function(){t=s.WriteCurrentPdfFile("");const e=JSON.parse(t);l.customStream.initSize=e.pdfDataSize;const r="output_pdf_"+a.params.insId;var i=l.FS.makedev(3,5);l.FS.registerDevice(i,l.customStream),l.FS.mkdev(r,511,i),t=s.WriteCurrentPdfFile("/"+r);let o=l.save_buf[r],p={};o?(p.blobType="application/pdf",p.pdfData=new Uint8ClampedArray(o.buffer),p.pdfDataSize=o.byteLength):p={errorCode:n.wasmJsSavePdfFailed,errorMessage:"no pdf content return"},t=p,l.save_buf[r]=null}();break;case"UpdateLicense":s.UpdateLicense.apply(s,a.params.input);break;case"UnloadPdfPage":s.UnloadPdfPage.apply(s,a.params.input)}e.context.logDebug(a,a.func+" end, send back begin");let u,m={id:a.id,func:a.func,result:t,memSize:l.HEAPU8.length};if(a.params.srcBuffer){"string"==typeof m.result&&(m.result=JSON.parse(m.result)),m.result.srcBuffer=a.params.srcBuffer;let e=Object.prototype.toString.call(m.result.srcBuffer);"[object ArrayBuffer]"!==e&&"[object Uint8ClampedArray]"!==e||(u=[null!=m.result.srcBuffer.buffer?m.result.srcBuffer.buffer:m.result.srcBuffer])}if(null!=t.imageData)if(u=[],1===t.imageCount){let e=Object.prototype.toString.call(t.imageData);"[object ArrayBuffer]"!==e&&"[object Uint8ClampedArray]"!==e&&"[object Uint8Array]"!=e||(u=[null!=m.result.imageData.buffer?m.result.imageData.buffer:m.result.imageData])}else for(let e=0;e<t.imageCount;e++){let a=Object.prototype.toString.call(t.imageData[e]);"[object ArrayBuffer]"!==a&&"[object Uint8ClampedArray]"!==a&&"[object Uint8Array]"!=a||(u[e]=null!=m.result.imageData[e].buffer?m.result.imageData[e].buffer:m.result.imageData[e])}if(null!=t.pdfData){let e=Object.prototype.toString.call(t.pdfData);"[object ArrayBuffer]"!==e&&"[object Uint8ClampedArray]"!==e&&"[object Uint8Array]"!=e||(u=[null!=m.result.pdfData.buffer?m.result.pdfData.buffer:m.result.pdfData])}null!=u?e.context.sendResult(m,u):e.context.sendResult(m),e.context.logDebug(a,a.func+" end, send back end")}}c=new WeakMap,new x;class W{static fetchRetry(e,a,t,r){let s=a.retries,n=a.retryDelay;return new Promise((function(i,o){const l=function(p){return fetch(e,a).then((function(e){i(e)})).catch((function(e){p<s?function(e,a,s){t&&t(a,r);setTimeout((function(){l(++e)}),n)}(p,e):o(e)}))};return l(0)}))}}class N{static buildWasmFileName(e,a,t,r,s){return e+(r?"-simd":"")+t+"?v="+a}static base64DecToArr(e,a){let t=e.replace(/[^A-Za-z0-9\+\/]/g,""),r=t.length,s=a?Math.ceil((3*r+1>>>2)/a)*a:3*r+1>>>2,n=new Uint8Array(s);for(let e,a,i=0,o=0,l=0;l<r;l++)if(a=3&l,i|=F(this,f,"m",d).call(this,t.charCodeAt(l))<<18-6*a,3===a||r-l==1){for(e=0;e<3&&o<s;e++,o++)n[o]=i>>>(16>>>e&24)&255;i=0}return n}static isWasmSupport(){try{if("object"==typeof WebAssembly&&"function"==typeof WebAssembly.instantiate){let e=new WebAssembly.Module(Uint8Array.of(0,97,115,109,1,0,0,0));if(e instanceof WebAssembly.Module)return new WebAssembly.Instance(e)instanceof WebAssembly.Instance}}catch(e){}return!1}static random(){return(Date.now()%10086).toString(36).slice(2)+Math.random().toString(36).slice(2)}static newBlobInChunks(e,a,t){var r;let s;const n=t||e.byteLength,i=8388608,o=[];for(let a=0;a<n;a+=i)o.push(new Blob([new Uint8Array(null!==(r=e.buffer)&&void 0!==r?r:e,a,Math.min(n-a,i))]));return s=null!=a?new Blob(o,{type:a}):new Blob(o),s}}f=N,d=function(e){return e>64&&e<91?e-65:e>96&&e<123?e-71:e>47&&e<58?e+4:43===e?62:47===e?63:0};class J{constructor(e,a){this.docId=e,this.length=0,this.data=new Uint8Array(null!=a?a:8192),this.position=0}seek(e){this.position=e}close(){if(this.data){const e=this.data.subarray(0,this.length);return this.data=new Uint8Array(1),e}return this.data=new Uint8Array(1),null}getPos(){return this.position}getTotalSize(){return this.length}read(e,a,t){const r=this.data.length;let s;s=t+this.position<r?t:r-this.position;const n=e.subarray(a,a+s),i=this.data.subarray(this.position,this.position+s);return n.set(i),this.position+=s,s}write(e,a,t){const r=this.position+t,s=this.data.length;if(r>this.data.length){const e=16777216<s?104857600<s?.2:.5:1,a=Math.max(s*(1+e),r),t=new Uint8Array(a);t.set(this.data.subarray(0,this.length),0),this.data=t}const n=e.subarray(a,a+t);return this.data.set(n,this.position),this.position+=t,this.position>this.length&&(this.length=this.position),t}}var L={};y=new WeakMap,b=new WeakMap,h=new WeakMap,w=new WeakMap,P=new WeakMap,I=new WeakMap,k=new WeakMap,S=new WeakMap,A=new WeakMap,g=new WeakSet,T=function(){E(this,y,null,"f")},D=function(e,a){F(this,I,"f").postMessage({id:e.id,func:"status",log:a}),e.params&&"function"==typeof e.params.callback&&e.params.callback(a)},v=function(e,a){F(this,I,"f").postMessage({id:e.id,func:"log",log:a}),e.params&&"function"==typeof e.params.callback&&e.params.callback(a)},M=function(e){let a={name:"",promise:void 0,resolve:void 0,reject:void 0,wasmResource:null};return a.name=e,a.promise=new Promise((function(e,t){a.resolve=e,a.reject=t})),a.wasmResource={},a},B=function(a,t){var r,s;let n=this,i=Date.now();E(this,w,N.buildWasmFileName(a.prefixName,a.ver,e.wasmExtension,!1,null!==(r=a.useBrotli)&&void 0!==r&&r),"f"),F(this,g,"m",D).call(this,t,"loading "+F(this,w,"f")+"...");let o=F(this,g,"m",M).call(this,a.name);o.wasmResource.wasmModule=a.wasmModule;let l={print:function(e){e+="",F(n,g,"m",v).call(n,t,e)},printErr:function(e){e+="",o.reject({name:o.name,error:e})},INITIAL_MEMORY:1024*(null!==(s=t.params.initMemory)&&void 0!==s?s:32)*1024,instantiateWasm:function(e,a){if(o.wasmResource.wasmModule)return WebAssembly.instantiate(o.wasmResource.wasmModule,e).then((function(e){F(n,g,"m",v).call(n,t,"instantiate with wasm module"),a(e,o.wasmResource.wasmModule)}),(function(e){e+="",F(n,g,"m",v).call(n,t,"wasm instantiate 2 failed: "+e),o.reject({name:o.name,error:e})})).catch((function(e){F(n,g,"m",v).call(n,t,JSON.stringify(e));let a=e.message+"";o.reject({name:o.name,error:a})}));{const r=F(n,h,"f").retries,s=F(n,h,"f").retryDelay;let i=function(s){return C(this,void 0,void 0,(function*(){try{const i=W.fetchRetry(F(n,b,"f")+F(n,w,"f"),F(n,h,"f"),(function(e,a){return F(n,g,"m",v).call(n,t,e),!0}),t),p=yield i;if(p.ok){let t=yield p.arrayBuffer();const r=yield WebAssembly.instantiate(t,e);return o.wasmResource.wasmModule=r.module,a(r.instance,r.module),r}if(s<r)l(s);else{let e="failed to load wasm binary file, please check.";o.reject({name:o.name,error:e})}}catch(e){if(F(n,g,"m",v).call(n,t,"wasm instantiate 1 failed: "),F(n,g,"m",v).call(n,t,JSON.stringify(e)),F(n,g,"m",v).call(n,t,"attempt "+s+", retries: "+r),s<r)l(s);else{let a=e.message+"";o.reject({name:o.name,error:a})}}}))};function l(e){setTimeout((function(){i(++e)}),s)}i(0)}return{}},onRuntimeInitialized:function(){return C(this,void 0,void 0,(function*(){F(n,g,"m",D).call(n,t,a.name+" wasm initialized, cost "+(Date.now()-i)+" ms"),o.resolve()}))},locateFile:function(e,a){if(e.startsWith(a))return e;if(-1!=e.indexOf("/")){return a+e.substring(e.lastIndexOf("/")+1)}return a+e},save_buf:{},customStream:{id:"",initSize:8192,open:function(e){e.provider=new J(e.path.slice(1),this.initSize)},close:function(e){F(n,y,"f").save_buf[e.path.slice(1)]=e.provider.close()},read:function(e,a,t,r,s){return e.provider.read(a,t,r)},write:function(e,a,t,r,s){return r>0?e.provider.write(a,t,r):0},llseek:function(e,a,t){let r=a;return 1===t?r=e.provider.getPos()+a:2===t&&(r=e.provider.getTotalSize()+a),0>r?-1:(e.provider.seek(r),r)}},fonts:[]};return F(this,P,"f").call(this,l).then((e=>{E(this,y,e,"f"),F(this,k,"f")[a.name]=!0,F(this,y,"f").FS.mkdir("/fonts"),F(this,y,"f").FS.mkdir("/loadpdf"),F(this,y,"f").FS.mkdir("/loadtiff"),F(this,y,"f").FS.mkdir("/mergepdf")})),o},R=function(a,t){var r,s;let n=this,i=F(this,g,"m",M).call(this,a.name),o=F(this,b,"f")+N.buildWasmFileName(a.prefixName,a.ver,e.wasmExtension,null!==(r=a.useSimd)&&void 0!==r&&r,null!==(s=a.useBrotli)&&void 0!==s&&s),l=Date.now();F(this,g,"m",D).call(this,t,"loading "+o+"...");let p={loadAsync:!0,global:!0,nodelete:!0,wasmModule:a.wasmModule,wasmBinary:a.wasmBinary,log:function(e){F(n,g,"m",v).call(n,t,e)},fetchOptions:F(this,h,"f"),fs:{findObject:function(e){return!!p.wasmBinary},readFile:function(e){return p.wasmBinary}}};const u=F(this,h,"f").retries,m=F(this,h,"f").retryDelay;let c=function(e){return C(this,void 0,void 0,(function*(){if(!p.wasmBinary){const e=yield(r=o,s=p.fetchOptions,W.fetchRetry(r,s,(function(e,a){return F(n,g,"m",v).call(n,t,e),!0}),t));e.ok||i.reject({name:i.name,error:"failed to load binary file at '"+o+"'"});const a=yield e.arrayBuffer();p.wasmBinary=a}var r,s;F(n,y,"f").loadDynamicLibrary(o,p).then((function(r){F(n,g,"m",D).call(n,t,o+" initialized, cost "+(Date.now()-l)+" ms"),null===p.wasmModule?(null!=F(n,y,"f").LDSO.loadedLibsByName?delete F(n,y,"f").LDSO.loadedLibsByName[o]:null!=F(n,y,"f").LDSO.loadedLibNames&&delete F(n,y,"f").LDSO.loadedLibNames[o],F(n,g,"m",v).call(n,t,"wasm is null, attempt "+e+", retries: "+u),e<u?f(e):i.reject({name:i.name,error:"string"==typeof r?r:r.toString()})):(i.wasmResource.wasmModule=p.wasmModule,i.wasmResource.wasmBinary=p.wasmBinary,p=null,F(n,k,"f")[a.name]=!0,i.resolve())}),(function(a){a+="",F(n,g,"m",D).call(n,t,o+" failed"),F(n,g,"m",D).call(n,t,a),F(n,g,"m",v).call(n,t,"attempt "+e+", retries: "+u),e<u?f(e):i.reject({name:i.name,error:"string"==typeof a?a:a.toString()})}))}))};function f(e){setTimeout((function(){c(++e)}),m)}return c(0),i},_=function(e){try{this.sendResult(e)}catch(a){for(const a of e.result.modules)a.wasmModule=null;this.sendResult(e)}};var z=new class{constructor(e){g.add(this),y.set(this,null),b.set(this,""),h.set(this,{mode:"cors",credentials:"same-origin"}),w.set(this,""),P.set(this,null),I.set(this,self),k.set(this,[]),S.set(this,void 0),A.set(this,void 0),F(this,g,"m",T).call(this),E(this,P,e,"f")}sendResult(e,a){"object"==typeof e&&F(this,A,"f")&&(e.time=Date.now(),e.cost=e.time-F(this,A,"f"),e.ctime=F(this,A,"f"),E(this,A,void 0,"f")),a?F(this,I,"f").postMessage(e,a):F(this,I,"f").postMessage(e)}logDebug(a,t){if(a&&a.params){let r="";a.params.logLevel===e.logDebug&&(r=`[${Date.now()}][wm][`+a.params.insId+"] "+t,F(this,g,"m",v).call(this,a,r))}}get Module(){return F(this,y,"f")}loadWasm(e){return C(this,void 0,void 0,(function*(){null!=e.params.resourceDir&&E(this,b,e.params.resourceDir,"f"),null!=e.params.fetchOptions&&E(this,h,e.params.fetchOptions,"f");let a=Object.create(null);a.promise=new Promise((function(e,t){a.resolve=e,a.reject=t}));try{let a={modules:[]};if(e.params.module){let t=e.params.module.modulesInfo;for(const r of t)if(!F(this,k,"f")[r.name]&&(null===r.dependencyModules||0===r.dependencyModules.length)){let t=F(this,g,"m",B).call(this,r,e);yield t.promise,a.modules.push({name:r.name,wasmResource:t.wasmResource})}for(const r of t)if(!F(this,k,"f")[r.name]&&r.dependencyModules&&0!=r.dependencyModules.length){let t=F(this,g,"m",R).call(this,r,e);yield t.promise,a.modules.push({name:r.name,wasmResource:t.wasmResource})}F(this,g,"m",_).call(this,{id:e.id,func:e.func,result:a,memSize:F(this,y,"f").HEAPU8.length})}}catch(t){let r={errorCode:n.wasmException,errorMessage:JSON.stringify(t),stack:JSON.stringify(t.stack)};if("object"==typeof t&&e.params.module){let a=e.params.module.modulesInfo;r.modules=[],void 0!==t.error?r.errorMessage=t.error:r.errorMessage=void 0!==t.message?t.message:"unknown error",delete r.stack,r.modules.push({name:t.name,wasmModule:null});for(const e of a)r.modules.push({name:e.name,wasmModule:null})}this.sendResult({id:e.id,func:e.func,result:r}),a.reject(r)}return a.promise}))}handleMessage(e){if("string"==typeof e)return;if(null==e.func)return;let a=null;e.params&&(a=e.params.val,this.logDebug(e,"received "+e.func)),null!=a&&(L=a),E(this,S,L,"f");let t=e;if("object"==typeof t&&"object"==typeof t.result&&t.result.errorCode===n.wasmException)return;let r=this.Module,s=this,i={data:e,entryModule:r,context:this,wasmMemoryPtr:null};try{let a=null;if(E(this,A,Date.now(),"f"),"loadWasm"===e.func)return void this.loadWasm(e).catch((function(a){let t=(void 0!==a.message?a.message:"")+""+(void 0!==a.errorMessage?a.errorMessage:"");s.sendResult({id:e.id,func:e.func,result:{errorCode:n.wasmException,errorMessage:t,stack:a.stack}})}));if(e.func,r){this.logDebug(e,"try to init buffer start");let t=Object.prototype.toString.call(e.params.input);if("[object Array]"===Object.prototype.toString.call(e.params.input)){if(t=Object.prototype.toString.call(e.params.input[0]),"[object ArrayBuffer]"===t||"[object Uint8ClampedArray]"===t||"[object Uint8Array]"==t){let s=e.params.input[0].byteLength;a=r._malloc(s),"[object ArrayBuffer]"===t?r.HEAPU8.set(new Uint8Array(e.params.input[0]),a):r.HEAPU8.set(new Uint8Array(e.params.input[0].buffer),a),e.params.srcBuffer=e.params.input[0],e.params.input[0]=a,e.params.input.splice(1,0,s)}}else if("[object ArrayBuffer]"===t||"[object Uint8ClampedArray]"===t||"[object Uint8Array]"==t){let s=e.params.input.byteLength;a=r._malloc(s),"[object ArrayBuffer]"===t?r.HEAPU8.set(new Uint8Array(e.params.input),a):r.HEAPU8.set(new Uint8Array(e.params.input.buffer),a),e.params.srcBuffer=e.params.input,e.params.input=[a,s]}this.logDebug(e,"try to init buffer end")}this.logDebug(e,e.func+" start"),i.wasmMemoryPtr=a,j.process(i),i.wasmMemoryPtr&&r&&r._free(i.wasmMemoryPtr)}catch(a){i.wasmMemoryPtr&&r&&r._free(i.wasmMemoryPtr),"object"!=typeof a&&(a={message:a,stack:""}),s.sendResult({id:e.id,func:e.func,result:{errorCode:n.wasmException,errorMessage:a.message,stack:a.stack},memSize:r.HEAPU8.length})}}}(ImageIOModule);onmessage=function(e){z.handleMessage(e.data)},self.postMessage("ready");class H{}return H.ImageCoreGlue=U,H.ImageProcGlue=G,H.PdfReaderGlue=x,H}));
